var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __commonJS = (cb, mod) => function __require() {
  return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));

// node_modules/@minecraft/math/lib/general/clamp.js
var require_clamp = __commonJS({
  "node_modules/@minecraft/math/lib/general/clamp.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.clampNumber = void 0;
    function clampNumber(val, min, max) {
      return Math.min(Math.max(val, min), max);
    }
    exports.clampNumber = clampNumber;
  }
});

// node_modules/@minecraft/math/lib/vector3/coreHelpers.js
var require_coreHelpers = __commonJS({
  "node_modules/@minecraft/math/lib/vector3/coreHelpers.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.VECTOR3_SOUTH = exports.VECTOR3_NORTH = exports.VECTOR3_EAST = exports.VECTOR3_WEST = exports.VECTOR3_ZERO = exports.VECTOR3_ONE = exports.VECTOR3_BACK = exports.VECTOR3_FORWARD = exports.VECTOR3_RIGHT = exports.VECTOR3_LEFT = exports.VECTOR3_DOWN = exports.VECTOR3_UP = exports.Vector2Utils = exports.Vector3Utils = void 0;
    var clamp_1 = require_clamp();
    var Vector3Utils4 = class _Vector3Utils {
      /**
       * equals
       *
       * Check the equality of two vectors
       */
      static equals(v1, v2) {
        return v1.x === v2.x && v1.y === v2.y && v1.z === v2.z;
      }
      /**
       * add
       *
       * Add two vectors to produce a new vector
       */
      static add(v1, v2) {
        return { x: v1.x + v2.x, y: v1.y + v2.y, z: v1.z + v2.z };
      }
      /**
       * subtract
       *
       * Subtract two vectors to produce a new vector (v1-v2)
       */
      static subtract(v1, v2) {
        return { x: v1.x - v2.x, y: v1.y - v2.y, z: v1.z - v2.z };
      }
      /** scale
       *
       * Multiple all entries in a vector by a single scalar value producing a new vector
       */
      static scale(v1, scale) {
        return { x: v1.x * scale, y: v1.y * scale, z: v1.z * scale };
      }
      /**
       * dot
       *
       * Calculate the dot product of two vectors
       */
      static dot(a, b) {
        return a.x * b.x + a.y * b.y + a.z * b.z;
      }
      /**
       * cross
       *
       * Calculate the cross product of two vectors. Returns a new vector.
       */
      static cross(a, b) {
        return {
          x: a.y * b.z - a.z * b.y,
          y: a.z * b.x - a.x * b.z,
          z: a.x * b.y - a.y * b.x
        };
      }
      /**
       * magnitude
       *
       * The magnitude of a vector
       */
      static magnitude(v) {
        return Math.sqrt(v.x ** 2 + v.y ** 2 + v.z ** 2);
      }
      /**
       * distance
       *
       * Calculate the distance between two vectors
       */
      static distance(a, b) {
        return _Vector3Utils.magnitude(_Vector3Utils.subtract(a, b));
      }
      /**
       * normalize
       *
       * Takes a vector 3 and normalizes it to a unit vector
       */
      static normalize(v) {
        const mag = _Vector3Utils.magnitude(v);
        return { x: v.x / mag, y: v.y / mag, z: v.z / mag };
      }
      /**
       * floor
       *
       * Floor the components of a vector to produce a new vector
       */
      static floor(v) {
        return { x: Math.floor(v.x), y: Math.floor(v.y), z: Math.floor(v.z) };
      }
      /**
       * toString
       *
       * Create a string representation of a vector3
       */
      static toString(v, options) {
        const decimals = options?.decimals ?? 2;
        const str = [v.x.toFixed(decimals), v.y.toFixed(decimals), v.z.toFixed(decimals)];
        return str.join(options?.delimiter ?? ", ");
      }
      /**
       * clamp
       *
       * Clamps the components of a vector to limits to produce a new vector
       */
      static clamp(v, limits) {
        return {
          x: (0, clamp_1.clampNumber)(v.x, limits?.min?.x ?? Number.MIN_SAFE_INTEGER, limits?.max?.x ?? Number.MAX_SAFE_INTEGER),
          y: (0, clamp_1.clampNumber)(v.y, limits?.min?.y ?? Number.MIN_SAFE_INTEGER, limits?.max?.y ?? Number.MAX_SAFE_INTEGER),
          z: (0, clamp_1.clampNumber)(v.z, limits?.min?.z ?? Number.MIN_SAFE_INTEGER, limits?.max?.z ?? Number.MAX_SAFE_INTEGER)
        };
      }
      /**
       * lerp
       *
       * Constructs a new vector using linear interpolation on each component from two vectors.
       */
      static lerp(a, b, t) {
        return {
          x: a.x + (b.x - a.x) * t,
          y: a.y + (b.y - a.y) * t,
          z: a.z + (b.z - a.z) * t
        };
      }
      /**
       * slerp
       *
       * Constructs a new vector using spherical linear interpolation on each component from two vectors.
       */
      static slerp(a, b, t) {
        const theta = Math.acos(_Vector3Utils.dot(a, b));
        const sinTheta = Math.sin(theta);
        const ta = Math.sin((1 - t) * theta) / sinTheta;
        const tb = Math.sin(t * theta) / sinTheta;
        return _Vector3Utils.add(_Vector3Utils.scale(a, ta), _Vector3Utils.scale(b, tb));
      }
    };
    exports.Vector3Utils = Vector3Utils4;
    var Vector2Utils = class {
      /**
       * toString
       *
       * Create a string representation of a vector2
       */
      static toString(v, options) {
        const decimals = options?.decimals ?? 2;
        const str = [v.x.toFixed(decimals), v.y.toFixed(decimals)];
        return str.join(options?.delimiter ?? ", ");
      }
    };
    exports.Vector2Utils = Vector2Utils;
    exports.VECTOR3_UP = { x: 0, y: 1, z: 0 };
    exports.VECTOR3_DOWN = { x: 0, y: -1, z: 0 };
    exports.VECTOR3_LEFT = { x: -1, y: 0, z: 0 };
    exports.VECTOR3_RIGHT = { x: 1, y: 0, z: 0 };
    exports.VECTOR3_FORWARD = { x: 0, y: 0, z: 1 };
    exports.VECTOR3_BACK = { x: 0, y: 0, z: -1 };
    exports.VECTOR3_ONE = { x: 1, y: 1, z: 1 };
    exports.VECTOR3_ZERO = { x: 0, y: 0, z: 0 };
    exports.VECTOR3_WEST = { x: -1, y: 0, z: 0 };
    exports.VECTOR3_EAST = { x: 1, y: 0, z: 0 };
    exports.VECTOR3_NORTH = { x: 0, y: 0, z: 1 };
    exports.VECTOR3_SOUTH = { x: 0, y: 0, z: -1 };
  }
});

// node_modules/@minecraft/math/lib/vector3/vectorWrapper.js
var require_vectorWrapper = __commonJS({
  "node_modules/@minecraft/math/lib/vector3/vectorWrapper.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Vector2Builder = exports.Vector3Builder = void 0;
    var coreHelpers_1 = require_coreHelpers();
    var Vector3Builder = class {
      constructor(first, y, z) {
        if (typeof first === "object") {
          this.x = first.x;
          this.y = first.y;
          this.z = first.z;
        } else {
          this.x = first;
          this.y = y ?? 0;
          this.z = z ?? 0;
        }
      }
      /**
       * Assigns the values of the passed in vector to this vector. Returns itself.
       */
      assign(vec) {
        this.x = vec.x;
        this.y = vec.y;
        this.z = vec.z;
        return this;
      }
      /**
       * equals
       *
       * Check the equality of two vectors
       */
      equals(v) {
        return coreHelpers_1.Vector3Utils.equals(this, v);
      }
      /**
       * add
       *
       * Adds the vector v to this, returning itself.
       */
      add(v) {
        return this.assign(coreHelpers_1.Vector3Utils.add(this, v));
      }
      /**
       * subtract
       *
       * Subtracts the vector v from this, returning itself.
       */
      subtract(v) {
        return this.assign(coreHelpers_1.Vector3Utils.subtract(this, v));
      }
      /** scale
       *
       * Scales this by the passed in value, returning itself.
       */
      scale(val) {
        return this.assign(coreHelpers_1.Vector3Utils.scale(this, val));
      }
      /**
       * dot
       *
       * Computes the dot product of this and the passed in vector.
       */
      dot(vec) {
        return coreHelpers_1.Vector3Utils.dot(this, vec);
      }
      /**
       * cross
       *
       * Computes the cross product of this and the passed in vector, returning itself.
       */
      cross(vec) {
        return this.assign(coreHelpers_1.Vector3Utils.cross(this, vec));
      }
      /**
       * magnitude
       *
       * The magnitude of the vector
       */
      magnitude() {
        return coreHelpers_1.Vector3Utils.magnitude(this);
      }
      /**
       * distance
       *
       * Calculate the distance between two vectors
       */
      distance(vec) {
        return coreHelpers_1.Vector3Utils.distance(this, vec);
      }
      /**
       * normalize
       *
       * Normalizes this vector, returning itself.
       */
      normalize() {
        return this.assign(coreHelpers_1.Vector3Utils.normalize(this));
      }
      /**
       * floor
       *
       * Floor the components of a vector to produce a new vector
       */
      floor() {
        return this.assign(coreHelpers_1.Vector3Utils.floor(this));
      }
      /**
       * toString
       *
       * Create a string representation of a vector
       */
      toString(options) {
        return coreHelpers_1.Vector3Utils.toString(this, options);
      }
      /**
       * clamp
       *
       * Clamps the components of a vector to limits to produce a new vector
       */
      clamp(limits) {
        return this.assign(coreHelpers_1.Vector3Utils.clamp(this, limits));
      }
      /**
       * lerp
       *
       * Constructs a new vector using linear interpolation on each component from two vectors.
       */
      lerp(vec, t) {
        return this.assign(coreHelpers_1.Vector3Utils.lerp(this, vec, t));
      }
      /**
       * slerp
       *
       * Constructs a new vector using spherical linear interpolation on each component from two vectors.
       */
      slerp(vec, t) {
        return this.assign(coreHelpers_1.Vector3Utils.slerp(this, vec, t));
      }
    };
    exports.Vector3Builder = Vector3Builder;
    var Vector2Builder = class {
      constructor(first, y) {
        if (typeof first === "object") {
          this.x = first.x;
          this.y = first.y;
        } else {
          this.x = first;
          this.y = y ?? 0;
        }
      }
      toString(options) {
        return coreHelpers_1.Vector2Utils.toString(this, options);
      }
    };
    exports.Vector2Builder = Vector2Builder;
  }
});

// node_modules/@minecraft/math/lib/vector3/index.js
var require_vector3 = __commonJS({
  "node_modules/@minecraft/math/lib/vector3/index.js"(exports) {
    "use strict";
    var __createBinding = exports && exports.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0) k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0) k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports && exports.__exportStar || function(m, exports2) {
      for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports2, p)) __createBinding(exports2, m, p);
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    __exportStar(require_coreHelpers(), exports);
    __exportStar(require_vectorWrapper(), exports);
  }
});

// node_modules/@minecraft/math/lib/general/index.js
var require_general = __commonJS({
  "node_modules/@minecraft/math/lib/general/index.js"(exports) {
    "use strict";
    var __createBinding = exports && exports.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0) k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0) k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports && exports.__exportStar || function(m, exports2) {
      for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports2, p)) __createBinding(exports2, m, p);
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    __exportStar(require_clamp(), exports);
  }
});

// node_modules/@minecraft/math/lib/index.js
var require_lib = __commonJS({
  "node_modules/@minecraft/math/lib/index.js"(exports) {
    "use strict";
    var __createBinding = exports && exports.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0) k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0) k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports && exports.__exportStar || function(m, exports2) {
      for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports2, p)) __createBinding(exports2, m, p);
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    __exportStar(require_vector3(), exports);
    __exportStar(require_general(), exports);
  }
});

// src/main.ts
import { system as system16, world as world20 } from "@minecraft/server";

// src/Runtime.ts
import { ItemStack, system as system2, world } from "@minecraft/server";

// src/Statistics.ts
import { system } from "@minecraft/server";
var Statistics = class {
  constructor(player, typeId) {
    this.player = player;
    this.typeId = typeId;
  }
  setStatistic(statistic, value) {
    if (typeof value !== "number") throw new TypeError("Statistic value must be a number");
    this.player.setDynamicProperty(this.typeId + "/" + statistic, value);
  }
  getStatistic(statistic) {
    if (statistic === "minecraft:total_world_time" /* totalWorldTime */) {
      return system.currentTick;
    }
    ;
    const value = this.player.getDynamicProperty(this.typeId + "/" + statistic);
    if (typeof value === "number") return value;
    else return 0;
  }
  addStatistic(statistic, value = 1) {
    if (typeof value !== "number") throw new TypeError("Statistic value must be a number");
    const previousValue = this.getStatistic(statistic);
    this.setStatistic(statistic, previousValue + value);
  }
};
var CustomStatistics = class extends Statistics {
  constructor(player) {
    super(player, "jayly:custom" /* CUSTOM */);
    this.player = player;
  }
};
var MinedStatistics = class extends Statistics {
  constructor(player) {
    super(player, "jayly:mined" /* BLOCK_MINED */);
    this.player = player;
  }
  addBlockType(blockType) {
    this.addStatistic(blockType.id);
  }
  getBlockType(blockType) {
    return this.getStatistic(blockType.id);
  }
};
var BrokenStatistics = class extends Statistics {
  constructor(player) {
    super(player, "jayly:broken" /* ITEM_BROKEN */);
    this.player = player;
  }
  addItemType(itemType) {
    this.addStatistic(itemType.id);
  }
};
var UsedStatistics = class extends Statistics {
  constructor(player) {
    super(player, "jayly:used" /* ITEM_USED */);
    this.player = player;
  }
  addItemType(itemType) {
    this.addStatistic(itemType.id);
  }
};
var PickedUpStatistics = class extends Statistics {
  constructor(player) {
    super(player, "jayly:picked_up" /* ITEM_PICKED_UP */);
    this.player = player;
  }
  addItemType(itemType) {
    this.addStatistic(itemType.id);
  }
};
var DroppedStatistics = class extends Statistics {
  constructor(player) {
    super(player, "jayly:dropped" /* ITEM_DROPPED */);
    this.player = player;
  }
  addItemType(itemType, amount = 1) {
    this.addStatistic(itemType.id, amount);
  }
};
var KilledStatistics = class extends Statistics {
  constructor(player) {
    super(player, "jayly:killed" /* ENTITY_KILLED */);
    this.player = player;
  }
  addEntity(entity) {
    this.addStatistic(entity.typeId);
  }
};
var KilledByStatistics = class extends Statistics {
  constructor(player) {
    super(player, "jayly:killed_by" /* ENTITY_KILLED_BY */);
    this.player = player;
  }
  addEntity(entity) {
    this.addStatistic(entity.typeId);
  }
};
var PlayerStatistics = class {
  constructor(player) {
    this.player = player;
    this.custom = new CustomStatistics(this.player);
    this.blockMined = new MinedStatistics(this.player);
    this.itemBroken = new BrokenStatistics(this.player);
    this.itemUsed = new UsedStatistics(this.player);
    this.itemPickedUp = new PickedUpStatistics(this.player);
    this.itemDropped = new DroppedStatistics(this.player);
    this.entityKilled = new KilledStatistics(this.player);
    this.entityKilledBy = new KilledByStatistics(this.player);
  }
};

// node_modules/@minecraft/vanilla-data/lib/index.js
var MinecraftBiomeTypes = ((MinecraftBiomeTypes2) => {
  MinecraftBiomeTypes2["BambooJungle"] = "minecraft:bamboo_jungle";
  MinecraftBiomeTypes2["BambooJungleHills"] = "minecraft:bamboo_jungle_hills";
  MinecraftBiomeTypes2["BasaltDeltas"] = "minecraft:basalt_deltas";
  MinecraftBiomeTypes2["Beach"] = "minecraft:beach";
  MinecraftBiomeTypes2["BirchForest"] = "minecraft:birch_forest";
  MinecraftBiomeTypes2["BirchForestHills"] = "minecraft:birch_forest_hills";
  MinecraftBiomeTypes2["BirchForestHillsMutated"] = "minecraft:birch_forest_hills_mutated";
  MinecraftBiomeTypes2["BirchForestMutated"] = "minecraft:birch_forest_mutated";
  MinecraftBiomeTypes2["CherryGrove"] = "minecraft:cherry_grove";
  MinecraftBiomeTypes2["ColdBeach"] = "minecraft:cold_beach";
  MinecraftBiomeTypes2["ColdOcean"] = "minecraft:cold_ocean";
  MinecraftBiomeTypes2["ColdTaiga"] = "minecraft:cold_taiga";
  MinecraftBiomeTypes2["ColdTaigaHills"] = "minecraft:cold_taiga_hills";
  MinecraftBiomeTypes2["ColdTaigaMutated"] = "minecraft:cold_taiga_mutated";
  MinecraftBiomeTypes2["CrimsonForest"] = "minecraft:crimson_forest";
  MinecraftBiomeTypes2["DeepColdOcean"] = "minecraft:deep_cold_ocean";
  MinecraftBiomeTypes2["DeepDark"] = "minecraft:deep_dark";
  MinecraftBiomeTypes2["DeepFrozenOcean"] = "minecraft:deep_frozen_ocean";
  MinecraftBiomeTypes2["DeepLukewarmOcean"] = "minecraft:deep_lukewarm_ocean";
  MinecraftBiomeTypes2["DeepOcean"] = "minecraft:deep_ocean";
  MinecraftBiomeTypes2["DeepWarmOcean"] = "minecraft:deep_warm_ocean";
  MinecraftBiomeTypes2["Desert"] = "minecraft:desert";
  MinecraftBiomeTypes2["DesertHills"] = "minecraft:desert_hills";
  MinecraftBiomeTypes2["DesertMutated"] = "minecraft:desert_mutated";
  MinecraftBiomeTypes2["DripstoneCaves"] = "minecraft:dripstone_caves";
  MinecraftBiomeTypes2["ExtremeHills"] = "minecraft:extreme_hills";
  MinecraftBiomeTypes2["ExtremeHillsEdge"] = "minecraft:extreme_hills_edge";
  MinecraftBiomeTypes2["ExtremeHillsMutated"] = "minecraft:extreme_hills_mutated";
  MinecraftBiomeTypes2["ExtremeHillsPlusTrees"] = "minecraft:extreme_hills_plus_trees";
  MinecraftBiomeTypes2["ExtremeHillsPlusTreesMutated"] = "minecraft:extreme_hills_plus_trees_mutated";
  MinecraftBiomeTypes2["FlowerForest"] = "minecraft:flower_forest";
  MinecraftBiomeTypes2["Forest"] = "minecraft:forest";
  MinecraftBiomeTypes2["ForestHills"] = "minecraft:forest_hills";
  MinecraftBiomeTypes2["FrozenOcean"] = "minecraft:frozen_ocean";
  MinecraftBiomeTypes2["FrozenPeaks"] = "minecraft:frozen_peaks";
  MinecraftBiomeTypes2["FrozenRiver"] = "minecraft:frozen_river";
  MinecraftBiomeTypes2["Grove"] = "minecraft:grove";
  MinecraftBiomeTypes2["Hell"] = "minecraft:hell";
  MinecraftBiomeTypes2["IceMountains"] = "minecraft:ice_mountains";
  MinecraftBiomeTypes2["IcePlains"] = "minecraft:ice_plains";
  MinecraftBiomeTypes2["IcePlainsSpikes"] = "minecraft:ice_plains_spikes";
  MinecraftBiomeTypes2["JaggedPeaks"] = "minecraft:jagged_peaks";
  MinecraftBiomeTypes2["Jungle"] = "minecraft:jungle";
  MinecraftBiomeTypes2["JungleEdge"] = "minecraft:jungle_edge";
  MinecraftBiomeTypes2["JungleEdgeMutated"] = "minecraft:jungle_edge_mutated";
  MinecraftBiomeTypes2["JungleHills"] = "minecraft:jungle_hills";
  MinecraftBiomeTypes2["JungleMutated"] = "minecraft:jungle_mutated";
  MinecraftBiomeTypes2["LegacyFrozenOcean"] = "minecraft:legacy_frozen_ocean";
  MinecraftBiomeTypes2["LukewarmOcean"] = "minecraft:lukewarm_ocean";
  MinecraftBiomeTypes2["LushCaves"] = "minecraft:lush_caves";
  MinecraftBiomeTypes2["MangroveSwamp"] = "minecraft:mangrove_swamp";
  MinecraftBiomeTypes2["Meadow"] = "minecraft:meadow";
  MinecraftBiomeTypes2["MegaTaiga"] = "minecraft:mega_taiga";
  MinecraftBiomeTypes2["MegaTaigaHills"] = "minecraft:mega_taiga_hills";
  MinecraftBiomeTypes2["Mesa"] = "minecraft:mesa";
  MinecraftBiomeTypes2["MesaBryce"] = "minecraft:mesa_bryce";
  MinecraftBiomeTypes2["MesaPlateau"] = "minecraft:mesa_plateau";
  MinecraftBiomeTypes2["MesaPlateauMutated"] = "minecraft:mesa_plateau_mutated";
  MinecraftBiomeTypes2["MesaPlateauStone"] = "minecraft:mesa_plateau_stone";
  MinecraftBiomeTypes2["MesaPlateauStoneMutated"] = "minecraft:mesa_plateau_stone_mutated";
  MinecraftBiomeTypes2["MushroomIsland"] = "minecraft:mushroom_island";
  MinecraftBiomeTypes2["MushroomIslandShore"] = "minecraft:mushroom_island_shore";
  MinecraftBiomeTypes2["Ocean"] = "minecraft:ocean";
  MinecraftBiomeTypes2["Plains"] = "minecraft:plains";
  MinecraftBiomeTypes2["RedwoodTaigaHillsMutated"] = "minecraft:redwood_taiga_hills_mutated";
  MinecraftBiomeTypes2["RedwoodTaigaMutated"] = "minecraft:redwood_taiga_mutated";
  MinecraftBiomeTypes2["River"] = "minecraft:river";
  MinecraftBiomeTypes2["RoofedForest"] = "minecraft:roofed_forest";
  MinecraftBiomeTypes2["RoofedForestMutated"] = "minecraft:roofed_forest_mutated";
  MinecraftBiomeTypes2["Savanna"] = "minecraft:savanna";
  MinecraftBiomeTypes2["SavannaMutated"] = "minecraft:savanna_mutated";
  MinecraftBiomeTypes2["SavannaPlateau"] = "minecraft:savanna_plateau";
  MinecraftBiomeTypes2["SavannaPlateauMutated"] = "minecraft:savanna_plateau_mutated";
  MinecraftBiomeTypes2["SnowySlopes"] = "minecraft:snowy_slopes";
  MinecraftBiomeTypes2["SoulsandValley"] = "minecraft:soulsand_valley";
  MinecraftBiomeTypes2["StoneBeach"] = "minecraft:stone_beach";
  MinecraftBiomeTypes2["StonyPeaks"] = "minecraft:stony_peaks";
  MinecraftBiomeTypes2["SunflowerPlains"] = "minecraft:sunflower_plains";
  MinecraftBiomeTypes2["Swampland"] = "minecraft:swampland";
  MinecraftBiomeTypes2["SwamplandMutated"] = "minecraft:swampland_mutated";
  MinecraftBiomeTypes2["Taiga"] = "minecraft:taiga";
  MinecraftBiomeTypes2["TaigaHills"] = "minecraft:taiga_hills";
  MinecraftBiomeTypes2["TaigaMutated"] = "minecraft:taiga_mutated";
  MinecraftBiomeTypes2["TheEnd"] = "minecraft:the_end";
  MinecraftBiomeTypes2["WarmOcean"] = "minecraft:warm_ocean";
  MinecraftBiomeTypes2["WarpedForest"] = "minecraft:warped_forest";
  return MinecraftBiomeTypes2;
})(MinecraftBiomeTypes || {});
var MinecraftBlockTypes = ((MinecraftBlockTypes2) => {
  MinecraftBlockTypes2["AcaciaButton"] = "minecraft:acacia_button";
  MinecraftBlockTypes2["AcaciaDoor"] = "minecraft:acacia_door";
  MinecraftBlockTypes2["AcaciaDoubleSlab"] = "minecraft:acacia_double_slab";
  MinecraftBlockTypes2["AcaciaFence"] = "minecraft:acacia_fence";
  MinecraftBlockTypes2["AcaciaFenceGate"] = "minecraft:acacia_fence_gate";
  MinecraftBlockTypes2["AcaciaHangingSign"] = "minecraft:acacia_hanging_sign";
  MinecraftBlockTypes2["AcaciaLeaves"] = "minecraft:acacia_leaves";
  MinecraftBlockTypes2["AcaciaLog"] = "minecraft:acacia_log";
  MinecraftBlockTypes2["AcaciaPlanks"] = "minecraft:acacia_planks";
  MinecraftBlockTypes2["AcaciaPressurePlate"] = "minecraft:acacia_pressure_plate";
  MinecraftBlockTypes2["AcaciaSapling"] = "minecraft:acacia_sapling";
  MinecraftBlockTypes2["AcaciaSlab"] = "minecraft:acacia_slab";
  MinecraftBlockTypes2["AcaciaStairs"] = "minecraft:acacia_stairs";
  MinecraftBlockTypes2["AcaciaStandingSign"] = "minecraft:acacia_standing_sign";
  MinecraftBlockTypes2["AcaciaTrapdoor"] = "minecraft:acacia_trapdoor";
  MinecraftBlockTypes2["AcaciaWallSign"] = "minecraft:acacia_wall_sign";
  MinecraftBlockTypes2["AcaciaWood"] = "minecraft:acacia_wood";
  MinecraftBlockTypes2["ActivatorRail"] = "minecraft:activator_rail";
  MinecraftBlockTypes2["Air"] = "minecraft:air";
  MinecraftBlockTypes2["Allium"] = "minecraft:allium";
  MinecraftBlockTypes2["Allow"] = "minecraft:allow";
  MinecraftBlockTypes2["AmethystBlock"] = "minecraft:amethyst_block";
  MinecraftBlockTypes2["AmethystCluster"] = "minecraft:amethyst_cluster";
  MinecraftBlockTypes2["AncientDebris"] = "minecraft:ancient_debris";
  MinecraftBlockTypes2["Andesite"] = "minecraft:andesite";
  MinecraftBlockTypes2["AndesiteDoubleSlab"] = "minecraft:andesite_double_slab";
  MinecraftBlockTypes2["AndesiteSlab"] = "minecraft:andesite_slab";
  MinecraftBlockTypes2["AndesiteStairs"] = "minecraft:andesite_stairs";
  MinecraftBlockTypes2["Anvil"] = "minecraft:anvil";
  MinecraftBlockTypes2["Azalea"] = "minecraft:azalea";
  MinecraftBlockTypes2["AzaleaLeaves"] = "minecraft:azalea_leaves";
  MinecraftBlockTypes2["AzaleaLeavesFlowered"] = "minecraft:azalea_leaves_flowered";
  MinecraftBlockTypes2["AzureBluet"] = "minecraft:azure_bluet";
  MinecraftBlockTypes2["Bamboo"] = "minecraft:bamboo";
  MinecraftBlockTypes2["BambooBlock"] = "minecraft:bamboo_block";
  MinecraftBlockTypes2["BambooButton"] = "minecraft:bamboo_button";
  MinecraftBlockTypes2["BambooDoor"] = "minecraft:bamboo_door";
  MinecraftBlockTypes2["BambooDoubleSlab"] = "minecraft:bamboo_double_slab";
  MinecraftBlockTypes2["BambooFence"] = "minecraft:bamboo_fence";
  MinecraftBlockTypes2["BambooFenceGate"] = "minecraft:bamboo_fence_gate";
  MinecraftBlockTypes2["BambooHangingSign"] = "minecraft:bamboo_hanging_sign";
  MinecraftBlockTypes2["BambooMosaic"] = "minecraft:bamboo_mosaic";
  MinecraftBlockTypes2["BambooMosaicDoubleSlab"] = "minecraft:bamboo_mosaic_double_slab";
  MinecraftBlockTypes2["BambooMosaicSlab"] = "minecraft:bamboo_mosaic_slab";
  MinecraftBlockTypes2["BambooMosaicStairs"] = "minecraft:bamboo_mosaic_stairs";
  MinecraftBlockTypes2["BambooPlanks"] = "minecraft:bamboo_planks";
  MinecraftBlockTypes2["BambooPressurePlate"] = "minecraft:bamboo_pressure_plate";
  MinecraftBlockTypes2["BambooSapling"] = "minecraft:bamboo_sapling";
  MinecraftBlockTypes2["BambooSlab"] = "minecraft:bamboo_slab";
  MinecraftBlockTypes2["BambooStairs"] = "minecraft:bamboo_stairs";
  MinecraftBlockTypes2["BambooStandingSign"] = "minecraft:bamboo_standing_sign";
  MinecraftBlockTypes2["BambooTrapdoor"] = "minecraft:bamboo_trapdoor";
  MinecraftBlockTypes2["BambooWallSign"] = "minecraft:bamboo_wall_sign";
  MinecraftBlockTypes2["Barrel"] = "minecraft:barrel";
  MinecraftBlockTypes2["Barrier"] = "minecraft:barrier";
  MinecraftBlockTypes2["Basalt"] = "minecraft:basalt";
  MinecraftBlockTypes2["Beacon"] = "minecraft:beacon";
  MinecraftBlockTypes2["Bed"] = "minecraft:bed";
  MinecraftBlockTypes2["Bedrock"] = "minecraft:bedrock";
  MinecraftBlockTypes2["BeeNest"] = "minecraft:bee_nest";
  MinecraftBlockTypes2["Beehive"] = "minecraft:beehive";
  MinecraftBlockTypes2["Beetroot"] = "minecraft:beetroot";
  MinecraftBlockTypes2["Bell"] = "minecraft:bell";
  MinecraftBlockTypes2["BigDripleaf"] = "minecraft:big_dripleaf";
  MinecraftBlockTypes2["BirchButton"] = "minecraft:birch_button";
  MinecraftBlockTypes2["BirchDoor"] = "minecraft:birch_door";
  MinecraftBlockTypes2["BirchDoubleSlab"] = "minecraft:birch_double_slab";
  MinecraftBlockTypes2["BirchFence"] = "minecraft:birch_fence";
  MinecraftBlockTypes2["BirchFenceGate"] = "minecraft:birch_fence_gate";
  MinecraftBlockTypes2["BirchHangingSign"] = "minecraft:birch_hanging_sign";
  MinecraftBlockTypes2["BirchLeaves"] = "minecraft:birch_leaves";
  MinecraftBlockTypes2["BirchLog"] = "minecraft:birch_log";
  MinecraftBlockTypes2["BirchPlanks"] = "minecraft:birch_planks";
  MinecraftBlockTypes2["BirchPressurePlate"] = "minecraft:birch_pressure_plate";
  MinecraftBlockTypes2["BirchSapling"] = "minecraft:birch_sapling";
  MinecraftBlockTypes2["BirchSlab"] = "minecraft:birch_slab";
  MinecraftBlockTypes2["BirchStairs"] = "minecraft:birch_stairs";
  MinecraftBlockTypes2["BirchStandingSign"] = "minecraft:birch_standing_sign";
  MinecraftBlockTypes2["BirchTrapdoor"] = "minecraft:birch_trapdoor";
  MinecraftBlockTypes2["BirchWallSign"] = "minecraft:birch_wall_sign";
  MinecraftBlockTypes2["BirchWood"] = "minecraft:birch_wood";
  MinecraftBlockTypes2["BlackCandle"] = "minecraft:black_candle";
  MinecraftBlockTypes2["BlackCandleCake"] = "minecraft:black_candle_cake";
  MinecraftBlockTypes2["BlackCarpet"] = "minecraft:black_carpet";
  MinecraftBlockTypes2["BlackConcrete"] = "minecraft:black_concrete";
  MinecraftBlockTypes2["BlackConcretePowder"] = "minecraft:black_concrete_powder";
  MinecraftBlockTypes2["BlackGlazedTerracotta"] = "minecraft:black_glazed_terracotta";
  MinecraftBlockTypes2["BlackShulkerBox"] = "minecraft:black_shulker_box";
  MinecraftBlockTypes2["BlackStainedGlass"] = "minecraft:black_stained_glass";
  MinecraftBlockTypes2["BlackStainedGlassPane"] = "minecraft:black_stained_glass_pane";
  MinecraftBlockTypes2["BlackTerracotta"] = "minecraft:black_terracotta";
  MinecraftBlockTypes2["BlackWool"] = "minecraft:black_wool";
  MinecraftBlockTypes2["Blackstone"] = "minecraft:blackstone";
  MinecraftBlockTypes2["BlackstoneDoubleSlab"] = "minecraft:blackstone_double_slab";
  MinecraftBlockTypes2["BlackstoneSlab"] = "minecraft:blackstone_slab";
  MinecraftBlockTypes2["BlackstoneStairs"] = "minecraft:blackstone_stairs";
  MinecraftBlockTypes2["BlackstoneWall"] = "minecraft:blackstone_wall";
  MinecraftBlockTypes2["BlastFurnace"] = "minecraft:blast_furnace";
  MinecraftBlockTypes2["BlueCandle"] = "minecraft:blue_candle";
  MinecraftBlockTypes2["BlueCandleCake"] = "minecraft:blue_candle_cake";
  MinecraftBlockTypes2["BlueCarpet"] = "minecraft:blue_carpet";
  MinecraftBlockTypes2["BlueConcrete"] = "minecraft:blue_concrete";
  MinecraftBlockTypes2["BlueConcretePowder"] = "minecraft:blue_concrete_powder";
  MinecraftBlockTypes2["BlueGlazedTerracotta"] = "minecraft:blue_glazed_terracotta";
  MinecraftBlockTypes2["BlueIce"] = "minecraft:blue_ice";
  MinecraftBlockTypes2["BlueOrchid"] = "minecraft:blue_orchid";
  MinecraftBlockTypes2["BlueShulkerBox"] = "minecraft:blue_shulker_box";
  MinecraftBlockTypes2["BlueStainedGlass"] = "minecraft:blue_stained_glass";
  MinecraftBlockTypes2["BlueStainedGlassPane"] = "minecraft:blue_stained_glass_pane";
  MinecraftBlockTypes2["BlueTerracotta"] = "minecraft:blue_terracotta";
  MinecraftBlockTypes2["BlueWool"] = "minecraft:blue_wool";
  MinecraftBlockTypes2["BoneBlock"] = "minecraft:bone_block";
  MinecraftBlockTypes2["Bookshelf"] = "minecraft:bookshelf";
  MinecraftBlockTypes2["BorderBlock"] = "minecraft:border_block";
  MinecraftBlockTypes2["BrainCoral"] = "minecraft:brain_coral";
  MinecraftBlockTypes2["BrainCoralBlock"] = "minecraft:brain_coral_block";
  MinecraftBlockTypes2["BrainCoralFan"] = "minecraft:brain_coral_fan";
  MinecraftBlockTypes2["BrainCoralWallFan"] = "minecraft:brain_coral_wall_fan";
  MinecraftBlockTypes2["BrewingStand"] = "minecraft:brewing_stand";
  MinecraftBlockTypes2["BrickBlock"] = "minecraft:brick_block";
  MinecraftBlockTypes2["BrickDoubleSlab"] = "minecraft:brick_double_slab";
  MinecraftBlockTypes2["BrickSlab"] = "minecraft:brick_slab";
  MinecraftBlockTypes2["BrickStairs"] = "minecraft:brick_stairs";
  MinecraftBlockTypes2["BrownCandle"] = "minecraft:brown_candle";
  MinecraftBlockTypes2["BrownCandleCake"] = "minecraft:brown_candle_cake";
  MinecraftBlockTypes2["BrownCarpet"] = "minecraft:brown_carpet";
  MinecraftBlockTypes2["BrownConcrete"] = "minecraft:brown_concrete";
  MinecraftBlockTypes2["BrownConcretePowder"] = "minecraft:brown_concrete_powder";
  MinecraftBlockTypes2["BrownGlazedTerracotta"] = "minecraft:brown_glazed_terracotta";
  MinecraftBlockTypes2["BrownMushroom"] = "minecraft:brown_mushroom";
  MinecraftBlockTypes2["BrownMushroomBlock"] = "minecraft:brown_mushroom_block";
  MinecraftBlockTypes2["BrownShulkerBox"] = "minecraft:brown_shulker_box";
  MinecraftBlockTypes2["BrownStainedGlass"] = "minecraft:brown_stained_glass";
  MinecraftBlockTypes2["BrownStainedGlassPane"] = "minecraft:brown_stained_glass_pane";
  MinecraftBlockTypes2["BrownTerracotta"] = "minecraft:brown_terracotta";
  MinecraftBlockTypes2["BrownWool"] = "minecraft:brown_wool";
  MinecraftBlockTypes2["BubbleColumn"] = "minecraft:bubble_column";
  MinecraftBlockTypes2["BubbleCoral"] = "minecraft:bubble_coral";
  MinecraftBlockTypes2["BubbleCoralBlock"] = "minecraft:bubble_coral_block";
  MinecraftBlockTypes2["BubbleCoralFan"] = "minecraft:bubble_coral_fan";
  MinecraftBlockTypes2["BubbleCoralWallFan"] = "minecraft:bubble_coral_wall_fan";
  MinecraftBlockTypes2["BuddingAmethyst"] = "minecraft:budding_amethyst";
  MinecraftBlockTypes2["Cactus"] = "minecraft:cactus";
  MinecraftBlockTypes2["Cake"] = "minecraft:cake";
  MinecraftBlockTypes2["Calcite"] = "minecraft:calcite";
  MinecraftBlockTypes2["CalibratedSculkSensor"] = "minecraft:calibrated_sculk_sensor";
  MinecraftBlockTypes2["Camera"] = "minecraft:camera";
  MinecraftBlockTypes2["Campfire"] = "minecraft:campfire";
  MinecraftBlockTypes2["Candle"] = "minecraft:candle";
  MinecraftBlockTypes2["CandleCake"] = "minecraft:candle_cake";
  MinecraftBlockTypes2["Carrots"] = "minecraft:carrots";
  MinecraftBlockTypes2["CartographyTable"] = "minecraft:cartography_table";
  MinecraftBlockTypes2["CarvedPumpkin"] = "minecraft:carved_pumpkin";
  MinecraftBlockTypes2["Cauldron"] = "minecraft:cauldron";
  MinecraftBlockTypes2["CaveVines"] = "minecraft:cave_vines";
  MinecraftBlockTypes2["CaveVinesBodyWithBerries"] = "minecraft:cave_vines_body_with_berries";
  MinecraftBlockTypes2["CaveVinesHeadWithBerries"] = "minecraft:cave_vines_head_with_berries";
  MinecraftBlockTypes2["Chain"] = "minecraft:chain";
  MinecraftBlockTypes2["ChainCommandBlock"] = "minecraft:chain_command_block";
  MinecraftBlockTypes2["ChemicalHeat"] = "minecraft:chemical_heat";
  MinecraftBlockTypes2["ChemistryTable"] = "minecraft:chemistry_table";
  MinecraftBlockTypes2["CherryButton"] = "minecraft:cherry_button";
  MinecraftBlockTypes2["CherryDoor"] = "minecraft:cherry_door";
  MinecraftBlockTypes2["CherryDoubleSlab"] = "minecraft:cherry_double_slab";
  MinecraftBlockTypes2["CherryFence"] = "minecraft:cherry_fence";
  MinecraftBlockTypes2["CherryFenceGate"] = "minecraft:cherry_fence_gate";
  MinecraftBlockTypes2["CherryHangingSign"] = "minecraft:cherry_hanging_sign";
  MinecraftBlockTypes2["CherryLeaves"] = "minecraft:cherry_leaves";
  MinecraftBlockTypes2["CherryLog"] = "minecraft:cherry_log";
  MinecraftBlockTypes2["CherryPlanks"] = "minecraft:cherry_planks";
  MinecraftBlockTypes2["CherryPressurePlate"] = "minecraft:cherry_pressure_plate";
  MinecraftBlockTypes2["CherrySapling"] = "minecraft:cherry_sapling";
  MinecraftBlockTypes2["CherrySlab"] = "minecraft:cherry_slab";
  MinecraftBlockTypes2["CherryStairs"] = "minecraft:cherry_stairs";
  MinecraftBlockTypes2["CherryStandingSign"] = "minecraft:cherry_standing_sign";
  MinecraftBlockTypes2["CherryTrapdoor"] = "minecraft:cherry_trapdoor";
  MinecraftBlockTypes2["CherryWallSign"] = "minecraft:cherry_wall_sign";
  MinecraftBlockTypes2["CherryWood"] = "minecraft:cherry_wood";
  MinecraftBlockTypes2["Chest"] = "minecraft:chest";
  MinecraftBlockTypes2["ChippedAnvil"] = "minecraft:chipped_anvil";
  MinecraftBlockTypes2["ChiseledBookshelf"] = "minecraft:chiseled_bookshelf";
  MinecraftBlockTypes2["ChiseledCopper"] = "minecraft:chiseled_copper";
  MinecraftBlockTypes2["ChiseledDeepslate"] = "minecraft:chiseled_deepslate";
  MinecraftBlockTypes2["ChiseledNetherBricks"] = "minecraft:chiseled_nether_bricks";
  MinecraftBlockTypes2["ChiseledPolishedBlackstone"] = "minecraft:chiseled_polished_blackstone";
  MinecraftBlockTypes2["ChiseledQuartzBlock"] = "minecraft:chiseled_quartz_block";
  MinecraftBlockTypes2["ChiseledRedSandstone"] = "minecraft:chiseled_red_sandstone";
  MinecraftBlockTypes2["ChiseledSandstone"] = "minecraft:chiseled_sandstone";
  MinecraftBlockTypes2["ChiseledStoneBricks"] = "minecraft:chiseled_stone_bricks";
  MinecraftBlockTypes2["ChiseledTuff"] = "minecraft:chiseled_tuff";
  MinecraftBlockTypes2["ChiseledTuffBricks"] = "minecraft:chiseled_tuff_bricks";
  MinecraftBlockTypes2["ChorusFlower"] = "minecraft:chorus_flower";
  MinecraftBlockTypes2["ChorusPlant"] = "minecraft:chorus_plant";
  MinecraftBlockTypes2["Clay"] = "minecraft:clay";
  MinecraftBlockTypes2["ClientRequestPlaceholderBlock"] = "minecraft:client_request_placeholder_block";
  MinecraftBlockTypes2["CoalBlock"] = "minecraft:coal_block";
  MinecraftBlockTypes2["CoalOre"] = "minecraft:coal_ore";
  MinecraftBlockTypes2["CoarseDirt"] = "minecraft:coarse_dirt";
  MinecraftBlockTypes2["CobbledDeepslate"] = "minecraft:cobbled_deepslate";
  MinecraftBlockTypes2["CobbledDeepslateDoubleSlab"] = "minecraft:cobbled_deepslate_double_slab";
  MinecraftBlockTypes2["CobbledDeepslateSlab"] = "minecraft:cobbled_deepslate_slab";
  MinecraftBlockTypes2["CobbledDeepslateStairs"] = "minecraft:cobbled_deepslate_stairs";
  MinecraftBlockTypes2["CobbledDeepslateWall"] = "minecraft:cobbled_deepslate_wall";
  MinecraftBlockTypes2["Cobblestone"] = "minecraft:cobblestone";
  MinecraftBlockTypes2["CobblestoneDoubleSlab"] = "minecraft:cobblestone_double_slab";
  MinecraftBlockTypes2["CobblestoneSlab"] = "minecraft:cobblestone_slab";
  MinecraftBlockTypes2["CobblestoneWall"] = "minecraft:cobblestone_wall";
  MinecraftBlockTypes2["Cocoa"] = "minecraft:cocoa";
  MinecraftBlockTypes2["ColoredTorchBp"] = "minecraft:colored_torch_bp";
  MinecraftBlockTypes2["ColoredTorchRg"] = "minecraft:colored_torch_rg";
  MinecraftBlockTypes2["CommandBlock"] = "minecraft:command_block";
  MinecraftBlockTypes2["Composter"] = "minecraft:composter";
  MinecraftBlockTypes2["Conduit"] = "minecraft:conduit";
  MinecraftBlockTypes2["CopperBlock"] = "minecraft:copper_block";
  MinecraftBlockTypes2["CopperBulb"] = "minecraft:copper_bulb";
  MinecraftBlockTypes2["CopperDoor"] = "minecraft:copper_door";
  MinecraftBlockTypes2["CopperGrate"] = "minecraft:copper_grate";
  MinecraftBlockTypes2["CopperOre"] = "minecraft:copper_ore";
  MinecraftBlockTypes2["CopperTrapdoor"] = "minecraft:copper_trapdoor";
  MinecraftBlockTypes2["Cornflower"] = "minecraft:cornflower";
  MinecraftBlockTypes2["CrackedDeepslateBricks"] = "minecraft:cracked_deepslate_bricks";
  MinecraftBlockTypes2["CrackedDeepslateTiles"] = "minecraft:cracked_deepslate_tiles";
  MinecraftBlockTypes2["CrackedNetherBricks"] = "minecraft:cracked_nether_bricks";
  MinecraftBlockTypes2["CrackedPolishedBlackstoneBricks"] = "minecraft:cracked_polished_blackstone_bricks";
  MinecraftBlockTypes2["CrackedStoneBricks"] = "minecraft:cracked_stone_bricks";
  MinecraftBlockTypes2["Crafter"] = "minecraft:crafter";
  MinecraftBlockTypes2["CraftingTable"] = "minecraft:crafting_table";
  MinecraftBlockTypes2["CrimsonButton"] = "minecraft:crimson_button";
  MinecraftBlockTypes2["CrimsonDoor"] = "minecraft:crimson_door";
  MinecraftBlockTypes2["CrimsonDoubleSlab"] = "minecraft:crimson_double_slab";
  MinecraftBlockTypes2["CrimsonFence"] = "minecraft:crimson_fence";
  MinecraftBlockTypes2["CrimsonFenceGate"] = "minecraft:crimson_fence_gate";
  MinecraftBlockTypes2["CrimsonFungus"] = "minecraft:crimson_fungus";
  MinecraftBlockTypes2["CrimsonHangingSign"] = "minecraft:crimson_hanging_sign";
  MinecraftBlockTypes2["CrimsonHyphae"] = "minecraft:crimson_hyphae";
  MinecraftBlockTypes2["CrimsonNylium"] = "minecraft:crimson_nylium";
  MinecraftBlockTypes2["CrimsonPlanks"] = "minecraft:crimson_planks";
  MinecraftBlockTypes2["CrimsonPressurePlate"] = "minecraft:crimson_pressure_plate";
  MinecraftBlockTypes2["CrimsonRoots"] = "minecraft:crimson_roots";
  MinecraftBlockTypes2["CrimsonSlab"] = "minecraft:crimson_slab";
  MinecraftBlockTypes2["CrimsonStairs"] = "minecraft:crimson_stairs";
  MinecraftBlockTypes2["CrimsonStandingSign"] = "minecraft:crimson_standing_sign";
  MinecraftBlockTypes2["CrimsonStem"] = "minecraft:crimson_stem";
  MinecraftBlockTypes2["CrimsonTrapdoor"] = "minecraft:crimson_trapdoor";
  MinecraftBlockTypes2["CrimsonWallSign"] = "minecraft:crimson_wall_sign";
  MinecraftBlockTypes2["CryingObsidian"] = "minecraft:crying_obsidian";
  MinecraftBlockTypes2["CutCopper"] = "minecraft:cut_copper";
  MinecraftBlockTypes2["CutCopperSlab"] = "minecraft:cut_copper_slab";
  MinecraftBlockTypes2["CutCopperStairs"] = "minecraft:cut_copper_stairs";
  MinecraftBlockTypes2["CutRedSandstone"] = "minecraft:cut_red_sandstone";
  MinecraftBlockTypes2["CutRedSandstoneDoubleSlab"] = "minecraft:cut_red_sandstone_double_slab";
  MinecraftBlockTypes2["CutRedSandstoneSlab"] = "minecraft:cut_red_sandstone_slab";
  MinecraftBlockTypes2["CutSandstone"] = "minecraft:cut_sandstone";
  MinecraftBlockTypes2["CutSandstoneDoubleSlab"] = "minecraft:cut_sandstone_double_slab";
  MinecraftBlockTypes2["CutSandstoneSlab"] = "minecraft:cut_sandstone_slab";
  MinecraftBlockTypes2["CyanCandle"] = "minecraft:cyan_candle";
  MinecraftBlockTypes2["CyanCandleCake"] = "minecraft:cyan_candle_cake";
  MinecraftBlockTypes2["CyanCarpet"] = "minecraft:cyan_carpet";
  MinecraftBlockTypes2["CyanConcrete"] = "minecraft:cyan_concrete";
  MinecraftBlockTypes2["CyanConcretePowder"] = "minecraft:cyan_concrete_powder";
  MinecraftBlockTypes2["CyanGlazedTerracotta"] = "minecraft:cyan_glazed_terracotta";
  MinecraftBlockTypes2["CyanShulkerBox"] = "minecraft:cyan_shulker_box";
  MinecraftBlockTypes2["CyanStainedGlass"] = "minecraft:cyan_stained_glass";
  MinecraftBlockTypes2["CyanStainedGlassPane"] = "minecraft:cyan_stained_glass_pane";
  MinecraftBlockTypes2["CyanTerracotta"] = "minecraft:cyan_terracotta";
  MinecraftBlockTypes2["CyanWool"] = "minecraft:cyan_wool";
  MinecraftBlockTypes2["DamagedAnvil"] = "minecraft:damaged_anvil";
  MinecraftBlockTypes2["Dandelion"] = "minecraft:dandelion";
  MinecraftBlockTypes2["DarkOakButton"] = "minecraft:dark_oak_button";
  MinecraftBlockTypes2["DarkOakDoor"] = "minecraft:dark_oak_door";
  MinecraftBlockTypes2["DarkOakDoubleSlab"] = "minecraft:dark_oak_double_slab";
  MinecraftBlockTypes2["DarkOakFence"] = "minecraft:dark_oak_fence";
  MinecraftBlockTypes2["DarkOakFenceGate"] = "minecraft:dark_oak_fence_gate";
  MinecraftBlockTypes2["DarkOakHangingSign"] = "minecraft:dark_oak_hanging_sign";
  MinecraftBlockTypes2["DarkOakLeaves"] = "minecraft:dark_oak_leaves";
  MinecraftBlockTypes2["DarkOakLog"] = "minecraft:dark_oak_log";
  MinecraftBlockTypes2["DarkOakPlanks"] = "minecraft:dark_oak_planks";
  MinecraftBlockTypes2["DarkOakPressurePlate"] = "minecraft:dark_oak_pressure_plate";
  MinecraftBlockTypes2["DarkOakSapling"] = "minecraft:dark_oak_sapling";
  MinecraftBlockTypes2["DarkOakSlab"] = "minecraft:dark_oak_slab";
  MinecraftBlockTypes2["DarkOakStairs"] = "minecraft:dark_oak_stairs";
  MinecraftBlockTypes2["DarkOakTrapdoor"] = "minecraft:dark_oak_trapdoor";
  MinecraftBlockTypes2["DarkOakWood"] = "minecraft:dark_oak_wood";
  MinecraftBlockTypes2["DarkPrismarine"] = "minecraft:dark_prismarine";
  MinecraftBlockTypes2["DarkPrismarineDoubleSlab"] = "minecraft:dark_prismarine_double_slab";
  MinecraftBlockTypes2["DarkPrismarineSlab"] = "minecraft:dark_prismarine_slab";
  MinecraftBlockTypes2["DarkPrismarineStairs"] = "minecraft:dark_prismarine_stairs";
  MinecraftBlockTypes2["DarkoakStandingSign"] = "minecraft:darkoak_standing_sign";
  MinecraftBlockTypes2["DarkoakWallSign"] = "minecraft:darkoak_wall_sign";
  MinecraftBlockTypes2["DaylightDetector"] = "minecraft:daylight_detector";
  MinecraftBlockTypes2["DaylightDetectorInverted"] = "minecraft:daylight_detector_inverted";
  MinecraftBlockTypes2["DeadBrainCoral"] = "minecraft:dead_brain_coral";
  MinecraftBlockTypes2["DeadBrainCoralBlock"] = "minecraft:dead_brain_coral_block";
  MinecraftBlockTypes2["DeadBrainCoralFan"] = "minecraft:dead_brain_coral_fan";
  MinecraftBlockTypes2["DeadBrainCoralWallFan"] = "minecraft:dead_brain_coral_wall_fan";
  MinecraftBlockTypes2["DeadBubbleCoral"] = "minecraft:dead_bubble_coral";
  MinecraftBlockTypes2["DeadBubbleCoralBlock"] = "minecraft:dead_bubble_coral_block";
  MinecraftBlockTypes2["DeadBubbleCoralFan"] = "minecraft:dead_bubble_coral_fan";
  MinecraftBlockTypes2["DeadBubbleCoralWallFan"] = "minecraft:dead_bubble_coral_wall_fan";
  MinecraftBlockTypes2["DeadFireCoral"] = "minecraft:dead_fire_coral";
  MinecraftBlockTypes2["DeadFireCoralBlock"] = "minecraft:dead_fire_coral_block";
  MinecraftBlockTypes2["DeadFireCoralFan"] = "minecraft:dead_fire_coral_fan";
  MinecraftBlockTypes2["DeadFireCoralWallFan"] = "minecraft:dead_fire_coral_wall_fan";
  MinecraftBlockTypes2["DeadHornCoral"] = "minecraft:dead_horn_coral";
  MinecraftBlockTypes2["DeadHornCoralBlock"] = "minecraft:dead_horn_coral_block";
  MinecraftBlockTypes2["DeadHornCoralFan"] = "minecraft:dead_horn_coral_fan";
  MinecraftBlockTypes2["DeadHornCoralWallFan"] = "minecraft:dead_horn_coral_wall_fan";
  MinecraftBlockTypes2["DeadTubeCoral"] = "minecraft:dead_tube_coral";
  MinecraftBlockTypes2["DeadTubeCoralBlock"] = "minecraft:dead_tube_coral_block";
  MinecraftBlockTypes2["DeadTubeCoralFan"] = "minecraft:dead_tube_coral_fan";
  MinecraftBlockTypes2["DeadTubeCoralWallFan"] = "minecraft:dead_tube_coral_wall_fan";
  MinecraftBlockTypes2["Deadbush"] = "minecraft:deadbush";
  MinecraftBlockTypes2["DecoratedPot"] = "minecraft:decorated_pot";
  MinecraftBlockTypes2["Deepslate"] = "minecraft:deepslate";
  MinecraftBlockTypes2["DeepslateBrickDoubleSlab"] = "minecraft:deepslate_brick_double_slab";
  MinecraftBlockTypes2["DeepslateBrickSlab"] = "minecraft:deepslate_brick_slab";
  MinecraftBlockTypes2["DeepslateBrickStairs"] = "minecraft:deepslate_brick_stairs";
  MinecraftBlockTypes2["DeepslateBrickWall"] = "minecraft:deepslate_brick_wall";
  MinecraftBlockTypes2["DeepslateBricks"] = "minecraft:deepslate_bricks";
  MinecraftBlockTypes2["DeepslateCoalOre"] = "minecraft:deepslate_coal_ore";
  MinecraftBlockTypes2["DeepslateCopperOre"] = "minecraft:deepslate_copper_ore";
  MinecraftBlockTypes2["DeepslateDiamondOre"] = "minecraft:deepslate_diamond_ore";
  MinecraftBlockTypes2["DeepslateEmeraldOre"] = "minecraft:deepslate_emerald_ore";
  MinecraftBlockTypes2["DeepslateGoldOre"] = "minecraft:deepslate_gold_ore";
  MinecraftBlockTypes2["DeepslateIronOre"] = "minecraft:deepslate_iron_ore";
  MinecraftBlockTypes2["DeepslateLapisOre"] = "minecraft:deepslate_lapis_ore";
  MinecraftBlockTypes2["DeepslateRedstoneOre"] = "minecraft:deepslate_redstone_ore";
  MinecraftBlockTypes2["DeepslateTileDoubleSlab"] = "minecraft:deepslate_tile_double_slab";
  MinecraftBlockTypes2["DeepslateTileSlab"] = "minecraft:deepslate_tile_slab";
  MinecraftBlockTypes2["DeepslateTileStairs"] = "minecraft:deepslate_tile_stairs";
  MinecraftBlockTypes2["DeepslateTileWall"] = "minecraft:deepslate_tile_wall";
  MinecraftBlockTypes2["DeepslateTiles"] = "minecraft:deepslate_tiles";
  MinecraftBlockTypes2["Deny"] = "minecraft:deny";
  MinecraftBlockTypes2["DeprecatedAnvil"] = "minecraft:deprecated_anvil";
  MinecraftBlockTypes2["DetectorRail"] = "minecraft:detector_rail";
  MinecraftBlockTypes2["DiamondBlock"] = "minecraft:diamond_block";
  MinecraftBlockTypes2["DiamondOre"] = "minecraft:diamond_ore";
  MinecraftBlockTypes2["Diorite"] = "minecraft:diorite";
  MinecraftBlockTypes2["DioriteDoubleSlab"] = "minecraft:diorite_double_slab";
  MinecraftBlockTypes2["DioriteSlab"] = "minecraft:diorite_slab";
  MinecraftBlockTypes2["DioriteStairs"] = "minecraft:diorite_stairs";
  MinecraftBlockTypes2["Dirt"] = "minecraft:dirt";
  MinecraftBlockTypes2["DirtWithRoots"] = "minecraft:dirt_with_roots";
  MinecraftBlockTypes2["Dispenser"] = "minecraft:dispenser";
  MinecraftBlockTypes2["DoubleCutCopperSlab"] = "minecraft:double_cut_copper_slab";
  MinecraftBlockTypes2["DragonEgg"] = "minecraft:dragon_egg";
  MinecraftBlockTypes2["DriedKelpBlock"] = "minecraft:dried_kelp_block";
  MinecraftBlockTypes2["DripstoneBlock"] = "minecraft:dripstone_block";
  MinecraftBlockTypes2["Dropper"] = "minecraft:dropper";
  MinecraftBlockTypes2["Element0"] = "minecraft:element_0";
  MinecraftBlockTypes2["Element1"] = "minecraft:element_1";
  MinecraftBlockTypes2["Element10"] = "minecraft:element_10";
  MinecraftBlockTypes2["Element100"] = "minecraft:element_100";
  MinecraftBlockTypes2["Element101"] = "minecraft:element_101";
  MinecraftBlockTypes2["Element102"] = "minecraft:element_102";
  MinecraftBlockTypes2["Element103"] = "minecraft:element_103";
  MinecraftBlockTypes2["Element104"] = "minecraft:element_104";
  MinecraftBlockTypes2["Element105"] = "minecraft:element_105";
  MinecraftBlockTypes2["Element106"] = "minecraft:element_106";
  MinecraftBlockTypes2["Element107"] = "minecraft:element_107";
  MinecraftBlockTypes2["Element108"] = "minecraft:element_108";
  MinecraftBlockTypes2["Element109"] = "minecraft:element_109";
  MinecraftBlockTypes2["Element11"] = "minecraft:element_11";
  MinecraftBlockTypes2["Element110"] = "minecraft:element_110";
  MinecraftBlockTypes2["Element111"] = "minecraft:element_111";
  MinecraftBlockTypes2["Element112"] = "minecraft:element_112";
  MinecraftBlockTypes2["Element113"] = "minecraft:element_113";
  MinecraftBlockTypes2["Element114"] = "minecraft:element_114";
  MinecraftBlockTypes2["Element115"] = "minecraft:element_115";
  MinecraftBlockTypes2["Element116"] = "minecraft:element_116";
  MinecraftBlockTypes2["Element117"] = "minecraft:element_117";
  MinecraftBlockTypes2["Element118"] = "minecraft:element_118";
  MinecraftBlockTypes2["Element12"] = "minecraft:element_12";
  MinecraftBlockTypes2["Element13"] = "minecraft:element_13";
  MinecraftBlockTypes2["Element14"] = "minecraft:element_14";
  MinecraftBlockTypes2["Element15"] = "minecraft:element_15";
  MinecraftBlockTypes2["Element16"] = "minecraft:element_16";
  MinecraftBlockTypes2["Element17"] = "minecraft:element_17";
  MinecraftBlockTypes2["Element18"] = "minecraft:element_18";
  MinecraftBlockTypes2["Element19"] = "minecraft:element_19";
  MinecraftBlockTypes2["Element2"] = "minecraft:element_2";
  MinecraftBlockTypes2["Element20"] = "minecraft:element_20";
  MinecraftBlockTypes2["Element21"] = "minecraft:element_21";
  MinecraftBlockTypes2["Element22"] = "minecraft:element_22";
  MinecraftBlockTypes2["Element23"] = "minecraft:element_23";
  MinecraftBlockTypes2["Element24"] = "minecraft:element_24";
  MinecraftBlockTypes2["Element25"] = "minecraft:element_25";
  MinecraftBlockTypes2["Element26"] = "minecraft:element_26";
  MinecraftBlockTypes2["Element27"] = "minecraft:element_27";
  MinecraftBlockTypes2["Element28"] = "minecraft:element_28";
  MinecraftBlockTypes2["Element29"] = "minecraft:element_29";
  MinecraftBlockTypes2["Element3"] = "minecraft:element_3";
  MinecraftBlockTypes2["Element30"] = "minecraft:element_30";
  MinecraftBlockTypes2["Element31"] = "minecraft:element_31";
  MinecraftBlockTypes2["Element32"] = "minecraft:element_32";
  MinecraftBlockTypes2["Element33"] = "minecraft:element_33";
  MinecraftBlockTypes2["Element34"] = "minecraft:element_34";
  MinecraftBlockTypes2["Element35"] = "minecraft:element_35";
  MinecraftBlockTypes2["Element36"] = "minecraft:element_36";
  MinecraftBlockTypes2["Element37"] = "minecraft:element_37";
  MinecraftBlockTypes2["Element38"] = "minecraft:element_38";
  MinecraftBlockTypes2["Element39"] = "minecraft:element_39";
  MinecraftBlockTypes2["Element4"] = "minecraft:element_4";
  MinecraftBlockTypes2["Element40"] = "minecraft:element_40";
  MinecraftBlockTypes2["Element41"] = "minecraft:element_41";
  MinecraftBlockTypes2["Element42"] = "minecraft:element_42";
  MinecraftBlockTypes2["Element43"] = "minecraft:element_43";
  MinecraftBlockTypes2["Element44"] = "minecraft:element_44";
  MinecraftBlockTypes2["Element45"] = "minecraft:element_45";
  MinecraftBlockTypes2["Element46"] = "minecraft:element_46";
  MinecraftBlockTypes2["Element47"] = "minecraft:element_47";
  MinecraftBlockTypes2["Element48"] = "minecraft:element_48";
  MinecraftBlockTypes2["Element49"] = "minecraft:element_49";
  MinecraftBlockTypes2["Element5"] = "minecraft:element_5";
  MinecraftBlockTypes2["Element50"] = "minecraft:element_50";
  MinecraftBlockTypes2["Element51"] = "minecraft:element_51";
  MinecraftBlockTypes2["Element52"] = "minecraft:element_52";
  MinecraftBlockTypes2["Element53"] = "minecraft:element_53";
  MinecraftBlockTypes2["Element54"] = "minecraft:element_54";
  MinecraftBlockTypes2["Element55"] = "minecraft:element_55";
  MinecraftBlockTypes2["Element56"] = "minecraft:element_56";
  MinecraftBlockTypes2["Element57"] = "minecraft:element_57";
  MinecraftBlockTypes2["Element58"] = "minecraft:element_58";
  MinecraftBlockTypes2["Element59"] = "minecraft:element_59";
  MinecraftBlockTypes2["Element6"] = "minecraft:element_6";
  MinecraftBlockTypes2["Element60"] = "minecraft:element_60";
  MinecraftBlockTypes2["Element61"] = "minecraft:element_61";
  MinecraftBlockTypes2["Element62"] = "minecraft:element_62";
  MinecraftBlockTypes2["Element63"] = "minecraft:element_63";
  MinecraftBlockTypes2["Element64"] = "minecraft:element_64";
  MinecraftBlockTypes2["Element65"] = "minecraft:element_65";
  MinecraftBlockTypes2["Element66"] = "minecraft:element_66";
  MinecraftBlockTypes2["Element67"] = "minecraft:element_67";
  MinecraftBlockTypes2["Element68"] = "minecraft:element_68";
  MinecraftBlockTypes2["Element69"] = "minecraft:element_69";
  MinecraftBlockTypes2["Element7"] = "minecraft:element_7";
  MinecraftBlockTypes2["Element70"] = "minecraft:element_70";
  MinecraftBlockTypes2["Element71"] = "minecraft:element_71";
  MinecraftBlockTypes2["Element72"] = "minecraft:element_72";
  MinecraftBlockTypes2["Element73"] = "minecraft:element_73";
  MinecraftBlockTypes2["Element74"] = "minecraft:element_74";
  MinecraftBlockTypes2["Element75"] = "minecraft:element_75";
  MinecraftBlockTypes2["Element76"] = "minecraft:element_76";
  MinecraftBlockTypes2["Element77"] = "minecraft:element_77";
  MinecraftBlockTypes2["Element78"] = "minecraft:element_78";
  MinecraftBlockTypes2["Element79"] = "minecraft:element_79";
  MinecraftBlockTypes2["Element8"] = "minecraft:element_8";
  MinecraftBlockTypes2["Element80"] = "minecraft:element_80";
  MinecraftBlockTypes2["Element81"] = "minecraft:element_81";
  MinecraftBlockTypes2["Element82"] = "minecraft:element_82";
  MinecraftBlockTypes2["Element83"] = "minecraft:element_83";
  MinecraftBlockTypes2["Element84"] = "minecraft:element_84";
  MinecraftBlockTypes2["Element85"] = "minecraft:element_85";
  MinecraftBlockTypes2["Element86"] = "minecraft:element_86";
  MinecraftBlockTypes2["Element87"] = "minecraft:element_87";
  MinecraftBlockTypes2["Element88"] = "minecraft:element_88";
  MinecraftBlockTypes2["Element89"] = "minecraft:element_89";
  MinecraftBlockTypes2["Element9"] = "minecraft:element_9";
  MinecraftBlockTypes2["Element90"] = "minecraft:element_90";
  MinecraftBlockTypes2["Element91"] = "minecraft:element_91";
  MinecraftBlockTypes2["Element92"] = "minecraft:element_92";
  MinecraftBlockTypes2["Element93"] = "minecraft:element_93";
  MinecraftBlockTypes2["Element94"] = "minecraft:element_94";
  MinecraftBlockTypes2["Element95"] = "minecraft:element_95";
  MinecraftBlockTypes2["Element96"] = "minecraft:element_96";
  MinecraftBlockTypes2["Element97"] = "minecraft:element_97";
  MinecraftBlockTypes2["Element98"] = "minecraft:element_98";
  MinecraftBlockTypes2["Element99"] = "minecraft:element_99";
  MinecraftBlockTypes2["EmeraldBlock"] = "minecraft:emerald_block";
  MinecraftBlockTypes2["EmeraldOre"] = "minecraft:emerald_ore";
  MinecraftBlockTypes2["EnchantingTable"] = "minecraft:enchanting_table";
  MinecraftBlockTypes2["EndBrickStairs"] = "minecraft:end_brick_stairs";
  MinecraftBlockTypes2["EndBricks"] = "minecraft:end_bricks";
  MinecraftBlockTypes2["EndGateway"] = "minecraft:end_gateway";
  MinecraftBlockTypes2["EndPortal"] = "minecraft:end_portal";
  MinecraftBlockTypes2["EndPortalFrame"] = "minecraft:end_portal_frame";
  MinecraftBlockTypes2["EndRod"] = "minecraft:end_rod";
  MinecraftBlockTypes2["EndStone"] = "minecraft:end_stone";
  MinecraftBlockTypes2["EndStoneBrickDoubleSlab"] = "minecraft:end_stone_brick_double_slab";
  MinecraftBlockTypes2["EndStoneBrickSlab"] = "minecraft:end_stone_brick_slab";
  MinecraftBlockTypes2["EnderChest"] = "minecraft:ender_chest";
  MinecraftBlockTypes2["ExposedChiseledCopper"] = "minecraft:exposed_chiseled_copper";
  MinecraftBlockTypes2["ExposedCopper"] = "minecraft:exposed_copper";
  MinecraftBlockTypes2["ExposedCopperBulb"] = "minecraft:exposed_copper_bulb";
  MinecraftBlockTypes2["ExposedCopperDoor"] = "minecraft:exposed_copper_door";
  MinecraftBlockTypes2["ExposedCopperGrate"] = "minecraft:exposed_copper_grate";
  MinecraftBlockTypes2["ExposedCopperTrapdoor"] = "minecraft:exposed_copper_trapdoor";
  MinecraftBlockTypes2["ExposedCutCopper"] = "minecraft:exposed_cut_copper";
  MinecraftBlockTypes2["ExposedCutCopperSlab"] = "minecraft:exposed_cut_copper_slab";
  MinecraftBlockTypes2["ExposedCutCopperStairs"] = "minecraft:exposed_cut_copper_stairs";
  MinecraftBlockTypes2["ExposedDoubleCutCopperSlab"] = "minecraft:exposed_double_cut_copper_slab";
  MinecraftBlockTypes2["Farmland"] = "minecraft:farmland";
  MinecraftBlockTypes2["FenceGate"] = "minecraft:fence_gate";
  MinecraftBlockTypes2["Fern"] = "minecraft:fern";
  MinecraftBlockTypes2["Fire"] = "minecraft:fire";
  MinecraftBlockTypes2["FireCoral"] = "minecraft:fire_coral";
  MinecraftBlockTypes2["FireCoralBlock"] = "minecraft:fire_coral_block";
  MinecraftBlockTypes2["FireCoralFan"] = "minecraft:fire_coral_fan";
  MinecraftBlockTypes2["FireCoralWallFan"] = "minecraft:fire_coral_wall_fan";
  MinecraftBlockTypes2["FletchingTable"] = "minecraft:fletching_table";
  MinecraftBlockTypes2["FlowerPot"] = "minecraft:flower_pot";
  MinecraftBlockTypes2["FloweringAzalea"] = "minecraft:flowering_azalea";
  MinecraftBlockTypes2["FlowingLava"] = "minecraft:flowing_lava";
  MinecraftBlockTypes2["FlowingWater"] = "minecraft:flowing_water";
  MinecraftBlockTypes2["Frame"] = "minecraft:frame";
  MinecraftBlockTypes2["FrogSpawn"] = "minecraft:frog_spawn";
  MinecraftBlockTypes2["FrostedIce"] = "minecraft:frosted_ice";
  MinecraftBlockTypes2["Furnace"] = "minecraft:furnace";
  MinecraftBlockTypes2["GildedBlackstone"] = "minecraft:gilded_blackstone";
  MinecraftBlockTypes2["Glass"] = "minecraft:glass";
  MinecraftBlockTypes2["GlassPane"] = "minecraft:glass_pane";
  MinecraftBlockTypes2["GlowFrame"] = "minecraft:glow_frame";
  MinecraftBlockTypes2["GlowLichen"] = "minecraft:glow_lichen";
  MinecraftBlockTypes2["Glowingobsidian"] = "minecraft:glowingobsidian";
  MinecraftBlockTypes2["Glowstone"] = "minecraft:glowstone";
  MinecraftBlockTypes2["GoldBlock"] = "minecraft:gold_block";
  MinecraftBlockTypes2["GoldOre"] = "minecraft:gold_ore";
  MinecraftBlockTypes2["GoldenRail"] = "minecraft:golden_rail";
  MinecraftBlockTypes2["Granite"] = "minecraft:granite";
  MinecraftBlockTypes2["GraniteDoubleSlab"] = "minecraft:granite_double_slab";
  MinecraftBlockTypes2["GraniteSlab"] = "minecraft:granite_slab";
  MinecraftBlockTypes2["GraniteStairs"] = "minecraft:granite_stairs";
  MinecraftBlockTypes2["GrassBlock"] = "minecraft:grass_block";
  MinecraftBlockTypes2["GrassPath"] = "minecraft:grass_path";
  MinecraftBlockTypes2["Gravel"] = "minecraft:gravel";
  MinecraftBlockTypes2["GrayCandle"] = "minecraft:gray_candle";
  MinecraftBlockTypes2["GrayCandleCake"] = "minecraft:gray_candle_cake";
  MinecraftBlockTypes2["GrayCarpet"] = "minecraft:gray_carpet";
  MinecraftBlockTypes2["GrayConcrete"] = "minecraft:gray_concrete";
  MinecraftBlockTypes2["GrayConcretePowder"] = "minecraft:gray_concrete_powder";
  MinecraftBlockTypes2["GrayGlazedTerracotta"] = "minecraft:gray_glazed_terracotta";
  MinecraftBlockTypes2["GrayShulkerBox"] = "minecraft:gray_shulker_box";
  MinecraftBlockTypes2["GrayStainedGlass"] = "minecraft:gray_stained_glass";
  MinecraftBlockTypes2["GrayStainedGlassPane"] = "minecraft:gray_stained_glass_pane";
  MinecraftBlockTypes2["GrayTerracotta"] = "minecraft:gray_terracotta";
  MinecraftBlockTypes2["GrayWool"] = "minecraft:gray_wool";
  MinecraftBlockTypes2["GreenCandle"] = "minecraft:green_candle";
  MinecraftBlockTypes2["GreenCandleCake"] = "minecraft:green_candle_cake";
  MinecraftBlockTypes2["GreenCarpet"] = "minecraft:green_carpet";
  MinecraftBlockTypes2["GreenConcrete"] = "minecraft:green_concrete";
  MinecraftBlockTypes2["GreenConcretePowder"] = "minecraft:green_concrete_powder";
  MinecraftBlockTypes2["GreenGlazedTerracotta"] = "minecraft:green_glazed_terracotta";
  MinecraftBlockTypes2["GreenShulkerBox"] = "minecraft:green_shulker_box";
  MinecraftBlockTypes2["GreenStainedGlass"] = "minecraft:green_stained_glass";
  MinecraftBlockTypes2["GreenStainedGlassPane"] = "minecraft:green_stained_glass_pane";
  MinecraftBlockTypes2["GreenTerracotta"] = "minecraft:green_terracotta";
  MinecraftBlockTypes2["GreenWool"] = "minecraft:green_wool";
  MinecraftBlockTypes2["Grindstone"] = "minecraft:grindstone";
  MinecraftBlockTypes2["HangingRoots"] = "minecraft:hanging_roots";
  MinecraftBlockTypes2["HardBlackStainedGlass"] = "minecraft:hard_black_stained_glass";
  MinecraftBlockTypes2["HardBlackStainedGlassPane"] = "minecraft:hard_black_stained_glass_pane";
  MinecraftBlockTypes2["HardBlueStainedGlass"] = "minecraft:hard_blue_stained_glass";
  MinecraftBlockTypes2["HardBlueStainedGlassPane"] = "minecraft:hard_blue_stained_glass_pane";
  MinecraftBlockTypes2["HardBrownStainedGlass"] = "minecraft:hard_brown_stained_glass";
  MinecraftBlockTypes2["HardBrownStainedGlassPane"] = "minecraft:hard_brown_stained_glass_pane";
  MinecraftBlockTypes2["HardCyanStainedGlass"] = "minecraft:hard_cyan_stained_glass";
  MinecraftBlockTypes2["HardCyanStainedGlassPane"] = "minecraft:hard_cyan_stained_glass_pane";
  MinecraftBlockTypes2["HardGlass"] = "minecraft:hard_glass";
  MinecraftBlockTypes2["HardGlassPane"] = "minecraft:hard_glass_pane";
  MinecraftBlockTypes2["HardGrayStainedGlass"] = "minecraft:hard_gray_stained_glass";
  MinecraftBlockTypes2["HardGrayStainedGlassPane"] = "minecraft:hard_gray_stained_glass_pane";
  MinecraftBlockTypes2["HardGreenStainedGlass"] = "minecraft:hard_green_stained_glass";
  MinecraftBlockTypes2["HardGreenStainedGlassPane"] = "minecraft:hard_green_stained_glass_pane";
  MinecraftBlockTypes2["HardLightBlueStainedGlass"] = "minecraft:hard_light_blue_stained_glass";
  MinecraftBlockTypes2["HardLightBlueStainedGlassPane"] = "minecraft:hard_light_blue_stained_glass_pane";
  MinecraftBlockTypes2["HardLightGrayStainedGlass"] = "minecraft:hard_light_gray_stained_glass";
  MinecraftBlockTypes2["HardLightGrayStainedGlassPane"] = "minecraft:hard_light_gray_stained_glass_pane";
  MinecraftBlockTypes2["HardLimeStainedGlass"] = "minecraft:hard_lime_stained_glass";
  MinecraftBlockTypes2["HardLimeStainedGlassPane"] = "minecraft:hard_lime_stained_glass_pane";
  MinecraftBlockTypes2["HardMagentaStainedGlass"] = "minecraft:hard_magenta_stained_glass";
  MinecraftBlockTypes2["HardMagentaStainedGlassPane"] = "minecraft:hard_magenta_stained_glass_pane";
  MinecraftBlockTypes2["HardOrangeStainedGlass"] = "minecraft:hard_orange_stained_glass";
  MinecraftBlockTypes2["HardOrangeStainedGlassPane"] = "minecraft:hard_orange_stained_glass_pane";
  MinecraftBlockTypes2["HardPinkStainedGlass"] = "minecraft:hard_pink_stained_glass";
  MinecraftBlockTypes2["HardPinkStainedGlassPane"] = "minecraft:hard_pink_stained_glass_pane";
  MinecraftBlockTypes2["HardPurpleStainedGlass"] = "minecraft:hard_purple_stained_glass";
  MinecraftBlockTypes2["HardPurpleStainedGlassPane"] = "minecraft:hard_purple_stained_glass_pane";
  MinecraftBlockTypes2["HardRedStainedGlass"] = "minecraft:hard_red_stained_glass";
  MinecraftBlockTypes2["HardRedStainedGlassPane"] = "minecraft:hard_red_stained_glass_pane";
  MinecraftBlockTypes2["HardWhiteStainedGlass"] = "minecraft:hard_white_stained_glass";
  MinecraftBlockTypes2["HardWhiteStainedGlassPane"] = "minecraft:hard_white_stained_glass_pane";
  MinecraftBlockTypes2["HardYellowStainedGlass"] = "minecraft:hard_yellow_stained_glass";
  MinecraftBlockTypes2["HardYellowStainedGlassPane"] = "minecraft:hard_yellow_stained_glass_pane";
  MinecraftBlockTypes2["HardenedClay"] = "minecraft:hardened_clay";
  MinecraftBlockTypes2["HayBlock"] = "minecraft:hay_block";
  MinecraftBlockTypes2["HeavyCore"] = "minecraft:heavy_core";
  MinecraftBlockTypes2["HeavyWeightedPressurePlate"] = "minecraft:heavy_weighted_pressure_plate";
  MinecraftBlockTypes2["HoneyBlock"] = "minecraft:honey_block";
  MinecraftBlockTypes2["HoneycombBlock"] = "minecraft:honeycomb_block";
  MinecraftBlockTypes2["Hopper"] = "minecraft:hopper";
  MinecraftBlockTypes2["HornCoral"] = "minecraft:horn_coral";
  MinecraftBlockTypes2["HornCoralBlock"] = "minecraft:horn_coral_block";
  MinecraftBlockTypes2["HornCoralFan"] = "minecraft:horn_coral_fan";
  MinecraftBlockTypes2["HornCoralWallFan"] = "minecraft:horn_coral_wall_fan";
  MinecraftBlockTypes2["Ice"] = "minecraft:ice";
  MinecraftBlockTypes2["InfestedChiseledStoneBricks"] = "minecraft:infested_chiseled_stone_bricks";
  MinecraftBlockTypes2["InfestedCobblestone"] = "minecraft:infested_cobblestone";
  MinecraftBlockTypes2["InfestedCrackedStoneBricks"] = "minecraft:infested_cracked_stone_bricks";
  MinecraftBlockTypes2["InfestedDeepslate"] = "minecraft:infested_deepslate";
  MinecraftBlockTypes2["InfestedMossyStoneBricks"] = "minecraft:infested_mossy_stone_bricks";
  MinecraftBlockTypes2["InfestedStone"] = "minecraft:infested_stone";
  MinecraftBlockTypes2["InfestedStoneBricks"] = "minecraft:infested_stone_bricks";
  MinecraftBlockTypes2["InfoUpdate"] = "minecraft:info_update";
  MinecraftBlockTypes2["InfoUpdate2"] = "minecraft:info_update2";
  MinecraftBlockTypes2["InvisibleBedrock"] = "minecraft:invisible_bedrock";
  MinecraftBlockTypes2["IronBars"] = "minecraft:iron_bars";
  MinecraftBlockTypes2["IronBlock"] = "minecraft:iron_block";
  MinecraftBlockTypes2["IronDoor"] = "minecraft:iron_door";
  MinecraftBlockTypes2["IronOre"] = "minecraft:iron_ore";
  MinecraftBlockTypes2["IronTrapdoor"] = "minecraft:iron_trapdoor";
  MinecraftBlockTypes2["Jigsaw"] = "minecraft:jigsaw";
  MinecraftBlockTypes2["Jukebox"] = "minecraft:jukebox";
  MinecraftBlockTypes2["JungleButton"] = "minecraft:jungle_button";
  MinecraftBlockTypes2["JungleDoor"] = "minecraft:jungle_door";
  MinecraftBlockTypes2["JungleDoubleSlab"] = "minecraft:jungle_double_slab";
  MinecraftBlockTypes2["JungleFence"] = "minecraft:jungle_fence";
  MinecraftBlockTypes2["JungleFenceGate"] = "minecraft:jungle_fence_gate";
  MinecraftBlockTypes2["JungleHangingSign"] = "minecraft:jungle_hanging_sign";
  MinecraftBlockTypes2["JungleLeaves"] = "minecraft:jungle_leaves";
  MinecraftBlockTypes2["JungleLog"] = "minecraft:jungle_log";
  MinecraftBlockTypes2["JunglePlanks"] = "minecraft:jungle_planks";
  MinecraftBlockTypes2["JunglePressurePlate"] = "minecraft:jungle_pressure_plate";
  MinecraftBlockTypes2["JungleSapling"] = "minecraft:jungle_sapling";
  MinecraftBlockTypes2["JungleSlab"] = "minecraft:jungle_slab";
  MinecraftBlockTypes2["JungleStairs"] = "minecraft:jungle_stairs";
  MinecraftBlockTypes2["JungleStandingSign"] = "minecraft:jungle_standing_sign";
  MinecraftBlockTypes2["JungleTrapdoor"] = "minecraft:jungle_trapdoor";
  MinecraftBlockTypes2["JungleWallSign"] = "minecraft:jungle_wall_sign";
  MinecraftBlockTypes2["JungleWood"] = "minecraft:jungle_wood";
  MinecraftBlockTypes2["Kelp"] = "minecraft:kelp";
  MinecraftBlockTypes2["Ladder"] = "minecraft:ladder";
  MinecraftBlockTypes2["Lantern"] = "minecraft:lantern";
  MinecraftBlockTypes2["LapisBlock"] = "minecraft:lapis_block";
  MinecraftBlockTypes2["LapisOre"] = "minecraft:lapis_ore";
  MinecraftBlockTypes2["LargeAmethystBud"] = "minecraft:large_amethyst_bud";
  MinecraftBlockTypes2["LargeFern"] = "minecraft:large_fern";
  MinecraftBlockTypes2["Lava"] = "minecraft:lava";
  MinecraftBlockTypes2["Lectern"] = "minecraft:lectern";
  MinecraftBlockTypes2["Lever"] = "minecraft:lever";
  MinecraftBlockTypes2["LightBlock0"] = "minecraft:light_block_0";
  MinecraftBlockTypes2["LightBlock1"] = "minecraft:light_block_1";
  MinecraftBlockTypes2["LightBlock10"] = "minecraft:light_block_10";
  MinecraftBlockTypes2["LightBlock11"] = "minecraft:light_block_11";
  MinecraftBlockTypes2["LightBlock12"] = "minecraft:light_block_12";
  MinecraftBlockTypes2["LightBlock13"] = "minecraft:light_block_13";
  MinecraftBlockTypes2["LightBlock14"] = "minecraft:light_block_14";
  MinecraftBlockTypes2["LightBlock15"] = "minecraft:light_block_15";
  MinecraftBlockTypes2["LightBlock2"] = "minecraft:light_block_2";
  MinecraftBlockTypes2["LightBlock3"] = "minecraft:light_block_3";
  MinecraftBlockTypes2["LightBlock4"] = "minecraft:light_block_4";
  MinecraftBlockTypes2["LightBlock5"] = "minecraft:light_block_5";
  MinecraftBlockTypes2["LightBlock6"] = "minecraft:light_block_6";
  MinecraftBlockTypes2["LightBlock7"] = "minecraft:light_block_7";
  MinecraftBlockTypes2["LightBlock8"] = "minecraft:light_block_8";
  MinecraftBlockTypes2["LightBlock9"] = "minecraft:light_block_9";
  MinecraftBlockTypes2["LightBlueCandle"] = "minecraft:light_blue_candle";
  MinecraftBlockTypes2["LightBlueCandleCake"] = "minecraft:light_blue_candle_cake";
  MinecraftBlockTypes2["LightBlueCarpet"] = "minecraft:light_blue_carpet";
  MinecraftBlockTypes2["LightBlueConcrete"] = "minecraft:light_blue_concrete";
  MinecraftBlockTypes2["LightBlueConcretePowder"] = "minecraft:light_blue_concrete_powder";
  MinecraftBlockTypes2["LightBlueGlazedTerracotta"] = "minecraft:light_blue_glazed_terracotta";
  MinecraftBlockTypes2["LightBlueShulkerBox"] = "minecraft:light_blue_shulker_box";
  MinecraftBlockTypes2["LightBlueStainedGlass"] = "minecraft:light_blue_stained_glass";
  MinecraftBlockTypes2["LightBlueStainedGlassPane"] = "minecraft:light_blue_stained_glass_pane";
  MinecraftBlockTypes2["LightBlueTerracotta"] = "minecraft:light_blue_terracotta";
  MinecraftBlockTypes2["LightBlueWool"] = "minecraft:light_blue_wool";
  MinecraftBlockTypes2["LightGrayCandle"] = "minecraft:light_gray_candle";
  MinecraftBlockTypes2["LightGrayCandleCake"] = "minecraft:light_gray_candle_cake";
  MinecraftBlockTypes2["LightGrayCarpet"] = "minecraft:light_gray_carpet";
  MinecraftBlockTypes2["LightGrayConcrete"] = "minecraft:light_gray_concrete";
  MinecraftBlockTypes2["LightGrayConcretePowder"] = "minecraft:light_gray_concrete_powder";
  MinecraftBlockTypes2["LightGrayShulkerBox"] = "minecraft:light_gray_shulker_box";
  MinecraftBlockTypes2["LightGrayStainedGlass"] = "minecraft:light_gray_stained_glass";
  MinecraftBlockTypes2["LightGrayStainedGlassPane"] = "minecraft:light_gray_stained_glass_pane";
  MinecraftBlockTypes2["LightGrayTerracotta"] = "minecraft:light_gray_terracotta";
  MinecraftBlockTypes2["LightGrayWool"] = "minecraft:light_gray_wool";
  MinecraftBlockTypes2["LightWeightedPressurePlate"] = "minecraft:light_weighted_pressure_plate";
  MinecraftBlockTypes2["LightningRod"] = "minecraft:lightning_rod";
  MinecraftBlockTypes2["Lilac"] = "minecraft:lilac";
  MinecraftBlockTypes2["LilyOfTheValley"] = "minecraft:lily_of_the_valley";
  MinecraftBlockTypes2["LimeCandle"] = "minecraft:lime_candle";
  MinecraftBlockTypes2["LimeCandleCake"] = "minecraft:lime_candle_cake";
  MinecraftBlockTypes2["LimeCarpet"] = "minecraft:lime_carpet";
  MinecraftBlockTypes2["LimeConcrete"] = "minecraft:lime_concrete";
  MinecraftBlockTypes2["LimeConcretePowder"] = "minecraft:lime_concrete_powder";
  MinecraftBlockTypes2["LimeGlazedTerracotta"] = "minecraft:lime_glazed_terracotta";
  MinecraftBlockTypes2["LimeShulkerBox"] = "minecraft:lime_shulker_box";
  MinecraftBlockTypes2["LimeStainedGlass"] = "minecraft:lime_stained_glass";
  MinecraftBlockTypes2["LimeStainedGlassPane"] = "minecraft:lime_stained_glass_pane";
  MinecraftBlockTypes2["LimeTerracotta"] = "minecraft:lime_terracotta";
  MinecraftBlockTypes2["LimeWool"] = "minecraft:lime_wool";
  MinecraftBlockTypes2["LitBlastFurnace"] = "minecraft:lit_blast_furnace";
  MinecraftBlockTypes2["LitDeepslateRedstoneOre"] = "minecraft:lit_deepslate_redstone_ore";
  MinecraftBlockTypes2["LitFurnace"] = "minecraft:lit_furnace";
  MinecraftBlockTypes2["LitPumpkin"] = "minecraft:lit_pumpkin";
  MinecraftBlockTypes2["LitRedstoneLamp"] = "minecraft:lit_redstone_lamp";
  MinecraftBlockTypes2["LitRedstoneOre"] = "minecraft:lit_redstone_ore";
  MinecraftBlockTypes2["LitSmoker"] = "minecraft:lit_smoker";
  MinecraftBlockTypes2["Lodestone"] = "minecraft:lodestone";
  MinecraftBlockTypes2["Loom"] = "minecraft:loom";
  MinecraftBlockTypes2["MagentaCandle"] = "minecraft:magenta_candle";
  MinecraftBlockTypes2["MagentaCandleCake"] = "minecraft:magenta_candle_cake";
  MinecraftBlockTypes2["MagentaCarpet"] = "minecraft:magenta_carpet";
  MinecraftBlockTypes2["MagentaConcrete"] = "minecraft:magenta_concrete";
  MinecraftBlockTypes2["MagentaConcretePowder"] = "minecraft:magenta_concrete_powder";
  MinecraftBlockTypes2["MagentaGlazedTerracotta"] = "minecraft:magenta_glazed_terracotta";
  MinecraftBlockTypes2["MagentaShulkerBox"] = "minecraft:magenta_shulker_box";
  MinecraftBlockTypes2["MagentaStainedGlass"] = "minecraft:magenta_stained_glass";
  MinecraftBlockTypes2["MagentaStainedGlassPane"] = "minecraft:magenta_stained_glass_pane";
  MinecraftBlockTypes2["MagentaTerracotta"] = "minecraft:magenta_terracotta";
  MinecraftBlockTypes2["MagentaWool"] = "minecraft:magenta_wool";
  MinecraftBlockTypes2["Magma"] = "minecraft:magma";
  MinecraftBlockTypes2["MangroveButton"] = "minecraft:mangrove_button";
  MinecraftBlockTypes2["MangroveDoor"] = "minecraft:mangrove_door";
  MinecraftBlockTypes2["MangroveDoubleSlab"] = "minecraft:mangrove_double_slab";
  MinecraftBlockTypes2["MangroveFence"] = "minecraft:mangrove_fence";
  MinecraftBlockTypes2["MangroveFenceGate"] = "minecraft:mangrove_fence_gate";
  MinecraftBlockTypes2["MangroveHangingSign"] = "minecraft:mangrove_hanging_sign";
  MinecraftBlockTypes2["MangroveLeaves"] = "minecraft:mangrove_leaves";
  MinecraftBlockTypes2["MangroveLog"] = "minecraft:mangrove_log";
  MinecraftBlockTypes2["MangrovePlanks"] = "minecraft:mangrove_planks";
  MinecraftBlockTypes2["MangrovePressurePlate"] = "minecraft:mangrove_pressure_plate";
  MinecraftBlockTypes2["MangrovePropagule"] = "minecraft:mangrove_propagule";
  MinecraftBlockTypes2["MangroveRoots"] = "minecraft:mangrove_roots";
  MinecraftBlockTypes2["MangroveSlab"] = "minecraft:mangrove_slab";
  MinecraftBlockTypes2["MangroveStairs"] = "minecraft:mangrove_stairs";
  MinecraftBlockTypes2["MangroveStandingSign"] = "minecraft:mangrove_standing_sign";
  MinecraftBlockTypes2["MangroveTrapdoor"] = "minecraft:mangrove_trapdoor";
  MinecraftBlockTypes2["MangroveWallSign"] = "minecraft:mangrove_wall_sign";
  MinecraftBlockTypes2["MangroveWood"] = "minecraft:mangrove_wood";
  MinecraftBlockTypes2["MediumAmethystBud"] = "minecraft:medium_amethyst_bud";
  MinecraftBlockTypes2["MelonBlock"] = "minecraft:melon_block";
  MinecraftBlockTypes2["MelonStem"] = "minecraft:melon_stem";
  MinecraftBlockTypes2["MobSpawner"] = "minecraft:mob_spawner";
  MinecraftBlockTypes2["MossBlock"] = "minecraft:moss_block";
  MinecraftBlockTypes2["MossCarpet"] = "minecraft:moss_carpet";
  MinecraftBlockTypes2["MossyCobblestone"] = "minecraft:mossy_cobblestone";
  MinecraftBlockTypes2["MossyCobblestoneDoubleSlab"] = "minecraft:mossy_cobblestone_double_slab";
  MinecraftBlockTypes2["MossyCobblestoneSlab"] = "minecraft:mossy_cobblestone_slab";
  MinecraftBlockTypes2["MossyCobblestoneStairs"] = "minecraft:mossy_cobblestone_stairs";
  MinecraftBlockTypes2["MossyStoneBrickDoubleSlab"] = "minecraft:mossy_stone_brick_double_slab";
  MinecraftBlockTypes2["MossyStoneBrickSlab"] = "minecraft:mossy_stone_brick_slab";
  MinecraftBlockTypes2["MossyStoneBrickStairs"] = "minecraft:mossy_stone_brick_stairs";
  MinecraftBlockTypes2["MossyStoneBricks"] = "minecraft:mossy_stone_bricks";
  MinecraftBlockTypes2["MovingBlock"] = "minecraft:moving_block";
  MinecraftBlockTypes2["Mud"] = "minecraft:mud";
  MinecraftBlockTypes2["MudBrickDoubleSlab"] = "minecraft:mud_brick_double_slab";
  MinecraftBlockTypes2["MudBrickSlab"] = "minecraft:mud_brick_slab";
  MinecraftBlockTypes2["MudBrickStairs"] = "minecraft:mud_brick_stairs";
  MinecraftBlockTypes2["MudBrickWall"] = "minecraft:mud_brick_wall";
  MinecraftBlockTypes2["MudBricks"] = "minecraft:mud_bricks";
  MinecraftBlockTypes2["MuddyMangroveRoots"] = "minecraft:muddy_mangrove_roots";
  MinecraftBlockTypes2["Mycelium"] = "minecraft:mycelium";
  MinecraftBlockTypes2["NetherBrick"] = "minecraft:nether_brick";
  MinecraftBlockTypes2["NetherBrickDoubleSlab"] = "minecraft:nether_brick_double_slab";
  MinecraftBlockTypes2["NetherBrickFence"] = "minecraft:nether_brick_fence";
  MinecraftBlockTypes2["NetherBrickSlab"] = "minecraft:nether_brick_slab";
  MinecraftBlockTypes2["NetherBrickStairs"] = "minecraft:nether_brick_stairs";
  MinecraftBlockTypes2["NetherGoldOre"] = "minecraft:nether_gold_ore";
  MinecraftBlockTypes2["NetherSprouts"] = "minecraft:nether_sprouts";
  MinecraftBlockTypes2["NetherWart"] = "minecraft:nether_wart";
  MinecraftBlockTypes2["NetherWartBlock"] = "minecraft:nether_wart_block";
  MinecraftBlockTypes2["NetheriteBlock"] = "minecraft:netherite_block";
  MinecraftBlockTypes2["Netherrack"] = "minecraft:netherrack";
  MinecraftBlockTypes2["Netherreactor"] = "minecraft:netherreactor";
  MinecraftBlockTypes2["NormalStoneDoubleSlab"] = "minecraft:normal_stone_double_slab";
  MinecraftBlockTypes2["NormalStoneSlab"] = "minecraft:normal_stone_slab";
  MinecraftBlockTypes2["NormalStoneStairs"] = "minecraft:normal_stone_stairs";
  MinecraftBlockTypes2["Noteblock"] = "minecraft:noteblock";
  MinecraftBlockTypes2["OakDoubleSlab"] = "minecraft:oak_double_slab";
  MinecraftBlockTypes2["OakFence"] = "minecraft:oak_fence";
  MinecraftBlockTypes2["OakHangingSign"] = "minecraft:oak_hanging_sign";
  MinecraftBlockTypes2["OakLeaves"] = "minecraft:oak_leaves";
  MinecraftBlockTypes2["OakLog"] = "minecraft:oak_log";
  MinecraftBlockTypes2["OakPlanks"] = "minecraft:oak_planks";
  MinecraftBlockTypes2["OakSapling"] = "minecraft:oak_sapling";
  MinecraftBlockTypes2["OakSlab"] = "minecraft:oak_slab";
  MinecraftBlockTypes2["OakStairs"] = "minecraft:oak_stairs";
  MinecraftBlockTypes2["OakWood"] = "minecraft:oak_wood";
  MinecraftBlockTypes2["Observer"] = "minecraft:observer";
  MinecraftBlockTypes2["Obsidian"] = "minecraft:obsidian";
  MinecraftBlockTypes2["OchreFroglight"] = "minecraft:ochre_froglight";
  MinecraftBlockTypes2["OrangeCandle"] = "minecraft:orange_candle";
  MinecraftBlockTypes2["OrangeCandleCake"] = "minecraft:orange_candle_cake";
  MinecraftBlockTypes2["OrangeCarpet"] = "minecraft:orange_carpet";
  MinecraftBlockTypes2["OrangeConcrete"] = "minecraft:orange_concrete";
  MinecraftBlockTypes2["OrangeConcretePowder"] = "minecraft:orange_concrete_powder";
  MinecraftBlockTypes2["OrangeGlazedTerracotta"] = "minecraft:orange_glazed_terracotta";
  MinecraftBlockTypes2["OrangeShulkerBox"] = "minecraft:orange_shulker_box";
  MinecraftBlockTypes2["OrangeStainedGlass"] = "minecraft:orange_stained_glass";
  MinecraftBlockTypes2["OrangeStainedGlassPane"] = "minecraft:orange_stained_glass_pane";
  MinecraftBlockTypes2["OrangeTerracotta"] = "minecraft:orange_terracotta";
  MinecraftBlockTypes2["OrangeTulip"] = "minecraft:orange_tulip";
  MinecraftBlockTypes2["OrangeWool"] = "minecraft:orange_wool";
  MinecraftBlockTypes2["OxeyeDaisy"] = "minecraft:oxeye_daisy";
  MinecraftBlockTypes2["OxidizedChiseledCopper"] = "minecraft:oxidized_chiseled_copper";
  MinecraftBlockTypes2["OxidizedCopper"] = "minecraft:oxidized_copper";
  MinecraftBlockTypes2["OxidizedCopperBulb"] = "minecraft:oxidized_copper_bulb";
  MinecraftBlockTypes2["OxidizedCopperDoor"] = "minecraft:oxidized_copper_door";
  MinecraftBlockTypes2["OxidizedCopperGrate"] = "minecraft:oxidized_copper_grate";
  MinecraftBlockTypes2["OxidizedCopperTrapdoor"] = "minecraft:oxidized_copper_trapdoor";
  MinecraftBlockTypes2["OxidizedCutCopper"] = "minecraft:oxidized_cut_copper";
  MinecraftBlockTypes2["OxidizedCutCopperSlab"] = "minecraft:oxidized_cut_copper_slab";
  MinecraftBlockTypes2["OxidizedCutCopperStairs"] = "minecraft:oxidized_cut_copper_stairs";
  MinecraftBlockTypes2["OxidizedDoubleCutCopperSlab"] = "minecraft:oxidized_double_cut_copper_slab";
  MinecraftBlockTypes2["PackedIce"] = "minecraft:packed_ice";
  MinecraftBlockTypes2["PackedMud"] = "minecraft:packed_mud";
  MinecraftBlockTypes2["PearlescentFroglight"] = "minecraft:pearlescent_froglight";
  MinecraftBlockTypes2["Peony"] = "minecraft:peony";
  MinecraftBlockTypes2["PetrifiedOakDoubleSlab"] = "minecraft:petrified_oak_double_slab";
  MinecraftBlockTypes2["PetrifiedOakSlab"] = "minecraft:petrified_oak_slab";
  MinecraftBlockTypes2["PinkCandle"] = "minecraft:pink_candle";
  MinecraftBlockTypes2["PinkCandleCake"] = "minecraft:pink_candle_cake";
  MinecraftBlockTypes2["PinkCarpet"] = "minecraft:pink_carpet";
  MinecraftBlockTypes2["PinkConcrete"] = "minecraft:pink_concrete";
  MinecraftBlockTypes2["PinkConcretePowder"] = "minecraft:pink_concrete_powder";
  MinecraftBlockTypes2["PinkGlazedTerracotta"] = "minecraft:pink_glazed_terracotta";
  MinecraftBlockTypes2["PinkPetals"] = "minecraft:pink_petals";
  MinecraftBlockTypes2["PinkShulkerBox"] = "minecraft:pink_shulker_box";
  MinecraftBlockTypes2["PinkStainedGlass"] = "minecraft:pink_stained_glass";
  MinecraftBlockTypes2["PinkStainedGlassPane"] = "minecraft:pink_stained_glass_pane";
  MinecraftBlockTypes2["PinkTerracotta"] = "minecraft:pink_terracotta";
  MinecraftBlockTypes2["PinkTulip"] = "minecraft:pink_tulip";
  MinecraftBlockTypes2["PinkWool"] = "minecraft:pink_wool";
  MinecraftBlockTypes2["Piston"] = "minecraft:piston";
  MinecraftBlockTypes2["PistonArmCollision"] = "minecraft:piston_arm_collision";
  MinecraftBlockTypes2["PitcherCrop"] = "minecraft:pitcher_crop";
  MinecraftBlockTypes2["PitcherPlant"] = "minecraft:pitcher_plant";
  MinecraftBlockTypes2["Podzol"] = "minecraft:podzol";
  MinecraftBlockTypes2["PointedDripstone"] = "minecraft:pointed_dripstone";
  MinecraftBlockTypes2["PolishedAndesite"] = "minecraft:polished_andesite";
  MinecraftBlockTypes2["PolishedAndesiteDoubleSlab"] = "minecraft:polished_andesite_double_slab";
  MinecraftBlockTypes2["PolishedAndesiteSlab"] = "minecraft:polished_andesite_slab";
  MinecraftBlockTypes2["PolishedAndesiteStairs"] = "minecraft:polished_andesite_stairs";
  MinecraftBlockTypes2["PolishedBasalt"] = "minecraft:polished_basalt";
  MinecraftBlockTypes2["PolishedBlackstone"] = "minecraft:polished_blackstone";
  MinecraftBlockTypes2["PolishedBlackstoneBrickDoubleSlab"] = "minecraft:polished_blackstone_brick_double_slab";
  MinecraftBlockTypes2["PolishedBlackstoneBrickSlab"] = "minecraft:polished_blackstone_brick_slab";
  MinecraftBlockTypes2["PolishedBlackstoneBrickStairs"] = "minecraft:polished_blackstone_brick_stairs";
  MinecraftBlockTypes2["PolishedBlackstoneBrickWall"] = "minecraft:polished_blackstone_brick_wall";
  MinecraftBlockTypes2["PolishedBlackstoneBricks"] = "minecraft:polished_blackstone_bricks";
  MinecraftBlockTypes2["PolishedBlackstoneButton"] = "minecraft:polished_blackstone_button";
  MinecraftBlockTypes2["PolishedBlackstoneDoubleSlab"] = "minecraft:polished_blackstone_double_slab";
  MinecraftBlockTypes2["PolishedBlackstonePressurePlate"] = "minecraft:polished_blackstone_pressure_plate";
  MinecraftBlockTypes2["PolishedBlackstoneSlab"] = "minecraft:polished_blackstone_slab";
  MinecraftBlockTypes2["PolishedBlackstoneStairs"] = "minecraft:polished_blackstone_stairs";
  MinecraftBlockTypes2["PolishedBlackstoneWall"] = "minecraft:polished_blackstone_wall";
  MinecraftBlockTypes2["PolishedDeepslate"] = "minecraft:polished_deepslate";
  MinecraftBlockTypes2["PolishedDeepslateDoubleSlab"] = "minecraft:polished_deepslate_double_slab";
  MinecraftBlockTypes2["PolishedDeepslateSlab"] = "minecraft:polished_deepslate_slab";
  MinecraftBlockTypes2["PolishedDeepslateStairs"] = "minecraft:polished_deepslate_stairs";
  MinecraftBlockTypes2["PolishedDeepslateWall"] = "minecraft:polished_deepslate_wall";
  MinecraftBlockTypes2["PolishedDiorite"] = "minecraft:polished_diorite";
  MinecraftBlockTypes2["PolishedDioriteDoubleSlab"] = "minecraft:polished_diorite_double_slab";
  MinecraftBlockTypes2["PolishedDioriteSlab"] = "minecraft:polished_diorite_slab";
  MinecraftBlockTypes2["PolishedDioriteStairs"] = "minecraft:polished_diorite_stairs";
  MinecraftBlockTypes2["PolishedGranite"] = "minecraft:polished_granite";
  MinecraftBlockTypes2["PolishedGraniteDoubleSlab"] = "minecraft:polished_granite_double_slab";
  MinecraftBlockTypes2["PolishedGraniteSlab"] = "minecraft:polished_granite_slab";
  MinecraftBlockTypes2["PolishedGraniteStairs"] = "minecraft:polished_granite_stairs";
  MinecraftBlockTypes2["PolishedTuff"] = "minecraft:polished_tuff";
  MinecraftBlockTypes2["PolishedTuffDoubleSlab"] = "minecraft:polished_tuff_double_slab";
  MinecraftBlockTypes2["PolishedTuffSlab"] = "minecraft:polished_tuff_slab";
  MinecraftBlockTypes2["PolishedTuffStairs"] = "minecraft:polished_tuff_stairs";
  MinecraftBlockTypes2["PolishedTuffWall"] = "minecraft:polished_tuff_wall";
  MinecraftBlockTypes2["Poppy"] = "minecraft:poppy";
  MinecraftBlockTypes2["Portal"] = "minecraft:portal";
  MinecraftBlockTypes2["Potatoes"] = "minecraft:potatoes";
  MinecraftBlockTypes2["PowderSnow"] = "minecraft:powder_snow";
  MinecraftBlockTypes2["PoweredComparator"] = "minecraft:powered_comparator";
  MinecraftBlockTypes2["PoweredRepeater"] = "minecraft:powered_repeater";
  MinecraftBlockTypes2["Prismarine"] = "minecraft:prismarine";
  MinecraftBlockTypes2["PrismarineBrickDoubleSlab"] = "minecraft:prismarine_brick_double_slab";
  MinecraftBlockTypes2["PrismarineBrickSlab"] = "minecraft:prismarine_brick_slab";
  MinecraftBlockTypes2["PrismarineBricks"] = "minecraft:prismarine_bricks";
  MinecraftBlockTypes2["PrismarineBricksStairs"] = "minecraft:prismarine_bricks_stairs";
  MinecraftBlockTypes2["PrismarineDoubleSlab"] = "minecraft:prismarine_double_slab";
  MinecraftBlockTypes2["PrismarineSlab"] = "minecraft:prismarine_slab";
  MinecraftBlockTypes2["PrismarineStairs"] = "minecraft:prismarine_stairs";
  MinecraftBlockTypes2["Pumpkin"] = "minecraft:pumpkin";
  MinecraftBlockTypes2["PumpkinStem"] = "minecraft:pumpkin_stem";
  MinecraftBlockTypes2["PurpleCandle"] = "minecraft:purple_candle";
  MinecraftBlockTypes2["PurpleCandleCake"] = "minecraft:purple_candle_cake";
  MinecraftBlockTypes2["PurpleCarpet"] = "minecraft:purple_carpet";
  MinecraftBlockTypes2["PurpleConcrete"] = "minecraft:purple_concrete";
  MinecraftBlockTypes2["PurpleConcretePowder"] = "minecraft:purple_concrete_powder";
  MinecraftBlockTypes2["PurpleGlazedTerracotta"] = "minecraft:purple_glazed_terracotta";
  MinecraftBlockTypes2["PurpleShulkerBox"] = "minecraft:purple_shulker_box";
  MinecraftBlockTypes2["PurpleStainedGlass"] = "minecraft:purple_stained_glass";
  MinecraftBlockTypes2["PurpleStainedGlassPane"] = "minecraft:purple_stained_glass_pane";
  MinecraftBlockTypes2["PurpleTerracotta"] = "minecraft:purple_terracotta";
  MinecraftBlockTypes2["PurpleWool"] = "minecraft:purple_wool";
  MinecraftBlockTypes2["PurpurBlock"] = "minecraft:purpur_block";
  MinecraftBlockTypes2["PurpurDoubleSlab"] = "minecraft:purpur_double_slab";
  MinecraftBlockTypes2["PurpurSlab"] = "minecraft:purpur_slab";
  MinecraftBlockTypes2["PurpurStairs"] = "minecraft:purpur_stairs";
  MinecraftBlockTypes2["QuartzBlock"] = "minecraft:quartz_block";
  MinecraftBlockTypes2["QuartzBricks"] = "minecraft:quartz_bricks";
  MinecraftBlockTypes2["QuartzDoubleSlab"] = "minecraft:quartz_double_slab";
  MinecraftBlockTypes2["QuartzOre"] = "minecraft:quartz_ore";
  MinecraftBlockTypes2["QuartzPillar"] = "minecraft:quartz_pillar";
  MinecraftBlockTypes2["QuartzSlab"] = "minecraft:quartz_slab";
  MinecraftBlockTypes2["QuartzStairs"] = "minecraft:quartz_stairs";
  MinecraftBlockTypes2["Rail"] = "minecraft:rail";
  MinecraftBlockTypes2["RawCopperBlock"] = "minecraft:raw_copper_block";
  MinecraftBlockTypes2["RawGoldBlock"] = "minecraft:raw_gold_block";
  MinecraftBlockTypes2["RawIronBlock"] = "minecraft:raw_iron_block";
  MinecraftBlockTypes2["RedCandle"] = "minecraft:red_candle";
  MinecraftBlockTypes2["RedCandleCake"] = "minecraft:red_candle_cake";
  MinecraftBlockTypes2["RedCarpet"] = "minecraft:red_carpet";
  MinecraftBlockTypes2["RedConcrete"] = "minecraft:red_concrete";
  MinecraftBlockTypes2["RedConcretePowder"] = "minecraft:red_concrete_powder";
  MinecraftBlockTypes2["RedGlazedTerracotta"] = "minecraft:red_glazed_terracotta";
  MinecraftBlockTypes2["RedMushroom"] = "minecraft:red_mushroom";
  MinecraftBlockTypes2["RedMushroomBlock"] = "minecraft:red_mushroom_block";
  MinecraftBlockTypes2["RedNetherBrick"] = "minecraft:red_nether_brick";
  MinecraftBlockTypes2["RedNetherBrickDoubleSlab"] = "minecraft:red_nether_brick_double_slab";
  MinecraftBlockTypes2["RedNetherBrickSlab"] = "minecraft:red_nether_brick_slab";
  MinecraftBlockTypes2["RedNetherBrickStairs"] = "minecraft:red_nether_brick_stairs";
  MinecraftBlockTypes2["RedSand"] = "minecraft:red_sand";
  MinecraftBlockTypes2["RedSandstone"] = "minecraft:red_sandstone";
  MinecraftBlockTypes2["RedSandstoneDoubleSlab"] = "minecraft:red_sandstone_double_slab";
  MinecraftBlockTypes2["RedSandstoneSlab"] = "minecraft:red_sandstone_slab";
  MinecraftBlockTypes2["RedSandstoneStairs"] = "minecraft:red_sandstone_stairs";
  MinecraftBlockTypes2["RedShulkerBox"] = "minecraft:red_shulker_box";
  MinecraftBlockTypes2["RedStainedGlass"] = "minecraft:red_stained_glass";
  MinecraftBlockTypes2["RedStainedGlassPane"] = "minecraft:red_stained_glass_pane";
  MinecraftBlockTypes2["RedTerracotta"] = "minecraft:red_terracotta";
  MinecraftBlockTypes2["RedTulip"] = "minecraft:red_tulip";
  MinecraftBlockTypes2["RedWool"] = "minecraft:red_wool";
  MinecraftBlockTypes2["RedstoneBlock"] = "minecraft:redstone_block";
  MinecraftBlockTypes2["RedstoneLamp"] = "minecraft:redstone_lamp";
  MinecraftBlockTypes2["RedstoneOre"] = "minecraft:redstone_ore";
  MinecraftBlockTypes2["RedstoneTorch"] = "minecraft:redstone_torch";
  MinecraftBlockTypes2["RedstoneWire"] = "minecraft:redstone_wire";
  MinecraftBlockTypes2["Reeds"] = "minecraft:reeds";
  MinecraftBlockTypes2["ReinforcedDeepslate"] = "minecraft:reinforced_deepslate";
  MinecraftBlockTypes2["RepeatingCommandBlock"] = "minecraft:repeating_command_block";
  MinecraftBlockTypes2["Reserved6"] = "minecraft:reserved6";
  MinecraftBlockTypes2["RespawnAnchor"] = "minecraft:respawn_anchor";
  MinecraftBlockTypes2["RoseBush"] = "minecraft:rose_bush";
  MinecraftBlockTypes2["Sand"] = "minecraft:sand";
  MinecraftBlockTypes2["Sandstone"] = "minecraft:sandstone";
  MinecraftBlockTypes2["SandstoneDoubleSlab"] = "minecraft:sandstone_double_slab";
  MinecraftBlockTypes2["SandstoneSlab"] = "minecraft:sandstone_slab";
  MinecraftBlockTypes2["SandstoneStairs"] = "minecraft:sandstone_stairs";
  MinecraftBlockTypes2["Scaffolding"] = "minecraft:scaffolding";
  MinecraftBlockTypes2["Sculk"] = "minecraft:sculk";
  MinecraftBlockTypes2["SculkCatalyst"] = "minecraft:sculk_catalyst";
  MinecraftBlockTypes2["SculkSensor"] = "minecraft:sculk_sensor";
  MinecraftBlockTypes2["SculkShrieker"] = "minecraft:sculk_shrieker";
  MinecraftBlockTypes2["SculkVein"] = "minecraft:sculk_vein";
  MinecraftBlockTypes2["SeaLantern"] = "minecraft:sea_lantern";
  MinecraftBlockTypes2["SeaPickle"] = "minecraft:sea_pickle";
  MinecraftBlockTypes2["Seagrass"] = "minecraft:seagrass";
  MinecraftBlockTypes2["ShortGrass"] = "minecraft:short_grass";
  MinecraftBlockTypes2["Shroomlight"] = "minecraft:shroomlight";
  MinecraftBlockTypes2["SilverGlazedTerracotta"] = "minecraft:silver_glazed_terracotta";
  MinecraftBlockTypes2["Skull"] = "minecraft:skull";
  MinecraftBlockTypes2["Slime"] = "minecraft:slime";
  MinecraftBlockTypes2["SmallAmethystBud"] = "minecraft:small_amethyst_bud";
  MinecraftBlockTypes2["SmallDripleafBlock"] = "minecraft:small_dripleaf_block";
  MinecraftBlockTypes2["SmithingTable"] = "minecraft:smithing_table";
  MinecraftBlockTypes2["Smoker"] = "minecraft:smoker";
  MinecraftBlockTypes2["SmoothBasalt"] = "minecraft:smooth_basalt";
  MinecraftBlockTypes2["SmoothQuartz"] = "minecraft:smooth_quartz";
  MinecraftBlockTypes2["SmoothQuartzDoubleSlab"] = "minecraft:smooth_quartz_double_slab";
  MinecraftBlockTypes2["SmoothQuartzSlab"] = "minecraft:smooth_quartz_slab";
  MinecraftBlockTypes2["SmoothQuartzStairs"] = "minecraft:smooth_quartz_stairs";
  MinecraftBlockTypes2["SmoothRedSandstone"] = "minecraft:smooth_red_sandstone";
  MinecraftBlockTypes2["SmoothRedSandstoneDoubleSlab"] = "minecraft:smooth_red_sandstone_double_slab";
  MinecraftBlockTypes2["SmoothRedSandstoneSlab"] = "minecraft:smooth_red_sandstone_slab";
  MinecraftBlockTypes2["SmoothRedSandstoneStairs"] = "minecraft:smooth_red_sandstone_stairs";
  MinecraftBlockTypes2["SmoothSandstone"] = "minecraft:smooth_sandstone";
  MinecraftBlockTypes2["SmoothSandstoneDoubleSlab"] = "minecraft:smooth_sandstone_double_slab";
  MinecraftBlockTypes2["SmoothSandstoneSlab"] = "minecraft:smooth_sandstone_slab";
  MinecraftBlockTypes2["SmoothSandstoneStairs"] = "minecraft:smooth_sandstone_stairs";
  MinecraftBlockTypes2["SmoothStone"] = "minecraft:smooth_stone";
  MinecraftBlockTypes2["SmoothStoneDoubleSlab"] = "minecraft:smooth_stone_double_slab";
  MinecraftBlockTypes2["SmoothStoneSlab"] = "minecraft:smooth_stone_slab";
  MinecraftBlockTypes2["SnifferEgg"] = "minecraft:sniffer_egg";
  MinecraftBlockTypes2["Snow"] = "minecraft:snow";
  MinecraftBlockTypes2["SnowLayer"] = "minecraft:snow_layer";
  MinecraftBlockTypes2["SoulCampfire"] = "minecraft:soul_campfire";
  MinecraftBlockTypes2["SoulFire"] = "minecraft:soul_fire";
  MinecraftBlockTypes2["SoulLantern"] = "minecraft:soul_lantern";
  MinecraftBlockTypes2["SoulSand"] = "minecraft:soul_sand";
  MinecraftBlockTypes2["SoulSoil"] = "minecraft:soul_soil";
  MinecraftBlockTypes2["SoulTorch"] = "minecraft:soul_torch";
  MinecraftBlockTypes2["Sponge"] = "minecraft:sponge";
  MinecraftBlockTypes2["SporeBlossom"] = "minecraft:spore_blossom";
  MinecraftBlockTypes2["SpruceButton"] = "minecraft:spruce_button";
  MinecraftBlockTypes2["SpruceDoor"] = "minecraft:spruce_door";
  MinecraftBlockTypes2["SpruceDoubleSlab"] = "minecraft:spruce_double_slab";
  MinecraftBlockTypes2["SpruceFence"] = "minecraft:spruce_fence";
  MinecraftBlockTypes2["SpruceFenceGate"] = "minecraft:spruce_fence_gate";
  MinecraftBlockTypes2["SpruceHangingSign"] = "minecraft:spruce_hanging_sign";
  MinecraftBlockTypes2["SpruceLeaves"] = "minecraft:spruce_leaves";
  MinecraftBlockTypes2["SpruceLog"] = "minecraft:spruce_log";
  MinecraftBlockTypes2["SprucePlanks"] = "minecraft:spruce_planks";
  MinecraftBlockTypes2["SprucePressurePlate"] = "minecraft:spruce_pressure_plate";
  MinecraftBlockTypes2["SpruceSapling"] = "minecraft:spruce_sapling";
  MinecraftBlockTypes2["SpruceSlab"] = "minecraft:spruce_slab";
  MinecraftBlockTypes2["SpruceStairs"] = "minecraft:spruce_stairs";
  MinecraftBlockTypes2["SpruceStandingSign"] = "minecraft:spruce_standing_sign";
  MinecraftBlockTypes2["SpruceTrapdoor"] = "minecraft:spruce_trapdoor";
  MinecraftBlockTypes2["SpruceWallSign"] = "minecraft:spruce_wall_sign";
  MinecraftBlockTypes2["SpruceWood"] = "minecraft:spruce_wood";
  MinecraftBlockTypes2["StandingBanner"] = "minecraft:standing_banner";
  MinecraftBlockTypes2["StandingSign"] = "minecraft:standing_sign";
  MinecraftBlockTypes2["StickyPiston"] = "minecraft:sticky_piston";
  MinecraftBlockTypes2["StickyPistonArmCollision"] = "minecraft:sticky_piston_arm_collision";
  MinecraftBlockTypes2["Stone"] = "minecraft:stone";
  MinecraftBlockTypes2["StoneBrickDoubleSlab"] = "minecraft:stone_brick_double_slab";
  MinecraftBlockTypes2["StoneBrickSlab"] = "minecraft:stone_brick_slab";
  MinecraftBlockTypes2["StoneBrickStairs"] = "minecraft:stone_brick_stairs";
  MinecraftBlockTypes2["StoneBricks"] = "minecraft:stone_bricks";
  MinecraftBlockTypes2["StoneButton"] = "minecraft:stone_button";
  MinecraftBlockTypes2["StonePressurePlate"] = "minecraft:stone_pressure_plate";
  MinecraftBlockTypes2["StoneStairs"] = "minecraft:stone_stairs";
  MinecraftBlockTypes2["Stonecutter"] = "minecraft:stonecutter";
  MinecraftBlockTypes2["StonecutterBlock"] = "minecraft:stonecutter_block";
  MinecraftBlockTypes2["StrippedAcaciaLog"] = "minecraft:stripped_acacia_log";
  MinecraftBlockTypes2["StrippedAcaciaWood"] = "minecraft:stripped_acacia_wood";
  MinecraftBlockTypes2["StrippedBambooBlock"] = "minecraft:stripped_bamboo_block";
  MinecraftBlockTypes2["StrippedBirchLog"] = "minecraft:stripped_birch_log";
  MinecraftBlockTypes2["StrippedBirchWood"] = "minecraft:stripped_birch_wood";
  MinecraftBlockTypes2["StrippedCherryLog"] = "minecraft:stripped_cherry_log";
  MinecraftBlockTypes2["StrippedCherryWood"] = "minecraft:stripped_cherry_wood";
  MinecraftBlockTypes2["StrippedCrimsonHyphae"] = "minecraft:stripped_crimson_hyphae";
  MinecraftBlockTypes2["StrippedCrimsonStem"] = "minecraft:stripped_crimson_stem";
  MinecraftBlockTypes2["StrippedDarkOakLog"] = "minecraft:stripped_dark_oak_log";
  MinecraftBlockTypes2["StrippedDarkOakWood"] = "minecraft:stripped_dark_oak_wood";
  MinecraftBlockTypes2["StrippedJungleLog"] = "minecraft:stripped_jungle_log";
  MinecraftBlockTypes2["StrippedJungleWood"] = "minecraft:stripped_jungle_wood";
  MinecraftBlockTypes2["StrippedMangroveLog"] = "minecraft:stripped_mangrove_log";
  MinecraftBlockTypes2["StrippedMangroveWood"] = "minecraft:stripped_mangrove_wood";
  MinecraftBlockTypes2["StrippedOakLog"] = "minecraft:stripped_oak_log";
  MinecraftBlockTypes2["StrippedOakWood"] = "minecraft:stripped_oak_wood";
  MinecraftBlockTypes2["StrippedSpruceLog"] = "minecraft:stripped_spruce_log";
  MinecraftBlockTypes2["StrippedSpruceWood"] = "minecraft:stripped_spruce_wood";
  MinecraftBlockTypes2["StrippedWarpedHyphae"] = "minecraft:stripped_warped_hyphae";
  MinecraftBlockTypes2["StrippedWarpedStem"] = "minecraft:stripped_warped_stem";
  MinecraftBlockTypes2["StructureBlock"] = "minecraft:structure_block";
  MinecraftBlockTypes2["StructureVoid"] = "minecraft:structure_void";
  MinecraftBlockTypes2["Sunflower"] = "minecraft:sunflower";
  MinecraftBlockTypes2["SuspiciousGravel"] = "minecraft:suspicious_gravel";
  MinecraftBlockTypes2["SuspiciousSand"] = "minecraft:suspicious_sand";
  MinecraftBlockTypes2["SweetBerryBush"] = "minecraft:sweet_berry_bush";
  MinecraftBlockTypes2["TallGrass"] = "minecraft:tall_grass";
  MinecraftBlockTypes2["Target"] = "minecraft:target";
  MinecraftBlockTypes2["TintedGlass"] = "minecraft:tinted_glass";
  MinecraftBlockTypes2["Tnt"] = "minecraft:tnt";
  MinecraftBlockTypes2["Torch"] = "minecraft:torch";
  MinecraftBlockTypes2["Torchflower"] = "minecraft:torchflower";
  MinecraftBlockTypes2["TorchflowerCrop"] = "minecraft:torchflower_crop";
  MinecraftBlockTypes2["Trapdoor"] = "minecraft:trapdoor";
  MinecraftBlockTypes2["TrappedChest"] = "minecraft:trapped_chest";
  MinecraftBlockTypes2["TrialSpawner"] = "minecraft:trial_spawner";
  MinecraftBlockTypes2["TripWire"] = "minecraft:trip_wire";
  MinecraftBlockTypes2["TripwireHook"] = "minecraft:tripwire_hook";
  MinecraftBlockTypes2["TubeCoral"] = "minecraft:tube_coral";
  MinecraftBlockTypes2["TubeCoralBlock"] = "minecraft:tube_coral_block";
  MinecraftBlockTypes2["TubeCoralFan"] = "minecraft:tube_coral_fan";
  MinecraftBlockTypes2["TubeCoralWallFan"] = "minecraft:tube_coral_wall_fan";
  MinecraftBlockTypes2["Tuff"] = "minecraft:tuff";
  MinecraftBlockTypes2["TuffBrickDoubleSlab"] = "minecraft:tuff_brick_double_slab";
  MinecraftBlockTypes2["TuffBrickSlab"] = "minecraft:tuff_brick_slab";
  MinecraftBlockTypes2["TuffBrickStairs"] = "minecraft:tuff_brick_stairs";
  MinecraftBlockTypes2["TuffBrickWall"] = "minecraft:tuff_brick_wall";
  MinecraftBlockTypes2["TuffBricks"] = "minecraft:tuff_bricks";
  MinecraftBlockTypes2["TuffDoubleSlab"] = "minecraft:tuff_double_slab";
  MinecraftBlockTypes2["TuffSlab"] = "minecraft:tuff_slab";
  MinecraftBlockTypes2["TuffStairs"] = "minecraft:tuff_stairs";
  MinecraftBlockTypes2["TuffWall"] = "minecraft:tuff_wall";
  MinecraftBlockTypes2["TurtleEgg"] = "minecraft:turtle_egg";
  MinecraftBlockTypes2["TwistingVines"] = "minecraft:twisting_vines";
  MinecraftBlockTypes2["UnderwaterTorch"] = "minecraft:underwater_torch";
  MinecraftBlockTypes2["UndyedShulkerBox"] = "minecraft:undyed_shulker_box";
  MinecraftBlockTypes2["Unknown"] = "minecraft:unknown";
  MinecraftBlockTypes2["UnlitRedstoneTorch"] = "minecraft:unlit_redstone_torch";
  MinecraftBlockTypes2["UnpoweredComparator"] = "minecraft:unpowered_comparator";
  MinecraftBlockTypes2["UnpoweredRepeater"] = "minecraft:unpowered_repeater";
  MinecraftBlockTypes2["Vault"] = "minecraft:vault";
  MinecraftBlockTypes2["VerdantFroglight"] = "minecraft:verdant_froglight";
  MinecraftBlockTypes2["Vine"] = "minecraft:vine";
  MinecraftBlockTypes2["WallBanner"] = "minecraft:wall_banner";
  MinecraftBlockTypes2["WallSign"] = "minecraft:wall_sign";
  MinecraftBlockTypes2["WarpedButton"] = "minecraft:warped_button";
  MinecraftBlockTypes2["WarpedDoor"] = "minecraft:warped_door";
  MinecraftBlockTypes2["WarpedDoubleSlab"] = "minecraft:warped_double_slab";
  MinecraftBlockTypes2["WarpedFence"] = "minecraft:warped_fence";
  MinecraftBlockTypes2["WarpedFenceGate"] = "minecraft:warped_fence_gate";
  MinecraftBlockTypes2["WarpedFungus"] = "minecraft:warped_fungus";
  MinecraftBlockTypes2["WarpedHangingSign"] = "minecraft:warped_hanging_sign";
  MinecraftBlockTypes2["WarpedHyphae"] = "minecraft:warped_hyphae";
  MinecraftBlockTypes2["WarpedNylium"] = "minecraft:warped_nylium";
  MinecraftBlockTypes2["WarpedPlanks"] = "minecraft:warped_planks";
  MinecraftBlockTypes2["WarpedPressurePlate"] = "minecraft:warped_pressure_plate";
  MinecraftBlockTypes2["WarpedRoots"] = "minecraft:warped_roots";
  MinecraftBlockTypes2["WarpedSlab"] = "minecraft:warped_slab";
  MinecraftBlockTypes2["WarpedStairs"] = "minecraft:warped_stairs";
  MinecraftBlockTypes2["WarpedStandingSign"] = "minecraft:warped_standing_sign";
  MinecraftBlockTypes2["WarpedStem"] = "minecraft:warped_stem";
  MinecraftBlockTypes2["WarpedTrapdoor"] = "minecraft:warped_trapdoor";
  MinecraftBlockTypes2["WarpedWallSign"] = "minecraft:warped_wall_sign";
  MinecraftBlockTypes2["WarpedWartBlock"] = "minecraft:warped_wart_block";
  MinecraftBlockTypes2["Water"] = "minecraft:water";
  MinecraftBlockTypes2["Waterlily"] = "minecraft:waterlily";
  MinecraftBlockTypes2["WaxedChiseledCopper"] = "minecraft:waxed_chiseled_copper";
  MinecraftBlockTypes2["WaxedCopper"] = "minecraft:waxed_copper";
  MinecraftBlockTypes2["WaxedCopperBulb"] = "minecraft:waxed_copper_bulb";
  MinecraftBlockTypes2["WaxedCopperDoor"] = "minecraft:waxed_copper_door";
  MinecraftBlockTypes2["WaxedCopperGrate"] = "minecraft:waxed_copper_grate";
  MinecraftBlockTypes2["WaxedCopperTrapdoor"] = "minecraft:waxed_copper_trapdoor";
  MinecraftBlockTypes2["WaxedCutCopper"] = "minecraft:waxed_cut_copper";
  MinecraftBlockTypes2["WaxedCutCopperSlab"] = "minecraft:waxed_cut_copper_slab";
  MinecraftBlockTypes2["WaxedCutCopperStairs"] = "minecraft:waxed_cut_copper_stairs";
  MinecraftBlockTypes2["WaxedDoubleCutCopperSlab"] = "minecraft:waxed_double_cut_copper_slab";
  MinecraftBlockTypes2["WaxedExposedChiseledCopper"] = "minecraft:waxed_exposed_chiseled_copper";
  MinecraftBlockTypes2["WaxedExposedCopper"] = "minecraft:waxed_exposed_copper";
  MinecraftBlockTypes2["WaxedExposedCopperBulb"] = "minecraft:waxed_exposed_copper_bulb";
  MinecraftBlockTypes2["WaxedExposedCopperDoor"] = "minecraft:waxed_exposed_copper_door";
  MinecraftBlockTypes2["WaxedExposedCopperGrate"] = "minecraft:waxed_exposed_copper_grate";
  MinecraftBlockTypes2["WaxedExposedCopperTrapdoor"] = "minecraft:waxed_exposed_copper_trapdoor";
  MinecraftBlockTypes2["WaxedExposedCutCopper"] = "minecraft:waxed_exposed_cut_copper";
  MinecraftBlockTypes2["WaxedExposedCutCopperSlab"] = "minecraft:waxed_exposed_cut_copper_slab";
  MinecraftBlockTypes2["WaxedExposedCutCopperStairs"] = "minecraft:waxed_exposed_cut_copper_stairs";
  MinecraftBlockTypes2["WaxedExposedDoubleCutCopperSlab"] = "minecraft:waxed_exposed_double_cut_copper_slab";
  MinecraftBlockTypes2["WaxedOxidizedChiseledCopper"] = "minecraft:waxed_oxidized_chiseled_copper";
  MinecraftBlockTypes2["WaxedOxidizedCopper"] = "minecraft:waxed_oxidized_copper";
  MinecraftBlockTypes2["WaxedOxidizedCopperBulb"] = "minecraft:waxed_oxidized_copper_bulb";
  MinecraftBlockTypes2["WaxedOxidizedCopperDoor"] = "minecraft:waxed_oxidized_copper_door";
  MinecraftBlockTypes2["WaxedOxidizedCopperGrate"] = "minecraft:waxed_oxidized_copper_grate";
  MinecraftBlockTypes2["WaxedOxidizedCopperTrapdoor"] = "minecraft:waxed_oxidized_copper_trapdoor";
  MinecraftBlockTypes2["WaxedOxidizedCutCopper"] = "minecraft:waxed_oxidized_cut_copper";
  MinecraftBlockTypes2["WaxedOxidizedCutCopperSlab"] = "minecraft:waxed_oxidized_cut_copper_slab";
  MinecraftBlockTypes2["WaxedOxidizedCutCopperStairs"] = "minecraft:waxed_oxidized_cut_copper_stairs";
  MinecraftBlockTypes2["WaxedOxidizedDoubleCutCopperSlab"] = "minecraft:waxed_oxidized_double_cut_copper_slab";
  MinecraftBlockTypes2["WaxedWeatheredChiseledCopper"] = "minecraft:waxed_weathered_chiseled_copper";
  MinecraftBlockTypes2["WaxedWeatheredCopper"] = "minecraft:waxed_weathered_copper";
  MinecraftBlockTypes2["WaxedWeatheredCopperBulb"] = "minecraft:waxed_weathered_copper_bulb";
  MinecraftBlockTypes2["WaxedWeatheredCopperDoor"] = "minecraft:waxed_weathered_copper_door";
  MinecraftBlockTypes2["WaxedWeatheredCopperGrate"] = "minecraft:waxed_weathered_copper_grate";
  MinecraftBlockTypes2["WaxedWeatheredCopperTrapdoor"] = "minecraft:waxed_weathered_copper_trapdoor";
  MinecraftBlockTypes2["WaxedWeatheredCutCopper"] = "minecraft:waxed_weathered_cut_copper";
  MinecraftBlockTypes2["WaxedWeatheredCutCopperSlab"] = "minecraft:waxed_weathered_cut_copper_slab";
  MinecraftBlockTypes2["WaxedWeatheredCutCopperStairs"] = "minecraft:waxed_weathered_cut_copper_stairs";
  MinecraftBlockTypes2["WaxedWeatheredDoubleCutCopperSlab"] = "minecraft:waxed_weathered_double_cut_copper_slab";
  MinecraftBlockTypes2["WeatheredChiseledCopper"] = "minecraft:weathered_chiseled_copper";
  MinecraftBlockTypes2["WeatheredCopper"] = "minecraft:weathered_copper";
  MinecraftBlockTypes2["WeatheredCopperBulb"] = "minecraft:weathered_copper_bulb";
  MinecraftBlockTypes2["WeatheredCopperDoor"] = "minecraft:weathered_copper_door";
  MinecraftBlockTypes2["WeatheredCopperGrate"] = "minecraft:weathered_copper_grate";
  MinecraftBlockTypes2["WeatheredCopperTrapdoor"] = "minecraft:weathered_copper_trapdoor";
  MinecraftBlockTypes2["WeatheredCutCopper"] = "minecraft:weathered_cut_copper";
  MinecraftBlockTypes2["WeatheredCutCopperSlab"] = "minecraft:weathered_cut_copper_slab";
  MinecraftBlockTypes2["WeatheredCutCopperStairs"] = "minecraft:weathered_cut_copper_stairs";
  MinecraftBlockTypes2["WeatheredDoubleCutCopperSlab"] = "minecraft:weathered_double_cut_copper_slab";
  MinecraftBlockTypes2["Web"] = "minecraft:web";
  MinecraftBlockTypes2["WeepingVines"] = "minecraft:weeping_vines";
  MinecraftBlockTypes2["Wheat"] = "minecraft:wheat";
  MinecraftBlockTypes2["WhiteCandle"] = "minecraft:white_candle";
  MinecraftBlockTypes2["WhiteCandleCake"] = "minecraft:white_candle_cake";
  MinecraftBlockTypes2["WhiteCarpet"] = "minecraft:white_carpet";
  MinecraftBlockTypes2["WhiteConcrete"] = "minecraft:white_concrete";
  MinecraftBlockTypes2["WhiteConcretePowder"] = "minecraft:white_concrete_powder";
  MinecraftBlockTypes2["WhiteGlazedTerracotta"] = "minecraft:white_glazed_terracotta";
  MinecraftBlockTypes2["WhiteShulkerBox"] = "minecraft:white_shulker_box";
  MinecraftBlockTypes2["WhiteStainedGlass"] = "minecraft:white_stained_glass";
  MinecraftBlockTypes2["WhiteStainedGlassPane"] = "minecraft:white_stained_glass_pane";
  MinecraftBlockTypes2["WhiteTerracotta"] = "minecraft:white_terracotta";
  MinecraftBlockTypes2["WhiteTulip"] = "minecraft:white_tulip";
  MinecraftBlockTypes2["WhiteWool"] = "minecraft:white_wool";
  MinecraftBlockTypes2["WitherRose"] = "minecraft:wither_rose";
  MinecraftBlockTypes2["WoodenButton"] = "minecraft:wooden_button";
  MinecraftBlockTypes2["WoodenDoor"] = "minecraft:wooden_door";
  MinecraftBlockTypes2["WoodenPressurePlate"] = "minecraft:wooden_pressure_plate";
  MinecraftBlockTypes2["YellowCandle"] = "minecraft:yellow_candle";
  MinecraftBlockTypes2["YellowCandleCake"] = "minecraft:yellow_candle_cake";
  MinecraftBlockTypes2["YellowCarpet"] = "minecraft:yellow_carpet";
  MinecraftBlockTypes2["YellowConcrete"] = "minecraft:yellow_concrete";
  MinecraftBlockTypes2["YellowConcretePowder"] = "minecraft:yellow_concrete_powder";
  MinecraftBlockTypes2["YellowGlazedTerracotta"] = "minecraft:yellow_glazed_terracotta";
  MinecraftBlockTypes2["YellowShulkerBox"] = "minecraft:yellow_shulker_box";
  MinecraftBlockTypes2["YellowStainedGlass"] = "minecraft:yellow_stained_glass";
  MinecraftBlockTypes2["YellowStainedGlassPane"] = "minecraft:yellow_stained_glass_pane";
  MinecraftBlockTypes2["YellowTerracotta"] = "minecraft:yellow_terracotta";
  MinecraftBlockTypes2["YellowWool"] = "minecraft:yellow_wool";
  return MinecraftBlockTypes2;
})(MinecraftBlockTypes || {});
var MinecraftCameraPresetsTypes = ((MinecraftCameraPresetsTypes2) => {
  MinecraftCameraPresetsTypes2["FirstPerson"] = "minecraft:first_person";
  MinecraftCameraPresetsTypes2["FollowOrbit"] = "minecraft:follow_orbit";
  MinecraftCameraPresetsTypes2["Free"] = "minecraft:free";
  MinecraftCameraPresetsTypes2["ThirdPerson"] = "minecraft:third_person";
  MinecraftCameraPresetsTypes2["ThirdPersonFront"] = "minecraft:third_person_front";
  return MinecraftCameraPresetsTypes2;
})(MinecraftCameraPresetsTypes || {});
var MinecraftCooldownCategoryTypes = ((MinecraftCooldownCategoryTypes2) => {
  MinecraftCooldownCategoryTypes2["Chorusfruit"] = "minecraft:chorusfruit";
  MinecraftCooldownCategoryTypes2["EnderPearl"] = "minecraft:ender_pearl";
  MinecraftCooldownCategoryTypes2["GoatHorn"] = "minecraft:goat_horn";
  MinecraftCooldownCategoryTypes2["Shield"] = "minecraft:shield";
  MinecraftCooldownCategoryTypes2["WindCharge"] = "minecraft:wind_charge";
  return MinecraftCooldownCategoryTypes2;
})(MinecraftCooldownCategoryTypes || {});
var MinecraftDimensionTypes = ((MinecraftDimensionTypes2) => {
  MinecraftDimensionTypes2["Nether"] = "minecraft:nether";
  MinecraftDimensionTypes2["Overworld"] = "minecraft:overworld";
  MinecraftDimensionTypes2["TheEnd"] = "minecraft:the_end";
  return MinecraftDimensionTypes2;
})(MinecraftDimensionTypes || {});
var MinecraftEffectTypes = ((MinecraftEffectTypes2) => {
  MinecraftEffectTypes2["Absorption"] = "minecraft:absorption";
  MinecraftEffectTypes2["BadOmen"] = "minecraft:bad_omen";
  MinecraftEffectTypes2["Blindness"] = "minecraft:blindness";
  MinecraftEffectTypes2["ConduitPower"] = "minecraft:conduit_power";
  MinecraftEffectTypes2["Darkness"] = "minecraft:darkness";
  MinecraftEffectTypes2["FatalPoison"] = "minecraft:fatal_poison";
  MinecraftEffectTypes2["FireResistance"] = "minecraft:fire_resistance";
  MinecraftEffectTypes2["Haste"] = "minecraft:haste";
  MinecraftEffectTypes2["HealthBoost"] = "minecraft:health_boost";
  MinecraftEffectTypes2["Hunger"] = "minecraft:hunger";
  MinecraftEffectTypes2["Infested"] = "minecraft:infested";
  MinecraftEffectTypes2["InstantDamage"] = "minecraft:instant_damage";
  MinecraftEffectTypes2["InstantHealth"] = "minecraft:instant_health";
  MinecraftEffectTypes2["Invisibility"] = "minecraft:invisibility";
  MinecraftEffectTypes2["JumpBoost"] = "minecraft:jump_boost";
  MinecraftEffectTypes2["Levitation"] = "minecraft:levitation";
  MinecraftEffectTypes2["MiningFatigue"] = "minecraft:mining_fatigue";
  MinecraftEffectTypes2["Nausea"] = "minecraft:nausea";
  MinecraftEffectTypes2["NightVision"] = "minecraft:night_vision";
  MinecraftEffectTypes2["Oozing"] = "minecraft:oozing";
  MinecraftEffectTypes2["Poison"] = "minecraft:poison";
  MinecraftEffectTypes2["RaidOmen"] = "minecraft:raid_omen";
  MinecraftEffectTypes2["Regeneration"] = "minecraft:regeneration";
  MinecraftEffectTypes2["Resistance"] = "minecraft:resistance";
  MinecraftEffectTypes2["Saturation"] = "minecraft:saturation";
  MinecraftEffectTypes2["SlowFalling"] = "minecraft:slow_falling";
  MinecraftEffectTypes2["Slowness"] = "minecraft:slowness";
  MinecraftEffectTypes2["Speed"] = "minecraft:speed";
  MinecraftEffectTypes2["Strength"] = "minecraft:strength";
  MinecraftEffectTypes2["TrialOmen"] = "minecraft:trial_omen";
  MinecraftEffectTypes2["VillageHero"] = "minecraft:village_hero";
  MinecraftEffectTypes2["WaterBreathing"] = "minecraft:water_breathing";
  MinecraftEffectTypes2["Weakness"] = "minecraft:weakness";
  MinecraftEffectTypes2["Weaving"] = "minecraft:weaving";
  MinecraftEffectTypes2["WindCharged"] = "minecraft:wind_charged";
  MinecraftEffectTypes2["Wither"] = "minecraft:wither";
  return MinecraftEffectTypes2;
})(MinecraftEffectTypes || {});
var MinecraftEnchantmentTypes = ((MinecraftEnchantmentTypes2) => {
  MinecraftEnchantmentTypes2["AquaAffinity"] = "minecraft:aqua_affinity";
  MinecraftEnchantmentTypes2["BaneOfArthropods"] = "minecraft:bane_of_arthropods";
  MinecraftEnchantmentTypes2["Binding"] = "minecraft:binding";
  MinecraftEnchantmentTypes2["BlastProtection"] = "minecraft:blast_protection";
  MinecraftEnchantmentTypes2["BowInfinity"] = "minecraft:infinity";
  MinecraftEnchantmentTypes2["Breach"] = "minecraft:breach";
  MinecraftEnchantmentTypes2["Channeling"] = "minecraft:channeling";
  MinecraftEnchantmentTypes2["Density"] = "minecraft:density";
  MinecraftEnchantmentTypes2["DepthStrider"] = "minecraft:depth_strider";
  MinecraftEnchantmentTypes2["Efficiency"] = "minecraft:efficiency";
  MinecraftEnchantmentTypes2["FeatherFalling"] = "minecraft:feather_falling";
  MinecraftEnchantmentTypes2["FireAspect"] = "minecraft:fire_aspect";
  MinecraftEnchantmentTypes2["FireProtection"] = "minecraft:fire_protection";
  MinecraftEnchantmentTypes2["Flame"] = "minecraft:flame";
  MinecraftEnchantmentTypes2["Fortune"] = "minecraft:fortune";
  MinecraftEnchantmentTypes2["FrostWalker"] = "minecraft:frost_walker";
  MinecraftEnchantmentTypes2["Impaling"] = "minecraft:impaling";
  MinecraftEnchantmentTypes2["Knockback"] = "minecraft:knockback";
  MinecraftEnchantmentTypes2["Looting"] = "minecraft:looting";
  MinecraftEnchantmentTypes2["Loyalty"] = "minecraft:loyalty";
  MinecraftEnchantmentTypes2["LuckOfTheSea"] = "minecraft:luck_of_the_sea";
  MinecraftEnchantmentTypes2["Lure"] = "minecraft:lure";
  MinecraftEnchantmentTypes2["Mending"] = "minecraft:mending";
  MinecraftEnchantmentTypes2["Multishot"] = "minecraft:multishot";
  MinecraftEnchantmentTypes2["Piercing"] = "minecraft:piercing";
  MinecraftEnchantmentTypes2["Power"] = "minecraft:power";
  MinecraftEnchantmentTypes2["ProjectileProtection"] = "minecraft:projectile_protection";
  MinecraftEnchantmentTypes2["Protection"] = "minecraft:protection";
  MinecraftEnchantmentTypes2["Punch"] = "minecraft:punch";
  MinecraftEnchantmentTypes2["QuickCharge"] = "minecraft:quick_charge";
  MinecraftEnchantmentTypes2["Respiration"] = "minecraft:respiration";
  MinecraftEnchantmentTypes2["Riptide"] = "minecraft:riptide";
  MinecraftEnchantmentTypes2["Sharpness"] = "minecraft:sharpness";
  MinecraftEnchantmentTypes2["SilkTouch"] = "minecraft:silk_touch";
  MinecraftEnchantmentTypes2["Smite"] = "minecraft:smite";
  MinecraftEnchantmentTypes2["SoulSpeed"] = "minecraft:soul_speed";
  MinecraftEnchantmentTypes2["SwiftSneak"] = "minecraft:swift_sneak";
  MinecraftEnchantmentTypes2["Thorns"] = "minecraft:thorns";
  MinecraftEnchantmentTypes2["Unbreaking"] = "minecraft:unbreaking";
  MinecraftEnchantmentTypes2["Vanishing"] = "minecraft:vanishing";
  MinecraftEnchantmentTypes2["WindBurst"] = "minecraft:wind_burst";
  return MinecraftEnchantmentTypes2;
})(MinecraftEnchantmentTypes || {});
var MinecraftEntityTypes = ((MinecraftEntityTypes2) => {
  MinecraftEntityTypes2["Agent"] = "minecraft:agent";
  MinecraftEntityTypes2["Allay"] = "minecraft:allay";
  MinecraftEntityTypes2["AreaEffectCloud"] = "minecraft:area_effect_cloud";
  MinecraftEntityTypes2["Armadillo"] = "minecraft:armadillo";
  MinecraftEntityTypes2["ArmorStand"] = "minecraft:armor_stand";
  MinecraftEntityTypes2["Arrow"] = "minecraft:arrow";
  MinecraftEntityTypes2["Axolotl"] = "minecraft:axolotl";
  MinecraftEntityTypes2["Bat"] = "minecraft:bat";
  MinecraftEntityTypes2["Bee"] = "minecraft:bee";
  MinecraftEntityTypes2["Blaze"] = "minecraft:blaze";
  MinecraftEntityTypes2["Boat"] = "minecraft:boat";
  MinecraftEntityTypes2["Bogged"] = "minecraft:bogged";
  MinecraftEntityTypes2["Breeze"] = "minecraft:breeze";
  MinecraftEntityTypes2["BreezeWindChargeProjectile"] = "minecraft:breeze_wind_charge_projectile";
  MinecraftEntityTypes2["Camel"] = "minecraft:camel";
  MinecraftEntityTypes2["Cat"] = "minecraft:cat";
  MinecraftEntityTypes2["CaveSpider"] = "minecraft:cave_spider";
  MinecraftEntityTypes2["ChestBoat"] = "minecraft:chest_boat";
  MinecraftEntityTypes2["ChestMinecart"] = "minecraft:chest_minecart";
  MinecraftEntityTypes2["Chicken"] = "minecraft:chicken";
  MinecraftEntityTypes2["Cod"] = "minecraft:cod";
  MinecraftEntityTypes2["CommandBlockMinecart"] = "minecraft:command_block_minecart";
  MinecraftEntityTypes2["Cow"] = "minecraft:cow";
  MinecraftEntityTypes2["Creeper"] = "minecraft:creeper";
  MinecraftEntityTypes2["Dolphin"] = "minecraft:dolphin";
  MinecraftEntityTypes2["Donkey"] = "minecraft:donkey";
  MinecraftEntityTypes2["DragonFireball"] = "minecraft:dragon_fireball";
  MinecraftEntityTypes2["Drowned"] = "minecraft:drowned";
  MinecraftEntityTypes2["Egg"] = "minecraft:egg";
  MinecraftEntityTypes2["ElderGuardian"] = "minecraft:elder_guardian";
  MinecraftEntityTypes2["EnderCrystal"] = "minecraft:ender_crystal";
  MinecraftEntityTypes2["EnderDragon"] = "minecraft:ender_dragon";
  MinecraftEntityTypes2["EnderPearl"] = "minecraft:ender_pearl";
  MinecraftEntityTypes2["Enderman"] = "minecraft:enderman";
  MinecraftEntityTypes2["Endermite"] = "minecraft:endermite";
  MinecraftEntityTypes2["EvocationIllager"] = "minecraft:evocation_illager";
  MinecraftEntityTypes2["EyeOfEnderSignal"] = "minecraft:eye_of_ender_signal";
  MinecraftEntityTypes2["Fireball"] = "minecraft:fireball";
  MinecraftEntityTypes2["FireworksRocket"] = "minecraft:fireworks_rocket";
  MinecraftEntityTypes2["FishingHook"] = "minecraft:fishing_hook";
  MinecraftEntityTypes2["Fox"] = "minecraft:fox";
  MinecraftEntityTypes2["Frog"] = "minecraft:frog";
  MinecraftEntityTypes2["Ghast"] = "minecraft:ghast";
  MinecraftEntityTypes2["GlowSquid"] = "minecraft:glow_squid";
  MinecraftEntityTypes2["Goat"] = "minecraft:goat";
  MinecraftEntityTypes2["Guardian"] = "minecraft:guardian";
  MinecraftEntityTypes2["Hoglin"] = "minecraft:hoglin";
  MinecraftEntityTypes2["HopperMinecart"] = "minecraft:hopper_minecart";
  MinecraftEntityTypes2["Horse"] = "minecraft:horse";
  MinecraftEntityTypes2["Husk"] = "minecraft:husk";
  MinecraftEntityTypes2["IronGolem"] = "minecraft:iron_golem";
  MinecraftEntityTypes2["LightningBolt"] = "minecraft:lightning_bolt";
  MinecraftEntityTypes2["LingeringPotion"] = "minecraft:lingering_potion";
  MinecraftEntityTypes2["Llama"] = "minecraft:llama";
  MinecraftEntityTypes2["LlamaSpit"] = "minecraft:llama_spit";
  MinecraftEntityTypes2["MagmaCube"] = "minecraft:magma_cube";
  MinecraftEntityTypes2["Minecart"] = "minecraft:minecart";
  MinecraftEntityTypes2["Mooshroom"] = "minecraft:mooshroom";
  MinecraftEntityTypes2["Mule"] = "minecraft:mule";
  MinecraftEntityTypes2["Npc"] = "minecraft:npc";
  MinecraftEntityTypes2["Ocelot"] = "minecraft:ocelot";
  MinecraftEntityTypes2["OminousItemSpawner"] = "minecraft:ominous_item_spawner";
  MinecraftEntityTypes2["Panda"] = "minecraft:panda";
  MinecraftEntityTypes2["Parrot"] = "minecraft:parrot";
  MinecraftEntityTypes2["Phantom"] = "minecraft:phantom";
  MinecraftEntityTypes2["Pig"] = "minecraft:pig";
  MinecraftEntityTypes2["Piglin"] = "minecraft:piglin";
  MinecraftEntityTypes2["PiglinBrute"] = "minecraft:piglin_brute";
  MinecraftEntityTypes2["Pillager"] = "minecraft:pillager";
  MinecraftEntityTypes2["Player"] = "minecraft:player";
  MinecraftEntityTypes2["PolarBear"] = "minecraft:polar_bear";
  MinecraftEntityTypes2["Pufferfish"] = "minecraft:pufferfish";
  MinecraftEntityTypes2["Rabbit"] = "minecraft:rabbit";
  MinecraftEntityTypes2["Ravager"] = "minecraft:ravager";
  MinecraftEntityTypes2["Salmon"] = "minecraft:salmon";
  MinecraftEntityTypes2["Sheep"] = "minecraft:sheep";
  MinecraftEntityTypes2["Shulker"] = "minecraft:shulker";
  MinecraftEntityTypes2["ShulkerBullet"] = "minecraft:shulker_bullet";
  MinecraftEntityTypes2["Silverfish"] = "minecraft:silverfish";
  MinecraftEntityTypes2["Skeleton"] = "minecraft:skeleton";
  MinecraftEntityTypes2["SkeletonHorse"] = "minecraft:skeleton_horse";
  MinecraftEntityTypes2["Slime"] = "minecraft:slime";
  MinecraftEntityTypes2["SmallFireball"] = "minecraft:small_fireball";
  MinecraftEntityTypes2["Sniffer"] = "minecraft:sniffer";
  MinecraftEntityTypes2["SnowGolem"] = "minecraft:snow_golem";
  MinecraftEntityTypes2["Snowball"] = "minecraft:snowball";
  MinecraftEntityTypes2["Spider"] = "minecraft:spider";
  MinecraftEntityTypes2["SplashPotion"] = "minecraft:splash_potion";
  MinecraftEntityTypes2["Squid"] = "minecraft:squid";
  MinecraftEntityTypes2["Stray"] = "minecraft:stray";
  MinecraftEntityTypes2["Strider"] = "minecraft:strider";
  MinecraftEntityTypes2["Tadpole"] = "minecraft:tadpole";
  MinecraftEntityTypes2["ThrownTrident"] = "minecraft:thrown_trident";
  MinecraftEntityTypes2["Tnt"] = "minecraft:tnt";
  MinecraftEntityTypes2["TntMinecart"] = "minecraft:tnt_minecart";
  MinecraftEntityTypes2["TraderLlama"] = "minecraft:trader_llama";
  MinecraftEntityTypes2["TripodCamera"] = "minecraft:tripod_camera";
  MinecraftEntityTypes2["Tropicalfish"] = "minecraft:tropicalfish";
  MinecraftEntityTypes2["Turtle"] = "minecraft:turtle";
  MinecraftEntityTypes2["Vex"] = "minecraft:vex";
  MinecraftEntityTypes2["Villager"] = "minecraft:villager";
  MinecraftEntityTypes2["VillagerV2"] = "minecraft:villager_v2";
  MinecraftEntityTypes2["Vindicator"] = "minecraft:vindicator";
  MinecraftEntityTypes2["WanderingTrader"] = "minecraft:wandering_trader";
  MinecraftEntityTypes2["Warden"] = "minecraft:warden";
  MinecraftEntityTypes2["WindChargeProjectile"] = "minecraft:wind_charge_projectile";
  MinecraftEntityTypes2["Witch"] = "minecraft:witch";
  MinecraftEntityTypes2["Wither"] = "minecraft:wither";
  MinecraftEntityTypes2["WitherSkeleton"] = "minecraft:wither_skeleton";
  MinecraftEntityTypes2["WitherSkull"] = "minecraft:wither_skull";
  MinecraftEntityTypes2["WitherSkullDangerous"] = "minecraft:wither_skull_dangerous";
  MinecraftEntityTypes2["Wolf"] = "minecraft:wolf";
  MinecraftEntityTypes2["XpBottle"] = "minecraft:xp_bottle";
  MinecraftEntityTypes2["XpOrb"] = "minecraft:xp_orb";
  MinecraftEntityTypes2["Zoglin"] = "minecraft:zoglin";
  MinecraftEntityTypes2["Zombie"] = "minecraft:zombie";
  MinecraftEntityTypes2["ZombieHorse"] = "minecraft:zombie_horse";
  MinecraftEntityTypes2["ZombiePigman"] = "minecraft:zombie_pigman";
  MinecraftEntityTypes2["ZombieVillager"] = "minecraft:zombie_villager";
  MinecraftEntityTypes2["ZombieVillagerV2"] = "minecraft:zombie_villager_v2";
  return MinecraftEntityTypes2;
})(MinecraftEntityTypes || {});
var MinecraftFeatureTypes = ((MinecraftFeatureTypes2) => {
  MinecraftFeatureTypes2["AncientCity"] = "minecraft:ancient_city";
  MinecraftFeatureTypes2["BastionRemnant"] = "minecraft:bastion_remnant";
  MinecraftFeatureTypes2["BuriedTreasure"] = "minecraft:buried_treasure";
  MinecraftFeatureTypes2["EndCity"] = "minecraft:end_city";
  MinecraftFeatureTypes2["Fortress"] = "minecraft:fortress";
  MinecraftFeatureTypes2["Mansion"] = "minecraft:mansion";
  MinecraftFeatureTypes2["Mineshaft"] = "minecraft:mineshaft";
  MinecraftFeatureTypes2["Monument"] = "minecraft:monument";
  MinecraftFeatureTypes2["PillagerOutpost"] = "minecraft:pillager_outpost";
  MinecraftFeatureTypes2["RuinedPortal"] = "minecraft:ruined_portal";
  MinecraftFeatureTypes2["Ruins"] = "minecraft:ruins";
  MinecraftFeatureTypes2["Shipwreck"] = "minecraft:shipwreck";
  MinecraftFeatureTypes2["Stronghold"] = "minecraft:stronghold";
  MinecraftFeatureTypes2["Temple"] = "minecraft:temple";
  MinecraftFeatureTypes2["TrailRuins"] = "minecraft:trail_ruins";
  MinecraftFeatureTypes2["TrialChambers"] = "minecraft:trial_chambers";
  MinecraftFeatureTypes2["Village"] = "minecraft:village";
  return MinecraftFeatureTypes2;
})(MinecraftFeatureTypes || {});
var MinecraftItemTypes = ((MinecraftItemTypes2) => {
  MinecraftItemTypes2["AcaciaBoat"] = "minecraft:acacia_boat";
  MinecraftItemTypes2["AcaciaButton"] = "minecraft:acacia_button";
  MinecraftItemTypes2["AcaciaChestBoat"] = "minecraft:acacia_chest_boat";
  MinecraftItemTypes2["AcaciaDoor"] = "minecraft:acacia_door";
  MinecraftItemTypes2["AcaciaFence"] = "minecraft:acacia_fence";
  MinecraftItemTypes2["AcaciaFenceGate"] = "minecraft:acacia_fence_gate";
  MinecraftItemTypes2["AcaciaHangingSign"] = "minecraft:acacia_hanging_sign";
  MinecraftItemTypes2["AcaciaLeaves"] = "minecraft:acacia_leaves";
  MinecraftItemTypes2["AcaciaLog"] = "minecraft:acacia_log";
  MinecraftItemTypes2["AcaciaPlanks"] = "minecraft:acacia_planks";
  MinecraftItemTypes2["AcaciaPressurePlate"] = "minecraft:acacia_pressure_plate";
  MinecraftItemTypes2["AcaciaSapling"] = "minecraft:acacia_sapling";
  MinecraftItemTypes2["AcaciaSign"] = "minecraft:acacia_sign";
  MinecraftItemTypes2["AcaciaSlab"] = "minecraft:acacia_slab";
  MinecraftItemTypes2["AcaciaStairs"] = "minecraft:acacia_stairs";
  MinecraftItemTypes2["AcaciaTrapdoor"] = "minecraft:acacia_trapdoor";
  MinecraftItemTypes2["AcaciaWood"] = "minecraft:acacia_wood";
  MinecraftItemTypes2["ActivatorRail"] = "minecraft:activator_rail";
  MinecraftItemTypes2["Air"] = "minecraft:air";
  MinecraftItemTypes2["AllaySpawnEgg"] = "minecraft:allay_spawn_egg";
  MinecraftItemTypes2["Allium"] = "minecraft:allium";
  MinecraftItemTypes2["Allow"] = "minecraft:allow";
  MinecraftItemTypes2["AmethystBlock"] = "minecraft:amethyst_block";
  MinecraftItemTypes2["AmethystCluster"] = "minecraft:amethyst_cluster";
  MinecraftItemTypes2["AmethystShard"] = "minecraft:amethyst_shard";
  MinecraftItemTypes2["AncientDebris"] = "minecraft:ancient_debris";
  MinecraftItemTypes2["Andesite"] = "minecraft:andesite";
  MinecraftItemTypes2["AndesiteSlab"] = "minecraft:andesite_slab";
  MinecraftItemTypes2["AndesiteStairs"] = "minecraft:andesite_stairs";
  MinecraftItemTypes2["AnglerPotterySherd"] = "minecraft:angler_pottery_sherd";
  MinecraftItemTypes2["Anvil"] = "minecraft:anvil";
  MinecraftItemTypes2["Apple"] = "minecraft:apple";
  MinecraftItemTypes2["ArcherPotterySherd"] = "minecraft:archer_pottery_sherd";
  MinecraftItemTypes2["ArmadilloScute"] = "minecraft:armadillo_scute";
  MinecraftItemTypes2["ArmadilloSpawnEgg"] = "minecraft:armadillo_spawn_egg";
  MinecraftItemTypes2["ArmorStand"] = "minecraft:armor_stand";
  MinecraftItemTypes2["ArmsUpPotterySherd"] = "minecraft:arms_up_pottery_sherd";
  MinecraftItemTypes2["Arrow"] = "minecraft:arrow";
  MinecraftItemTypes2["AxolotlBucket"] = "minecraft:axolotl_bucket";
  MinecraftItemTypes2["AxolotlSpawnEgg"] = "minecraft:axolotl_spawn_egg";
  MinecraftItemTypes2["Azalea"] = "minecraft:azalea";
  MinecraftItemTypes2["AzaleaLeaves"] = "minecraft:azalea_leaves";
  MinecraftItemTypes2["AzaleaLeavesFlowered"] = "minecraft:azalea_leaves_flowered";
  MinecraftItemTypes2["AzureBluet"] = "minecraft:azure_bluet";
  MinecraftItemTypes2["BakedPotato"] = "minecraft:baked_potato";
  MinecraftItemTypes2["Bamboo"] = "minecraft:bamboo";
  MinecraftItemTypes2["BambooBlock"] = "minecraft:bamboo_block";
  MinecraftItemTypes2["BambooButton"] = "minecraft:bamboo_button";
  MinecraftItemTypes2["BambooChestRaft"] = "minecraft:bamboo_chest_raft";
  MinecraftItemTypes2["BambooDoor"] = "minecraft:bamboo_door";
  MinecraftItemTypes2["BambooFence"] = "minecraft:bamboo_fence";
  MinecraftItemTypes2["BambooFenceGate"] = "minecraft:bamboo_fence_gate";
  MinecraftItemTypes2["BambooHangingSign"] = "minecraft:bamboo_hanging_sign";
  MinecraftItemTypes2["BambooMosaic"] = "minecraft:bamboo_mosaic";
  MinecraftItemTypes2["BambooMosaicSlab"] = "minecraft:bamboo_mosaic_slab";
  MinecraftItemTypes2["BambooMosaicStairs"] = "minecraft:bamboo_mosaic_stairs";
  MinecraftItemTypes2["BambooPlanks"] = "minecraft:bamboo_planks";
  MinecraftItemTypes2["BambooPressurePlate"] = "minecraft:bamboo_pressure_plate";
  MinecraftItemTypes2["BambooRaft"] = "minecraft:bamboo_raft";
  MinecraftItemTypes2["BambooSign"] = "minecraft:bamboo_sign";
  MinecraftItemTypes2["BambooSlab"] = "minecraft:bamboo_slab";
  MinecraftItemTypes2["BambooStairs"] = "minecraft:bamboo_stairs";
  MinecraftItemTypes2["BambooTrapdoor"] = "minecraft:bamboo_trapdoor";
  MinecraftItemTypes2["Banner"] = "minecraft:banner";
  MinecraftItemTypes2["Barrel"] = "minecraft:barrel";
  MinecraftItemTypes2["Barrier"] = "minecraft:barrier";
  MinecraftItemTypes2["Basalt"] = "minecraft:basalt";
  MinecraftItemTypes2["BatSpawnEgg"] = "minecraft:bat_spawn_egg";
  MinecraftItemTypes2["Beacon"] = "minecraft:beacon";
  MinecraftItemTypes2["Bed"] = "minecraft:bed";
  MinecraftItemTypes2["Bedrock"] = "minecraft:bedrock";
  MinecraftItemTypes2["BeeNest"] = "minecraft:bee_nest";
  MinecraftItemTypes2["BeeSpawnEgg"] = "minecraft:bee_spawn_egg";
  MinecraftItemTypes2["Beef"] = "minecraft:beef";
  MinecraftItemTypes2["Beehive"] = "minecraft:beehive";
  MinecraftItemTypes2["Beetroot"] = "minecraft:beetroot";
  MinecraftItemTypes2["BeetrootSeeds"] = "minecraft:beetroot_seeds";
  MinecraftItemTypes2["BeetrootSoup"] = "minecraft:beetroot_soup";
  MinecraftItemTypes2["Bell"] = "minecraft:bell";
  MinecraftItemTypes2["BigDripleaf"] = "minecraft:big_dripleaf";
  MinecraftItemTypes2["BirchBoat"] = "minecraft:birch_boat";
  MinecraftItemTypes2["BirchButton"] = "minecraft:birch_button";
  MinecraftItemTypes2["BirchChestBoat"] = "minecraft:birch_chest_boat";
  MinecraftItemTypes2["BirchDoor"] = "minecraft:birch_door";
  MinecraftItemTypes2["BirchFence"] = "minecraft:birch_fence";
  MinecraftItemTypes2["BirchFenceGate"] = "minecraft:birch_fence_gate";
  MinecraftItemTypes2["BirchHangingSign"] = "minecraft:birch_hanging_sign";
  MinecraftItemTypes2["BirchLeaves"] = "minecraft:birch_leaves";
  MinecraftItemTypes2["BirchLog"] = "minecraft:birch_log";
  MinecraftItemTypes2["BirchPlanks"] = "minecraft:birch_planks";
  MinecraftItemTypes2["BirchPressurePlate"] = "minecraft:birch_pressure_plate";
  MinecraftItemTypes2["BirchSapling"] = "minecraft:birch_sapling";
  MinecraftItemTypes2["BirchSign"] = "minecraft:birch_sign";
  MinecraftItemTypes2["BirchSlab"] = "minecraft:birch_slab";
  MinecraftItemTypes2["BirchStairs"] = "minecraft:birch_stairs";
  MinecraftItemTypes2["BirchTrapdoor"] = "minecraft:birch_trapdoor";
  MinecraftItemTypes2["BirchWood"] = "minecraft:birch_wood";
  MinecraftItemTypes2["BlackCandle"] = "minecraft:black_candle";
  MinecraftItemTypes2["BlackCarpet"] = "minecraft:black_carpet";
  MinecraftItemTypes2["BlackConcrete"] = "minecraft:black_concrete";
  MinecraftItemTypes2["BlackConcretePowder"] = "minecraft:black_concrete_powder";
  MinecraftItemTypes2["BlackDye"] = "minecraft:black_dye";
  MinecraftItemTypes2["BlackGlazedTerracotta"] = "minecraft:black_glazed_terracotta";
  MinecraftItemTypes2["BlackShulkerBox"] = "minecraft:black_shulker_box";
  MinecraftItemTypes2["BlackStainedGlass"] = "minecraft:black_stained_glass";
  MinecraftItemTypes2["BlackStainedGlassPane"] = "minecraft:black_stained_glass_pane";
  MinecraftItemTypes2["BlackTerracotta"] = "minecraft:black_terracotta";
  MinecraftItemTypes2["BlackWool"] = "minecraft:black_wool";
  MinecraftItemTypes2["Blackstone"] = "minecraft:blackstone";
  MinecraftItemTypes2["BlackstoneSlab"] = "minecraft:blackstone_slab";
  MinecraftItemTypes2["BlackstoneStairs"] = "minecraft:blackstone_stairs";
  MinecraftItemTypes2["BlackstoneWall"] = "minecraft:blackstone_wall";
  MinecraftItemTypes2["BladePotterySherd"] = "minecraft:blade_pottery_sherd";
  MinecraftItemTypes2["BlastFurnace"] = "minecraft:blast_furnace";
  MinecraftItemTypes2["BlazePowder"] = "minecraft:blaze_powder";
  MinecraftItemTypes2["BlazeRod"] = "minecraft:blaze_rod";
  MinecraftItemTypes2["BlazeSpawnEgg"] = "minecraft:blaze_spawn_egg";
  MinecraftItemTypes2["BlueCandle"] = "minecraft:blue_candle";
  MinecraftItemTypes2["BlueCarpet"] = "minecraft:blue_carpet";
  MinecraftItemTypes2["BlueConcrete"] = "minecraft:blue_concrete";
  MinecraftItemTypes2["BlueConcretePowder"] = "minecraft:blue_concrete_powder";
  MinecraftItemTypes2["BlueDye"] = "minecraft:blue_dye";
  MinecraftItemTypes2["BlueGlazedTerracotta"] = "minecraft:blue_glazed_terracotta";
  MinecraftItemTypes2["BlueIce"] = "minecraft:blue_ice";
  MinecraftItemTypes2["BlueOrchid"] = "minecraft:blue_orchid";
  MinecraftItemTypes2["BlueShulkerBox"] = "minecraft:blue_shulker_box";
  MinecraftItemTypes2["BlueStainedGlass"] = "minecraft:blue_stained_glass";
  MinecraftItemTypes2["BlueStainedGlassPane"] = "minecraft:blue_stained_glass_pane";
  MinecraftItemTypes2["BlueTerracotta"] = "minecraft:blue_terracotta";
  MinecraftItemTypes2["BlueWool"] = "minecraft:blue_wool";
  MinecraftItemTypes2["BoggedSpawnEgg"] = "minecraft:bogged_spawn_egg";
  MinecraftItemTypes2["BoltArmorTrimSmithingTemplate"] = "minecraft:bolt_armor_trim_smithing_template";
  MinecraftItemTypes2["Bone"] = "minecraft:bone";
  MinecraftItemTypes2["BoneBlock"] = "minecraft:bone_block";
  MinecraftItemTypes2["BoneMeal"] = "minecraft:bone_meal";
  MinecraftItemTypes2["Book"] = "minecraft:book";
  MinecraftItemTypes2["Bookshelf"] = "minecraft:bookshelf";
  MinecraftItemTypes2["BorderBlock"] = "minecraft:border_block";
  MinecraftItemTypes2["BordureIndentedBannerPattern"] = "minecraft:bordure_indented_banner_pattern";
  MinecraftItemTypes2["Bow"] = "minecraft:bow";
  MinecraftItemTypes2["Bowl"] = "minecraft:bowl";
  MinecraftItemTypes2["BrainCoral"] = "minecraft:brain_coral";
  MinecraftItemTypes2["BrainCoralBlock"] = "minecraft:brain_coral_block";
  MinecraftItemTypes2["BrainCoralFan"] = "minecraft:brain_coral_fan";
  MinecraftItemTypes2["Bread"] = "minecraft:bread";
  MinecraftItemTypes2["BreezeRod"] = "minecraft:breeze_rod";
  MinecraftItemTypes2["BreezeSpawnEgg"] = "minecraft:breeze_spawn_egg";
  MinecraftItemTypes2["BrewerPotterySherd"] = "minecraft:brewer_pottery_sherd";
  MinecraftItemTypes2["BrewingStand"] = "minecraft:brewing_stand";
  MinecraftItemTypes2["Brick"] = "minecraft:brick";
  MinecraftItemTypes2["BrickBlock"] = "minecraft:brick_block";
  MinecraftItemTypes2["BrickSlab"] = "minecraft:brick_slab";
  MinecraftItemTypes2["BrickStairs"] = "minecraft:brick_stairs";
  MinecraftItemTypes2["BrownCandle"] = "minecraft:brown_candle";
  MinecraftItemTypes2["BrownCarpet"] = "minecraft:brown_carpet";
  MinecraftItemTypes2["BrownConcrete"] = "minecraft:brown_concrete";
  MinecraftItemTypes2["BrownConcretePowder"] = "minecraft:brown_concrete_powder";
  MinecraftItemTypes2["BrownDye"] = "minecraft:brown_dye";
  MinecraftItemTypes2["BrownGlazedTerracotta"] = "minecraft:brown_glazed_terracotta";
  MinecraftItemTypes2["BrownMushroom"] = "minecraft:brown_mushroom";
  MinecraftItemTypes2["BrownMushroomBlock"] = "minecraft:brown_mushroom_block";
  MinecraftItemTypes2["BrownShulkerBox"] = "minecraft:brown_shulker_box";
  MinecraftItemTypes2["BrownStainedGlass"] = "minecraft:brown_stained_glass";
  MinecraftItemTypes2["BrownStainedGlassPane"] = "minecraft:brown_stained_glass_pane";
  MinecraftItemTypes2["BrownTerracotta"] = "minecraft:brown_terracotta";
  MinecraftItemTypes2["BrownWool"] = "minecraft:brown_wool";
  MinecraftItemTypes2["Brush"] = "minecraft:brush";
  MinecraftItemTypes2["BubbleCoral"] = "minecraft:bubble_coral";
  MinecraftItemTypes2["BubbleCoralBlock"] = "minecraft:bubble_coral_block";
  MinecraftItemTypes2["BubbleCoralFan"] = "minecraft:bubble_coral_fan";
  MinecraftItemTypes2["Bucket"] = "minecraft:bucket";
  MinecraftItemTypes2["BuddingAmethyst"] = "minecraft:budding_amethyst";
  MinecraftItemTypes2["BurnPotterySherd"] = "minecraft:burn_pottery_sherd";
  MinecraftItemTypes2["Cactus"] = "minecraft:cactus";
  MinecraftItemTypes2["Cake"] = "minecraft:cake";
  MinecraftItemTypes2["Calcite"] = "minecraft:calcite";
  MinecraftItemTypes2["CalibratedSculkSensor"] = "minecraft:calibrated_sculk_sensor";
  MinecraftItemTypes2["CamelSpawnEgg"] = "minecraft:camel_spawn_egg";
  MinecraftItemTypes2["Campfire"] = "minecraft:campfire";
  MinecraftItemTypes2["Candle"] = "minecraft:candle";
  MinecraftItemTypes2["Carrot"] = "minecraft:carrot";
  MinecraftItemTypes2["CarrotOnAStick"] = "minecraft:carrot_on_a_stick";
  MinecraftItemTypes2["CartographyTable"] = "minecraft:cartography_table";
  MinecraftItemTypes2["CarvedPumpkin"] = "minecraft:carved_pumpkin";
  MinecraftItemTypes2["CatSpawnEgg"] = "minecraft:cat_spawn_egg";
  MinecraftItemTypes2["Cauldron"] = "minecraft:cauldron";
  MinecraftItemTypes2["CaveSpiderSpawnEgg"] = "minecraft:cave_spider_spawn_egg";
  MinecraftItemTypes2["Chain"] = "minecraft:chain";
  MinecraftItemTypes2["ChainCommandBlock"] = "minecraft:chain_command_block";
  MinecraftItemTypes2["ChainmailBoots"] = "minecraft:chainmail_boots";
  MinecraftItemTypes2["ChainmailChestplate"] = "minecraft:chainmail_chestplate";
  MinecraftItemTypes2["ChainmailHelmet"] = "minecraft:chainmail_helmet";
  MinecraftItemTypes2["ChainmailLeggings"] = "minecraft:chainmail_leggings";
  MinecraftItemTypes2["Charcoal"] = "minecraft:charcoal";
  MinecraftItemTypes2["CherryBoat"] = "minecraft:cherry_boat";
  MinecraftItemTypes2["CherryButton"] = "minecraft:cherry_button";
  MinecraftItemTypes2["CherryChestBoat"] = "minecraft:cherry_chest_boat";
  MinecraftItemTypes2["CherryDoor"] = "minecraft:cherry_door";
  MinecraftItemTypes2["CherryFence"] = "minecraft:cherry_fence";
  MinecraftItemTypes2["CherryFenceGate"] = "minecraft:cherry_fence_gate";
  MinecraftItemTypes2["CherryHangingSign"] = "minecraft:cherry_hanging_sign";
  MinecraftItemTypes2["CherryLeaves"] = "minecraft:cherry_leaves";
  MinecraftItemTypes2["CherryLog"] = "minecraft:cherry_log";
  MinecraftItemTypes2["CherryPlanks"] = "minecraft:cherry_planks";
  MinecraftItemTypes2["CherryPressurePlate"] = "minecraft:cherry_pressure_plate";
  MinecraftItemTypes2["CherrySapling"] = "minecraft:cherry_sapling";
  MinecraftItemTypes2["CherrySign"] = "minecraft:cherry_sign";
  MinecraftItemTypes2["CherrySlab"] = "minecraft:cherry_slab";
  MinecraftItemTypes2["CherryStairs"] = "minecraft:cherry_stairs";
  MinecraftItemTypes2["CherryTrapdoor"] = "minecraft:cherry_trapdoor";
  MinecraftItemTypes2["CherryWood"] = "minecraft:cherry_wood";
  MinecraftItemTypes2["Chest"] = "minecraft:chest";
  MinecraftItemTypes2["ChestMinecart"] = "minecraft:chest_minecart";
  MinecraftItemTypes2["Chicken"] = "minecraft:chicken";
  MinecraftItemTypes2["ChickenSpawnEgg"] = "minecraft:chicken_spawn_egg";
  MinecraftItemTypes2["ChippedAnvil"] = "minecraft:chipped_anvil";
  MinecraftItemTypes2["ChiseledBookshelf"] = "minecraft:chiseled_bookshelf";
  MinecraftItemTypes2["ChiseledCopper"] = "minecraft:chiseled_copper";
  MinecraftItemTypes2["ChiseledDeepslate"] = "minecraft:chiseled_deepslate";
  MinecraftItemTypes2["ChiseledNetherBricks"] = "minecraft:chiseled_nether_bricks";
  MinecraftItemTypes2["ChiseledPolishedBlackstone"] = "minecraft:chiseled_polished_blackstone";
  MinecraftItemTypes2["ChiseledQuartzBlock"] = "minecraft:chiseled_quartz_block";
  MinecraftItemTypes2["ChiseledRedSandstone"] = "minecraft:chiseled_red_sandstone";
  MinecraftItemTypes2["ChiseledSandstone"] = "minecraft:chiseled_sandstone";
  MinecraftItemTypes2["ChiseledStoneBricks"] = "minecraft:chiseled_stone_bricks";
  MinecraftItemTypes2["ChiseledTuff"] = "minecraft:chiseled_tuff";
  MinecraftItemTypes2["ChiseledTuffBricks"] = "minecraft:chiseled_tuff_bricks";
  MinecraftItemTypes2["ChorusFlower"] = "minecraft:chorus_flower";
  MinecraftItemTypes2["ChorusFruit"] = "minecraft:chorus_fruit";
  MinecraftItemTypes2["ChorusPlant"] = "minecraft:chorus_plant";
  MinecraftItemTypes2["Clay"] = "minecraft:clay";
  MinecraftItemTypes2["ClayBall"] = "minecraft:clay_ball";
  MinecraftItemTypes2["Clock"] = "minecraft:clock";
  MinecraftItemTypes2["Coal"] = "minecraft:coal";
  MinecraftItemTypes2["CoalBlock"] = "minecraft:coal_block";
  MinecraftItemTypes2["CoalOre"] = "minecraft:coal_ore";
  MinecraftItemTypes2["CoarseDirt"] = "minecraft:coarse_dirt";
  MinecraftItemTypes2["CoastArmorTrimSmithingTemplate"] = "minecraft:coast_armor_trim_smithing_template";
  MinecraftItemTypes2["CobbledDeepslate"] = "minecraft:cobbled_deepslate";
  MinecraftItemTypes2["CobbledDeepslateSlab"] = "minecraft:cobbled_deepslate_slab";
  MinecraftItemTypes2["CobbledDeepslateStairs"] = "minecraft:cobbled_deepslate_stairs";
  MinecraftItemTypes2["CobbledDeepslateWall"] = "minecraft:cobbled_deepslate_wall";
  MinecraftItemTypes2["Cobblestone"] = "minecraft:cobblestone";
  MinecraftItemTypes2["CobblestoneSlab"] = "minecraft:cobblestone_slab";
  MinecraftItemTypes2["CobblestoneWall"] = "minecraft:cobblestone_wall";
  MinecraftItemTypes2["CocoaBeans"] = "minecraft:cocoa_beans";
  MinecraftItemTypes2["Cod"] = "minecraft:cod";
  MinecraftItemTypes2["CodBucket"] = "minecraft:cod_bucket";
  MinecraftItemTypes2["CodSpawnEgg"] = "minecraft:cod_spawn_egg";
  MinecraftItemTypes2["CommandBlock"] = "minecraft:command_block";
  MinecraftItemTypes2["CommandBlockMinecart"] = "minecraft:command_block_minecart";
  MinecraftItemTypes2["Comparator"] = "minecraft:comparator";
  MinecraftItemTypes2["Compass"] = "minecraft:compass";
  MinecraftItemTypes2["Composter"] = "minecraft:composter";
  MinecraftItemTypes2["Conduit"] = "minecraft:conduit";
  MinecraftItemTypes2["CookedBeef"] = "minecraft:cooked_beef";
  MinecraftItemTypes2["CookedChicken"] = "minecraft:cooked_chicken";
  MinecraftItemTypes2["CookedCod"] = "minecraft:cooked_cod";
  MinecraftItemTypes2["CookedMutton"] = "minecraft:cooked_mutton";
  MinecraftItemTypes2["CookedPorkchop"] = "minecraft:cooked_porkchop";
  MinecraftItemTypes2["CookedRabbit"] = "minecraft:cooked_rabbit";
  MinecraftItemTypes2["CookedSalmon"] = "minecraft:cooked_salmon";
  MinecraftItemTypes2["Cookie"] = "minecraft:cookie";
  MinecraftItemTypes2["CopperBlock"] = "minecraft:copper_block";
  MinecraftItemTypes2["CopperBulb"] = "minecraft:copper_bulb";
  MinecraftItemTypes2["CopperDoor"] = "minecraft:copper_door";
  MinecraftItemTypes2["CopperGrate"] = "minecraft:copper_grate";
  MinecraftItemTypes2["CopperIngot"] = "minecraft:copper_ingot";
  MinecraftItemTypes2["CopperOre"] = "minecraft:copper_ore";
  MinecraftItemTypes2["CopperTrapdoor"] = "minecraft:copper_trapdoor";
  MinecraftItemTypes2["Cornflower"] = "minecraft:cornflower";
  MinecraftItemTypes2["CowSpawnEgg"] = "minecraft:cow_spawn_egg";
  MinecraftItemTypes2["CrackedDeepslateBricks"] = "minecraft:cracked_deepslate_bricks";
  MinecraftItemTypes2["CrackedDeepslateTiles"] = "minecraft:cracked_deepslate_tiles";
  MinecraftItemTypes2["CrackedNetherBricks"] = "minecraft:cracked_nether_bricks";
  MinecraftItemTypes2["CrackedPolishedBlackstoneBricks"] = "minecraft:cracked_polished_blackstone_bricks";
  MinecraftItemTypes2["CrackedStoneBricks"] = "minecraft:cracked_stone_bricks";
  MinecraftItemTypes2["Crafter"] = "minecraft:crafter";
  MinecraftItemTypes2["CraftingTable"] = "minecraft:crafting_table";
  MinecraftItemTypes2["CreeperBannerPattern"] = "minecraft:creeper_banner_pattern";
  MinecraftItemTypes2["CreeperSpawnEgg"] = "minecraft:creeper_spawn_egg";
  MinecraftItemTypes2["CrimsonButton"] = "minecraft:crimson_button";
  MinecraftItemTypes2["CrimsonDoor"] = "minecraft:crimson_door";
  MinecraftItemTypes2["CrimsonFence"] = "minecraft:crimson_fence";
  MinecraftItemTypes2["CrimsonFenceGate"] = "minecraft:crimson_fence_gate";
  MinecraftItemTypes2["CrimsonFungus"] = "minecraft:crimson_fungus";
  MinecraftItemTypes2["CrimsonHangingSign"] = "minecraft:crimson_hanging_sign";
  MinecraftItemTypes2["CrimsonHyphae"] = "minecraft:crimson_hyphae";
  MinecraftItemTypes2["CrimsonNylium"] = "minecraft:crimson_nylium";
  MinecraftItemTypes2["CrimsonPlanks"] = "minecraft:crimson_planks";
  MinecraftItemTypes2["CrimsonPressurePlate"] = "minecraft:crimson_pressure_plate";
  MinecraftItemTypes2["CrimsonRoots"] = "minecraft:crimson_roots";
  MinecraftItemTypes2["CrimsonSign"] = "minecraft:crimson_sign";
  MinecraftItemTypes2["CrimsonSlab"] = "minecraft:crimson_slab";
  MinecraftItemTypes2["CrimsonStairs"] = "minecraft:crimson_stairs";
  MinecraftItemTypes2["CrimsonStem"] = "minecraft:crimson_stem";
  MinecraftItemTypes2["CrimsonTrapdoor"] = "minecraft:crimson_trapdoor";
  MinecraftItemTypes2["Crossbow"] = "minecraft:crossbow";
  MinecraftItemTypes2["CryingObsidian"] = "minecraft:crying_obsidian";
  MinecraftItemTypes2["CutCopper"] = "minecraft:cut_copper";
  MinecraftItemTypes2["CutCopperSlab"] = "minecraft:cut_copper_slab";
  MinecraftItemTypes2["CutCopperStairs"] = "minecraft:cut_copper_stairs";
  MinecraftItemTypes2["CutRedSandstone"] = "minecraft:cut_red_sandstone";
  MinecraftItemTypes2["CutRedSandstoneSlab"] = "minecraft:cut_red_sandstone_slab";
  MinecraftItemTypes2["CutSandstone"] = "minecraft:cut_sandstone";
  MinecraftItemTypes2["CutSandstoneSlab"] = "minecraft:cut_sandstone_slab";
  MinecraftItemTypes2["CyanCandle"] = "minecraft:cyan_candle";
  MinecraftItemTypes2["CyanCarpet"] = "minecraft:cyan_carpet";
  MinecraftItemTypes2["CyanConcrete"] = "minecraft:cyan_concrete";
  MinecraftItemTypes2["CyanConcretePowder"] = "minecraft:cyan_concrete_powder";
  MinecraftItemTypes2["CyanDye"] = "minecraft:cyan_dye";
  MinecraftItemTypes2["CyanGlazedTerracotta"] = "minecraft:cyan_glazed_terracotta";
  MinecraftItemTypes2["CyanShulkerBox"] = "minecraft:cyan_shulker_box";
  MinecraftItemTypes2["CyanStainedGlass"] = "minecraft:cyan_stained_glass";
  MinecraftItemTypes2["CyanStainedGlassPane"] = "minecraft:cyan_stained_glass_pane";
  MinecraftItemTypes2["CyanTerracotta"] = "minecraft:cyan_terracotta";
  MinecraftItemTypes2["CyanWool"] = "minecraft:cyan_wool";
  MinecraftItemTypes2["DamagedAnvil"] = "minecraft:damaged_anvil";
  MinecraftItemTypes2["Dandelion"] = "minecraft:dandelion";
  MinecraftItemTypes2["DangerPotterySherd"] = "minecraft:danger_pottery_sherd";
  MinecraftItemTypes2["DarkOakBoat"] = "minecraft:dark_oak_boat";
  MinecraftItemTypes2["DarkOakButton"] = "minecraft:dark_oak_button";
  MinecraftItemTypes2["DarkOakChestBoat"] = "minecraft:dark_oak_chest_boat";
  MinecraftItemTypes2["DarkOakDoor"] = "minecraft:dark_oak_door";
  MinecraftItemTypes2["DarkOakFence"] = "minecraft:dark_oak_fence";
  MinecraftItemTypes2["DarkOakFenceGate"] = "minecraft:dark_oak_fence_gate";
  MinecraftItemTypes2["DarkOakHangingSign"] = "minecraft:dark_oak_hanging_sign";
  MinecraftItemTypes2["DarkOakLeaves"] = "minecraft:dark_oak_leaves";
  MinecraftItemTypes2["DarkOakLog"] = "minecraft:dark_oak_log";
  MinecraftItemTypes2["DarkOakPlanks"] = "minecraft:dark_oak_planks";
  MinecraftItemTypes2["DarkOakPressurePlate"] = "minecraft:dark_oak_pressure_plate";
  MinecraftItemTypes2["DarkOakSapling"] = "minecraft:dark_oak_sapling";
  MinecraftItemTypes2["DarkOakSign"] = "minecraft:dark_oak_sign";
  MinecraftItemTypes2["DarkOakSlab"] = "minecraft:dark_oak_slab";
  MinecraftItemTypes2["DarkOakStairs"] = "minecraft:dark_oak_stairs";
  MinecraftItemTypes2["DarkOakTrapdoor"] = "minecraft:dark_oak_trapdoor";
  MinecraftItemTypes2["DarkOakWood"] = "minecraft:dark_oak_wood";
  MinecraftItemTypes2["DarkPrismarine"] = "minecraft:dark_prismarine";
  MinecraftItemTypes2["DarkPrismarineSlab"] = "minecraft:dark_prismarine_slab";
  MinecraftItemTypes2["DarkPrismarineStairs"] = "minecraft:dark_prismarine_stairs";
  MinecraftItemTypes2["DaylightDetector"] = "minecraft:daylight_detector";
  MinecraftItemTypes2["DeadBrainCoral"] = "minecraft:dead_brain_coral";
  MinecraftItemTypes2["DeadBrainCoralBlock"] = "minecraft:dead_brain_coral_block";
  MinecraftItemTypes2["DeadBrainCoralFan"] = "minecraft:dead_brain_coral_fan";
  MinecraftItemTypes2["DeadBubbleCoral"] = "minecraft:dead_bubble_coral";
  MinecraftItemTypes2["DeadBubbleCoralBlock"] = "minecraft:dead_bubble_coral_block";
  MinecraftItemTypes2["DeadBubbleCoralFan"] = "minecraft:dead_bubble_coral_fan";
  MinecraftItemTypes2["DeadFireCoral"] = "minecraft:dead_fire_coral";
  MinecraftItemTypes2["DeadFireCoralBlock"] = "minecraft:dead_fire_coral_block";
  MinecraftItemTypes2["DeadFireCoralFan"] = "minecraft:dead_fire_coral_fan";
  MinecraftItemTypes2["DeadHornCoral"] = "minecraft:dead_horn_coral";
  MinecraftItemTypes2["DeadHornCoralBlock"] = "minecraft:dead_horn_coral_block";
  MinecraftItemTypes2["DeadHornCoralFan"] = "minecraft:dead_horn_coral_fan";
  MinecraftItemTypes2["DeadTubeCoral"] = "minecraft:dead_tube_coral";
  MinecraftItemTypes2["DeadTubeCoralBlock"] = "minecraft:dead_tube_coral_block";
  MinecraftItemTypes2["DeadTubeCoralFan"] = "minecraft:dead_tube_coral_fan";
  MinecraftItemTypes2["Deadbush"] = "minecraft:deadbush";
  MinecraftItemTypes2["DecoratedPot"] = "minecraft:decorated_pot";
  MinecraftItemTypes2["Deepslate"] = "minecraft:deepslate";
  MinecraftItemTypes2["DeepslateBrickSlab"] = "minecraft:deepslate_brick_slab";
  MinecraftItemTypes2["DeepslateBrickStairs"] = "minecraft:deepslate_brick_stairs";
  MinecraftItemTypes2["DeepslateBrickWall"] = "minecraft:deepslate_brick_wall";
  MinecraftItemTypes2["DeepslateBricks"] = "minecraft:deepslate_bricks";
  MinecraftItemTypes2["DeepslateCoalOre"] = "minecraft:deepslate_coal_ore";
  MinecraftItemTypes2["DeepslateCopperOre"] = "minecraft:deepslate_copper_ore";
  MinecraftItemTypes2["DeepslateDiamondOre"] = "minecraft:deepslate_diamond_ore";
  MinecraftItemTypes2["DeepslateEmeraldOre"] = "minecraft:deepslate_emerald_ore";
  MinecraftItemTypes2["DeepslateGoldOre"] = "minecraft:deepslate_gold_ore";
  MinecraftItemTypes2["DeepslateIronOre"] = "minecraft:deepslate_iron_ore";
  MinecraftItemTypes2["DeepslateLapisOre"] = "minecraft:deepslate_lapis_ore";
  MinecraftItemTypes2["DeepslateRedstoneOre"] = "minecraft:deepslate_redstone_ore";
  MinecraftItemTypes2["DeepslateTileSlab"] = "minecraft:deepslate_tile_slab";
  MinecraftItemTypes2["DeepslateTileStairs"] = "minecraft:deepslate_tile_stairs";
  MinecraftItemTypes2["DeepslateTileWall"] = "minecraft:deepslate_tile_wall";
  MinecraftItemTypes2["DeepslateTiles"] = "minecraft:deepslate_tiles";
  MinecraftItemTypes2["Deny"] = "minecraft:deny";
  MinecraftItemTypes2["DetectorRail"] = "minecraft:detector_rail";
  MinecraftItemTypes2["Diamond"] = "minecraft:diamond";
  MinecraftItemTypes2["DiamondAxe"] = "minecraft:diamond_axe";
  MinecraftItemTypes2["DiamondBlock"] = "minecraft:diamond_block";
  MinecraftItemTypes2["DiamondBoots"] = "minecraft:diamond_boots";
  MinecraftItemTypes2["DiamondChestplate"] = "minecraft:diamond_chestplate";
  MinecraftItemTypes2["DiamondHelmet"] = "minecraft:diamond_helmet";
  MinecraftItemTypes2["DiamondHoe"] = "minecraft:diamond_hoe";
  MinecraftItemTypes2["DiamondHorseArmor"] = "minecraft:diamond_horse_armor";
  MinecraftItemTypes2["DiamondLeggings"] = "minecraft:diamond_leggings";
  MinecraftItemTypes2["DiamondOre"] = "minecraft:diamond_ore";
  MinecraftItemTypes2["DiamondPickaxe"] = "minecraft:diamond_pickaxe";
  MinecraftItemTypes2["DiamondShovel"] = "minecraft:diamond_shovel";
  MinecraftItemTypes2["DiamondSword"] = "minecraft:diamond_sword";
  MinecraftItemTypes2["Diorite"] = "minecraft:diorite";
  MinecraftItemTypes2["DioriteSlab"] = "minecraft:diorite_slab";
  MinecraftItemTypes2["DioriteStairs"] = "minecraft:diorite_stairs";
  MinecraftItemTypes2["Dirt"] = "minecraft:dirt";
  MinecraftItemTypes2["DirtWithRoots"] = "minecraft:dirt_with_roots";
  MinecraftItemTypes2["DiscFragment5"] = "minecraft:disc_fragment_5";
  MinecraftItemTypes2["Dispenser"] = "minecraft:dispenser";
  MinecraftItemTypes2["DolphinSpawnEgg"] = "minecraft:dolphin_spawn_egg";
  MinecraftItemTypes2["DonkeySpawnEgg"] = "minecraft:donkey_spawn_egg";
  MinecraftItemTypes2["DragonBreath"] = "minecraft:dragon_breath";
  MinecraftItemTypes2["DragonEgg"] = "minecraft:dragon_egg";
  MinecraftItemTypes2["DriedKelp"] = "minecraft:dried_kelp";
  MinecraftItemTypes2["DriedKelpBlock"] = "minecraft:dried_kelp_block";
  MinecraftItemTypes2["DripstoneBlock"] = "minecraft:dripstone_block";
  MinecraftItemTypes2["Dropper"] = "minecraft:dropper";
  MinecraftItemTypes2["DrownedSpawnEgg"] = "minecraft:drowned_spawn_egg";
  MinecraftItemTypes2["DuneArmorTrimSmithingTemplate"] = "minecraft:dune_armor_trim_smithing_template";
  MinecraftItemTypes2["EchoShard"] = "minecraft:echo_shard";
  MinecraftItemTypes2["Egg"] = "minecraft:egg";
  MinecraftItemTypes2["ElderGuardianSpawnEgg"] = "minecraft:elder_guardian_spawn_egg";
  MinecraftItemTypes2["Elytra"] = "minecraft:elytra";
  MinecraftItemTypes2["Emerald"] = "minecraft:emerald";
  MinecraftItemTypes2["EmeraldBlock"] = "minecraft:emerald_block";
  MinecraftItemTypes2["EmeraldOre"] = "minecraft:emerald_ore";
  MinecraftItemTypes2["EmptyMap"] = "minecraft:empty_map";
  MinecraftItemTypes2["EnchantedBook"] = "minecraft:enchanted_book";
  MinecraftItemTypes2["EnchantedGoldenApple"] = "minecraft:enchanted_golden_apple";
  MinecraftItemTypes2["EnchantingTable"] = "minecraft:enchanting_table";
  MinecraftItemTypes2["EndBrickStairs"] = "minecraft:end_brick_stairs";
  MinecraftItemTypes2["EndBricks"] = "minecraft:end_bricks";
  MinecraftItemTypes2["EndCrystal"] = "minecraft:end_crystal";
  MinecraftItemTypes2["EndPortalFrame"] = "minecraft:end_portal_frame";
  MinecraftItemTypes2["EndRod"] = "minecraft:end_rod";
  MinecraftItemTypes2["EndStone"] = "minecraft:end_stone";
  MinecraftItemTypes2["EndStoneBrickSlab"] = "minecraft:end_stone_brick_slab";
  MinecraftItemTypes2["EnderChest"] = "minecraft:ender_chest";
  MinecraftItemTypes2["EnderDragonSpawnEgg"] = "minecraft:ender_dragon_spawn_egg";
  MinecraftItemTypes2["EnderEye"] = "minecraft:ender_eye";
  MinecraftItemTypes2["EnderPearl"] = "minecraft:ender_pearl";
  MinecraftItemTypes2["EndermanSpawnEgg"] = "minecraft:enderman_spawn_egg";
  MinecraftItemTypes2["EndermiteSpawnEgg"] = "minecraft:endermite_spawn_egg";
  MinecraftItemTypes2["EvokerSpawnEgg"] = "minecraft:evoker_spawn_egg";
  MinecraftItemTypes2["ExperienceBottle"] = "minecraft:experience_bottle";
  MinecraftItemTypes2["ExplorerPotterySherd"] = "minecraft:explorer_pottery_sherd";
  MinecraftItemTypes2["ExposedChiseledCopper"] = "minecraft:exposed_chiseled_copper";
  MinecraftItemTypes2["ExposedCopper"] = "minecraft:exposed_copper";
  MinecraftItemTypes2["ExposedCopperBulb"] = "minecraft:exposed_copper_bulb";
  MinecraftItemTypes2["ExposedCopperDoor"] = "minecraft:exposed_copper_door";
  MinecraftItemTypes2["ExposedCopperGrate"] = "minecraft:exposed_copper_grate";
  MinecraftItemTypes2["ExposedCopperTrapdoor"] = "minecraft:exposed_copper_trapdoor";
  MinecraftItemTypes2["ExposedCutCopper"] = "minecraft:exposed_cut_copper";
  MinecraftItemTypes2["ExposedCutCopperSlab"] = "minecraft:exposed_cut_copper_slab";
  MinecraftItemTypes2["ExposedCutCopperStairs"] = "minecraft:exposed_cut_copper_stairs";
  MinecraftItemTypes2["EyeArmorTrimSmithingTemplate"] = "minecraft:eye_armor_trim_smithing_template";
  MinecraftItemTypes2["Farmland"] = "minecraft:farmland";
  MinecraftItemTypes2["Feather"] = "minecraft:feather";
  MinecraftItemTypes2["FenceGate"] = "minecraft:fence_gate";
  MinecraftItemTypes2["FermentedSpiderEye"] = "minecraft:fermented_spider_eye";
  MinecraftItemTypes2["Fern"] = "minecraft:fern";
  MinecraftItemTypes2["FieldMasonedBannerPattern"] = "minecraft:field_masoned_banner_pattern";
  MinecraftItemTypes2["FilledMap"] = "minecraft:filled_map";
  MinecraftItemTypes2["FireCharge"] = "minecraft:fire_charge";
  MinecraftItemTypes2["FireCoral"] = "minecraft:fire_coral";
  MinecraftItemTypes2["FireCoralBlock"] = "minecraft:fire_coral_block";
  MinecraftItemTypes2["FireCoralFan"] = "minecraft:fire_coral_fan";
  MinecraftItemTypes2["FireworkRocket"] = "minecraft:firework_rocket";
  MinecraftItemTypes2["FireworkStar"] = "minecraft:firework_star";
  MinecraftItemTypes2["FishingRod"] = "minecraft:fishing_rod";
  MinecraftItemTypes2["FletchingTable"] = "minecraft:fletching_table";
  MinecraftItemTypes2["Flint"] = "minecraft:flint";
  MinecraftItemTypes2["FlintAndSteel"] = "minecraft:flint_and_steel";
  MinecraftItemTypes2["FlowArmorTrimSmithingTemplate"] = "minecraft:flow_armor_trim_smithing_template";
  MinecraftItemTypes2["FlowBannerPattern"] = "minecraft:flow_banner_pattern";
  MinecraftItemTypes2["FlowPotterySherd"] = "minecraft:flow_pottery_sherd";
  MinecraftItemTypes2["FlowerBannerPattern"] = "minecraft:flower_banner_pattern";
  MinecraftItemTypes2["FlowerPot"] = "minecraft:flower_pot";
  MinecraftItemTypes2["FloweringAzalea"] = "minecraft:flowering_azalea";
  MinecraftItemTypes2["FoxSpawnEgg"] = "minecraft:fox_spawn_egg";
  MinecraftItemTypes2["Frame"] = "minecraft:frame";
  MinecraftItemTypes2["FriendPotterySherd"] = "minecraft:friend_pottery_sherd";
  MinecraftItemTypes2["FrogSpawn"] = "minecraft:frog_spawn";
  MinecraftItemTypes2["FrogSpawnEgg"] = "minecraft:frog_spawn_egg";
  MinecraftItemTypes2["FrostedIce"] = "minecraft:frosted_ice";
  MinecraftItemTypes2["Furnace"] = "minecraft:furnace";
  MinecraftItemTypes2["GhastSpawnEgg"] = "minecraft:ghast_spawn_egg";
  MinecraftItemTypes2["GhastTear"] = "minecraft:ghast_tear";
  MinecraftItemTypes2["GildedBlackstone"] = "minecraft:gilded_blackstone";
  MinecraftItemTypes2["Glass"] = "minecraft:glass";
  MinecraftItemTypes2["GlassBottle"] = "minecraft:glass_bottle";
  MinecraftItemTypes2["GlassPane"] = "minecraft:glass_pane";
  MinecraftItemTypes2["GlisteringMelonSlice"] = "minecraft:glistering_melon_slice";
  MinecraftItemTypes2["GlobeBannerPattern"] = "minecraft:globe_banner_pattern";
  MinecraftItemTypes2["GlowBerries"] = "minecraft:glow_berries";
  MinecraftItemTypes2["GlowFrame"] = "minecraft:glow_frame";
  MinecraftItemTypes2["GlowInkSac"] = "minecraft:glow_ink_sac";
  MinecraftItemTypes2["GlowLichen"] = "minecraft:glow_lichen";
  MinecraftItemTypes2["GlowSquidSpawnEgg"] = "minecraft:glow_squid_spawn_egg";
  MinecraftItemTypes2["Glowstone"] = "minecraft:glowstone";
  MinecraftItemTypes2["GlowstoneDust"] = "minecraft:glowstone_dust";
  MinecraftItemTypes2["GoatHorn"] = "minecraft:goat_horn";
  MinecraftItemTypes2["GoatSpawnEgg"] = "minecraft:goat_spawn_egg";
  MinecraftItemTypes2["GoldBlock"] = "minecraft:gold_block";
  MinecraftItemTypes2["GoldIngot"] = "minecraft:gold_ingot";
  MinecraftItemTypes2["GoldNugget"] = "minecraft:gold_nugget";
  MinecraftItemTypes2["GoldOre"] = "minecraft:gold_ore";
  MinecraftItemTypes2["GoldenApple"] = "minecraft:golden_apple";
  MinecraftItemTypes2["GoldenAxe"] = "minecraft:golden_axe";
  MinecraftItemTypes2["GoldenBoots"] = "minecraft:golden_boots";
  MinecraftItemTypes2["GoldenCarrot"] = "minecraft:golden_carrot";
  MinecraftItemTypes2["GoldenChestplate"] = "minecraft:golden_chestplate";
  MinecraftItemTypes2["GoldenHelmet"] = "minecraft:golden_helmet";
  MinecraftItemTypes2["GoldenHoe"] = "minecraft:golden_hoe";
  MinecraftItemTypes2["GoldenHorseArmor"] = "minecraft:golden_horse_armor";
  MinecraftItemTypes2["GoldenLeggings"] = "minecraft:golden_leggings";
  MinecraftItemTypes2["GoldenPickaxe"] = "minecraft:golden_pickaxe";
  MinecraftItemTypes2["GoldenRail"] = "minecraft:golden_rail";
  MinecraftItemTypes2["GoldenShovel"] = "minecraft:golden_shovel";
  MinecraftItemTypes2["GoldenSword"] = "minecraft:golden_sword";
  MinecraftItemTypes2["Granite"] = "minecraft:granite";
  MinecraftItemTypes2["GraniteSlab"] = "minecraft:granite_slab";
  MinecraftItemTypes2["GraniteStairs"] = "minecraft:granite_stairs";
  MinecraftItemTypes2["GrassBlock"] = "minecraft:grass_block";
  MinecraftItemTypes2["GrassPath"] = "minecraft:grass_path";
  MinecraftItemTypes2["Gravel"] = "minecraft:gravel";
  MinecraftItemTypes2["GrayCandle"] = "minecraft:gray_candle";
  MinecraftItemTypes2["GrayCarpet"] = "minecraft:gray_carpet";
  MinecraftItemTypes2["GrayConcrete"] = "minecraft:gray_concrete";
  MinecraftItemTypes2["GrayConcretePowder"] = "minecraft:gray_concrete_powder";
  MinecraftItemTypes2["GrayDye"] = "minecraft:gray_dye";
  MinecraftItemTypes2["GrayGlazedTerracotta"] = "minecraft:gray_glazed_terracotta";
  MinecraftItemTypes2["GrayShulkerBox"] = "minecraft:gray_shulker_box";
  MinecraftItemTypes2["GrayStainedGlass"] = "minecraft:gray_stained_glass";
  MinecraftItemTypes2["GrayStainedGlassPane"] = "minecraft:gray_stained_glass_pane";
  MinecraftItemTypes2["GrayTerracotta"] = "minecraft:gray_terracotta";
  MinecraftItemTypes2["GrayWool"] = "minecraft:gray_wool";
  MinecraftItemTypes2["GreenCandle"] = "minecraft:green_candle";
  MinecraftItemTypes2["GreenCarpet"] = "minecraft:green_carpet";
  MinecraftItemTypes2["GreenConcrete"] = "minecraft:green_concrete";
  MinecraftItemTypes2["GreenConcretePowder"] = "minecraft:green_concrete_powder";
  MinecraftItemTypes2["GreenDye"] = "minecraft:green_dye";
  MinecraftItemTypes2["GreenGlazedTerracotta"] = "minecraft:green_glazed_terracotta";
  MinecraftItemTypes2["GreenShulkerBox"] = "minecraft:green_shulker_box";
  MinecraftItemTypes2["GreenStainedGlass"] = "minecraft:green_stained_glass";
  MinecraftItemTypes2["GreenStainedGlassPane"] = "minecraft:green_stained_glass_pane";
  MinecraftItemTypes2["GreenTerracotta"] = "minecraft:green_terracotta";
  MinecraftItemTypes2["GreenWool"] = "minecraft:green_wool";
  MinecraftItemTypes2["Grindstone"] = "minecraft:grindstone";
  MinecraftItemTypes2["GuardianSpawnEgg"] = "minecraft:guardian_spawn_egg";
  MinecraftItemTypes2["Gunpowder"] = "minecraft:gunpowder";
  MinecraftItemTypes2["GusterBannerPattern"] = "minecraft:guster_banner_pattern";
  MinecraftItemTypes2["GusterPotterySherd"] = "minecraft:guster_pottery_sherd";
  MinecraftItemTypes2["HangingRoots"] = "minecraft:hanging_roots";
  MinecraftItemTypes2["HardenedClay"] = "minecraft:hardened_clay";
  MinecraftItemTypes2["HayBlock"] = "minecraft:hay_block";
  MinecraftItemTypes2["HeartOfTheSea"] = "minecraft:heart_of_the_sea";
  MinecraftItemTypes2["HeartPotterySherd"] = "minecraft:heart_pottery_sherd";
  MinecraftItemTypes2["HeartbreakPotterySherd"] = "minecraft:heartbreak_pottery_sherd";
  MinecraftItemTypes2["HeavyCore"] = "minecraft:heavy_core";
  MinecraftItemTypes2["HeavyWeightedPressurePlate"] = "minecraft:heavy_weighted_pressure_plate";
  MinecraftItemTypes2["HoglinSpawnEgg"] = "minecraft:hoglin_spawn_egg";
  MinecraftItemTypes2["HoneyBlock"] = "minecraft:honey_block";
  MinecraftItemTypes2["HoneyBottle"] = "minecraft:honey_bottle";
  MinecraftItemTypes2["Honeycomb"] = "minecraft:honeycomb";
  MinecraftItemTypes2["HoneycombBlock"] = "minecraft:honeycomb_block";
  MinecraftItemTypes2["Hopper"] = "minecraft:hopper";
  MinecraftItemTypes2["HopperMinecart"] = "minecraft:hopper_minecart";
  MinecraftItemTypes2["HornCoral"] = "minecraft:horn_coral";
  MinecraftItemTypes2["HornCoralBlock"] = "minecraft:horn_coral_block";
  MinecraftItemTypes2["HornCoralFan"] = "minecraft:horn_coral_fan";
  MinecraftItemTypes2["HorseSpawnEgg"] = "minecraft:horse_spawn_egg";
  MinecraftItemTypes2["HostArmorTrimSmithingTemplate"] = "minecraft:host_armor_trim_smithing_template";
  MinecraftItemTypes2["HowlPotterySherd"] = "minecraft:howl_pottery_sherd";
  MinecraftItemTypes2["HuskSpawnEgg"] = "minecraft:husk_spawn_egg";
  MinecraftItemTypes2["Ice"] = "minecraft:ice";
  MinecraftItemTypes2["InfestedChiseledStoneBricks"] = "minecraft:infested_chiseled_stone_bricks";
  MinecraftItemTypes2["InfestedCobblestone"] = "minecraft:infested_cobblestone";
  MinecraftItemTypes2["InfestedCrackedStoneBricks"] = "minecraft:infested_cracked_stone_bricks";
  MinecraftItemTypes2["InfestedDeepslate"] = "minecraft:infested_deepslate";
  MinecraftItemTypes2["InfestedMossyStoneBricks"] = "minecraft:infested_mossy_stone_bricks";
  MinecraftItemTypes2["InfestedStone"] = "minecraft:infested_stone";
  MinecraftItemTypes2["InfestedStoneBricks"] = "minecraft:infested_stone_bricks";
  MinecraftItemTypes2["InkSac"] = "minecraft:ink_sac";
  MinecraftItemTypes2["IronAxe"] = "minecraft:iron_axe";
  MinecraftItemTypes2["IronBars"] = "minecraft:iron_bars";
  MinecraftItemTypes2["IronBlock"] = "minecraft:iron_block";
  MinecraftItemTypes2["IronBoots"] = "minecraft:iron_boots";
  MinecraftItemTypes2["IronChestplate"] = "minecraft:iron_chestplate";
  MinecraftItemTypes2["IronDoor"] = "minecraft:iron_door";
  MinecraftItemTypes2["IronGolemSpawnEgg"] = "minecraft:iron_golem_spawn_egg";
  MinecraftItemTypes2["IronHelmet"] = "minecraft:iron_helmet";
  MinecraftItemTypes2["IronHoe"] = "minecraft:iron_hoe";
  MinecraftItemTypes2["IronHorseArmor"] = "minecraft:iron_horse_armor";
  MinecraftItemTypes2["IronIngot"] = "minecraft:iron_ingot";
  MinecraftItemTypes2["IronLeggings"] = "minecraft:iron_leggings";
  MinecraftItemTypes2["IronNugget"] = "minecraft:iron_nugget";
  MinecraftItemTypes2["IronOre"] = "minecraft:iron_ore";
  MinecraftItemTypes2["IronPickaxe"] = "minecraft:iron_pickaxe";
  MinecraftItemTypes2["IronShovel"] = "minecraft:iron_shovel";
  MinecraftItemTypes2["IronSword"] = "minecraft:iron_sword";
  MinecraftItemTypes2["IronTrapdoor"] = "minecraft:iron_trapdoor";
  MinecraftItemTypes2["Jigsaw"] = "minecraft:jigsaw";
  MinecraftItemTypes2["Jukebox"] = "minecraft:jukebox";
  MinecraftItemTypes2["JungleBoat"] = "minecraft:jungle_boat";
  MinecraftItemTypes2["JungleButton"] = "minecraft:jungle_button";
  MinecraftItemTypes2["JungleChestBoat"] = "minecraft:jungle_chest_boat";
  MinecraftItemTypes2["JungleDoor"] = "minecraft:jungle_door";
  MinecraftItemTypes2["JungleFence"] = "minecraft:jungle_fence";
  MinecraftItemTypes2["JungleFenceGate"] = "minecraft:jungle_fence_gate";
  MinecraftItemTypes2["JungleHangingSign"] = "minecraft:jungle_hanging_sign";
  MinecraftItemTypes2["JungleLeaves"] = "minecraft:jungle_leaves";
  MinecraftItemTypes2["JungleLog"] = "minecraft:jungle_log";
  MinecraftItemTypes2["JunglePlanks"] = "minecraft:jungle_planks";
  MinecraftItemTypes2["JunglePressurePlate"] = "minecraft:jungle_pressure_plate";
  MinecraftItemTypes2["JungleSapling"] = "minecraft:jungle_sapling";
  MinecraftItemTypes2["JungleSign"] = "minecraft:jungle_sign";
  MinecraftItemTypes2["JungleSlab"] = "minecraft:jungle_slab";
  MinecraftItemTypes2["JungleStairs"] = "minecraft:jungle_stairs";
  MinecraftItemTypes2["JungleTrapdoor"] = "minecraft:jungle_trapdoor";
  MinecraftItemTypes2["JungleWood"] = "minecraft:jungle_wood";
  MinecraftItemTypes2["Kelp"] = "minecraft:kelp";
  MinecraftItemTypes2["Ladder"] = "minecraft:ladder";
  MinecraftItemTypes2["Lantern"] = "minecraft:lantern";
  MinecraftItemTypes2["LapisBlock"] = "minecraft:lapis_block";
  MinecraftItemTypes2["LapisLazuli"] = "minecraft:lapis_lazuli";
  MinecraftItemTypes2["LapisOre"] = "minecraft:lapis_ore";
  MinecraftItemTypes2["LargeAmethystBud"] = "minecraft:large_amethyst_bud";
  MinecraftItemTypes2["LargeFern"] = "minecraft:large_fern";
  MinecraftItemTypes2["LavaBucket"] = "minecraft:lava_bucket";
  MinecraftItemTypes2["Lead"] = "minecraft:lead";
  MinecraftItemTypes2["Leather"] = "minecraft:leather";
  MinecraftItemTypes2["LeatherBoots"] = "minecraft:leather_boots";
  MinecraftItemTypes2["LeatherChestplate"] = "minecraft:leather_chestplate";
  MinecraftItemTypes2["LeatherHelmet"] = "minecraft:leather_helmet";
  MinecraftItemTypes2["LeatherHorseArmor"] = "minecraft:leather_horse_armor";
  MinecraftItemTypes2["LeatherLeggings"] = "minecraft:leather_leggings";
  MinecraftItemTypes2["Lectern"] = "minecraft:lectern";
  MinecraftItemTypes2["Lever"] = "minecraft:lever";
  MinecraftItemTypes2["LightBlock0"] = "minecraft:light_block_0";
  MinecraftItemTypes2["LightBlock1"] = "minecraft:light_block_1";
  MinecraftItemTypes2["LightBlock10"] = "minecraft:light_block_10";
  MinecraftItemTypes2["LightBlock11"] = "minecraft:light_block_11";
  MinecraftItemTypes2["LightBlock12"] = "minecraft:light_block_12";
  MinecraftItemTypes2["LightBlock13"] = "minecraft:light_block_13";
  MinecraftItemTypes2["LightBlock14"] = "minecraft:light_block_14";
  MinecraftItemTypes2["LightBlock15"] = "minecraft:light_block_15";
  MinecraftItemTypes2["LightBlock2"] = "minecraft:light_block_2";
  MinecraftItemTypes2["LightBlock3"] = "minecraft:light_block_3";
  MinecraftItemTypes2["LightBlock4"] = "minecraft:light_block_4";
  MinecraftItemTypes2["LightBlock5"] = "minecraft:light_block_5";
  MinecraftItemTypes2["LightBlock6"] = "minecraft:light_block_6";
  MinecraftItemTypes2["LightBlock7"] = "minecraft:light_block_7";
  MinecraftItemTypes2["LightBlock8"] = "minecraft:light_block_8";
  MinecraftItemTypes2["LightBlock9"] = "minecraft:light_block_9";
  MinecraftItemTypes2["LightBlueCandle"] = "minecraft:light_blue_candle";
  MinecraftItemTypes2["LightBlueCarpet"] = "minecraft:light_blue_carpet";
  MinecraftItemTypes2["LightBlueConcrete"] = "minecraft:light_blue_concrete";
  MinecraftItemTypes2["LightBlueConcretePowder"] = "minecraft:light_blue_concrete_powder";
  MinecraftItemTypes2["LightBlueDye"] = "minecraft:light_blue_dye";
  MinecraftItemTypes2["LightBlueGlazedTerracotta"] = "minecraft:light_blue_glazed_terracotta";
  MinecraftItemTypes2["LightBlueShulkerBox"] = "minecraft:light_blue_shulker_box";
  MinecraftItemTypes2["LightBlueStainedGlass"] = "minecraft:light_blue_stained_glass";
  MinecraftItemTypes2["LightBlueStainedGlassPane"] = "minecraft:light_blue_stained_glass_pane";
  MinecraftItemTypes2["LightBlueTerracotta"] = "minecraft:light_blue_terracotta";
  MinecraftItemTypes2["LightBlueWool"] = "minecraft:light_blue_wool";
  MinecraftItemTypes2["LightGrayCandle"] = "minecraft:light_gray_candle";
  MinecraftItemTypes2["LightGrayCarpet"] = "minecraft:light_gray_carpet";
  MinecraftItemTypes2["LightGrayConcrete"] = "minecraft:light_gray_concrete";
  MinecraftItemTypes2["LightGrayConcretePowder"] = "minecraft:light_gray_concrete_powder";
  MinecraftItemTypes2["LightGrayDye"] = "minecraft:light_gray_dye";
  MinecraftItemTypes2["LightGrayShulkerBox"] = "minecraft:light_gray_shulker_box";
  MinecraftItemTypes2["LightGrayStainedGlass"] = "minecraft:light_gray_stained_glass";
  MinecraftItemTypes2["LightGrayStainedGlassPane"] = "minecraft:light_gray_stained_glass_pane";
  MinecraftItemTypes2["LightGrayTerracotta"] = "minecraft:light_gray_terracotta";
  MinecraftItemTypes2["LightGrayWool"] = "minecraft:light_gray_wool";
  MinecraftItemTypes2["LightWeightedPressurePlate"] = "minecraft:light_weighted_pressure_plate";
  MinecraftItemTypes2["LightningRod"] = "minecraft:lightning_rod";
  MinecraftItemTypes2["Lilac"] = "minecraft:lilac";
  MinecraftItemTypes2["LilyOfTheValley"] = "minecraft:lily_of_the_valley";
  MinecraftItemTypes2["LimeCandle"] = "minecraft:lime_candle";
  MinecraftItemTypes2["LimeCarpet"] = "minecraft:lime_carpet";
  MinecraftItemTypes2["LimeConcrete"] = "minecraft:lime_concrete";
  MinecraftItemTypes2["LimeConcretePowder"] = "minecraft:lime_concrete_powder";
  MinecraftItemTypes2["LimeDye"] = "minecraft:lime_dye";
  MinecraftItemTypes2["LimeGlazedTerracotta"] = "minecraft:lime_glazed_terracotta";
  MinecraftItemTypes2["LimeShulkerBox"] = "minecraft:lime_shulker_box";
  MinecraftItemTypes2["LimeStainedGlass"] = "minecraft:lime_stained_glass";
  MinecraftItemTypes2["LimeStainedGlassPane"] = "minecraft:lime_stained_glass_pane";
  MinecraftItemTypes2["LimeTerracotta"] = "minecraft:lime_terracotta";
  MinecraftItemTypes2["LimeWool"] = "minecraft:lime_wool";
  MinecraftItemTypes2["LingeringPotion"] = "minecraft:lingering_potion";
  MinecraftItemTypes2["LitPumpkin"] = "minecraft:lit_pumpkin";
  MinecraftItemTypes2["LlamaSpawnEgg"] = "minecraft:llama_spawn_egg";
  MinecraftItemTypes2["Lodestone"] = "minecraft:lodestone";
  MinecraftItemTypes2["LodestoneCompass"] = "minecraft:lodestone_compass";
  MinecraftItemTypes2["Loom"] = "minecraft:loom";
  MinecraftItemTypes2["Mace"] = "minecraft:mace";
  MinecraftItemTypes2["MagentaCandle"] = "minecraft:magenta_candle";
  MinecraftItemTypes2["MagentaCarpet"] = "minecraft:magenta_carpet";
  MinecraftItemTypes2["MagentaConcrete"] = "minecraft:magenta_concrete";
  MinecraftItemTypes2["MagentaConcretePowder"] = "minecraft:magenta_concrete_powder";
  MinecraftItemTypes2["MagentaDye"] = "minecraft:magenta_dye";
  MinecraftItemTypes2["MagentaGlazedTerracotta"] = "minecraft:magenta_glazed_terracotta";
  MinecraftItemTypes2["MagentaShulkerBox"] = "minecraft:magenta_shulker_box";
  MinecraftItemTypes2["MagentaStainedGlass"] = "minecraft:magenta_stained_glass";
  MinecraftItemTypes2["MagentaStainedGlassPane"] = "minecraft:magenta_stained_glass_pane";
  MinecraftItemTypes2["MagentaTerracotta"] = "minecraft:magenta_terracotta";
  MinecraftItemTypes2["MagentaWool"] = "minecraft:magenta_wool";
  MinecraftItemTypes2["Magma"] = "minecraft:magma";
  MinecraftItemTypes2["MagmaCream"] = "minecraft:magma_cream";
  MinecraftItemTypes2["MagmaCubeSpawnEgg"] = "minecraft:magma_cube_spawn_egg";
  MinecraftItemTypes2["MangroveBoat"] = "minecraft:mangrove_boat";
  MinecraftItemTypes2["MangroveButton"] = "minecraft:mangrove_button";
  MinecraftItemTypes2["MangroveChestBoat"] = "minecraft:mangrove_chest_boat";
  MinecraftItemTypes2["MangroveDoor"] = "minecraft:mangrove_door";
  MinecraftItemTypes2["MangroveFence"] = "minecraft:mangrove_fence";
  MinecraftItemTypes2["MangroveFenceGate"] = "minecraft:mangrove_fence_gate";
  MinecraftItemTypes2["MangroveHangingSign"] = "minecraft:mangrove_hanging_sign";
  MinecraftItemTypes2["MangroveLeaves"] = "minecraft:mangrove_leaves";
  MinecraftItemTypes2["MangroveLog"] = "minecraft:mangrove_log";
  MinecraftItemTypes2["MangrovePlanks"] = "minecraft:mangrove_planks";
  MinecraftItemTypes2["MangrovePressurePlate"] = "minecraft:mangrove_pressure_plate";
  MinecraftItemTypes2["MangrovePropagule"] = "minecraft:mangrove_propagule";
  MinecraftItemTypes2["MangroveRoots"] = "minecraft:mangrove_roots";
  MinecraftItemTypes2["MangroveSign"] = "minecraft:mangrove_sign";
  MinecraftItemTypes2["MangroveSlab"] = "minecraft:mangrove_slab";
  MinecraftItemTypes2["MangroveStairs"] = "minecraft:mangrove_stairs";
  MinecraftItemTypes2["MangroveTrapdoor"] = "minecraft:mangrove_trapdoor";
  MinecraftItemTypes2["MangroveWood"] = "minecraft:mangrove_wood";
  MinecraftItemTypes2["MediumAmethystBud"] = "minecraft:medium_amethyst_bud";
  MinecraftItemTypes2["MelonBlock"] = "minecraft:melon_block";
  MinecraftItemTypes2["MelonSeeds"] = "minecraft:melon_seeds";
  MinecraftItemTypes2["MelonSlice"] = "minecraft:melon_slice";
  MinecraftItemTypes2["MilkBucket"] = "minecraft:milk_bucket";
  MinecraftItemTypes2["Minecart"] = "minecraft:minecart";
  MinecraftItemTypes2["MinerPotterySherd"] = "minecraft:miner_pottery_sherd";
  MinecraftItemTypes2["MobSpawner"] = "minecraft:mob_spawner";
  MinecraftItemTypes2["MojangBannerPattern"] = "minecraft:mojang_banner_pattern";
  MinecraftItemTypes2["MooshroomSpawnEgg"] = "minecraft:mooshroom_spawn_egg";
  MinecraftItemTypes2["MossBlock"] = "minecraft:moss_block";
  MinecraftItemTypes2["MossCarpet"] = "minecraft:moss_carpet";
  MinecraftItemTypes2["MossyCobblestone"] = "minecraft:mossy_cobblestone";
  MinecraftItemTypes2["MossyCobblestoneSlab"] = "minecraft:mossy_cobblestone_slab";
  MinecraftItemTypes2["MossyCobblestoneStairs"] = "minecraft:mossy_cobblestone_stairs";
  MinecraftItemTypes2["MossyStoneBrickSlab"] = "minecraft:mossy_stone_brick_slab";
  MinecraftItemTypes2["MossyStoneBrickStairs"] = "minecraft:mossy_stone_brick_stairs";
  MinecraftItemTypes2["MossyStoneBricks"] = "minecraft:mossy_stone_bricks";
  MinecraftItemTypes2["MournerPotterySherd"] = "minecraft:mourner_pottery_sherd";
  MinecraftItemTypes2["Mud"] = "minecraft:mud";
  MinecraftItemTypes2["MudBrickSlab"] = "minecraft:mud_brick_slab";
  MinecraftItemTypes2["MudBrickStairs"] = "minecraft:mud_brick_stairs";
  MinecraftItemTypes2["MudBrickWall"] = "minecraft:mud_brick_wall";
  MinecraftItemTypes2["MudBricks"] = "minecraft:mud_bricks";
  MinecraftItemTypes2["MuddyMangroveRoots"] = "minecraft:muddy_mangrove_roots";
  MinecraftItemTypes2["MuleSpawnEgg"] = "minecraft:mule_spawn_egg";
  MinecraftItemTypes2["MushroomStew"] = "minecraft:mushroom_stew";
  MinecraftItemTypes2["MusicDisc11"] = "minecraft:music_disc_11";
  MinecraftItemTypes2["MusicDisc13"] = "minecraft:music_disc_13";
  MinecraftItemTypes2["MusicDisc5"] = "minecraft:music_disc_5";
  MinecraftItemTypes2["MusicDiscBlocks"] = "minecraft:music_disc_blocks";
  MinecraftItemTypes2["MusicDiscCat"] = "minecraft:music_disc_cat";
  MinecraftItemTypes2["MusicDiscChirp"] = "minecraft:music_disc_chirp";
  MinecraftItemTypes2["MusicDiscCreator"] = "minecraft:music_disc_creator";
  MinecraftItemTypes2["MusicDiscCreatorMusicBox"] = "minecraft:music_disc_creator_music_box";
  MinecraftItemTypes2["MusicDiscFar"] = "minecraft:music_disc_far";
  MinecraftItemTypes2["MusicDiscMall"] = "minecraft:music_disc_mall";
  MinecraftItemTypes2["MusicDiscMellohi"] = "minecraft:music_disc_mellohi";
  MinecraftItemTypes2["MusicDiscOtherside"] = "minecraft:music_disc_otherside";
  MinecraftItemTypes2["MusicDiscPigstep"] = "minecraft:music_disc_pigstep";
  MinecraftItemTypes2["MusicDiscPrecipice"] = "minecraft:music_disc_precipice";
  MinecraftItemTypes2["MusicDiscRelic"] = "minecraft:music_disc_relic";
  MinecraftItemTypes2["MusicDiscStal"] = "minecraft:music_disc_stal";
  MinecraftItemTypes2["MusicDiscStrad"] = "minecraft:music_disc_strad";
  MinecraftItemTypes2["MusicDiscWait"] = "minecraft:music_disc_wait";
  MinecraftItemTypes2["MusicDiscWard"] = "minecraft:music_disc_ward";
  MinecraftItemTypes2["Mutton"] = "minecraft:mutton";
  MinecraftItemTypes2["Mycelium"] = "minecraft:mycelium";
  MinecraftItemTypes2["NameTag"] = "minecraft:name_tag";
  MinecraftItemTypes2["NautilusShell"] = "minecraft:nautilus_shell";
  MinecraftItemTypes2["NetherBrick"] = "minecraft:nether_brick";
  MinecraftItemTypes2["NetherBrickFence"] = "minecraft:nether_brick_fence";
  MinecraftItemTypes2["NetherBrickSlab"] = "minecraft:nether_brick_slab";
  MinecraftItemTypes2["NetherBrickStairs"] = "minecraft:nether_brick_stairs";
  MinecraftItemTypes2["NetherGoldOre"] = "minecraft:nether_gold_ore";
  MinecraftItemTypes2["NetherSprouts"] = "minecraft:nether_sprouts";
  MinecraftItemTypes2["NetherStar"] = "minecraft:nether_star";
  MinecraftItemTypes2["NetherWart"] = "minecraft:nether_wart";
  MinecraftItemTypes2["NetherWartBlock"] = "minecraft:nether_wart_block";
  MinecraftItemTypes2["Netherbrick"] = "minecraft:netherbrick";
  MinecraftItemTypes2["NetheriteAxe"] = "minecraft:netherite_axe";
  MinecraftItemTypes2["NetheriteBlock"] = "minecraft:netherite_block";
  MinecraftItemTypes2["NetheriteBoots"] = "minecraft:netherite_boots";
  MinecraftItemTypes2["NetheriteChestplate"] = "minecraft:netherite_chestplate";
  MinecraftItemTypes2["NetheriteHelmet"] = "minecraft:netherite_helmet";
  MinecraftItemTypes2["NetheriteHoe"] = "minecraft:netherite_hoe";
  MinecraftItemTypes2["NetheriteIngot"] = "minecraft:netherite_ingot";
  MinecraftItemTypes2["NetheriteLeggings"] = "minecraft:netherite_leggings";
  MinecraftItemTypes2["NetheritePickaxe"] = "minecraft:netherite_pickaxe";
  MinecraftItemTypes2["NetheriteScrap"] = "minecraft:netherite_scrap";
  MinecraftItemTypes2["NetheriteShovel"] = "minecraft:netherite_shovel";
  MinecraftItemTypes2["NetheriteSword"] = "minecraft:netherite_sword";
  MinecraftItemTypes2["NetheriteUpgradeSmithingTemplate"] = "minecraft:netherite_upgrade_smithing_template";
  MinecraftItemTypes2["Netherrack"] = "minecraft:netherrack";
  MinecraftItemTypes2["NormalStoneSlab"] = "minecraft:normal_stone_slab";
  MinecraftItemTypes2["NormalStoneStairs"] = "minecraft:normal_stone_stairs";
  MinecraftItemTypes2["Noteblock"] = "minecraft:noteblock";
  MinecraftItemTypes2["OakBoat"] = "minecraft:oak_boat";
  MinecraftItemTypes2["OakChestBoat"] = "minecraft:oak_chest_boat";
  MinecraftItemTypes2["OakFence"] = "minecraft:oak_fence";
  MinecraftItemTypes2["OakHangingSign"] = "minecraft:oak_hanging_sign";
  MinecraftItemTypes2["OakLeaves"] = "minecraft:oak_leaves";
  MinecraftItemTypes2["OakLog"] = "minecraft:oak_log";
  MinecraftItemTypes2["OakPlanks"] = "minecraft:oak_planks";
  MinecraftItemTypes2["OakSapling"] = "minecraft:oak_sapling";
  MinecraftItemTypes2["OakSign"] = "minecraft:oak_sign";
  MinecraftItemTypes2["OakSlab"] = "minecraft:oak_slab";
  MinecraftItemTypes2["OakStairs"] = "minecraft:oak_stairs";
  MinecraftItemTypes2["OakWood"] = "minecraft:oak_wood";
  MinecraftItemTypes2["Observer"] = "minecraft:observer";
  MinecraftItemTypes2["Obsidian"] = "minecraft:obsidian";
  MinecraftItemTypes2["OcelotSpawnEgg"] = "minecraft:ocelot_spawn_egg";
  MinecraftItemTypes2["OchreFroglight"] = "minecraft:ochre_froglight";
  MinecraftItemTypes2["OminousBottle"] = "minecraft:ominous_bottle";
  MinecraftItemTypes2["OminousTrialKey"] = "minecraft:ominous_trial_key";
  MinecraftItemTypes2["OrangeCandle"] = "minecraft:orange_candle";
  MinecraftItemTypes2["OrangeCarpet"] = "minecraft:orange_carpet";
  MinecraftItemTypes2["OrangeConcrete"] = "minecraft:orange_concrete";
  MinecraftItemTypes2["OrangeConcretePowder"] = "minecraft:orange_concrete_powder";
  MinecraftItemTypes2["OrangeDye"] = "minecraft:orange_dye";
  MinecraftItemTypes2["OrangeGlazedTerracotta"] = "minecraft:orange_glazed_terracotta";
  MinecraftItemTypes2["OrangeShulkerBox"] = "minecraft:orange_shulker_box";
  MinecraftItemTypes2["OrangeStainedGlass"] = "minecraft:orange_stained_glass";
  MinecraftItemTypes2["OrangeStainedGlassPane"] = "minecraft:orange_stained_glass_pane";
  MinecraftItemTypes2["OrangeTerracotta"] = "minecraft:orange_terracotta";
  MinecraftItemTypes2["OrangeTulip"] = "minecraft:orange_tulip";
  MinecraftItemTypes2["OrangeWool"] = "minecraft:orange_wool";
  MinecraftItemTypes2["OxeyeDaisy"] = "minecraft:oxeye_daisy";
  MinecraftItemTypes2["OxidizedChiseledCopper"] = "minecraft:oxidized_chiseled_copper";
  MinecraftItemTypes2["OxidizedCopper"] = "minecraft:oxidized_copper";
  MinecraftItemTypes2["OxidizedCopperBulb"] = "minecraft:oxidized_copper_bulb";
  MinecraftItemTypes2["OxidizedCopperDoor"] = "minecraft:oxidized_copper_door";
  MinecraftItemTypes2["OxidizedCopperGrate"] = "minecraft:oxidized_copper_grate";
  MinecraftItemTypes2["OxidizedCopperTrapdoor"] = "minecraft:oxidized_copper_trapdoor";
  MinecraftItemTypes2["OxidizedCutCopper"] = "minecraft:oxidized_cut_copper";
  MinecraftItemTypes2["OxidizedCutCopperSlab"] = "minecraft:oxidized_cut_copper_slab";
  MinecraftItemTypes2["OxidizedCutCopperStairs"] = "minecraft:oxidized_cut_copper_stairs";
  MinecraftItemTypes2["PackedIce"] = "minecraft:packed_ice";
  MinecraftItemTypes2["PackedMud"] = "minecraft:packed_mud";
  MinecraftItemTypes2["Painting"] = "minecraft:painting";
  MinecraftItemTypes2["PandaSpawnEgg"] = "minecraft:panda_spawn_egg";
  MinecraftItemTypes2["Paper"] = "minecraft:paper";
  MinecraftItemTypes2["ParrotSpawnEgg"] = "minecraft:parrot_spawn_egg";
  MinecraftItemTypes2["PearlescentFroglight"] = "minecraft:pearlescent_froglight";
  MinecraftItemTypes2["Peony"] = "minecraft:peony";
  MinecraftItemTypes2["PetrifiedOakSlab"] = "minecraft:petrified_oak_slab";
  MinecraftItemTypes2["PhantomMembrane"] = "minecraft:phantom_membrane";
  MinecraftItemTypes2["PhantomSpawnEgg"] = "minecraft:phantom_spawn_egg";
  MinecraftItemTypes2["PigSpawnEgg"] = "minecraft:pig_spawn_egg";
  MinecraftItemTypes2["PiglinBannerPattern"] = "minecraft:piglin_banner_pattern";
  MinecraftItemTypes2["PiglinBruteSpawnEgg"] = "minecraft:piglin_brute_spawn_egg";
  MinecraftItemTypes2["PiglinSpawnEgg"] = "minecraft:piglin_spawn_egg";
  MinecraftItemTypes2["PillagerSpawnEgg"] = "minecraft:pillager_spawn_egg";
  MinecraftItemTypes2["PinkCandle"] = "minecraft:pink_candle";
  MinecraftItemTypes2["PinkCarpet"] = "minecraft:pink_carpet";
  MinecraftItemTypes2["PinkConcrete"] = "minecraft:pink_concrete";
  MinecraftItemTypes2["PinkConcretePowder"] = "minecraft:pink_concrete_powder";
  MinecraftItemTypes2["PinkDye"] = "minecraft:pink_dye";
  MinecraftItemTypes2["PinkGlazedTerracotta"] = "minecraft:pink_glazed_terracotta";
  MinecraftItemTypes2["PinkPetals"] = "minecraft:pink_petals";
  MinecraftItemTypes2["PinkShulkerBox"] = "minecraft:pink_shulker_box";
  MinecraftItemTypes2["PinkStainedGlass"] = "minecraft:pink_stained_glass";
  MinecraftItemTypes2["PinkStainedGlassPane"] = "minecraft:pink_stained_glass_pane";
  MinecraftItemTypes2["PinkTerracotta"] = "minecraft:pink_terracotta";
  MinecraftItemTypes2["PinkTulip"] = "minecraft:pink_tulip";
  MinecraftItemTypes2["PinkWool"] = "minecraft:pink_wool";
  MinecraftItemTypes2["Piston"] = "minecraft:piston";
  MinecraftItemTypes2["PitcherPlant"] = "minecraft:pitcher_plant";
  MinecraftItemTypes2["PitcherPod"] = "minecraft:pitcher_pod";
  MinecraftItemTypes2["PlentyPotterySherd"] = "minecraft:plenty_pottery_sherd";
  MinecraftItemTypes2["Podzol"] = "minecraft:podzol";
  MinecraftItemTypes2["PointedDripstone"] = "minecraft:pointed_dripstone";
  MinecraftItemTypes2["PoisonousPotato"] = "minecraft:poisonous_potato";
  MinecraftItemTypes2["PolarBearSpawnEgg"] = "minecraft:polar_bear_spawn_egg";
  MinecraftItemTypes2["PolishedAndesite"] = "minecraft:polished_andesite";
  MinecraftItemTypes2["PolishedAndesiteSlab"] = "minecraft:polished_andesite_slab";
  MinecraftItemTypes2["PolishedAndesiteStairs"] = "minecraft:polished_andesite_stairs";
  MinecraftItemTypes2["PolishedBasalt"] = "minecraft:polished_basalt";
  MinecraftItemTypes2["PolishedBlackstone"] = "minecraft:polished_blackstone";
  MinecraftItemTypes2["PolishedBlackstoneBrickSlab"] = "minecraft:polished_blackstone_brick_slab";
  MinecraftItemTypes2["PolishedBlackstoneBrickStairs"] = "minecraft:polished_blackstone_brick_stairs";
  MinecraftItemTypes2["PolishedBlackstoneBrickWall"] = "minecraft:polished_blackstone_brick_wall";
  MinecraftItemTypes2["PolishedBlackstoneBricks"] = "minecraft:polished_blackstone_bricks";
  MinecraftItemTypes2["PolishedBlackstoneButton"] = "minecraft:polished_blackstone_button";
  MinecraftItemTypes2["PolishedBlackstonePressurePlate"] = "minecraft:polished_blackstone_pressure_plate";
  MinecraftItemTypes2["PolishedBlackstoneSlab"] = "minecraft:polished_blackstone_slab";
  MinecraftItemTypes2["PolishedBlackstoneStairs"] = "minecraft:polished_blackstone_stairs";
  MinecraftItemTypes2["PolishedBlackstoneWall"] = "minecraft:polished_blackstone_wall";
  MinecraftItemTypes2["PolishedDeepslate"] = "minecraft:polished_deepslate";
  MinecraftItemTypes2["PolishedDeepslateSlab"] = "minecraft:polished_deepslate_slab";
  MinecraftItemTypes2["PolishedDeepslateStairs"] = "minecraft:polished_deepslate_stairs";
  MinecraftItemTypes2["PolishedDeepslateWall"] = "minecraft:polished_deepslate_wall";
  MinecraftItemTypes2["PolishedDiorite"] = "minecraft:polished_diorite";
  MinecraftItemTypes2["PolishedDioriteSlab"] = "minecraft:polished_diorite_slab";
  MinecraftItemTypes2["PolishedDioriteStairs"] = "minecraft:polished_diorite_stairs";
  MinecraftItemTypes2["PolishedGranite"] = "minecraft:polished_granite";
  MinecraftItemTypes2["PolishedGraniteSlab"] = "minecraft:polished_granite_slab";
  MinecraftItemTypes2["PolishedGraniteStairs"] = "minecraft:polished_granite_stairs";
  MinecraftItemTypes2["PolishedTuff"] = "minecraft:polished_tuff";
  MinecraftItemTypes2["PolishedTuffSlab"] = "minecraft:polished_tuff_slab";
  MinecraftItemTypes2["PolishedTuffStairs"] = "minecraft:polished_tuff_stairs";
  MinecraftItemTypes2["PolishedTuffWall"] = "minecraft:polished_tuff_wall";
  MinecraftItemTypes2["PoppedChorusFruit"] = "minecraft:popped_chorus_fruit";
  MinecraftItemTypes2["Poppy"] = "minecraft:poppy";
  MinecraftItemTypes2["Porkchop"] = "minecraft:porkchop";
  MinecraftItemTypes2["Potato"] = "minecraft:potato";
  MinecraftItemTypes2["Potion"] = "minecraft:potion";
  MinecraftItemTypes2["PowderSnowBucket"] = "minecraft:powder_snow_bucket";
  MinecraftItemTypes2["Prismarine"] = "minecraft:prismarine";
  MinecraftItemTypes2["PrismarineBrickSlab"] = "minecraft:prismarine_brick_slab";
  MinecraftItemTypes2["PrismarineBricks"] = "minecraft:prismarine_bricks";
  MinecraftItemTypes2["PrismarineBricksStairs"] = "minecraft:prismarine_bricks_stairs";
  MinecraftItemTypes2["PrismarineCrystals"] = "minecraft:prismarine_crystals";
  MinecraftItemTypes2["PrismarineShard"] = "minecraft:prismarine_shard";
  MinecraftItemTypes2["PrismarineSlab"] = "minecraft:prismarine_slab";
  MinecraftItemTypes2["PrismarineStairs"] = "minecraft:prismarine_stairs";
  MinecraftItemTypes2["PrizePotterySherd"] = "minecraft:prize_pottery_sherd";
  MinecraftItemTypes2["Pufferfish"] = "minecraft:pufferfish";
  MinecraftItemTypes2["PufferfishBucket"] = "minecraft:pufferfish_bucket";
  MinecraftItemTypes2["PufferfishSpawnEgg"] = "minecraft:pufferfish_spawn_egg";
  MinecraftItemTypes2["Pumpkin"] = "minecraft:pumpkin";
  MinecraftItemTypes2["PumpkinPie"] = "minecraft:pumpkin_pie";
  MinecraftItemTypes2["PumpkinSeeds"] = "minecraft:pumpkin_seeds";
  MinecraftItemTypes2["PurpleCandle"] = "minecraft:purple_candle";
  MinecraftItemTypes2["PurpleCarpet"] = "minecraft:purple_carpet";
  MinecraftItemTypes2["PurpleConcrete"] = "minecraft:purple_concrete";
  MinecraftItemTypes2["PurpleConcretePowder"] = "minecraft:purple_concrete_powder";
  MinecraftItemTypes2["PurpleDye"] = "minecraft:purple_dye";
  MinecraftItemTypes2["PurpleGlazedTerracotta"] = "minecraft:purple_glazed_terracotta";
  MinecraftItemTypes2["PurpleShulkerBox"] = "minecraft:purple_shulker_box";
  MinecraftItemTypes2["PurpleStainedGlass"] = "minecraft:purple_stained_glass";
  MinecraftItemTypes2["PurpleStainedGlassPane"] = "minecraft:purple_stained_glass_pane";
  MinecraftItemTypes2["PurpleTerracotta"] = "minecraft:purple_terracotta";
  MinecraftItemTypes2["PurpleWool"] = "minecraft:purple_wool";
  MinecraftItemTypes2["PurpurBlock"] = "minecraft:purpur_block";
  MinecraftItemTypes2["PurpurSlab"] = "minecraft:purpur_slab";
  MinecraftItemTypes2["PurpurStairs"] = "minecraft:purpur_stairs";
  MinecraftItemTypes2["Quartz"] = "minecraft:quartz";
  MinecraftItemTypes2["QuartzBlock"] = "minecraft:quartz_block";
  MinecraftItemTypes2["QuartzBricks"] = "minecraft:quartz_bricks";
  MinecraftItemTypes2["QuartzOre"] = "minecraft:quartz_ore";
  MinecraftItemTypes2["QuartzPillar"] = "minecraft:quartz_pillar";
  MinecraftItemTypes2["QuartzSlab"] = "minecraft:quartz_slab";
  MinecraftItemTypes2["QuartzStairs"] = "minecraft:quartz_stairs";
  MinecraftItemTypes2["Rabbit"] = "minecraft:rabbit";
  MinecraftItemTypes2["RabbitFoot"] = "minecraft:rabbit_foot";
  MinecraftItemTypes2["RabbitHide"] = "minecraft:rabbit_hide";
  MinecraftItemTypes2["RabbitSpawnEgg"] = "minecraft:rabbit_spawn_egg";
  MinecraftItemTypes2["RabbitStew"] = "minecraft:rabbit_stew";
  MinecraftItemTypes2["Rail"] = "minecraft:rail";
  MinecraftItemTypes2["RaiserArmorTrimSmithingTemplate"] = "minecraft:raiser_armor_trim_smithing_template";
  MinecraftItemTypes2["RavagerSpawnEgg"] = "minecraft:ravager_spawn_egg";
  MinecraftItemTypes2["RawCopper"] = "minecraft:raw_copper";
  MinecraftItemTypes2["RawCopperBlock"] = "minecraft:raw_copper_block";
  MinecraftItemTypes2["RawGold"] = "minecraft:raw_gold";
  MinecraftItemTypes2["RawGoldBlock"] = "minecraft:raw_gold_block";
  MinecraftItemTypes2["RawIron"] = "minecraft:raw_iron";
  MinecraftItemTypes2["RawIronBlock"] = "minecraft:raw_iron_block";
  MinecraftItemTypes2["RecoveryCompass"] = "minecraft:recovery_compass";
  MinecraftItemTypes2["RedCandle"] = "minecraft:red_candle";
  MinecraftItemTypes2["RedCarpet"] = "minecraft:red_carpet";
  MinecraftItemTypes2["RedConcrete"] = "minecraft:red_concrete";
  MinecraftItemTypes2["RedConcretePowder"] = "minecraft:red_concrete_powder";
  MinecraftItemTypes2["RedDye"] = "minecraft:red_dye";
  MinecraftItemTypes2["RedGlazedTerracotta"] = "minecraft:red_glazed_terracotta";
  MinecraftItemTypes2["RedMushroom"] = "minecraft:red_mushroom";
  MinecraftItemTypes2["RedMushroomBlock"] = "minecraft:red_mushroom_block";
  MinecraftItemTypes2["RedNetherBrick"] = "minecraft:red_nether_brick";
  MinecraftItemTypes2["RedNetherBrickSlab"] = "minecraft:red_nether_brick_slab";
  MinecraftItemTypes2["RedNetherBrickStairs"] = "minecraft:red_nether_brick_stairs";
  MinecraftItemTypes2["RedSand"] = "minecraft:red_sand";
  MinecraftItemTypes2["RedSandstone"] = "minecraft:red_sandstone";
  MinecraftItemTypes2["RedSandstoneSlab"] = "minecraft:red_sandstone_slab";
  MinecraftItemTypes2["RedSandstoneStairs"] = "minecraft:red_sandstone_stairs";
  MinecraftItemTypes2["RedShulkerBox"] = "minecraft:red_shulker_box";
  MinecraftItemTypes2["RedStainedGlass"] = "minecraft:red_stained_glass";
  MinecraftItemTypes2["RedStainedGlassPane"] = "minecraft:red_stained_glass_pane";
  MinecraftItemTypes2["RedTerracotta"] = "minecraft:red_terracotta";
  MinecraftItemTypes2["RedTulip"] = "minecraft:red_tulip";
  MinecraftItemTypes2["RedWool"] = "minecraft:red_wool";
  MinecraftItemTypes2["Redstone"] = "minecraft:redstone";
  MinecraftItemTypes2["RedstoneBlock"] = "minecraft:redstone_block";
  MinecraftItemTypes2["RedstoneLamp"] = "minecraft:redstone_lamp";
  MinecraftItemTypes2["RedstoneOre"] = "minecraft:redstone_ore";
  MinecraftItemTypes2["RedstoneTorch"] = "minecraft:redstone_torch";
  MinecraftItemTypes2["ReinforcedDeepslate"] = "minecraft:reinforced_deepslate";
  MinecraftItemTypes2["Repeater"] = "minecraft:repeater";
  MinecraftItemTypes2["RepeatingCommandBlock"] = "minecraft:repeating_command_block";
  MinecraftItemTypes2["RespawnAnchor"] = "minecraft:respawn_anchor";
  MinecraftItemTypes2["RibArmorTrimSmithingTemplate"] = "minecraft:rib_armor_trim_smithing_template";
  MinecraftItemTypes2["RoseBush"] = "minecraft:rose_bush";
  MinecraftItemTypes2["RottenFlesh"] = "minecraft:rotten_flesh";
  MinecraftItemTypes2["Saddle"] = "minecraft:saddle";
  MinecraftItemTypes2["Salmon"] = "minecraft:salmon";
  MinecraftItemTypes2["SalmonBucket"] = "minecraft:salmon_bucket";
  MinecraftItemTypes2["SalmonSpawnEgg"] = "minecraft:salmon_spawn_egg";
  MinecraftItemTypes2["Sand"] = "minecraft:sand";
  MinecraftItemTypes2["Sandstone"] = "minecraft:sandstone";
  MinecraftItemTypes2["SandstoneSlab"] = "minecraft:sandstone_slab";
  MinecraftItemTypes2["SandstoneStairs"] = "minecraft:sandstone_stairs";
  MinecraftItemTypes2["Scaffolding"] = "minecraft:scaffolding";
  MinecraftItemTypes2["ScrapePotterySherd"] = "minecraft:scrape_pottery_sherd";
  MinecraftItemTypes2["Sculk"] = "minecraft:sculk";
  MinecraftItemTypes2["SculkCatalyst"] = "minecraft:sculk_catalyst";
  MinecraftItemTypes2["SculkSensor"] = "minecraft:sculk_sensor";
  MinecraftItemTypes2["SculkShrieker"] = "minecraft:sculk_shrieker";
  MinecraftItemTypes2["SculkVein"] = "minecraft:sculk_vein";
  MinecraftItemTypes2["SeaLantern"] = "minecraft:sea_lantern";
  MinecraftItemTypes2["SeaPickle"] = "minecraft:sea_pickle";
  MinecraftItemTypes2["Seagrass"] = "minecraft:seagrass";
  MinecraftItemTypes2["SentryArmorTrimSmithingTemplate"] = "minecraft:sentry_armor_trim_smithing_template";
  MinecraftItemTypes2["ShaperArmorTrimSmithingTemplate"] = "minecraft:shaper_armor_trim_smithing_template";
  MinecraftItemTypes2["SheafPotterySherd"] = "minecraft:sheaf_pottery_sherd";
  MinecraftItemTypes2["Shears"] = "minecraft:shears";
  MinecraftItemTypes2["SheepSpawnEgg"] = "minecraft:sheep_spawn_egg";
  MinecraftItemTypes2["ShelterPotterySherd"] = "minecraft:shelter_pottery_sherd";
  MinecraftItemTypes2["Shield"] = "minecraft:shield";
  MinecraftItemTypes2["ShortGrass"] = "minecraft:short_grass";
  MinecraftItemTypes2["Shroomlight"] = "minecraft:shroomlight";
  MinecraftItemTypes2["ShulkerShell"] = "minecraft:shulker_shell";
  MinecraftItemTypes2["ShulkerSpawnEgg"] = "minecraft:shulker_spawn_egg";
  MinecraftItemTypes2["SilenceArmorTrimSmithingTemplate"] = "minecraft:silence_armor_trim_smithing_template";
  MinecraftItemTypes2["SilverGlazedTerracotta"] = "minecraft:silver_glazed_terracotta";
  MinecraftItemTypes2["SilverfishSpawnEgg"] = "minecraft:silverfish_spawn_egg";
  MinecraftItemTypes2["SkeletonHorseSpawnEgg"] = "minecraft:skeleton_horse_spawn_egg";
  MinecraftItemTypes2["SkeletonSpawnEgg"] = "minecraft:skeleton_spawn_egg";
  MinecraftItemTypes2["Skull"] = "minecraft:skull";
  MinecraftItemTypes2["SkullBannerPattern"] = "minecraft:skull_banner_pattern";
  MinecraftItemTypes2["SkullPotterySherd"] = "minecraft:skull_pottery_sherd";
  MinecraftItemTypes2["Slime"] = "minecraft:slime";
  MinecraftItemTypes2["SlimeBall"] = "minecraft:slime_ball";
  MinecraftItemTypes2["SlimeSpawnEgg"] = "minecraft:slime_spawn_egg";
  MinecraftItemTypes2["SmallAmethystBud"] = "minecraft:small_amethyst_bud";
  MinecraftItemTypes2["SmallDripleafBlock"] = "minecraft:small_dripleaf_block";
  MinecraftItemTypes2["SmithingTable"] = "minecraft:smithing_table";
  MinecraftItemTypes2["Smoker"] = "minecraft:smoker";
  MinecraftItemTypes2["SmoothBasalt"] = "minecraft:smooth_basalt";
  MinecraftItemTypes2["SmoothQuartz"] = "minecraft:smooth_quartz";
  MinecraftItemTypes2["SmoothQuartzSlab"] = "minecraft:smooth_quartz_slab";
  MinecraftItemTypes2["SmoothQuartzStairs"] = "minecraft:smooth_quartz_stairs";
  MinecraftItemTypes2["SmoothRedSandstone"] = "minecraft:smooth_red_sandstone";
  MinecraftItemTypes2["SmoothRedSandstoneSlab"] = "minecraft:smooth_red_sandstone_slab";
  MinecraftItemTypes2["SmoothRedSandstoneStairs"] = "minecraft:smooth_red_sandstone_stairs";
  MinecraftItemTypes2["SmoothSandstone"] = "minecraft:smooth_sandstone";
  MinecraftItemTypes2["SmoothSandstoneSlab"] = "minecraft:smooth_sandstone_slab";
  MinecraftItemTypes2["SmoothSandstoneStairs"] = "minecraft:smooth_sandstone_stairs";
  MinecraftItemTypes2["SmoothStone"] = "minecraft:smooth_stone";
  MinecraftItemTypes2["SmoothStoneSlab"] = "minecraft:smooth_stone_slab";
  MinecraftItemTypes2["SnifferEgg"] = "minecraft:sniffer_egg";
  MinecraftItemTypes2["SnifferSpawnEgg"] = "minecraft:sniffer_spawn_egg";
  MinecraftItemTypes2["SnortPotterySherd"] = "minecraft:snort_pottery_sherd";
  MinecraftItemTypes2["SnoutArmorTrimSmithingTemplate"] = "minecraft:snout_armor_trim_smithing_template";
  MinecraftItemTypes2["Snow"] = "minecraft:snow";
  MinecraftItemTypes2["SnowGolemSpawnEgg"] = "minecraft:snow_golem_spawn_egg";
  MinecraftItemTypes2["SnowLayer"] = "minecraft:snow_layer";
  MinecraftItemTypes2["Snowball"] = "minecraft:snowball";
  MinecraftItemTypes2["SoulCampfire"] = "minecraft:soul_campfire";
  MinecraftItemTypes2["SoulLantern"] = "minecraft:soul_lantern";
  MinecraftItemTypes2["SoulSand"] = "minecraft:soul_sand";
  MinecraftItemTypes2["SoulSoil"] = "minecraft:soul_soil";
  MinecraftItemTypes2["SoulTorch"] = "minecraft:soul_torch";
  MinecraftItemTypes2["SpiderEye"] = "minecraft:spider_eye";
  MinecraftItemTypes2["SpiderSpawnEgg"] = "minecraft:spider_spawn_egg";
  MinecraftItemTypes2["SpireArmorTrimSmithingTemplate"] = "minecraft:spire_armor_trim_smithing_template";
  MinecraftItemTypes2["SplashPotion"] = "minecraft:splash_potion";
  MinecraftItemTypes2["Sponge"] = "minecraft:sponge";
  MinecraftItemTypes2["SporeBlossom"] = "minecraft:spore_blossom";
  MinecraftItemTypes2["SpruceBoat"] = "minecraft:spruce_boat";
  MinecraftItemTypes2["SpruceButton"] = "minecraft:spruce_button";
  MinecraftItemTypes2["SpruceChestBoat"] = "minecraft:spruce_chest_boat";
  MinecraftItemTypes2["SpruceDoor"] = "minecraft:spruce_door";
  MinecraftItemTypes2["SpruceFence"] = "minecraft:spruce_fence";
  MinecraftItemTypes2["SpruceFenceGate"] = "minecraft:spruce_fence_gate";
  MinecraftItemTypes2["SpruceHangingSign"] = "minecraft:spruce_hanging_sign";
  MinecraftItemTypes2["SpruceLeaves"] = "minecraft:spruce_leaves";
  MinecraftItemTypes2["SpruceLog"] = "minecraft:spruce_log";
  MinecraftItemTypes2["SprucePlanks"] = "minecraft:spruce_planks";
  MinecraftItemTypes2["SprucePressurePlate"] = "minecraft:spruce_pressure_plate";
  MinecraftItemTypes2["SpruceSapling"] = "minecraft:spruce_sapling";
  MinecraftItemTypes2["SpruceSign"] = "minecraft:spruce_sign";
  MinecraftItemTypes2["SpruceSlab"] = "minecraft:spruce_slab";
  MinecraftItemTypes2["SpruceStairs"] = "minecraft:spruce_stairs";
  MinecraftItemTypes2["SpruceTrapdoor"] = "minecraft:spruce_trapdoor";
  MinecraftItemTypes2["SpruceWood"] = "minecraft:spruce_wood";
  MinecraftItemTypes2["Spyglass"] = "minecraft:spyglass";
  MinecraftItemTypes2["SquidSpawnEgg"] = "minecraft:squid_spawn_egg";
  MinecraftItemTypes2["Stick"] = "minecraft:stick";
  MinecraftItemTypes2["StickyPiston"] = "minecraft:sticky_piston";
  MinecraftItemTypes2["Stone"] = "minecraft:stone";
  MinecraftItemTypes2["StoneAxe"] = "minecraft:stone_axe";
  MinecraftItemTypes2["StoneBrickSlab"] = "minecraft:stone_brick_slab";
  MinecraftItemTypes2["StoneBrickStairs"] = "minecraft:stone_brick_stairs";
  MinecraftItemTypes2["StoneBricks"] = "minecraft:stone_bricks";
  MinecraftItemTypes2["StoneButton"] = "minecraft:stone_button";
  MinecraftItemTypes2["StoneHoe"] = "minecraft:stone_hoe";
  MinecraftItemTypes2["StonePickaxe"] = "minecraft:stone_pickaxe";
  MinecraftItemTypes2["StonePressurePlate"] = "minecraft:stone_pressure_plate";
  MinecraftItemTypes2["StoneShovel"] = "minecraft:stone_shovel";
  MinecraftItemTypes2["StoneStairs"] = "minecraft:stone_stairs";
  MinecraftItemTypes2["StoneSword"] = "minecraft:stone_sword";
  MinecraftItemTypes2["StonecutterBlock"] = "minecraft:stonecutter_block";
  MinecraftItemTypes2["StraySpawnEgg"] = "minecraft:stray_spawn_egg";
  MinecraftItemTypes2["StriderSpawnEgg"] = "minecraft:strider_spawn_egg";
  MinecraftItemTypes2["String"] = "minecraft:string";
  MinecraftItemTypes2["StrippedAcaciaLog"] = "minecraft:stripped_acacia_log";
  MinecraftItemTypes2["StrippedAcaciaWood"] = "minecraft:stripped_acacia_wood";
  MinecraftItemTypes2["StrippedBambooBlock"] = "minecraft:stripped_bamboo_block";
  MinecraftItemTypes2["StrippedBirchLog"] = "minecraft:stripped_birch_log";
  MinecraftItemTypes2["StrippedBirchWood"] = "minecraft:stripped_birch_wood";
  MinecraftItemTypes2["StrippedCherryLog"] = "minecraft:stripped_cherry_log";
  MinecraftItemTypes2["StrippedCherryWood"] = "minecraft:stripped_cherry_wood";
  MinecraftItemTypes2["StrippedCrimsonHyphae"] = "minecraft:stripped_crimson_hyphae";
  MinecraftItemTypes2["StrippedCrimsonStem"] = "minecraft:stripped_crimson_stem";
  MinecraftItemTypes2["StrippedDarkOakLog"] = "minecraft:stripped_dark_oak_log";
  MinecraftItemTypes2["StrippedDarkOakWood"] = "minecraft:stripped_dark_oak_wood";
  MinecraftItemTypes2["StrippedJungleLog"] = "minecraft:stripped_jungle_log";
  MinecraftItemTypes2["StrippedJungleWood"] = "minecraft:stripped_jungle_wood";
  MinecraftItemTypes2["StrippedMangroveLog"] = "minecraft:stripped_mangrove_log";
  MinecraftItemTypes2["StrippedMangroveWood"] = "minecraft:stripped_mangrove_wood";
  MinecraftItemTypes2["StrippedOakLog"] = "minecraft:stripped_oak_log";
  MinecraftItemTypes2["StrippedOakWood"] = "minecraft:stripped_oak_wood";
  MinecraftItemTypes2["StrippedSpruceLog"] = "minecraft:stripped_spruce_log";
  MinecraftItemTypes2["StrippedSpruceWood"] = "minecraft:stripped_spruce_wood";
  MinecraftItemTypes2["StrippedWarpedHyphae"] = "minecraft:stripped_warped_hyphae";
  MinecraftItemTypes2["StrippedWarpedStem"] = "minecraft:stripped_warped_stem";
  MinecraftItemTypes2["StructureBlock"] = "minecraft:structure_block";
  MinecraftItemTypes2["StructureVoid"] = "minecraft:structure_void";
  MinecraftItemTypes2["Sugar"] = "minecraft:sugar";
  MinecraftItemTypes2["SugarCane"] = "minecraft:sugar_cane";
  MinecraftItemTypes2["Sunflower"] = "minecraft:sunflower";
  MinecraftItemTypes2["SuspiciousGravel"] = "minecraft:suspicious_gravel";
  MinecraftItemTypes2["SuspiciousSand"] = "minecraft:suspicious_sand";
  MinecraftItemTypes2["SuspiciousStew"] = "minecraft:suspicious_stew";
  MinecraftItemTypes2["SweetBerries"] = "minecraft:sweet_berries";
  MinecraftItemTypes2["TadpoleBucket"] = "minecraft:tadpole_bucket";
  MinecraftItemTypes2["TadpoleSpawnEgg"] = "minecraft:tadpole_spawn_egg";
  MinecraftItemTypes2["TallGrass"] = "minecraft:tall_grass";
  MinecraftItemTypes2["Target"] = "minecraft:target";
  MinecraftItemTypes2["TideArmorTrimSmithingTemplate"] = "minecraft:tide_armor_trim_smithing_template";
  MinecraftItemTypes2["TintedGlass"] = "minecraft:tinted_glass";
  MinecraftItemTypes2["Tnt"] = "minecraft:tnt";
  MinecraftItemTypes2["TntMinecart"] = "minecraft:tnt_minecart";
  MinecraftItemTypes2["Torch"] = "minecraft:torch";
  MinecraftItemTypes2["Torchflower"] = "minecraft:torchflower";
  MinecraftItemTypes2["TorchflowerSeeds"] = "minecraft:torchflower_seeds";
  MinecraftItemTypes2["TotemOfUndying"] = "minecraft:totem_of_undying";
  MinecraftItemTypes2["TraderLlamaSpawnEgg"] = "minecraft:trader_llama_spawn_egg";
  MinecraftItemTypes2["Trapdoor"] = "minecraft:trapdoor";
  MinecraftItemTypes2["TrappedChest"] = "minecraft:trapped_chest";
  MinecraftItemTypes2["TrialKey"] = "minecraft:trial_key";
  MinecraftItemTypes2["TrialSpawner"] = "minecraft:trial_spawner";
  MinecraftItemTypes2["Trident"] = "minecraft:trident";
  MinecraftItemTypes2["TripwireHook"] = "minecraft:tripwire_hook";
  MinecraftItemTypes2["TropicalFish"] = "minecraft:tropical_fish";
  MinecraftItemTypes2["TropicalFishBucket"] = "minecraft:tropical_fish_bucket";
  MinecraftItemTypes2["TropicalFishSpawnEgg"] = "minecraft:tropical_fish_spawn_egg";
  MinecraftItemTypes2["TubeCoral"] = "minecraft:tube_coral";
  MinecraftItemTypes2["TubeCoralBlock"] = "minecraft:tube_coral_block";
  MinecraftItemTypes2["TubeCoralFan"] = "minecraft:tube_coral_fan";
  MinecraftItemTypes2["Tuff"] = "minecraft:tuff";
  MinecraftItemTypes2["TuffBrickSlab"] = "minecraft:tuff_brick_slab";
  MinecraftItemTypes2["TuffBrickStairs"] = "minecraft:tuff_brick_stairs";
  MinecraftItemTypes2["TuffBrickWall"] = "minecraft:tuff_brick_wall";
  MinecraftItemTypes2["TuffBricks"] = "minecraft:tuff_bricks";
  MinecraftItemTypes2["TuffSlab"] = "minecraft:tuff_slab";
  MinecraftItemTypes2["TuffStairs"] = "minecraft:tuff_stairs";
  MinecraftItemTypes2["TuffWall"] = "minecraft:tuff_wall";
  MinecraftItemTypes2["TurtleEgg"] = "minecraft:turtle_egg";
  MinecraftItemTypes2["TurtleHelmet"] = "minecraft:turtle_helmet";
  MinecraftItemTypes2["TurtleScute"] = "minecraft:turtle_scute";
  MinecraftItemTypes2["TurtleSpawnEgg"] = "minecraft:turtle_spawn_egg";
  MinecraftItemTypes2["TwistingVines"] = "minecraft:twisting_vines";
  MinecraftItemTypes2["UndyedShulkerBox"] = "minecraft:undyed_shulker_box";
  MinecraftItemTypes2["Vault"] = "minecraft:vault";
  MinecraftItemTypes2["VerdantFroglight"] = "minecraft:verdant_froglight";
  MinecraftItemTypes2["VexArmorTrimSmithingTemplate"] = "minecraft:vex_armor_trim_smithing_template";
  MinecraftItemTypes2["VexSpawnEgg"] = "minecraft:vex_spawn_egg";
  MinecraftItemTypes2["VillagerSpawnEgg"] = "minecraft:villager_spawn_egg";
  MinecraftItemTypes2["VindicatorSpawnEgg"] = "minecraft:vindicator_spawn_egg";
  MinecraftItemTypes2["Vine"] = "minecraft:vine";
  MinecraftItemTypes2["WanderingTraderSpawnEgg"] = "minecraft:wandering_trader_spawn_egg";
  MinecraftItemTypes2["WardArmorTrimSmithingTemplate"] = "minecraft:ward_armor_trim_smithing_template";
  MinecraftItemTypes2["WardenSpawnEgg"] = "minecraft:warden_spawn_egg";
  MinecraftItemTypes2["WarpedButton"] = "minecraft:warped_button";
  MinecraftItemTypes2["WarpedDoor"] = "minecraft:warped_door";
  MinecraftItemTypes2["WarpedFence"] = "minecraft:warped_fence";
  MinecraftItemTypes2["WarpedFenceGate"] = "minecraft:warped_fence_gate";
  MinecraftItemTypes2["WarpedFungus"] = "minecraft:warped_fungus";
  MinecraftItemTypes2["WarpedFungusOnAStick"] = "minecraft:warped_fungus_on_a_stick";
  MinecraftItemTypes2["WarpedHangingSign"] = "minecraft:warped_hanging_sign";
  MinecraftItemTypes2["WarpedHyphae"] = "minecraft:warped_hyphae";
  MinecraftItemTypes2["WarpedNylium"] = "minecraft:warped_nylium";
  MinecraftItemTypes2["WarpedPlanks"] = "minecraft:warped_planks";
  MinecraftItemTypes2["WarpedPressurePlate"] = "minecraft:warped_pressure_plate";
  MinecraftItemTypes2["WarpedRoots"] = "minecraft:warped_roots";
  MinecraftItemTypes2["WarpedSign"] = "minecraft:warped_sign";
  MinecraftItemTypes2["WarpedSlab"] = "minecraft:warped_slab";
  MinecraftItemTypes2["WarpedStairs"] = "minecraft:warped_stairs";
  MinecraftItemTypes2["WarpedStem"] = "minecraft:warped_stem";
  MinecraftItemTypes2["WarpedTrapdoor"] = "minecraft:warped_trapdoor";
  MinecraftItemTypes2["WarpedWartBlock"] = "minecraft:warped_wart_block";
  MinecraftItemTypes2["WaterBucket"] = "minecraft:water_bucket";
  MinecraftItemTypes2["Waterlily"] = "minecraft:waterlily";
  MinecraftItemTypes2["WaxedChiseledCopper"] = "minecraft:waxed_chiseled_copper";
  MinecraftItemTypes2["WaxedCopper"] = "minecraft:waxed_copper";
  MinecraftItemTypes2["WaxedCopperBulb"] = "minecraft:waxed_copper_bulb";
  MinecraftItemTypes2["WaxedCopperDoor"] = "minecraft:waxed_copper_door";
  MinecraftItemTypes2["WaxedCopperGrate"] = "minecraft:waxed_copper_grate";
  MinecraftItemTypes2["WaxedCopperTrapdoor"] = "minecraft:waxed_copper_trapdoor";
  MinecraftItemTypes2["WaxedCutCopper"] = "minecraft:waxed_cut_copper";
  MinecraftItemTypes2["WaxedCutCopperSlab"] = "minecraft:waxed_cut_copper_slab";
  MinecraftItemTypes2["WaxedCutCopperStairs"] = "minecraft:waxed_cut_copper_stairs";
  MinecraftItemTypes2["WaxedExposedChiseledCopper"] = "minecraft:waxed_exposed_chiseled_copper";
  MinecraftItemTypes2["WaxedExposedCopper"] = "minecraft:waxed_exposed_copper";
  MinecraftItemTypes2["WaxedExposedCopperBulb"] = "minecraft:waxed_exposed_copper_bulb";
  MinecraftItemTypes2["WaxedExposedCopperDoor"] = "minecraft:waxed_exposed_copper_door";
  MinecraftItemTypes2["WaxedExposedCopperGrate"] = "minecraft:waxed_exposed_copper_grate";
  MinecraftItemTypes2["WaxedExposedCopperTrapdoor"] = "minecraft:waxed_exposed_copper_trapdoor";
  MinecraftItemTypes2["WaxedExposedCutCopper"] = "minecraft:waxed_exposed_cut_copper";
  MinecraftItemTypes2["WaxedExposedCutCopperSlab"] = "minecraft:waxed_exposed_cut_copper_slab";
  MinecraftItemTypes2["WaxedExposedCutCopperStairs"] = "minecraft:waxed_exposed_cut_copper_stairs";
  MinecraftItemTypes2["WaxedOxidizedChiseledCopper"] = "minecraft:waxed_oxidized_chiseled_copper";
  MinecraftItemTypes2["WaxedOxidizedCopper"] = "minecraft:waxed_oxidized_copper";
  MinecraftItemTypes2["WaxedOxidizedCopperBulb"] = "minecraft:waxed_oxidized_copper_bulb";
  MinecraftItemTypes2["WaxedOxidizedCopperDoor"] = "minecraft:waxed_oxidized_copper_door";
  MinecraftItemTypes2["WaxedOxidizedCopperGrate"] = "minecraft:waxed_oxidized_copper_grate";
  MinecraftItemTypes2["WaxedOxidizedCopperTrapdoor"] = "minecraft:waxed_oxidized_copper_trapdoor";
  MinecraftItemTypes2["WaxedOxidizedCutCopper"] = "minecraft:waxed_oxidized_cut_copper";
  MinecraftItemTypes2["WaxedOxidizedCutCopperSlab"] = "minecraft:waxed_oxidized_cut_copper_slab";
  MinecraftItemTypes2["WaxedOxidizedCutCopperStairs"] = "minecraft:waxed_oxidized_cut_copper_stairs";
  MinecraftItemTypes2["WaxedWeatheredChiseledCopper"] = "minecraft:waxed_weathered_chiseled_copper";
  MinecraftItemTypes2["WaxedWeatheredCopper"] = "minecraft:waxed_weathered_copper";
  MinecraftItemTypes2["WaxedWeatheredCopperBulb"] = "minecraft:waxed_weathered_copper_bulb";
  MinecraftItemTypes2["WaxedWeatheredCopperDoor"] = "minecraft:waxed_weathered_copper_door";
  MinecraftItemTypes2["WaxedWeatheredCopperGrate"] = "minecraft:waxed_weathered_copper_grate";
  MinecraftItemTypes2["WaxedWeatheredCopperTrapdoor"] = "minecraft:waxed_weathered_copper_trapdoor";
  MinecraftItemTypes2["WaxedWeatheredCutCopper"] = "minecraft:waxed_weathered_cut_copper";
  MinecraftItemTypes2["WaxedWeatheredCutCopperSlab"] = "minecraft:waxed_weathered_cut_copper_slab";
  MinecraftItemTypes2["WaxedWeatheredCutCopperStairs"] = "minecraft:waxed_weathered_cut_copper_stairs";
  MinecraftItemTypes2["WayfinderArmorTrimSmithingTemplate"] = "minecraft:wayfinder_armor_trim_smithing_template";
  MinecraftItemTypes2["WeatheredChiseledCopper"] = "minecraft:weathered_chiseled_copper";
  MinecraftItemTypes2["WeatheredCopper"] = "minecraft:weathered_copper";
  MinecraftItemTypes2["WeatheredCopperBulb"] = "minecraft:weathered_copper_bulb";
  MinecraftItemTypes2["WeatheredCopperDoor"] = "minecraft:weathered_copper_door";
  MinecraftItemTypes2["WeatheredCopperGrate"] = "minecraft:weathered_copper_grate";
  MinecraftItemTypes2["WeatheredCopperTrapdoor"] = "minecraft:weathered_copper_trapdoor";
  MinecraftItemTypes2["WeatheredCutCopper"] = "minecraft:weathered_cut_copper";
  MinecraftItemTypes2["WeatheredCutCopperSlab"] = "minecraft:weathered_cut_copper_slab";
  MinecraftItemTypes2["WeatheredCutCopperStairs"] = "minecraft:weathered_cut_copper_stairs";
  MinecraftItemTypes2["Web"] = "minecraft:web";
  MinecraftItemTypes2["WeepingVines"] = "minecraft:weeping_vines";
  MinecraftItemTypes2["Wheat"] = "minecraft:wheat";
  MinecraftItemTypes2["WheatSeeds"] = "minecraft:wheat_seeds";
  MinecraftItemTypes2["WhiteCandle"] = "minecraft:white_candle";
  MinecraftItemTypes2["WhiteCarpet"] = "minecraft:white_carpet";
  MinecraftItemTypes2["WhiteConcrete"] = "minecraft:white_concrete";
  MinecraftItemTypes2["WhiteConcretePowder"] = "minecraft:white_concrete_powder";
  MinecraftItemTypes2["WhiteDye"] = "minecraft:white_dye";
  MinecraftItemTypes2["WhiteGlazedTerracotta"] = "minecraft:white_glazed_terracotta";
  MinecraftItemTypes2["WhiteShulkerBox"] = "minecraft:white_shulker_box";
  MinecraftItemTypes2["WhiteStainedGlass"] = "minecraft:white_stained_glass";
  MinecraftItemTypes2["WhiteStainedGlassPane"] = "minecraft:white_stained_glass_pane";
  MinecraftItemTypes2["WhiteTerracotta"] = "minecraft:white_terracotta";
  MinecraftItemTypes2["WhiteTulip"] = "minecraft:white_tulip";
  MinecraftItemTypes2["WhiteWool"] = "minecraft:white_wool";
  MinecraftItemTypes2["WildArmorTrimSmithingTemplate"] = "minecraft:wild_armor_trim_smithing_template";
  MinecraftItemTypes2["WindCharge"] = "minecraft:wind_charge";
  MinecraftItemTypes2["WitchSpawnEgg"] = "minecraft:witch_spawn_egg";
  MinecraftItemTypes2["WitherRose"] = "minecraft:wither_rose";
  MinecraftItemTypes2["WitherSkeletonSpawnEgg"] = "minecraft:wither_skeleton_spawn_egg";
  MinecraftItemTypes2["WitherSpawnEgg"] = "minecraft:wither_spawn_egg";
  MinecraftItemTypes2["WolfArmor"] = "minecraft:wolf_armor";
  MinecraftItemTypes2["WolfSpawnEgg"] = "minecraft:wolf_spawn_egg";
  MinecraftItemTypes2["WoodenAxe"] = "minecraft:wooden_axe";
  MinecraftItemTypes2["WoodenButton"] = "minecraft:wooden_button";
  MinecraftItemTypes2["WoodenDoor"] = "minecraft:wooden_door";
  MinecraftItemTypes2["WoodenHoe"] = "minecraft:wooden_hoe";
  MinecraftItemTypes2["WoodenPickaxe"] = "minecraft:wooden_pickaxe";
  MinecraftItemTypes2["WoodenPressurePlate"] = "minecraft:wooden_pressure_plate";
  MinecraftItemTypes2["WoodenShovel"] = "minecraft:wooden_shovel";
  MinecraftItemTypes2["WoodenSword"] = "minecraft:wooden_sword";
  MinecraftItemTypes2["WritableBook"] = "minecraft:writable_book";
  MinecraftItemTypes2["YellowCandle"] = "minecraft:yellow_candle";
  MinecraftItemTypes2["YellowCarpet"] = "minecraft:yellow_carpet";
  MinecraftItemTypes2["YellowConcrete"] = "minecraft:yellow_concrete";
  MinecraftItemTypes2["YellowConcretePowder"] = "minecraft:yellow_concrete_powder";
  MinecraftItemTypes2["YellowDye"] = "minecraft:yellow_dye";
  MinecraftItemTypes2["YellowGlazedTerracotta"] = "minecraft:yellow_glazed_terracotta";
  MinecraftItemTypes2["YellowShulkerBox"] = "minecraft:yellow_shulker_box";
  MinecraftItemTypes2["YellowStainedGlass"] = "minecraft:yellow_stained_glass";
  MinecraftItemTypes2["YellowStainedGlassPane"] = "minecraft:yellow_stained_glass_pane";
  MinecraftItemTypes2["YellowTerracotta"] = "minecraft:yellow_terracotta";
  MinecraftItemTypes2["YellowWool"] = "minecraft:yellow_wool";
  MinecraftItemTypes2["ZoglinSpawnEgg"] = "minecraft:zoglin_spawn_egg";
  MinecraftItemTypes2["ZombieHorseSpawnEgg"] = "minecraft:zombie_horse_spawn_egg";
  MinecraftItemTypes2["ZombiePigmanSpawnEgg"] = "minecraft:zombie_pigman_spawn_egg";
  MinecraftItemTypes2["ZombieSpawnEgg"] = "minecraft:zombie_spawn_egg";
  MinecraftItemTypes2["ZombieVillagerSpawnEgg"] = "minecraft:zombie_villager_spawn_egg";
  return MinecraftItemTypes2;
})(MinecraftItemTypes || {});
var MinecraftPotionEffectTypes = ((MinecraftPotionEffectTypes2) => {
  MinecraftPotionEffectTypes2["FireResistance"] = "FireResistance";
  MinecraftPotionEffectTypes2["Harming"] = "Harming";
  MinecraftPotionEffectTypes2["Healing"] = "Healing";
  MinecraftPotionEffectTypes2["Infested"] = "Infested";
  MinecraftPotionEffectTypes2["Invisibility"] = "Invisibility";
  MinecraftPotionEffectTypes2["Leaping"] = "Leaping";
  MinecraftPotionEffectTypes2["NightVision"] = "NightVision";
  MinecraftPotionEffectTypes2["None"] = "None";
  MinecraftPotionEffectTypes2["Oozing"] = "Oozing";
  MinecraftPotionEffectTypes2["Poison"] = "Poison";
  MinecraftPotionEffectTypes2["SlowFalling"] = "SlowFalling";
  MinecraftPotionEffectTypes2["Slowing"] = "Slowing";
  MinecraftPotionEffectTypes2["Strength"] = "Strength";
  MinecraftPotionEffectTypes2["Swiftness"] = "Swiftness";
  MinecraftPotionEffectTypes2["TurtleMaster"] = "TurtleMaster";
  MinecraftPotionEffectTypes2["WaterBreath"] = "WaterBreath";
  MinecraftPotionEffectTypes2["Weakness"] = "Weakness";
  MinecraftPotionEffectTypes2["Weaving"] = "Weaving";
  MinecraftPotionEffectTypes2["WindCharged"] = "WindCharged";
  MinecraftPotionEffectTypes2["Wither"] = "Wither";
  return MinecraftPotionEffectTypes2;
})(MinecraftPotionEffectTypes || {});
var MinecraftPotionLiquidTypes = ((MinecraftPotionLiquidTypes2) => {
  MinecraftPotionLiquidTypes2["Lingering"] = "Lingering";
  MinecraftPotionLiquidTypes2["Regular"] = "Regular";
  MinecraftPotionLiquidTypes2["Splash"] = "Splash";
  return MinecraftPotionLiquidTypes2;
})(MinecraftPotionLiquidTypes || {});
var MinecraftPotionModifierTypes = ((MinecraftPotionModifierTypes2) => {
  MinecraftPotionModifierTypes2["Long"] = "Long";
  MinecraftPotionModifierTypes2["Normal"] = "Normal";
  MinecraftPotionModifierTypes2["Strong"] = "Strong";
  return MinecraftPotionModifierTypes2;
})(MinecraftPotionModifierTypes || {});

// src/Runtime.ts
var PlayerStatisticsMap = /* @__PURE__ */ new Map();
var bookItem = new ItemStack(MinecraftItemTypes.Book);
bookItem.nameTag = "\xA7e%gui.stats \xA77[%action.interact.use]";
function onPlayerSpawn(event) {
  const { player } = event;
  PlayerStatisticsMap.set(player, new PlayerStatistics(player));
  const inventory = player.getComponent("inventory");
  if (inventory && inventory.container && !player.hasTag("stats_book_given")) {
    inventory.container.addItem(bookItem);
    player.addTag("stats_book_given");
  }
}
function beforePlayerLeave(event) {
  const { player } = event;
  PlayerStatisticsMap.delete(player);
}
function onWorldInitialize(event) {
  const addonInitialized = world.getDynamicProperty("initialized");
  if (system2.currentTick > 0 && !addonInitialized) {
    console.warn("[Statistics] Add-On starts collecting statistics on existing worlds. Please be aware that statistics prior to this moment are not collected.");
    world.setDynamicProperty("initialized", true);
  } else {
    console.log("[Statistics] Add-On starts collecting statistics.");
  }
  for (const player of world.getAllPlayers()) {
    PlayerStatisticsMap.set(player, new PlayerStatistics(player));
  }
}

// src/statistics/BlockMined.ts
function onPlayerBreakBlock(event) {
  const { player, brokenBlockPermutation } = event;
  const stats = PlayerStatisticsMap.get(player);
  if (!stats) throw new ReferenceError("Player not found");
  stats.blockMined.addBlockType(brokenBlockPermutation.type);
}

// src/statistics/ItemBroken.ts
import { EntityComponentTypes as EntityComponentTypes2, EquipmentSlot as EquipmentSlot2, ItemComponentTypes as ItemComponentTypes2, Player as Player4, system as system4, world as world3 } from "@minecraft/server";

// src/events/PlayerEquippableChange.ts
import { EntityComponentTypes, EquipmentSlot, ItemComponentTypes, ItemStack as ItemStack2, system as system3, world as world2 } from "@minecraft/server";
var EquipmentSlots = [
  EquipmentSlot.Head,
  EquipmentSlot.Chest,
  EquipmentSlot.Legs,
  EquipmentSlot.Feet,
  EquipmentSlot.Mainhand,
  EquipmentSlot.Offhand
];
var PlayerEquippableMap = /* @__PURE__ */ new Map();
function getPlayerEquipmentInventoryAtLastTick(player) {
  return PlayerEquippableMap.get(player) ?? {
    [EquipmentSlot.Head]: void 0,
    [EquipmentSlot.Chest]: void 0,
    [EquipmentSlot.Legs]: void 0,
    [EquipmentSlot.Feet]: void 0,
    [EquipmentSlot.Mainhand]: void 0,
    [EquipmentSlot.Offhand]: void 0
  };
}
var PlayerEquippableChangeAfterEvent = class {
  constructor(player, itemStackBefore, itemStackAfter, slot, beforeAmount, afterAmount) {
    this.player = player;
    this.itemStackBefore = itemStackBefore;
    this.itemStackAfter = itemStackAfter;
    this.slot = slot;
    this.beforeAmount = beforeAmount;
    this.afterAmount = afterAmount;
  }
};
function ItemStackEquals(item1, item2) {
  if (item1 instanceof ItemStack2 && item2 instanceof ItemStack2) {
    const amountEquals = item1.amount === item2.amount;
    const typeIdEquals = item1.typeId === item2.typeId;
    const item1Durability = item1.getComponent(ItemComponentTypes.Durability);
    const item2Durability = item2.getComponent(ItemComponentTypes.Durability);
    return amountEquals && typeIdEquals && item1Durability?.damage === item2Durability?.damage && item1Durability?.maxDurability === item2Durability?.maxDurability;
  } else return typeof item1 === typeof item2;
}
var PlayerEquippableChangeAfterEventSignal = class {
  constructor() {
    this.handlers = [];
    system3.runInterval(() => {
      for (const player of world2.getAllPlayers()) {
        const equippable = player.getComponent(EntityComponentTypes.Equippable);
        const inventoryBefore = getPlayerEquipmentInventoryAtLastTick(player);
        const inventoryAfter = {
          [EquipmentSlot.Head]: equippable.getEquipment(EquipmentSlot.Head),
          [EquipmentSlot.Chest]: equippable.getEquipment(EquipmentSlot.Chest),
          [EquipmentSlot.Legs]: equippable.getEquipment(EquipmentSlot.Legs),
          [EquipmentSlot.Feet]: equippable.getEquipment(EquipmentSlot.Feet),
          [EquipmentSlot.Mainhand]: equippable.getEquipment(EquipmentSlot.Mainhand),
          [EquipmentSlot.Offhand]: equippable.getEquipment(EquipmentSlot.Offhand)
        };
        for (const slot of EquipmentSlots) {
          if (!ItemStackEquals(inventoryBefore[slot], inventoryAfter[slot])) {
            const beforeAmount = Object.values(inventoryBefore).filter((item) => ItemStackEquals(inventoryBefore[slot], item)).map((v) => v?.amount ?? 0).reduce((accumulator, currentValue) => accumulator + currentValue, 0);
            const afterAmount = Object.values(inventoryAfter).filter((item) => ItemStackEquals(inventoryAfter[slot], item)).map((v) => v?.amount ?? 0).reduce((accumulator, currentValue) => accumulator + currentValue, 0);
            this.trigger(new PlayerEquippableChangeAfterEvent(player, inventoryBefore[slot], inventoryAfter[slot], slot, beforeAmount, afterAmount));
          }
        }
        PlayerEquippableMap.set(player, inventoryAfter);
      }
    });
  }
  /**
   * This function can't be called in read-only mode.
   */
  subscribe(callback) {
    this.handlers.push(callback);
    return callback;
  }
  /**
   * This function can't be called in read-only mode.
   */
  unsubscribe(callback) {
    this.handlers.splice(this.handlers.indexOf(callback), 1);
  }
  trigger(event) {
    this.handlers.forEach((callback) => callback(event));
  }
};
var playerEquippableChange = new PlayerEquippableChangeAfterEventSignal();

// src/statistics/ItemBroken.ts
function onItemBreakAfterUse(event) {
  const { source, itemStack } = event;
  const durability = itemStack.getComponent(ItemComponentTypes2.Durability);
  if (!durability) return;
  const equippable = source.getComponent(EntityComponentTypes2.Equippable);
  const itemIsBroken = !EquipmentSlots.some((slot) => ItemStackEquals(equippable.getEquipment(slot), itemStack));
  if (durability.damage >= durability.maxDurability && itemIsBroken) {
    const stats = PlayerStatisticsMap.get(source);
    if (!stats) throw new ReferenceError("Player not found");
    stats.itemBroken.addItemType(itemStack.type);
  }
}
function onDamagingEntityItemBroken(event) {
  const { player, slot, itemStackBefore, itemStackAfter } = event;
  if (!itemStackAfter && itemStackBefore && slot === EquipmentSlot2.Mainhand) {
    const itemBeforeDurability = itemStackBefore.getComponent(ItemComponentTypes2.Durability);
    if (!itemBeforeDurability || itemBeforeDurability.damage < itemBeforeDurability.maxDurability) return;
    const callback = world3.afterEvents.entityHitEntity.subscribe((event2) => {
      const { damagingEntity } = event2;
      if (damagingEntity !== player || !(damagingEntity instanceof Player4)) return;
      const stats = PlayerStatisticsMap.get(damagingEntity);
      if (!stats) throw new ReferenceError("Player not found");
      stats.itemBroken.addItemType(itemStackBefore.type);
    }, { entities: [player] });
    system4.run(() => {
      world3.afterEvents.entityHitEntity.unsubscribe(callback);
    });
  }
}
function onHurtEntityItemBroken(event) {
  const { player, itemStackBefore, itemStackAfter } = event;
  if (!itemStackAfter && itemStackBefore) {
    const itemBeforeDurability = itemStackBefore.getComponent(ItemComponentTypes2.Durability);
    if (!itemBeforeDurability || itemBeforeDurability.damage < itemBeforeDurability.maxDurability) return;
    const entityHurtCallback = world3.afterEvents.entityHurt.subscribe((event2) => {
      const { hurtEntity } = event2;
      if (hurtEntity !== player || !(hurtEntity instanceof Player4)) return;
      const stats = PlayerStatisticsMap.get(hurtEntity);
      if (!stats) throw new ReferenceError("Player not found");
      stats.itemBroken.addItemType(itemStackBefore.type);
    }, { entities: [player] });
    system4.run(() => {
      world3.afterEvents.entityHurt.unsubscribe(entityHurtCallback);
    });
  }
}
function onShieldBroken(event) {
  const { player, itemStackAfter, itemStackBefore, slot, beforeAmount, afterAmount } = event;
  const includeSlots = [EquipmentSlot2.Mainhand, EquipmentSlot2.Offhand];
  if (!itemStackAfter && itemStackBefore?.typeId === MinecraftItemTypes.Shield && includeSlots.includes(slot)) {
    const itemIsBroken = afterAmount < beforeAmount;
    const itemBeforeDurability = itemStackBefore.getComponent(ItemComponentTypes2.Durability);
    if (itemBeforeDurability.damage < itemBeforeDurability.maxDurability || !itemIsBroken) return;
    const entityHurtCallback = world3.afterEvents.entityHitEntity.subscribe((event2) => {
      const { hitEntity } = event2;
      if (hitEntity !== player || !(hitEntity instanceof Player4)) return;
      const stats = PlayerStatisticsMap.get(hitEntity);
      if (!stats) throw new ReferenceError("Player not found");
      stats.itemBroken.addItemType(itemStackBefore.type);
      world3.afterEvents.entityHitEntity.unsubscribe(entityHurtCallback);
    });
  }
}

// src/forms/Listener.ts
import { Player as Player8, system as system6 } from "@minecraft/server";

// src/forms/StatisticsForm.ts
import { ActionFormData as ActionFormData6 } from "@minecraft/server-ui";

// src/forms/GeneralStatisticsForm.ts
import { TicksPerSecond } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";
function formatTime(timestamp) {
  const dateArray = [];
  const date = new Date(timestamp);
  const year = date.getUTCFullYear() - 1970;
  const day = date.getUTCDate() - 1;
  const hours = date.getUTCHours();
  const minutes = date.getUTCMinutes();
  const seconds = date.getUTCSeconds();
  if (year > 0) dateArray.push(`${year} y`);
  if (day > 0) dateArray.push(`${day} d`);
  if (hours > 0) dateArray.push(`${hours} h`);
  if (minutes > 0) dateArray.push(`${minutes} m`);
  dateArray.push(`${seconds} s`);
  return dateArray.join(" ");
}
var customStats = [
  // { statistic: CustomStatistic.animalsBred, translate: "stat.minecraft.animals_bred", type: "int" },
  { statistic: "minecraft:clean_armor" /* cleanArmor */, translate: "stat.minecraft.clean_armor", type: "int" },
  { statistic: "minecraft:clean_banner" /* cleanBanner */, translate: "stat.minecraft.clean_banner", type: "int" },
  { statistic: "minecraft:open_barrel" /* openBarrel */, translate: "stat.minecraft.open_barrel", type: "int" },
  { statistic: "minecraft:bell_ring" /* bellRing */, translate: "stat.minecraft.bell_ring", type: "int" },
  { statistic: "minecraft:eat_cake_slice" /* eatCakeSlice */, translate: "stat.minecraft.eat_cake_slice", type: "int" },
  { statistic: "minecraft:fill_cauldron" /* fillCauldron */, translate: "stat.minecraft.fill_cauldron", type: "int" },
  { statistic: "minecraft:open_chest" /* openChest */, translate: "stat.minecraft.open_chest", type: "int" },
  // { statistic: CustomStatistic.damageAbsorbed, translate: "stat.minecraft.damage_absorbed", type: "float" },
  // { statistic: CustomStatistic.damageBlockedByShield, translate: "stat.minecraft.damage_blocked_by_shield", type: "float" },
  { statistic: "minecraft:damage_dealt" /* damageDealt */, translate: "stat.minecraft.damage_dealt", type: "float" },
  // { statistic: CustomStatistic.damageDealtAbsorbed, translate: "stat.minecraft.damage_dealt_absorbed", type: "float" },
  // { statistic: CustomStatistic.damageDealtResisted, translate: "stat.minecraft.damage_dealt_resisted", type: "float" },
  // { statistic: CustomStatistic.damageResisted, translate: "stat.minecraft.damage_resisted", type: "float" },
  { statistic: "minecraft:damage_taken" /* damageTaken */, translate: "stat.minecraft.damage_taken", type: "float" },
  { statistic: "minecraft:inspect_dispenser" /* inspectDispenser */, translate: "stat.minecraft.inspect_dispenser", type: "int" },
  { statistic: "minecraft:climb_one_cm" /* climbOneCm */, translate: "stat.minecraft.climb_one_cm", type: "distance" },
  { statistic: "minecraft:crouch_one_cm" /* crouchOneCm */, translate: "stat.minecraft.crouch_one_cm", type: "distance" },
  // { statistic: CustomStatistic.fallOneCm, translate: "stat.minecraft.fall_one_cm", type: "distance" },
  { statistic: "minecraft:fly_one_cm" /* flyOneCm */, translate: "stat.minecraft.fly_one_cm", type: "distance" },
  { statistic: "minecraft:sprint_one_cm" /* sprintOneCm */, translate: "stat.minecraft.sprint_one_cm", type: "distance" },
  { statistic: "minecraft:swim_one_cm" /* swimOneCm */, translate: "stat.minecraft.swim_one_cm", type: "distance" },
  { statistic: "minecraft:walk_one_cm" /* walkOneCm */, translate: "stat.minecraft.walk_one_cm", type: "distance" },
  { statistic: "minecraft:walk_on_water_one_cm" /* walkOnWaterOneCm */, translate: "stat.minecraft.walk_on_water_one_cm", type: "distance" },
  { statistic: "minecraft:walk_under_water_one_cm" /* walkUnderWaterOneCm */, translate: "stat.minecraft.walk_under_water_one_cm", type: "distance" },
  // { statistic: CustomStatistic.boatOneCm, translate: "stat.minecraft.boat_one_cm", type: "distance" },
  { statistic: "minecraft:aviate_one_cm" /* aviateOneCm */, translate: "stat.minecraft.aviate_one_cm", type: "distance" },
  // { statistic: CustomStatistic.horseOneCm, translate: "stat.minecraft.horse_one_cm", type: "distance" },
  // { statistic: CustomStatistic.minecartOneCm, translate: "stat.minecraft.minecart_one_cm", type: "distance" },
  // { statistic: CustomStatistic.pigOneCm, translate: "stat.minecraft.pig_one_cm", type: "distance" },
  // { statistic: CustomStatistic.striderOneCm, translate: "stat.minecraft.strider_one_cm", type: "distance" },
  { statistic: "minecraft:inspect_dropper" /* inspectDropper */, translate: "stat.minecraft.inspect_dropper", type: "int" },
  { statistic: "minecraft:open_enderchest" /* openEnderchest */, translate: "stat.minecraft.open_enderchest", type: "int" },
  // { statistic: CustomStatistic.fishCaught, translate: "stat.minecraft.fish_caught", type: "int" },
  { statistic: "minecraft:leave_game" /* leaveGame */, translate: "stat.minecraft.leave_game", type: "int" },
  { statistic: "minecraft:inspect_hopper" /* inspectHopper */, translate: "stat.minecraft.inspect_hopper", type: "int" },
  { statistic: "minecraft:interact_with_anvil" /* interactWithAnvil */, translate: "stat.minecraft.interact_with_anvil", type: "int" },
  { statistic: "minecraft:interact_with_beacon" /* interactWithBeacon */, translate: "stat.minecraft.interact_with_beacon", type: "int" },
  { statistic: "minecraft:interact_with_blast_furnace" /* interactWithBlastFurnace */, translate: "stat.minecraft.interact_with_blast_furnace", type: "int" },
  { statistic: "minecraft:interact_with_brewingstand" /* interactWithBrewingstand */, translate: "stat.minecraft.interact_with_brewingstand", type: "int" },
  { statistic: "minecraft:interact_with_campfire" /* interactWithCampfire */, translate: "stat.minecraft.interact_with_campfire", type: "int" },
  { statistic: "minecraft:interact_with_cartography_table" /* interactWithCartographyTable */, translate: "stat.minecraft.interact_with_cartography_table", type: "int" },
  { statistic: "minecraft:interact_with_crafting_table" /* interactWithCraftingTable */, translate: "stat.minecraft.interact_with_crafting_table", type: "int" },
  { statistic: "minecraft:interact_with_furnace" /* interactWithFurnace */, translate: "stat.minecraft.interact_with_furnace", type: "int" },
  { statistic: "minecraft:interact_with_grindstone" /* interactWithGrindstone */, translate: "stat.minecraft.interact_with_grindstone", type: "int" },
  { statistic: "minecraft:interact_with_lectern" /* interactWithLectern */, translate: "stat.minecraft.interact_with_lectern", type: "int" },
  { statistic: "minecraft:interact_with_loom" /* interactWithLoom */, translate: "stat.minecraft.interact_with_loom", type: "int" },
  { statistic: "minecraft:interact_with_smithing_table" /* interactWithSmithingTable */, translate: "stat.minecraft.interact_with_smithing_table", type: "int" },
  { statistic: "minecraft:interact_with_smoker" /* interactWithSmoker */, translate: "stat.minecraft.interact_with_smoker", type: "int" },
  { statistic: "minecraft:interact_with_stonecutter" /* interactWithStonecutter */, translate: "stat.minecraft.interact_with_stonecutter", type: "int" },
  { statistic: "minecraft:drop" /* drop */, translate: "stat.minecraft.drop", type: "int" },
  // { statistic: CustomStatistic.enchantItem, translate: "stat.minecraft.enchant_item", type: "int" },
  { statistic: "minecraft:jump" /* jump */, translate: "stat.minecraft.jump", type: "int" },
  { statistic: "minecraft:mob_kills" /* mobKills */, translate: "stat.minecraft.mob_kills", type: "int" },
  { statistic: "minecraft:play_record" /* playRecord */, translate: "stat.minecraft.play_record", type: "int" },
  { statistic: "minecraft:play_noteblock" /* playNoteblock */, translate: "stat.minecraft.play_noteblock", type: "int" },
  { statistic: "minecraft:tune_noteblock" /* tuneNoteblock */, translate: "stat.minecraft.tune_noteblock", type: "int" },
  { statistic: "minecraft:deaths" /* deaths */, translate: "stat.minecraft.deaths", type: "int" },
  { statistic: "minecraft:pot_flower" /* potFlower */, translate: "stat.minecraft.pot_flower", type: "int" },
  { statistic: "minecraft:player_kills" /* playerKills */, translate: "stat.minecraft.player_kills", type: "int" },
  { statistic: "minecraft:raid_trigger" /* raidTrigger */, translate: "stat.minecraft.raid_trigger", type: "int" },
  { statistic: "minecraft:raid_win" /* raidWin */, translate: "stat.minecraft.raid_win", type: "int" },
  { statistic: "minecraft:clean_shulker_box" /* cleanShulkerBox */, translate: "stat.minecraft.clean_shulker_box", type: "int" },
  { statistic: "minecraft:open_shulker_box" /* openShulkerBox */, translate: "stat.minecraft.open_shulker_box", type: "int" },
  { statistic: "minecraft:sneak_time" /* sneakTime */, translate: "stat.minecraft.sneak_time", type: "time" },
  { statistic: "minecraft:talked_to_villager" /* talkedToVillager */, translate: "stat.minecraft.talked_to_villager", type: "int" },
  { statistic: "minecraft:target_hit" /* targetHit */, translate: "stat.minecraft.target_hit", type: "int" },
  { statistic: "minecraft:play_time" /* playTime */, translate: "stat.minecraft.play_time", type: "time" },
  { statistic: "minecraft:time_since_death" /* timeSinceDeath */, translate: "stat.minecraft.time_since_death", type: "time" },
  { statistic: "minecraft:time_since_rest" /* timeSinceRest */, translate: "stat.minecraft.time_since_rest", type: "time" },
  { statistic: "minecraft:total_world_time" /* totalWorldTime */, translate: "stat.minecraft.total_world_time", type: "time" },
  { statistic: "minecraft:sleep_in_bed" /* sleepInBed */, translate: "stat.minecraft.sleep_in_bed", type: "int" },
  // { statistic: CustomStatistic.tradedWithVillager, translate: "stat.minecraft.traded_with_villager", type: "int" },
  { statistic: "minecraft:trigger_trapped_chest" /* triggerTrappedChest */, translate: "stat.minecraft.trigger_trapped_chest", type: "int" },
  { statistic: "minecraft:use_cauldron" /* useCauldron */, translate: "stat.minecraft.use_cauldron", type: "int" }
];
var GeneralStatisticsForm = class {
  constructor(player, statistics) {
    this.player = player;
    this.statistics = statistics;
    this.form = new ActionFormData().title({ translate: "gui.stats" }).button({ translate: "gui.back" }).body(this.getBodyText());
  }
  show() {
    this.form.show(this.player).then(this.onResponse.bind(this));
  }
  onResponse() {
    new StatisticsForm(this.player, this.statistics).show();
  }
  getBodyText() {
    const message = {};
    message.rawtext = [];
    for (const stat of customStats) {
      const value = this.statistics.custom.getStatistic(stat.statistic);
      let valueText;
      if (stat.type === "int") valueText = value.toFixed();
      else if (stat.type === "float") valueText = value.toFixed(2);
      else if (stat.type === "distance" && value >= 1e5 /* km */) {
        valueText = `${(value / 1e5 /* km */).toFixed(2)} km`;
      } else if (stat.type === "distance" && value >= 100 /* m */) {
        valueText = `${(value / 100 /* m */).toFixed(2)} m`;
      } else if (stat.type === "distance") {
        valueText = `${value.toFixed(2)} cm`;
      } else if (stat.type === "time") {
        valueText = formatTime(value / TicksPerSecond * 1e3);
      } else {
        throw new Error("Statistic value text for " + stat.statistic + " is not handled.");
      }
      message.rawtext.push({ rawtext: [{ text: "\xA77" }, { translate: stat.translate }, { text: "\n\xA7r" + valueText + "\n\n" }] });
    }
    return message;
  }
};

// src/forms/ItemStatisticsForm.ts
import { BlockTypes } from "@minecraft/server";

// src/utilities/PageForm.ts
import { ActionFormData as ActionFormData3 } from "@minecraft/server-ui";

// src/utilities/ForceShow.ts
import { system as system5 } from "@minecraft/server";
import { FormCancelationReason } from "@minecraft/server-ui";
async function forceShow(player, form, timeout = Infinity) {
  const startTick = system5.currentTick;
  while (system5.currentTick - startTick < timeout) {
    const response = await form.show(player);
    if (response.cancelationReason !== FormCancelationReason.UserBusy) {
      return response;
    }
    ;
  }
  ;
  throw new Error(`Timed out after ${timeout} ticks`);
}

// src/utilities/PageForm.ts
function FormatActionFormButtons(formData, pageLimit, showPlayer) {
  const actionForms = [];
  const buttonsInForms = [];
  const { buttons, bodyText, titleText } = formData;
  const numberOfForms = intDivide(buttons.length, pageLimit);
  if (buttons.length < 1) {
    throw new Error("ActionFormData requires at least 1 button.");
  }
  if (pageLimit < 1 || pageLimit > 255) {
    throw new Error("Page limit must be at least 1 and less than 255.");
  }
  for (let pageIndex = 0; pageIndex < numberOfForms; pageIndex++) {
    const form = new ActionFormData3();
    const pageIndicator = { translate: "book.pageIndicator", with: [(pageIndex + 1).toString(), numberOfForms.toString()] };
    if (typeof bodyText === "object") {
      form.body({ rawtext: [bodyText, pageIndicator] });
    } else if (typeof bodyText === "string") {
      form.body({ rawtext: [{ text: bodyText }, pageIndicator] });
    } else {
      form.body(pageIndicator);
    }
    form.title(titleText);
    for (let index = 0; index < pageLimit; index++) {
      const button = buttons[index + pageIndex * pageLimit];
      if (!button) break;
      if (button.iconPath) form.button(button.text, button.iconPath);
      else form.button(button.text);
      buttonsInForms[pageIndex] = index + 1;
    }
    if (pageIndex !== 0) {
      form.button({ translate: "createWorld.customize.custom.prev" }, "textures/blocks/wool_colored_silver");
      buttonsInForms[pageIndex] += 1;
    }
    if (pageIndex !== numberOfForms - 1) {
      form.button({ translate: "createWorld.customize.custom.next" }, "textures/blocks/wool_colored_lime");
      buttonsInForms[pageIndex] += 1;
    }
    actionForms.push(form);
  }
  return ShowPlayerActionForm(actionForms, showPlayer, 0, buttonsInForms, pageLimit);
}
async function ShowPlayerActionForm(formDatas, player, formIndex, buttonsInForms, pageLimit) {
  const response = await forceShow(player, formDatas[formIndex]);
  const lastButtonIndex = buttonsInForms[formIndex] - 1;
  const isFirstForm = formIndex === 0;
  const isLastForm = formIndex === buttonsInForms.length - 1;
  if (response.canceled) return;
  if (response.selection === lastButtonIndex && (isFirstForm && !isLastForm || !isFirstForm && !isLastForm)) {
    return await ShowPlayerActionForm(formDatas, player, formIndex + 1, buttonsInForms, pageLimit);
  } else if (response.selection === lastButtonIndex && isLastForm && !isFirstForm) {
    return await ShowPlayerActionForm(formDatas, player, formIndex - 1, buttonsInForms, pageLimit);
  } else if (response.selection === lastButtonIndex - 1 && !isFirstForm && !isLastForm) {
    return await ShowPlayerActionForm(formDatas, player, formIndex - 1, buttonsInForms, pageLimit);
  } else {
    let { selection } = response;
    if (typeof selection === "undefined") throw new TypeError("Selection is undefined");
    return formIndex * pageLimit + selection;
  }
  ;
}
function intDivide(a, b) {
  const result = a / b;
  return Math.floor(result) + (result % 1 !== 0 ? 1 : 0);
}
var PageForm_default = FormatActionFormButtons;

// src/forms/ItemStatisticsForm.ts
import { ActionFormData as ActionFormData4 } from "@minecraft/server-ui";

// assets/data/mojang-items.json
var mojang_items_default = {
  data_items: [
    {
      name: "minecraft:acacia_boat",
      serialization_id: "item.acacia_boat"
    },
    {
      name: "minecraft:acacia_button",
      serialization_id: "item.acacia_button"
    },
    {
      name: "minecraft:acacia_chest_boat",
      serialization_id: "item.acacia_chest_boat"
    },
    {
      name: "minecraft:acacia_door",
      serialization_id: "item.acacia_door"
    },
    {
      name: "minecraft:acacia_fence",
      serialization_id: "item.acacia_fence"
    },
    {
      name: "minecraft:acacia_fence_gate",
      serialization_id: "item.acacia_fence_gate"
    },
    {
      name: "minecraft:acacia_hanging_sign",
      serialization_id: "item.acacia_hanging_sign"
    },
    {
      name: "minecraft:acacia_leaves",
      serialization_id: "item.acacia_leaves"
    },
    {
      name: "minecraft:acacia_log",
      serialization_id: "item.acacia_log"
    },
    {
      name: "minecraft:acacia_planks",
      serialization_id: "item.acacia_planks"
    },
    {
      name: "minecraft:acacia_pressure_plate",
      serialization_id: "item.acacia_pressure_plate"
    },
    {
      name: "minecraft:acacia_sapling",
      serialization_id: "item.acacia_sapling"
    },
    {
      name: "minecraft:acacia_sign",
      serialization_id: "item.acacia_sign"
    },
    {
      name: "minecraft:acacia_slab",
      serialization_id: "item.acacia_slab"
    },
    {
      name: "minecraft:acacia_stairs",
      serialization_id: "item.acacia_stairs"
    },
    {
      name: "minecraft:acacia_trapdoor",
      serialization_id: "item.acacia_trapdoor"
    },
    {
      name: "minecraft:acacia_wood",
      serialization_id: "item.acacia_wood"
    },
    {
      name: "minecraft:activator_rail",
      serialization_id: "item.activator_rail"
    },
    {
      name: "minecraft:air",
      serialization_id: "item.air"
    },
    {
      name: "minecraft:allay_spawn_egg",
      serialization_id: "item.allay_spawn_egg"
    },
    {
      name: "minecraft:allium",
      serialization_id: "item.allium"
    },
    {
      name: "minecraft:allow",
      serialization_id: "item.allow"
    },
    {
      name: "minecraft:amethyst_block",
      serialization_id: "item.amethyst_block"
    },
    {
      name: "minecraft:amethyst_cluster",
      serialization_id: "item.amethyst_cluster"
    },
    {
      name: "minecraft:amethyst_shard",
      serialization_id: "item.amethyst_shard"
    },
    {
      name: "minecraft:ancient_debris",
      serialization_id: "item.ancient_debris"
    },
    {
      name: "minecraft:andesite",
      serialization_id: "item.andesite"
    },
    {
      name: "minecraft:andesite_slab",
      serialization_id: "item.andesite_slab"
    },
    {
      name: "minecraft:andesite_stairs",
      serialization_id: "item.andesite_stairs"
    },
    {
      name: "minecraft:andesite_wall",
      serialization_id: "item.andesite_wall"
    },
    {
      name: "minecraft:angler_pottery_sherd",
      serialization_id: "item.angler_pottery_sherd"
    },
    {
      name: "minecraft:anvil",
      serialization_id: "item.anvil"
    },
    {
      name: "minecraft:apple",
      serialization_id: "item.apple.name"
    },
    {
      name: "minecraft:archer_pottery_sherd",
      serialization_id: "item.archer_pottery_sherd"
    },
    {
      name: "minecraft:armadillo_scute",
      serialization_id: "item.armadillo_scute"
    },
    {
      name: "minecraft:armadillo_spawn_egg",
      serialization_id: "item.armadillo_spawn_egg"
    },
    {
      name: "minecraft:armor_stand",
      serialization_id: "item.armor_stand"
    },
    {
      name: "minecraft:arms_up_pottery_sherd",
      serialization_id: "item.arms_up_pottery_sherd"
    },
    {
      name: "minecraft:arrow",
      serialization_id: "item.arrow"
    },
    {
      name: "minecraft:axolotl_bucket",
      serialization_id: "item.axolotl_bucket"
    },
    {
      name: "minecraft:axolotl_spawn_egg",
      serialization_id: "item.axolotl_spawn_egg"
    },
    {
      name: "minecraft:azalea",
      serialization_id: "item.azalea"
    },
    {
      name: "minecraft:azalea_leaves",
      serialization_id: "item.azalea_leaves"
    },
    {
      name: "minecraft:azalea_leaves_flowered",
      serialization_id: "item.azalea_leaves_flowered"
    },
    {
      name: "minecraft:azure_bluet",
      serialization_id: "item.azure_bluet"
    },
    {
      name: "minecraft:baked_potato",
      serialization_id: "item.baked_potato"
    },
    {
      name: "minecraft:bamboo",
      serialization_id: "item.bamboo"
    },
    {
      name: "minecraft:bamboo_block",
      serialization_id: "item.bamboo_block"
    },
    {
      name: "minecraft:bamboo_button",
      serialization_id: "item.bamboo_button"
    },
    {
      name: "minecraft:bamboo_chest_raft",
      serialization_id: "item.bamboo_chest_raft"
    },
    {
      name: "minecraft:bamboo_door",
      serialization_id: "item.bamboo_door"
    },
    {
      name: "minecraft:bamboo_fence",
      serialization_id: "item.bamboo_fence"
    },
    {
      name: "minecraft:bamboo_fence_gate",
      serialization_id: "item.bamboo_fence_gate"
    },
    {
      name: "minecraft:bamboo_hanging_sign",
      serialization_id: "item.bamboo_hanging_sign"
    },
    {
      name: "minecraft:bamboo_mosaic",
      serialization_id: "item.bamboo_mosaic"
    },
    {
      name: "minecraft:bamboo_mosaic_slab",
      serialization_id: "item.bamboo_mosaic_slab"
    },
    {
      name: "minecraft:bamboo_mosaic_stairs",
      serialization_id: "item.bamboo_mosaic_stairs"
    },
    {
      name: "minecraft:bamboo_planks",
      serialization_id: "item.bamboo_planks"
    },
    {
      name: "minecraft:bamboo_pressure_plate",
      serialization_id: "item.bamboo_pressure_plate"
    },
    {
      name: "minecraft:bamboo_raft",
      serialization_id: "item.bamboo_raft"
    },
    {
      name: "minecraft:bamboo_sign",
      serialization_id: "item.bamboo_sign"
    },
    {
      name: "minecraft:bamboo_slab",
      serialization_id: "item.bamboo_slab"
    },
    {
      name: "minecraft:bamboo_stairs",
      serialization_id: "item.bamboo_stairs"
    },
    {
      name: "minecraft:bamboo_trapdoor",
      serialization_id: "item.bamboo_trapdoor"
    },
    {
      name: "minecraft:banner",
      serialization_id: "item.banner"
    },
    {
      name: "minecraft:barrel",
      serialization_id: "item.barrel"
    },
    {
      name: "minecraft:barrier",
      serialization_id: "item.barrier"
    },
    {
      name: "minecraft:basalt",
      serialization_id: "item.basalt"
    },
    {
      name: "minecraft:bat_spawn_egg",
      serialization_id: "item.bat_spawn_egg"
    },
    {
      name: "minecraft:beacon",
      serialization_id: "item.beacon"
    },
    {
      name: "minecraft:bed",
      serialization_id: "item.bed"
    },
    {
      name: "minecraft:bedrock",
      serialization_id: "item.bedrock"
    },
    {
      name: "minecraft:bee_nest",
      serialization_id: "item.bee_nest"
    },
    {
      name: "minecraft:bee_spawn_egg",
      serialization_id: "item.bee_spawn_egg"
    },
    {
      name: "minecraft:beef",
      serialization_id: "item.beef"
    },
    {
      name: "minecraft:beehive",
      serialization_id: "item.beehive"
    },
    {
      name: "minecraft:beetroot",
      serialization_id: "item.beetroot"
    },
    {
      name: "minecraft:beetroot_seeds",
      serialization_id: "item.beetroot_seeds"
    },
    {
      name: "minecraft:beetroot_soup",
      serialization_id: "item.beetroot_soup"
    },
    {
      name: "minecraft:bell",
      serialization_id: "item.bell"
    },
    {
      name: "minecraft:big_dripleaf",
      serialization_id: "item.big_dripleaf"
    },
    {
      name: "minecraft:birch_boat",
      serialization_id: "item.birch_boat"
    },
    {
      name: "minecraft:birch_button",
      serialization_id: "item.birch_button"
    },
    {
      name: "minecraft:birch_chest_boat",
      serialization_id: "item.birch_chest_boat"
    },
    {
      name: "minecraft:birch_door",
      serialization_id: "item.birch_door"
    },
    {
      name: "minecraft:birch_fence",
      serialization_id: "item.birch_fence"
    },
    {
      name: "minecraft:birch_fence_gate",
      serialization_id: "item.birch_fence_gate"
    },
    {
      name: "minecraft:birch_hanging_sign",
      serialization_id: "item.birch_hanging_sign"
    },
    {
      name: "minecraft:birch_leaves",
      serialization_id: "item.birch_leaves"
    },
    {
      name: "minecraft:birch_log",
      serialization_id: "item.birch_log"
    },
    {
      name: "minecraft:birch_planks",
      serialization_id: "item.birch_planks"
    },
    {
      name: "minecraft:birch_pressure_plate",
      serialization_id: "item.birch_pressure_plate"
    },
    {
      name: "minecraft:birch_sapling",
      serialization_id: "item.birch_sapling"
    },
    {
      name: "minecraft:birch_sign",
      serialization_id: "item.birch_sign"
    },
    {
      name: "minecraft:birch_slab",
      serialization_id: "item.birch_slab"
    },
    {
      name: "minecraft:birch_stairs",
      serialization_id: "item.birch_stairs"
    },
    {
      name: "minecraft:birch_trapdoor",
      serialization_id: "item.birch_trapdoor"
    },
    {
      name: "minecraft:birch_wood",
      serialization_id: "item.birch_wood"
    },
    {
      name: "minecraft:black_candle",
      serialization_id: "item.black_candle"
    },
    {
      name: "minecraft:black_carpet",
      serialization_id: "item.black_carpet"
    },
    {
      name: "minecraft:black_concrete",
      serialization_id: "item.black_concrete"
    },
    {
      name: "minecraft:black_concrete_powder",
      serialization_id: "item.black_concrete_powder"
    },
    {
      name: "minecraft:black_dye",
      serialization_id: "item.black_dye"
    },
    {
      name: "minecraft:black_glazed_terracotta",
      serialization_id: "item.black_glazed_terracotta"
    },
    {
      name: "minecraft:black_shulker_box",
      serialization_id: "item.black_shulker_box"
    },
    {
      name: "minecraft:black_stained_glass",
      serialization_id: "item.black_stained_glass"
    },
    {
      name: "minecraft:black_stained_glass_pane",
      serialization_id: "item.black_stained_glass_pane"
    },
    {
      name: "minecraft:black_terracotta",
      serialization_id: "item.black_terracotta"
    },
    {
      name: "minecraft:black_wool",
      serialization_id: "item.black_wool"
    },
    {
      name: "minecraft:blackstone",
      serialization_id: "item.blackstone"
    },
    {
      name: "minecraft:blackstone_slab",
      serialization_id: "item.blackstone_slab"
    },
    {
      name: "minecraft:blackstone_stairs",
      serialization_id: "item.blackstone_stairs"
    },
    {
      name: "minecraft:blackstone_wall",
      serialization_id: "item.blackstone_wall"
    },
    {
      name: "minecraft:blade_pottery_sherd",
      serialization_id: "item.blade_pottery_sherd"
    },
    {
      name: "minecraft:blast_furnace",
      serialization_id: "item.blast_furnace"
    },
    {
      name: "minecraft:blaze_powder",
      serialization_id: "item.blaze_powder"
    },
    {
      name: "minecraft:blaze_rod",
      serialization_id: "item.blaze_rod"
    },
    {
      name: "minecraft:blaze_spawn_egg",
      serialization_id: "item.blaze_spawn_egg"
    },
    {
      name: "minecraft:blue_candle",
      serialization_id: "item.blue_candle"
    },
    {
      name: "minecraft:blue_carpet",
      serialization_id: "item.blue_carpet"
    },
    {
      name: "minecraft:blue_concrete",
      serialization_id: "item.blue_concrete"
    },
    {
      name: "minecraft:blue_concrete_powder",
      serialization_id: "item.blue_concrete_powder"
    },
    {
      name: "minecraft:blue_dye",
      serialization_id: "item.blue_dye"
    },
    {
      name: "minecraft:blue_glazed_terracotta",
      serialization_id: "item.blue_glazed_terracotta"
    },
    {
      name: "minecraft:blue_ice",
      serialization_id: "item.blue_ice"
    },
    {
      name: "minecraft:blue_orchid",
      serialization_id: "item.blue_orchid"
    },
    {
      name: "minecraft:blue_shulker_box",
      serialization_id: "item.blue_shulker_box"
    },
    {
      name: "minecraft:blue_stained_glass",
      serialization_id: "item.blue_stained_glass"
    },
    {
      name: "minecraft:blue_stained_glass_pane",
      serialization_id: "item.blue_stained_glass_pane"
    },
    {
      name: "minecraft:blue_terracotta",
      serialization_id: "item.blue_terracotta"
    },
    {
      name: "minecraft:blue_wool",
      serialization_id: "item.blue_wool"
    },
    {
      name: "minecraft:bogged_spawn_egg",
      serialization_id: "item.bogged_spawn_egg"
    },
    {
      name: "minecraft:bolt_armor_trim_smithing_template",
      serialization_id: "item.bolt_armor_trim_smithing_template"
    },
    {
      name: "minecraft:bone",
      serialization_id: "item.bone"
    },
    {
      name: "minecraft:bone_block",
      serialization_id: "item.bone_block"
    },
    {
      name: "minecraft:bone_meal",
      serialization_id: "item.bone_meal"
    },
    {
      name: "minecraft:book",
      serialization_id: "item.book"
    },
    {
      name: "minecraft:bookshelf",
      serialization_id: "item.bookshelf"
    },
    {
      name: "minecraft:border_block",
      serialization_id: "item.border_block"
    },
    {
      name: "minecraft:bordure_indented_banner_pattern",
      serialization_id: "item.bordure_indented_banner_pattern"
    },
    {
      name: "minecraft:bow",
      serialization_id: "item.bow"
    },
    {
      name: "minecraft:bowl",
      serialization_id: "item.bowl"
    },
    {
      name: "minecraft:brain_coral",
      serialization_id: "item.brain_coral"
    },
    {
      name: "minecraft:brain_coral_block",
      serialization_id: "item.brain_coral_block"
    },
    {
      name: "minecraft:brain_coral_fan",
      serialization_id: "item.brain_coral_fan"
    },
    {
      name: "minecraft:bread",
      serialization_id: "item.bread"
    },
    {
      name: "minecraft:breeze_rod",
      serialization_id: "item.breeze_rod.name"
    },
    {
      name: "minecraft:breeze_spawn_egg",
      serialization_id: "item.breeze_spawn_egg"
    },
    {
      name: "minecraft:brewer_pottery_sherd",
      serialization_id: "item.brewer_pottery_sherd"
    },
    {
      name: "minecraft:brewing_stand",
      serialization_id: "item.brewing_stand"
    },
    {
      name: "minecraft:brick",
      serialization_id: "item.brick"
    },
    {
      name: "minecraft:brick_block",
      serialization_id: "item.brick_block"
    },
    {
      name: "minecraft:brick_slab",
      serialization_id: "item.brick_slab"
    },
    {
      name: "minecraft:brick_stairs",
      serialization_id: "item.brick_stairs"
    },
    {
      name: "minecraft:brick_wall",
      serialization_id: "item.brick_wall"
    },
    {
      name: "minecraft:brown_candle",
      serialization_id: "item.brown_candle"
    },
    {
      name: "minecraft:brown_carpet",
      serialization_id: "item.brown_carpet"
    },
    {
      name: "minecraft:brown_concrete",
      serialization_id: "item.brown_concrete"
    },
    {
      name: "minecraft:brown_concrete_powder",
      serialization_id: "item.brown_concrete_powder"
    },
    {
      name: "minecraft:brown_dye",
      serialization_id: "item.brown_dye"
    },
    {
      name: "minecraft:brown_glazed_terracotta",
      serialization_id: "item.brown_glazed_terracotta"
    },
    {
      name: "minecraft:brown_mushroom",
      serialization_id: "item.brown_mushroom"
    },
    {
      name: "minecraft:brown_mushroom_block",
      serialization_id: "item.brown_mushroom_block"
    },
    {
      name: "minecraft:brown_shulker_box",
      serialization_id: "item.brown_shulker_box"
    },
    {
      name: "minecraft:brown_stained_glass",
      serialization_id: "item.brown_stained_glass"
    },
    {
      name: "minecraft:brown_stained_glass_pane",
      serialization_id: "item.brown_stained_glass_pane"
    },
    {
      name: "minecraft:brown_terracotta",
      serialization_id: "item.brown_terracotta"
    },
    {
      name: "minecraft:brown_wool",
      serialization_id: "item.brown_wool"
    },
    {
      name: "minecraft:brush",
      serialization_id: "item.brush"
    },
    {
      name: "minecraft:bubble_coral",
      serialization_id: "item.bubble_coral"
    },
    {
      name: "minecraft:bubble_coral_block",
      serialization_id: "item.bubble_coral_block"
    },
    {
      name: "minecraft:bubble_coral_fan",
      serialization_id: "item.bubble_coral_fan"
    },
    {
      name: "minecraft:bucket",
      serialization_id: "item.bucket"
    },
    {
      name: "minecraft:budding_amethyst",
      serialization_id: "item.budding_amethyst"
    },
    {
      name: "minecraft:bundle",
      serialization_id: "item.bundle"
    },
    {
      name: "minecraft:burn_pottery_sherd",
      serialization_id: "item.burn_pottery_sherd"
    },
    {
      name: "minecraft:cactus",
      serialization_id: "item.cactus"
    },
    {
      name: "minecraft:cake",
      serialization_id: "item.cake"
    },
    {
      name: "minecraft:calcite",
      serialization_id: "item.calcite"
    },
    {
      name: "minecraft:calibrated_sculk_sensor",
      serialization_id: "item.calibrated_sculk_sensor"
    },
    {
      name: "minecraft:camel_spawn_egg",
      serialization_id: "item.camel_spawn_egg"
    },
    {
      name: "minecraft:campfire",
      serialization_id: "tile.campfire"
    },
    {
      name: "minecraft:candle",
      serialization_id: "item.candle"
    },
    {
      name: "minecraft:carrot",
      serialization_id: "item.carrot"
    },
    {
      name: "minecraft:carrot_on_a_stick",
      serialization_id: "item.carrotOnAStick"
    },
    {
      name: "minecraft:cartography_table",
      serialization_id: "item.cartography_table"
    },
    {
      name: "minecraft:carved_pumpkin",
      serialization_id: "item.carved_pumpkin"
    },
    {
      name: "minecraft:cat_spawn_egg",
      serialization_id: "item.cat_spawn_egg"
    },
    {
      name: "minecraft:cauldron",
      serialization_id: "item.cauldron"
    },
    {
      name: "minecraft:cave_spider_spawn_egg",
      serialization_id: "item.cave_spider_spawn_egg"
    },
    {
      name: "minecraft:chain",
      serialization_id: "tile.chain"
    },
    {
      name: "minecraft:chain_command_block",
      serialization_id: "item.chain_command_block"
    },
    {
      name: "minecraft:chainmail_boots",
      serialization_id: "item.chainmail_boots"
    },
    {
      name: "minecraft:chainmail_chestplate",
      serialization_id: "item.chainmail_chestplate"
    },
    {
      name: "minecraft:chainmail_helmet",
      serialization_id: "item.chainmail_helmet"
    },
    {
      name: "minecraft:chainmail_leggings",
      serialization_id: "item.chainmail_leggings"
    },
    {
      name: "minecraft:charcoal",
      serialization_id: "item.charcoal"
    },
    {
      name: "minecraft:cherry_boat",
      serialization_id: "item.cherry_boat"
    },
    {
      name: "minecraft:cherry_button",
      serialization_id: "item.cherry_button"
    },
    {
      name: "minecraft:cherry_chest_boat",
      serialization_id: "item.cherry_chest_boat"
    },
    {
      name: "minecraft:cherry_door",
      serialization_id: "item.cherry_door"
    },
    {
      name: "minecraft:cherry_fence",
      serialization_id: "item.cherry_fence"
    },
    {
      name: "minecraft:cherry_fence_gate",
      serialization_id: "item.cherry_fence_gate"
    },
    {
      name: "minecraft:cherry_hanging_sign",
      serialization_id: "item.cherry_hanging_sign"
    },
    {
      name: "minecraft:cherry_leaves",
      serialization_id: "item.cherry_leaves"
    },
    {
      name: "minecraft:cherry_log",
      serialization_id: "item.cherry_log"
    },
    {
      name: "minecraft:cherry_planks",
      serialization_id: "item.cherry_planks"
    },
    {
      name: "minecraft:cherry_pressure_plate",
      serialization_id: "item.cherry_pressure_plate"
    },
    {
      name: "minecraft:cherry_sapling",
      serialization_id: "item.cherry_sapling"
    },
    {
      name: "minecraft:cherry_sign",
      serialization_id: "item.cherry_sign"
    },
    {
      name: "minecraft:cherry_slab",
      serialization_id: "item.cherry_slab"
    },
    {
      name: "minecraft:cherry_stairs",
      serialization_id: "item.cherry_stairs"
    },
    {
      name: "minecraft:cherry_trapdoor",
      serialization_id: "item.cherry_trapdoor"
    },
    {
      name: "minecraft:cherry_wood",
      serialization_id: "item.cherry_wood"
    },
    {
      name: "minecraft:chest",
      serialization_id: "item.chest"
    },
    {
      name: "minecraft:chest_minecart",
      serialization_id: "item.chest_minecart"
    },
    {
      name: "minecraft:chicken",
      serialization_id: "item.chicken"
    },
    {
      name: "minecraft:chicken_spawn_egg",
      serialization_id: "item.chicken_spawn_egg"
    },
    {
      name: "minecraft:chipped_anvil",
      serialization_id: "item.chipped_anvil"
    },
    {
      name: "minecraft:chiseled_bookshelf",
      serialization_id: "item.chiseled_bookshelf"
    },
    {
      name: "minecraft:chiseled_copper",
      serialization_id: "item.chiseled_copper"
    },
    {
      name: "minecraft:chiseled_deepslate",
      serialization_id: "item.chiseled_deepslate"
    },
    {
      name: "minecraft:chiseled_nether_bricks",
      serialization_id: "item.chiseled_nether_bricks"
    },
    {
      name: "minecraft:chiseled_polished_blackstone",
      serialization_id: "item.chiseled_polished_blackstone"
    },
    {
      name: "minecraft:chiseled_quartz_block",
      serialization_id: "item.chiseled_quartz_block"
    },
    {
      name: "minecraft:chiseled_red_sandstone",
      serialization_id: "item.chiseled_red_sandstone"
    },
    {
      name: "minecraft:chiseled_sandstone",
      serialization_id: "item.chiseled_sandstone"
    },
    {
      name: "minecraft:chiseled_stone_bricks",
      serialization_id: "item.chiseled_stone_bricks"
    },
    {
      name: "minecraft:chiseled_tuff",
      serialization_id: "item.chiseled_tuff"
    },
    {
      name: "minecraft:chiseled_tuff_bricks",
      serialization_id: "item.chiseled_tuff_bricks"
    },
    {
      name: "minecraft:chorus_flower",
      serialization_id: "item.chorus_flower"
    },
    {
      name: "minecraft:chorus_fruit",
      serialization_id: "item.chorus_fruit"
    },
    {
      name: "minecraft:chorus_plant",
      serialization_id: "item.chorus_plant"
    },
    {
      name: "minecraft:clay",
      serialization_id: "item.clay"
    },
    {
      name: "minecraft:clay_ball",
      serialization_id: "item.clay_ball"
    },
    {
      name: "minecraft:clock",
      serialization_id: "item.clock"
    },
    {
      name: "minecraft:coal",
      serialization_id: "item.coal"
    },
    {
      name: "minecraft:coal_block",
      serialization_id: "item.coal_block"
    },
    {
      name: "minecraft:coal_ore",
      serialization_id: "item.coal_ore"
    },
    {
      name: "minecraft:coarse_dirt",
      serialization_id: "item.coarse_dirt"
    },
    {
      name: "minecraft:coast_armor_trim_smithing_template",
      serialization_id: "item.coast_armor_trim_smithing_template"
    },
    {
      name: "minecraft:cobbled_deepslate",
      serialization_id: "item.cobbled_deepslate"
    },
    {
      name: "minecraft:cobbled_deepslate_slab",
      serialization_id: "item.cobbled_deepslate_slab"
    },
    {
      name: "minecraft:cobbled_deepslate_stairs",
      serialization_id: "item.cobbled_deepslate_stairs"
    },
    {
      name: "minecraft:cobbled_deepslate_wall",
      serialization_id: "item.cobbled_deepslate_wall"
    },
    {
      name: "minecraft:cobblestone",
      serialization_id: "item.cobblestone"
    },
    {
      name: "minecraft:cobblestone_slab",
      serialization_id: "item.cobblestone_slab"
    },
    {
      name: "minecraft:cobblestone_wall",
      serialization_id: "item.cobblestone_wall"
    },
    {
      name: "minecraft:cocoa_beans",
      serialization_id: "item.cocoa_beans"
    },
    {
      name: "minecraft:cod",
      serialization_id: "item.fish"
    },
    {
      name: "minecraft:cod_bucket",
      serialization_id: "item.cod_bucket"
    },
    {
      name: "minecraft:cod_spawn_egg",
      serialization_id: "item.cod_spawn_egg"
    },
    {
      name: "minecraft:command_block",
      serialization_id: "item.command_block"
    },
    {
      name: "minecraft:command_block_minecart",
      serialization_id: "item.command_block_minecart"
    },
    {
      name: "minecraft:comparator",
      serialization_id: "item.comparator"
    },
    {
      name: "minecraft:compass",
      serialization_id: "item.compass"
    },
    {
      name: "minecraft:composter",
      serialization_id: "item.composter"
    },
    {
      name: "minecraft:conduit",
      serialization_id: "item.conduit"
    },
    {
      name: "minecraft:cooked_beef",
      serialization_id: "item.cooked_beef"
    },
    {
      name: "minecraft:cooked_chicken",
      serialization_id: "item.cooked_chicken"
    },
    {
      name: "minecraft:cooked_cod",
      serialization_id: "item.cooked_fish"
    },
    {
      name: "minecraft:cooked_mutton",
      serialization_id: "item.muttonCooked"
    },
    {
      name: "minecraft:cooked_porkchop",
      serialization_id: "item.cooked_porkchop"
    },
    {
      name: "minecraft:cooked_rabbit",
      serialization_id: "item.cooked_rabbit"
    },
    {
      name: "minecraft:cooked_salmon",
      serialization_id: "item.cooked_salmon"
    },
    {
      name: "minecraft:cookie",
      serialization_id: "item.cookie"
    },
    {
      name: "minecraft:copper_block",
      serialization_id: "item.copper_block"
    },
    {
      name: "minecraft:copper_bulb",
      serialization_id: "item.copper_bulb"
    },
    {
      name: "minecraft:copper_door",
      serialization_id: "item.copper_door"
    },
    {
      name: "minecraft:copper_grate",
      serialization_id: "item.copper_grate"
    },
    {
      name: "minecraft:copper_ingot",
      serialization_id: "item.copper_ingot"
    },
    {
      name: "minecraft:copper_ore",
      serialization_id: "item.copper_ore"
    },
    {
      name: "minecraft:copper_trapdoor",
      serialization_id: "item.copper_trapdoor"
    },
    {
      name: "minecraft:cornflower",
      serialization_id: "item.cornflower"
    },
    {
      name: "minecraft:cow_spawn_egg",
      serialization_id: "item.cow_spawn_egg"
    },
    {
      name: "minecraft:cracked_deepslate_bricks",
      serialization_id: "item.cracked_deepslate_bricks"
    },
    {
      name: "minecraft:cracked_deepslate_tiles",
      serialization_id: "item.cracked_deepslate_tiles"
    },
    {
      name: "minecraft:cracked_nether_bricks",
      serialization_id: "item.cracked_nether_bricks"
    },
    {
      name: "minecraft:cracked_polished_blackstone_bricks",
      serialization_id: "item.cracked_polished_blackstone_bricks"
    },
    {
      name: "minecraft:cracked_stone_bricks",
      serialization_id: "item.cracked_stone_bricks"
    },
    {
      name: "minecraft:crafter",
      serialization_id: "item.crafter"
    },
    {
      name: "minecraft:crafting_table",
      serialization_id: "item.crafting_table"
    },
    {
      name: "minecraft:creeper_banner_pattern",
      serialization_id: "item.creeper_banner_pattern"
    },
    {
      name: "minecraft:creeper_spawn_egg",
      serialization_id: "item.creeper_spawn_egg"
    },
    {
      name: "minecraft:crimson_button",
      serialization_id: "item.crimson_button"
    },
    {
      name: "minecraft:crimson_door",
      serialization_id: "item.crimson_door"
    },
    {
      name: "minecraft:crimson_fence",
      serialization_id: "item.crimson_fence"
    },
    {
      name: "minecraft:crimson_fence_gate",
      serialization_id: "item.crimson_fence_gate"
    },
    {
      name: "minecraft:crimson_fungus",
      serialization_id: "item.crimson_fungus"
    },
    {
      name: "minecraft:crimson_hanging_sign",
      serialization_id: "item.crimson_hanging_sign"
    },
    {
      name: "minecraft:crimson_hyphae",
      serialization_id: "item.crimson_hyphae"
    },
    {
      name: "minecraft:crimson_nylium",
      serialization_id: "item.crimson_nylium"
    },
    {
      name: "minecraft:crimson_planks",
      serialization_id: "item.crimson_planks"
    },
    {
      name: "minecraft:crimson_pressure_plate",
      serialization_id: "item.crimson_pressure_plate"
    },
    {
      name: "minecraft:crimson_roots",
      serialization_id: "item.crimson_roots"
    },
    {
      name: "minecraft:crimson_sign",
      serialization_id: "item.crimson_sign"
    },
    {
      name: "minecraft:crimson_slab",
      serialization_id: "item.crimson_slab"
    },
    {
      name: "minecraft:crimson_stairs",
      serialization_id: "item.crimson_stairs"
    },
    {
      name: "minecraft:crimson_stem",
      serialization_id: "item.crimson_stem"
    },
    {
      name: "minecraft:crimson_trapdoor",
      serialization_id: "item.crimson_trapdoor"
    },
    {
      name: "minecraft:crossbow",
      serialization_id: "item.crossbow"
    },
    {
      name: "minecraft:crying_obsidian",
      serialization_id: "item.crying_obsidian"
    },
    {
      name: "minecraft:cut_copper",
      serialization_id: "item.cut_copper"
    },
    {
      name: "minecraft:cut_copper_slab",
      serialization_id: "item.cut_copper_slab"
    },
    {
      name: "minecraft:cut_copper_stairs",
      serialization_id: "item.cut_copper_stairs"
    },
    {
      name: "minecraft:cut_red_sandstone",
      serialization_id: "item.cut_red_sandstone"
    },
    {
      name: "minecraft:cut_red_sandstone_slab",
      serialization_id: "item.cut_red_sandstone_slab"
    },
    {
      name: "minecraft:cut_sandstone",
      serialization_id: "item.cut_sandstone"
    },
    {
      name: "minecraft:cut_sandstone_slab",
      serialization_id: "item.cut_sandstone_slab"
    },
    {
      name: "minecraft:cyan_candle",
      serialization_id: "item.cyan_candle"
    },
    {
      name: "minecraft:cyan_carpet",
      serialization_id: "item.cyan_carpet"
    },
    {
      name: "minecraft:cyan_concrete",
      serialization_id: "item.cyan_concrete"
    },
    {
      name: "minecraft:cyan_concrete_powder",
      serialization_id: "item.cyan_concrete_powder"
    },
    {
      name: "minecraft:cyan_dye",
      serialization_id: "item.cyan_dye"
    },
    {
      name: "minecraft:cyan_glazed_terracotta",
      serialization_id: "item.cyan_glazed_terracotta"
    },
    {
      name: "minecraft:cyan_shulker_box",
      serialization_id: "item.cyan_shulker_box"
    },
    {
      name: "minecraft:cyan_stained_glass",
      serialization_id: "item.cyan_stained_glass"
    },
    {
      name: "minecraft:cyan_stained_glass_pane",
      serialization_id: "item.cyan_stained_glass_pane"
    },
    {
      name: "minecraft:cyan_terracotta",
      serialization_id: "item.cyan_terracotta"
    },
    {
      name: "minecraft:cyan_wool",
      serialization_id: "item.cyan_wool"
    },
    {
      name: "minecraft:damaged_anvil",
      serialization_id: "item.damaged_anvil"
    },
    {
      name: "minecraft:dandelion",
      serialization_id: "item.dandelion"
    },
    {
      name: "minecraft:danger_pottery_sherd",
      serialization_id: "item.danger_pottery_sherd"
    },
    {
      name: "minecraft:dark_oak_boat",
      serialization_id: "item.dark_oak_boat"
    },
    {
      name: "minecraft:dark_oak_button",
      serialization_id: "item.dark_oak_button"
    },
    {
      name: "minecraft:dark_oak_chest_boat",
      serialization_id: "item.dark_oak_chest_boat"
    },
    {
      name: "minecraft:dark_oak_door",
      serialization_id: "item.dark_oak_door"
    },
    {
      name: "minecraft:dark_oak_fence",
      serialization_id: "item.dark_oak_fence"
    },
    {
      name: "minecraft:dark_oak_fence_gate",
      serialization_id: "item.dark_oak_fence_gate"
    },
    {
      name: "minecraft:dark_oak_hanging_sign",
      serialization_id: "item.dark_oak_hanging_sign"
    },
    {
      name: "minecraft:dark_oak_leaves",
      serialization_id: "item.dark_oak_leaves"
    },
    {
      name: "minecraft:dark_oak_log",
      serialization_id: "item.dark_oak_log"
    },
    {
      name: "minecraft:dark_oak_planks",
      serialization_id: "item.dark_oak_planks"
    },
    {
      name: "minecraft:dark_oak_pressure_plate",
      serialization_id: "item.dark_oak_pressure_plate"
    },
    {
      name: "minecraft:dark_oak_sapling",
      serialization_id: "item.dark_oak_sapling"
    },
    {
      name: "minecraft:dark_oak_sign",
      serialization_id: "item.darkoak_sign"
    },
    {
      name: "minecraft:dark_oak_slab",
      serialization_id: "item.dark_oak_slab"
    },
    {
      name: "minecraft:dark_oak_stairs",
      serialization_id: "item.dark_oak_stairs"
    },
    {
      name: "minecraft:dark_oak_trapdoor",
      serialization_id: "item.dark_oak_trapdoor"
    },
    {
      name: "minecraft:dark_oak_wood",
      serialization_id: "item.dark_oak_wood"
    },
    {
      name: "minecraft:dark_prismarine",
      serialization_id: "item.dark_prismarine"
    },
    {
      name: "minecraft:dark_prismarine_slab",
      serialization_id: "item.dark_prismarine_slab"
    },
    {
      name: "minecraft:dark_prismarine_stairs",
      serialization_id: "item.dark_prismarine_stairs"
    },
    {
      name: "minecraft:daylight_detector",
      serialization_id: "item.daylight_detector"
    },
    {
      name: "minecraft:dead_brain_coral",
      serialization_id: "item.dead_brain_coral"
    },
    {
      name: "minecraft:dead_brain_coral_block",
      serialization_id: "item.dead_brain_coral_block"
    },
    {
      name: "minecraft:dead_brain_coral_fan",
      serialization_id: "item.dead_brain_coral_fan"
    },
    {
      name: "minecraft:dead_bubble_coral",
      serialization_id: "item.dead_bubble_coral"
    },
    {
      name: "minecraft:dead_bubble_coral_block",
      serialization_id: "item.dead_bubble_coral_block"
    },
    {
      name: "minecraft:dead_bubble_coral_fan",
      serialization_id: "item.dead_bubble_coral_fan"
    },
    {
      name: "minecraft:dead_fire_coral",
      serialization_id: "item.dead_fire_coral"
    },
    {
      name: "minecraft:dead_fire_coral_block",
      serialization_id: "item.dead_fire_coral_block"
    },
    {
      name: "minecraft:dead_fire_coral_fan",
      serialization_id: "item.dead_fire_coral_fan"
    },
    {
      name: "minecraft:dead_horn_coral",
      serialization_id: "item.dead_horn_coral"
    },
    {
      name: "minecraft:dead_horn_coral_block",
      serialization_id: "item.dead_horn_coral_block"
    },
    {
      name: "minecraft:dead_horn_coral_fan",
      serialization_id: "item.dead_horn_coral_fan"
    },
    {
      name: "minecraft:dead_tube_coral",
      serialization_id: "item.dead_tube_coral"
    },
    {
      name: "minecraft:dead_tube_coral_block",
      serialization_id: "item.dead_tube_coral_block"
    },
    {
      name: "minecraft:dead_tube_coral_fan",
      serialization_id: "item.dead_tube_coral_fan"
    },
    {
      name: "minecraft:deadbush",
      serialization_id: "item.deadbush"
    },
    {
      name: "minecraft:decorated_pot",
      serialization_id: "item.decorated_pot"
    },
    {
      name: "minecraft:deepslate",
      serialization_id: "item.deepslate"
    },
    {
      name: "minecraft:deepslate_brick_slab",
      serialization_id: "item.deepslate_brick_slab"
    },
    {
      name: "minecraft:deepslate_brick_stairs",
      serialization_id: "item.deepslate_brick_stairs"
    },
    {
      name: "minecraft:deepslate_brick_wall",
      serialization_id: "item.deepslate_brick_wall"
    },
    {
      name: "minecraft:deepslate_bricks",
      serialization_id: "item.deepslate_bricks"
    },
    {
      name: "minecraft:deepslate_coal_ore",
      serialization_id: "item.deepslate_coal_ore"
    },
    {
      name: "minecraft:deepslate_copper_ore",
      serialization_id: "item.deepslate_copper_ore"
    },
    {
      name: "minecraft:deepslate_diamond_ore",
      serialization_id: "item.deepslate_diamond_ore"
    },
    {
      name: "minecraft:deepslate_emerald_ore",
      serialization_id: "item.deepslate_emerald_ore"
    },
    {
      name: "minecraft:deepslate_gold_ore",
      serialization_id: "item.deepslate_gold_ore"
    },
    {
      name: "minecraft:deepslate_iron_ore",
      serialization_id: "item.deepslate_iron_ore"
    },
    {
      name: "minecraft:deepslate_lapis_ore",
      serialization_id: "item.deepslate_lapis_ore"
    },
    {
      name: "minecraft:deepslate_redstone_ore",
      serialization_id: "item.deepslate_redstone_ore"
    },
    {
      name: "minecraft:deepslate_tile_slab",
      serialization_id: "item.deepslate_tile_slab"
    },
    {
      name: "minecraft:deepslate_tile_stairs",
      serialization_id: "item.deepslate_tile_stairs"
    },
    {
      name: "minecraft:deepslate_tile_wall",
      serialization_id: "item.deepslate_tile_wall"
    },
    {
      name: "minecraft:deepslate_tiles",
      serialization_id: "item.deepslate_tiles"
    },
    {
      name: "minecraft:deny",
      serialization_id: "item.deny"
    },
    {
      name: "minecraft:detector_rail",
      serialization_id: "item.detector_rail"
    },
    {
      name: "minecraft:diamond",
      serialization_id: "item.diamond"
    },
    {
      name: "minecraft:diamond_axe",
      serialization_id: "item.diamond_axe"
    },
    {
      name: "minecraft:diamond_block",
      serialization_id: "item.diamond_block"
    },
    {
      name: "minecraft:diamond_boots",
      serialization_id: "item.diamond_boots"
    },
    {
      name: "minecraft:diamond_chestplate",
      serialization_id: "item.diamond_chestplate"
    },
    {
      name: "minecraft:diamond_helmet",
      serialization_id: "item.diamond_helmet"
    },
    {
      name: "minecraft:diamond_hoe",
      serialization_id: "item.diamond_hoe"
    },
    {
      name: "minecraft:diamond_horse_armor",
      serialization_id: "item.horsearmordiamond"
    },
    {
      name: "minecraft:diamond_leggings",
      serialization_id: "item.diamond_leggings"
    },
    {
      name: "minecraft:diamond_ore",
      serialization_id: "item.diamond_ore"
    },
    {
      name: "minecraft:diamond_pickaxe",
      serialization_id: "item.diamond_pickaxe"
    },
    {
      name: "minecraft:diamond_shovel",
      serialization_id: "item.diamond_shovel"
    },
    {
      name: "minecraft:diamond_sword",
      serialization_id: "item.diamond_sword"
    },
    {
      name: "minecraft:diorite",
      serialization_id: "item.diorite"
    },
    {
      name: "minecraft:diorite_slab",
      serialization_id: "item.diorite_slab"
    },
    {
      name: "minecraft:diorite_stairs",
      serialization_id: "item.diorite_stairs"
    },
    {
      name: "minecraft:diorite_wall",
      serialization_id: "item.diorite_wall"
    },
    {
      name: "minecraft:dirt",
      serialization_id: "item.dirt"
    },
    {
      name: "minecraft:dirt_with_roots",
      serialization_id: "item.dirt_with_roots"
    },
    {
      name: "minecraft:disc_fragment_5",
      serialization_id: "item.disc_fragment_5"
    },
    {
      name: "minecraft:dispenser",
      serialization_id: "item.dispenser"
    },
    {
      name: "minecraft:dolphin_spawn_egg",
      serialization_id: "item.dolphin_spawn_egg"
    },
    {
      name: "minecraft:donkey_spawn_egg",
      serialization_id: "item.donkey_spawn_egg"
    },
    {
      name: "minecraft:dragon_breath",
      serialization_id: "item.dragon_breath"
    },
    {
      name: "minecraft:dragon_egg",
      serialization_id: "item.dragon_egg"
    },
    {
      name: "minecraft:dried_kelp",
      serialization_id: "item.dried_kelp"
    },
    {
      name: "minecraft:dried_kelp_block",
      serialization_id: "item.dried_kelp_block"
    },
    {
      name: "minecraft:dripstone_block",
      serialization_id: "item.dripstone_block"
    },
    {
      name: "minecraft:dropper",
      serialization_id: "item.dropper"
    },
    {
      name: "minecraft:drowned_spawn_egg",
      serialization_id: "item.drowned_spawn_egg"
    },
    {
      name: "minecraft:dune_armor_trim_smithing_template",
      serialization_id: "item.dune_armor_trim_smithing_template"
    },
    {
      name: "minecraft:echo_shard",
      serialization_id: "item.echo_shard"
    },
    {
      name: "minecraft:egg",
      serialization_id: "item.egg"
    },
    {
      name: "minecraft:elder_guardian_spawn_egg",
      serialization_id: "item.elder_guardian_spawn_egg"
    },
    {
      name: "minecraft:elytra",
      serialization_id: "item.elytra"
    },
    {
      name: "minecraft:emerald",
      serialization_id: "item.emerald"
    },
    {
      name: "minecraft:emerald_block",
      serialization_id: "item.emerald_block"
    },
    {
      name: "minecraft:emerald_ore",
      serialization_id: "item.emerald_ore"
    },
    {
      name: "minecraft:empty_map",
      serialization_id: "item.emptymap"
    },
    {
      name: "minecraft:enchanted_book",
      serialization_id: "item.enchanted_book"
    },
    {
      name: "minecraft:enchanted_golden_apple",
      serialization_id: "item.appleEnchanted"
    },
    {
      name: "minecraft:enchanting_table",
      serialization_id: "item.enchanting_table"
    },
    {
      name: "minecraft:end_brick_stairs",
      serialization_id: "item.end_brick_stairs"
    },
    {
      name: "minecraft:end_bricks",
      serialization_id: "item.end_bricks"
    },
    {
      name: "minecraft:end_crystal",
      serialization_id: "item.end_crystal"
    },
    {
      name: "minecraft:end_portal_frame",
      serialization_id: "item.end_portal_frame"
    },
    {
      name: "minecraft:end_rod",
      serialization_id: "item.end_rod"
    },
    {
      name: "minecraft:end_stone",
      serialization_id: "item.end_stone"
    },
    {
      name: "minecraft:end_stone_brick_slab",
      serialization_id: "item.end_stone_brick_slab"
    },
    {
      name: "minecraft:end_stone_brick_wall",
      serialization_id: "item.end_stone_brick_wall"
    },
    {
      name: "minecraft:ender_chest",
      serialization_id: "item.ender_chest"
    },
    {
      name: "minecraft:ender_dragon_spawn_egg",
      serialization_id: "item.ender_dragon_spawn_egg"
    },
    {
      name: "minecraft:ender_eye",
      serialization_id: "item.ender_eye"
    },
    {
      name: "minecraft:ender_pearl",
      serialization_id: "item.ender_pearl"
    },
    {
      name: "minecraft:enderman_spawn_egg",
      serialization_id: "item.enderman_spawn_egg"
    },
    {
      name: "minecraft:endermite_spawn_egg",
      serialization_id: "item.endermite_spawn_egg"
    },
    {
      name: "minecraft:evoker_spawn_egg",
      serialization_id: "item.evoker_spawn_egg"
    },
    {
      name: "minecraft:experience_bottle",
      serialization_id: "item.experience_bottle"
    },
    {
      name: "minecraft:explorer_pottery_sherd",
      serialization_id: "item.explorer_pottery_sherd"
    },
    {
      name: "minecraft:exposed_chiseled_copper",
      serialization_id: "item.exposed_chiseled_copper"
    },
    {
      name: "minecraft:exposed_copper",
      serialization_id: "item.exposed_copper"
    },
    {
      name: "minecraft:exposed_copper_bulb",
      serialization_id: "item.exposed_copper_bulb"
    },
    {
      name: "minecraft:exposed_copper_door",
      serialization_id: "item.exposed_copper_door"
    },
    {
      name: "minecraft:exposed_copper_grate",
      serialization_id: "item.exposed_copper_grate"
    },
    {
      name: "minecraft:exposed_copper_trapdoor",
      serialization_id: "item.exposed_copper_trapdoor"
    },
    {
      name: "minecraft:exposed_cut_copper",
      serialization_id: "item.exposed_cut_copper"
    },
    {
      name: "minecraft:exposed_cut_copper_slab",
      serialization_id: "item.exposed_cut_copper_slab"
    },
    {
      name: "minecraft:exposed_cut_copper_stairs",
      serialization_id: "item.exposed_cut_copper_stairs"
    },
    {
      name: "minecraft:eye_armor_trim_smithing_template",
      serialization_id: "item.eye_armor_trim_smithing_template"
    },
    {
      name: "minecraft:farmland",
      serialization_id: "item.farmland"
    },
    {
      name: "minecraft:feather",
      serialization_id: "item.feather"
    },
    {
      name: "minecraft:fence_gate",
      serialization_id: "item.fence_gate"
    },
    {
      name: "minecraft:fermented_spider_eye",
      serialization_id: "item.fermented_spider_eye"
    },
    {
      name: "minecraft:fern",
      serialization_id: "item.fern"
    },
    {
      name: "minecraft:field_masoned_banner_pattern",
      serialization_id: "item.field_masoned_banner_pattern"
    },
    {
      name: "minecraft:filled_map",
      serialization_id: "item.map"
    },
    {
      name: "minecraft:fire_charge",
      serialization_id: "item.fireball"
    },
    {
      name: "minecraft:fire_coral",
      serialization_id: "item.fire_coral"
    },
    {
      name: "minecraft:fire_coral_block",
      serialization_id: "item.fire_coral_block"
    },
    {
      name: "minecraft:fire_coral_fan",
      serialization_id: "item.fire_coral_fan"
    },
    {
      name: "minecraft:firework_rocket",
      serialization_id: "item.fireworks"
    },
    {
      name: "minecraft:firework_star",
      serialization_id: "item.fireworksCharge"
    },
    {
      name: "minecraft:fishing_rod",
      serialization_id: "item.fishing_rod"
    },
    {
      name: "minecraft:fletching_table",
      serialization_id: "item.fletching_table"
    },
    {
      name: "minecraft:flint",
      serialization_id: "item.flint"
    },
    {
      name: "minecraft:flint_and_steel",
      serialization_id: "item.flint_and_steel"
    },
    {
      name: "minecraft:flow_armor_trim_smithing_template",
      serialization_id: "item.flow_armor_trim_smithing_template"
    },
    {
      name: "minecraft:flow_banner_pattern",
      serialization_id: "item.flow_banner_pattern"
    },
    {
      name: "minecraft:flow_pottery_sherd",
      serialization_id: "item.flow_pottery_sherd"
    },
    {
      name: "minecraft:flower_banner_pattern",
      serialization_id: "item.flower_banner_pattern"
    },
    {
      name: "minecraft:flower_pot",
      serialization_id: "item.flower_pot"
    },
    {
      name: "minecraft:flowering_azalea",
      serialization_id: "item.flowering_azalea"
    },
    {
      name: "minecraft:fox_spawn_egg",
      serialization_id: "item.fox_spawn_egg"
    },
    {
      name: "minecraft:frame",
      serialization_id: "item.frame"
    },
    {
      name: "minecraft:friend_pottery_sherd",
      serialization_id: "item.friend_pottery_sherd"
    },
    {
      name: "minecraft:frog_spawn",
      serialization_id: "item.frog_spawn"
    },
    {
      name: "minecraft:frog_spawn_egg",
      serialization_id: "item.frog_spawn_egg"
    },
    {
      name: "minecraft:frosted_ice",
      serialization_id: "item.frosted_ice"
    },
    {
      name: "minecraft:furnace",
      serialization_id: "item.furnace"
    },
    {
      name: "minecraft:ghast_spawn_egg",
      serialization_id: "item.ghast_spawn_egg"
    },
    {
      name: "minecraft:ghast_tear",
      serialization_id: "item.ghast_tear"
    },
    {
      name: "minecraft:gilded_blackstone",
      serialization_id: "item.gilded_blackstone"
    },
    {
      name: "minecraft:glass",
      serialization_id: "item.glass"
    },
    {
      name: "minecraft:glass_bottle",
      serialization_id: "item.glass_bottle"
    },
    {
      name: "minecraft:glass_pane",
      serialization_id: "item.glass_pane"
    },
    {
      name: "minecraft:glistering_melon_slice",
      serialization_id: "item.speckled_melon"
    },
    {
      name: "minecraft:globe_banner_pattern",
      serialization_id: "item.globe_banner_pattern"
    },
    {
      name: "minecraft:glow_berries",
      serialization_id: "item.glow_berries"
    },
    {
      name: "minecraft:glow_frame",
      serialization_id: "item.glow_frame"
    },
    {
      name: "minecraft:glow_ink_sac",
      serialization_id: "item.glow_ink_sac"
    },
    {
      name: "minecraft:glow_lichen",
      serialization_id: "item.glow_lichen"
    },
    {
      name: "minecraft:glow_squid_spawn_egg",
      serialization_id: "item.glow_squid_spawn_egg"
    },
    {
      name: "minecraft:glowstone",
      serialization_id: "item.glowstone"
    },
    {
      name: "minecraft:glowstone_dust",
      serialization_id: "item.glowstone_dust"
    },
    {
      name: "minecraft:goat_horn",
      serialization_id: "item.goat_horn"
    },
    {
      name: "minecraft:goat_spawn_egg",
      serialization_id: "item.goat_spawn_egg"
    },
    {
      name: "minecraft:gold_block",
      serialization_id: "item.gold_block"
    },
    {
      name: "minecraft:gold_ingot",
      serialization_id: "item.gold_ingot"
    },
    {
      name: "minecraft:gold_nugget",
      serialization_id: "item.gold_nugget"
    },
    {
      name: "minecraft:gold_ore",
      serialization_id: "item.gold_ore"
    },
    {
      name: "minecraft:golden_apple",
      serialization_id: "item.golden_apple"
    },
    {
      name: "minecraft:golden_axe",
      serialization_id: "item.golden_axe"
    },
    {
      name: "minecraft:golden_boots",
      serialization_id: "item.golden_boots"
    },
    {
      name: "minecraft:golden_carrot",
      serialization_id: "item.golden_carrot"
    },
    {
      name: "minecraft:golden_chestplate",
      serialization_id: "item.golden_chestplate"
    },
    {
      name: "minecraft:golden_helmet",
      serialization_id: "item.golden_helmet"
    },
    {
      name: "minecraft:golden_hoe",
      serialization_id: "item.golden_hoe"
    },
    {
      name: "minecraft:golden_horse_armor",
      serialization_id: "item.horsearmorgold"
    },
    {
      name: "minecraft:golden_leggings",
      serialization_id: "item.golden_leggings"
    },
    {
      name: "minecraft:golden_pickaxe",
      serialization_id: "item.golden_pickaxe"
    },
    {
      name: "minecraft:golden_rail",
      serialization_id: "item.golden_rail"
    },
    {
      name: "minecraft:golden_shovel",
      serialization_id: "item.golden_shovel"
    },
    {
      name: "minecraft:golden_sword",
      serialization_id: "item.golden_sword"
    },
    {
      name: "minecraft:granite",
      serialization_id: "item.granite"
    },
    {
      name: "minecraft:granite_slab",
      serialization_id: "item.granite_slab"
    },
    {
      name: "minecraft:granite_stairs",
      serialization_id: "item.granite_stairs"
    },
    {
      name: "minecraft:granite_wall",
      serialization_id: "item.granite_wall"
    },
    {
      name: "minecraft:grass_block",
      serialization_id: "item.grass_block"
    },
    {
      name: "minecraft:grass_path",
      serialization_id: "item.grass_path"
    },
    {
      name: "minecraft:gravel",
      serialization_id: "item.gravel"
    },
    {
      name: "minecraft:gray_candle",
      serialization_id: "item.gray_candle"
    },
    {
      name: "minecraft:gray_carpet",
      serialization_id: "item.gray_carpet"
    },
    {
      name: "minecraft:gray_concrete",
      serialization_id: "item.gray_concrete"
    },
    {
      name: "minecraft:gray_concrete_powder",
      serialization_id: "item.gray_concrete_powder"
    },
    {
      name: "minecraft:gray_dye",
      serialization_id: "item.gray_dye"
    },
    {
      name: "minecraft:gray_glazed_terracotta",
      serialization_id: "item.gray_glazed_terracotta"
    },
    {
      name: "minecraft:gray_shulker_box",
      serialization_id: "item.gray_shulker_box"
    },
    {
      name: "minecraft:gray_stained_glass",
      serialization_id: "item.gray_stained_glass"
    },
    {
      name: "minecraft:gray_stained_glass_pane",
      serialization_id: "item.gray_stained_glass_pane"
    },
    {
      name: "minecraft:gray_terracotta",
      serialization_id: "item.gray_terracotta"
    },
    {
      name: "minecraft:gray_wool",
      serialization_id: "item.gray_wool"
    },
    {
      name: "minecraft:green_candle",
      serialization_id: "item.green_candle"
    },
    {
      name: "minecraft:green_carpet",
      serialization_id: "item.green_carpet"
    },
    {
      name: "minecraft:green_concrete",
      serialization_id: "item.green_concrete"
    },
    {
      name: "minecraft:green_concrete_powder",
      serialization_id: "item.green_concrete_powder"
    },
    {
      name: "minecraft:green_dye",
      serialization_id: "item.green_dye"
    },
    {
      name: "minecraft:green_glazed_terracotta",
      serialization_id: "item.green_glazed_terracotta"
    },
    {
      name: "minecraft:green_shulker_box",
      serialization_id: "item.green_shulker_box"
    },
    {
      name: "minecraft:green_stained_glass",
      serialization_id: "item.green_stained_glass"
    },
    {
      name: "minecraft:green_stained_glass_pane",
      serialization_id: "item.green_stained_glass_pane"
    },
    {
      name: "minecraft:green_terracotta",
      serialization_id: "item.green_terracotta"
    },
    {
      name: "minecraft:green_wool",
      serialization_id: "item.green_wool"
    },
    {
      name: "minecraft:grindstone",
      serialization_id: "item.grindstone"
    },
    {
      name: "minecraft:guardian_spawn_egg",
      serialization_id: "item.guardian_spawn_egg"
    },
    {
      name: "minecraft:gunpowder",
      serialization_id: "item.gunpowder"
    },
    {
      name: "minecraft:guster_banner_pattern",
      serialization_id: "item.guster_banner_pattern"
    },
    {
      name: "minecraft:guster_pottery_sherd",
      serialization_id: "item.guster_pottery_sherd"
    },
    {
      name: "minecraft:hanging_roots",
      serialization_id: "item.hanging_roots"
    },
    {
      name: "minecraft:hardened_clay",
      serialization_id: "item.hardened_clay"
    },
    {
      name: "minecraft:hay_block",
      serialization_id: "item.hay_block"
    },
    {
      name: "minecraft:heart_of_the_sea",
      serialization_id: "item.heart_of_the_sea"
    },
    {
      name: "minecraft:heart_pottery_sherd",
      serialization_id: "item.heart_pottery_sherd"
    },
    {
      name: "minecraft:heartbreak_pottery_sherd",
      serialization_id: "item.heartbreak_pottery_sherd"
    },
    {
      name: "minecraft:heavy_core",
      serialization_id: "item.heavy_core"
    },
    {
      name: "minecraft:heavy_weighted_pressure_plate",
      serialization_id: "item.heavy_weighted_pressure_plate"
    },
    {
      name: "minecraft:hoglin_spawn_egg",
      serialization_id: "item.hoglin_spawn_egg"
    },
    {
      name: "minecraft:honey_block",
      serialization_id: "item.honey_block"
    },
    {
      name: "minecraft:honey_bottle",
      serialization_id: "item.honey_bottle"
    },
    {
      name: "minecraft:honeycomb",
      serialization_id: "item.honeycomb"
    },
    {
      name: "minecraft:honeycomb_block",
      serialization_id: "item.honeycomb_block"
    },
    {
      name: "minecraft:hopper",
      serialization_id: "tile.hopper"
    },
    {
      name: "minecraft:hopper_minecart",
      serialization_id: "item.hopper_minecart"
    },
    {
      name: "minecraft:horn_coral",
      serialization_id: "item.horn_coral"
    },
    {
      name: "minecraft:horn_coral_block",
      serialization_id: "item.horn_coral_block"
    },
    {
      name: "minecraft:horn_coral_fan",
      serialization_id: "item.horn_coral_fan"
    },
    {
      name: "minecraft:horse_spawn_egg",
      serialization_id: "item.horse_spawn_egg"
    },
    {
      name: "minecraft:host_armor_trim_smithing_template",
      serialization_id: "item.host_armor_trim_smithing_template"
    },
    {
      name: "minecraft:howl_pottery_sherd",
      serialization_id: "item.howl_pottery_sherd"
    },
    {
      name: "minecraft:husk_spawn_egg",
      serialization_id: "item.husk_spawn_egg"
    },
    {
      name: "minecraft:ice",
      serialization_id: "item.ice"
    },
    {
      name: "minecraft:infested_chiseled_stone_bricks",
      serialization_id: "item.infested_chiseled_stone_bricks"
    },
    {
      name: "minecraft:infested_cobblestone",
      serialization_id: "item.infested_cobblestone"
    },
    {
      name: "minecraft:infested_cracked_stone_bricks",
      serialization_id: "item.infested_cracked_stone_bricks"
    },
    {
      name: "minecraft:infested_deepslate",
      serialization_id: "item.infested_deepslate"
    },
    {
      name: "minecraft:infested_mossy_stone_bricks",
      serialization_id: "item.infested_mossy_stone_bricks"
    },
    {
      name: "minecraft:infested_stone",
      serialization_id: "item.infested_stone"
    },
    {
      name: "minecraft:infested_stone_bricks",
      serialization_id: "item.infested_stone_bricks"
    },
    {
      name: "minecraft:ink_sac",
      serialization_id: "item.ink_sac"
    },
    {
      name: "minecraft:iron_axe",
      serialization_id: "item.iron_axe"
    },
    {
      name: "minecraft:iron_bars",
      serialization_id: "item.iron_bars"
    },
    {
      name: "minecraft:iron_block",
      serialization_id: "item.iron_block"
    },
    {
      name: "minecraft:iron_boots",
      serialization_id: "item.iron_boots"
    },
    {
      name: "minecraft:iron_chestplate",
      serialization_id: "item.iron_chestplate"
    },
    {
      name: "minecraft:iron_door",
      serialization_id: "item.iron_door"
    },
    {
      name: "minecraft:iron_golem_spawn_egg",
      serialization_id: "item.iron_golem_spawn_egg"
    },
    {
      name: "minecraft:iron_helmet",
      serialization_id: "item.iron_helmet"
    },
    {
      name: "minecraft:iron_hoe",
      serialization_id: "item.iron_hoe"
    },
    {
      name: "minecraft:iron_horse_armor",
      serialization_id: "item.horsearmoriron"
    },
    {
      name: "minecraft:iron_ingot",
      serialization_id: "item.iron_ingot"
    },
    {
      name: "minecraft:iron_leggings",
      serialization_id: "item.iron_leggings"
    },
    {
      name: "minecraft:iron_nugget",
      serialization_id: "item.iron_nugget"
    },
    {
      name: "minecraft:iron_ore",
      serialization_id: "item.iron_ore"
    },
    {
      name: "minecraft:iron_pickaxe",
      serialization_id: "item.iron_pickaxe"
    },
    {
      name: "minecraft:iron_shovel",
      serialization_id: "item.iron_shovel"
    },
    {
      name: "minecraft:iron_sword",
      serialization_id: "item.iron_sword"
    },
    {
      name: "minecraft:iron_trapdoor",
      serialization_id: "item.iron_trapdoor"
    },
    {
      name: "minecraft:jigsaw",
      serialization_id: "item.jigsaw"
    },
    {
      name: "minecraft:jukebox",
      serialization_id: "item.jukebox"
    },
    {
      name: "minecraft:jungle_boat",
      serialization_id: "item.jungle_boat"
    },
    {
      name: "minecraft:jungle_button",
      serialization_id: "item.jungle_button"
    },
    {
      name: "minecraft:jungle_chest_boat",
      serialization_id: "item.jungle_chest_boat"
    },
    {
      name: "minecraft:jungle_door",
      serialization_id: "item.jungle_door"
    },
    {
      name: "minecraft:jungle_fence",
      serialization_id: "item.jungle_fence"
    },
    {
      name: "minecraft:jungle_fence_gate",
      serialization_id: "item.jungle_fence_gate"
    },
    {
      name: "minecraft:jungle_hanging_sign",
      serialization_id: "item.jungle_hanging_sign"
    },
    {
      name: "minecraft:jungle_leaves",
      serialization_id: "item.jungle_leaves"
    },
    {
      name: "minecraft:jungle_log",
      serialization_id: "item.jungle_log"
    },
    {
      name: "minecraft:jungle_planks",
      serialization_id: "item.jungle_planks"
    },
    {
      name: "minecraft:jungle_pressure_plate",
      serialization_id: "item.jungle_pressure_plate"
    },
    {
      name: "minecraft:jungle_sapling",
      serialization_id: "item.jungle_sapling"
    },
    {
      name: "minecraft:jungle_sign",
      serialization_id: "item.jungle_sign"
    },
    {
      name: "minecraft:jungle_slab",
      serialization_id: "item.jungle_slab"
    },
    {
      name: "minecraft:jungle_stairs",
      serialization_id: "item.jungle_stairs"
    },
    {
      name: "minecraft:jungle_trapdoor",
      serialization_id: "item.jungle_trapdoor"
    },
    {
      name: "minecraft:jungle_wood",
      serialization_id: "item.jungle_wood"
    },
    {
      name: "minecraft:kelp",
      serialization_id: "item.kelp"
    },
    {
      name: "minecraft:ladder",
      serialization_id: "item.ladder"
    },
    {
      name: "minecraft:lantern",
      serialization_id: "item.lantern"
    },
    {
      name: "minecraft:lapis_block",
      serialization_id: "item.lapis_block"
    },
    {
      name: "minecraft:lapis_lazuli",
      serialization_id: "item.lapis_lazuli"
    },
    {
      name: "minecraft:lapis_ore",
      serialization_id: "item.lapis_ore"
    },
    {
      name: "minecraft:large_amethyst_bud",
      serialization_id: "item.large_amethyst_bud"
    },
    {
      name: "minecraft:large_fern",
      serialization_id: "item.large_fern"
    },
    {
      name: "minecraft:lava_bucket",
      serialization_id: "item.lava_bucket"
    },
    {
      name: "minecraft:lead",
      serialization_id: "item.lead"
    },
    {
      name: "minecraft:leather",
      serialization_id: "item.leather"
    },
    {
      name: "minecraft:leather_boots",
      serialization_id: "item.leather_boots"
    },
    {
      name: "minecraft:leather_chestplate",
      serialization_id: "item.leather_chestplate"
    },
    {
      name: "minecraft:leather_helmet",
      serialization_id: "item.leather_helmet"
    },
    {
      name: "minecraft:leather_horse_armor",
      serialization_id: "item.horsearmorleather"
    },
    {
      name: "minecraft:leather_leggings",
      serialization_id: "item.leather_leggings"
    },
    {
      name: "minecraft:lectern",
      serialization_id: "item.lectern"
    },
    {
      name: "minecraft:lever",
      serialization_id: "item.lever"
    },
    {
      name: "minecraft:light_block_0",
      serialization_id: "item.light_block_0"
    },
    {
      name: "minecraft:light_block_1",
      serialization_id: "item.light_block_1"
    },
    {
      name: "minecraft:light_block_10",
      serialization_id: "item.light_block_10"
    },
    {
      name: "minecraft:light_block_11",
      serialization_id: "item.light_block_11"
    },
    {
      name: "minecraft:light_block_12",
      serialization_id: "item.light_block_12"
    },
    {
      name: "minecraft:light_block_13",
      serialization_id: "item.light_block_13"
    },
    {
      name: "minecraft:light_block_14",
      serialization_id: "item.light_block_14"
    },
    {
      name: "minecraft:light_block_15",
      serialization_id: "item.light_block_15"
    },
    {
      name: "minecraft:light_block_2",
      serialization_id: "item.light_block_2"
    },
    {
      name: "minecraft:light_block_3",
      serialization_id: "item.light_block_3"
    },
    {
      name: "minecraft:light_block_4",
      serialization_id: "item.light_block_4"
    },
    {
      name: "minecraft:light_block_5",
      serialization_id: "item.light_block_5"
    },
    {
      name: "minecraft:light_block_6",
      serialization_id: "item.light_block_6"
    },
    {
      name: "minecraft:light_block_7",
      serialization_id: "item.light_block_7"
    },
    {
      name: "minecraft:light_block_8",
      serialization_id: "item.light_block_8"
    },
    {
      name: "minecraft:light_block_9",
      serialization_id: "item.light_block_9"
    },
    {
      name: "minecraft:light_blue_candle",
      serialization_id: "item.light_blue_candle"
    },
    {
      name: "minecraft:light_blue_carpet",
      serialization_id: "item.light_blue_carpet"
    },
    {
      name: "minecraft:light_blue_concrete",
      serialization_id: "item.light_blue_concrete"
    },
    {
      name: "minecraft:light_blue_concrete_powder",
      serialization_id: "item.light_blue_concrete_powder"
    },
    {
      name: "minecraft:light_blue_dye",
      serialization_id: "item.light_blue_dye"
    },
    {
      name: "minecraft:light_blue_glazed_terracotta",
      serialization_id: "item.light_blue_glazed_terracotta"
    },
    {
      name: "minecraft:light_blue_shulker_box",
      serialization_id: "item.light_blue_shulker_box"
    },
    {
      name: "minecraft:light_blue_stained_glass",
      serialization_id: "item.light_blue_stained_glass"
    },
    {
      name: "minecraft:light_blue_stained_glass_pane",
      serialization_id: "item.light_blue_stained_glass_pane"
    },
    {
      name: "minecraft:light_blue_terracotta",
      serialization_id: "item.light_blue_terracotta"
    },
    {
      name: "minecraft:light_blue_wool",
      serialization_id: "item.light_blue_wool"
    },
    {
      name: "minecraft:light_gray_candle",
      serialization_id: "item.light_gray_candle"
    },
    {
      name: "minecraft:light_gray_carpet",
      serialization_id: "item.light_gray_carpet"
    },
    {
      name: "minecraft:light_gray_concrete",
      serialization_id: "item.light_gray_concrete"
    },
    {
      name: "minecraft:light_gray_concrete_powder",
      serialization_id: "item.light_gray_concrete_powder"
    },
    {
      name: "minecraft:light_gray_dye",
      serialization_id: "item.light_gray_dye"
    },
    {
      name: "minecraft:light_gray_shulker_box",
      serialization_id: "item.light_gray_shulker_box"
    },
    {
      name: "minecraft:light_gray_stained_glass",
      serialization_id: "item.light_gray_stained_glass"
    },
    {
      name: "minecraft:light_gray_stained_glass_pane",
      serialization_id: "item.light_gray_stained_glass_pane"
    },
    {
      name: "minecraft:light_gray_terracotta",
      serialization_id: "item.light_gray_terracotta"
    },
    {
      name: "minecraft:light_gray_wool",
      serialization_id: "item.light_gray_wool"
    },
    {
      name: "minecraft:light_weighted_pressure_plate",
      serialization_id: "item.light_weighted_pressure_plate"
    },
    {
      name: "minecraft:lightning_rod",
      serialization_id: "item.lightning_rod"
    },
    {
      name: "minecraft:lilac",
      serialization_id: "item.lilac"
    },
    {
      name: "minecraft:lily_of_the_valley",
      serialization_id: "item.lily_of_the_valley"
    },
    {
      name: "minecraft:lime_candle",
      serialization_id: "item.lime_candle"
    },
    {
      name: "minecraft:lime_carpet",
      serialization_id: "item.lime_carpet"
    },
    {
      name: "minecraft:lime_concrete",
      serialization_id: "item.lime_concrete"
    },
    {
      name: "minecraft:lime_concrete_powder",
      serialization_id: "item.lime_concrete_powder"
    },
    {
      name: "minecraft:lime_dye",
      serialization_id: "item.lime_dye"
    },
    {
      name: "minecraft:lime_glazed_terracotta",
      serialization_id: "item.lime_glazed_terracotta"
    },
    {
      name: "minecraft:lime_shulker_box",
      serialization_id: "item.lime_shulker_box"
    },
    {
      name: "minecraft:lime_stained_glass",
      serialization_id: "item.lime_stained_glass"
    },
    {
      name: "minecraft:lime_stained_glass_pane",
      serialization_id: "item.lime_stained_glass_pane"
    },
    {
      name: "minecraft:lime_terracotta",
      serialization_id: "item.lime_terracotta"
    },
    {
      name: "minecraft:lime_wool",
      serialization_id: "item.lime_wool"
    },
    {
      name: "minecraft:lingering_potion",
      serialization_id: "item.lingering_potion"
    },
    {
      name: "minecraft:lit_pumpkin",
      serialization_id: "item.lit_pumpkin"
    },
    {
      name: "minecraft:llama_spawn_egg",
      serialization_id: "item.llama_spawn_egg"
    },
    {
      name: "minecraft:lodestone",
      serialization_id: "item.lodestone"
    },
    {
      name: "minecraft:lodestone_compass",
      serialization_id: "item.lodestonecompass"
    },
    {
      name: "minecraft:loom",
      serialization_id: "item.loom"
    },
    {
      name: "minecraft:mace",
      serialization_id: "item.mace"
    },
    {
      name: "minecraft:magenta_candle",
      serialization_id: "item.magenta_candle"
    },
    {
      name: "minecraft:magenta_carpet",
      serialization_id: "item.magenta_carpet"
    },
    {
      name: "minecraft:magenta_concrete",
      serialization_id: "item.magenta_concrete"
    },
    {
      name: "minecraft:magenta_concrete_powder",
      serialization_id: "item.magenta_concrete_powder"
    },
    {
      name: "minecraft:magenta_dye",
      serialization_id: "item.magenta_dye"
    },
    {
      name: "minecraft:magenta_glazed_terracotta",
      serialization_id: "item.magenta_glazed_terracotta"
    },
    {
      name: "minecraft:magenta_shulker_box",
      serialization_id: "item.magenta_shulker_box"
    },
    {
      name: "minecraft:magenta_stained_glass",
      serialization_id: "item.magenta_stained_glass"
    },
    {
      name: "minecraft:magenta_stained_glass_pane",
      serialization_id: "item.magenta_stained_glass_pane"
    },
    {
      name: "minecraft:magenta_terracotta",
      serialization_id: "item.magenta_terracotta"
    },
    {
      name: "minecraft:magenta_wool",
      serialization_id: "item.magenta_wool"
    },
    {
      name: "minecraft:magma",
      serialization_id: "item.magma"
    },
    {
      name: "minecraft:magma_cream",
      serialization_id: "item.magma_cream"
    },
    {
      name: "minecraft:magma_cube_spawn_egg",
      serialization_id: "item.magma_cube_spawn_egg"
    },
    {
      name: "minecraft:mangrove_boat",
      serialization_id: "item.mangrove_boat"
    },
    {
      name: "minecraft:mangrove_button",
      serialization_id: "item.mangrove_button"
    },
    {
      name: "minecraft:mangrove_chest_boat",
      serialization_id: "item.mangrove_chest_boat"
    },
    {
      name: "minecraft:mangrove_door",
      serialization_id: "item.mangrove_door"
    },
    {
      name: "minecraft:mangrove_fence",
      serialization_id: "item.mangrove_fence"
    },
    {
      name: "minecraft:mangrove_fence_gate",
      serialization_id: "item.mangrove_fence_gate"
    },
    {
      name: "minecraft:mangrove_hanging_sign",
      serialization_id: "item.mangrove_hanging_sign"
    },
    {
      name: "minecraft:mangrove_leaves",
      serialization_id: "item.mangrove_leaves"
    },
    {
      name: "minecraft:mangrove_log",
      serialization_id: "item.mangrove_log"
    },
    {
      name: "minecraft:mangrove_planks",
      serialization_id: "item.mangrove_planks"
    },
    {
      name: "minecraft:mangrove_pressure_plate",
      serialization_id: "item.mangrove_pressure_plate"
    },
    {
      name: "minecraft:mangrove_propagule",
      serialization_id: "item.mangrove_propagule"
    },
    {
      name: "minecraft:mangrove_roots",
      serialization_id: "item.mangrove_roots"
    },
    {
      name: "minecraft:mangrove_sign",
      serialization_id: "item.mangrove_sign"
    },
    {
      name: "minecraft:mangrove_slab",
      serialization_id: "item.mangrove_slab"
    },
    {
      name: "minecraft:mangrove_stairs",
      serialization_id: "item.mangrove_stairs"
    },
    {
      name: "minecraft:mangrove_trapdoor",
      serialization_id: "item.mangrove_trapdoor"
    },
    {
      name: "minecraft:mangrove_wood",
      serialization_id: "item.mangrove_wood"
    },
    {
      name: "minecraft:medium_amethyst_bud",
      serialization_id: "item.medium_amethyst_bud"
    },
    {
      name: "minecraft:melon_block",
      serialization_id: "item.melon_block"
    },
    {
      name: "minecraft:melon_seeds",
      serialization_id: "item.melon_seeds"
    },
    {
      name: "minecraft:melon_slice",
      serialization_id: "item.melon"
    },
    {
      name: "minecraft:milk_bucket",
      serialization_id: "item.milk_bucket"
    },
    {
      name: "minecraft:minecart",
      serialization_id: "item.minecart"
    },
    {
      name: "minecraft:miner_pottery_sherd",
      serialization_id: "item.miner_pottery_sherd"
    },
    {
      name: "minecraft:mob_spawner",
      serialization_id: "item.mob_spawner"
    },
    {
      name: "minecraft:mojang_banner_pattern",
      serialization_id: "item.mojang_banner_pattern"
    },
    {
      name: "minecraft:mooshroom_spawn_egg",
      serialization_id: "item.mooshroom_spawn_egg"
    },
    {
      name: "minecraft:moss_block",
      serialization_id: "item.moss_block"
    },
    {
      name: "minecraft:moss_carpet",
      serialization_id: "item.moss_carpet"
    },
    {
      name: "minecraft:mossy_cobblestone",
      serialization_id: "item.mossy_cobblestone"
    },
    {
      name: "minecraft:mossy_cobblestone_slab",
      serialization_id: "item.mossy_cobblestone_slab"
    },
    {
      name: "minecraft:mossy_cobblestone_stairs",
      serialization_id: "item.mossy_cobblestone_stairs"
    },
    {
      name: "minecraft:mossy_cobblestone_wall",
      serialization_id: "item.mossy_cobblestone_wall"
    },
    {
      name: "minecraft:mossy_stone_brick_slab",
      serialization_id: "item.mossy_stone_brick_slab"
    },
    {
      name: "minecraft:mossy_stone_brick_stairs",
      serialization_id: "item.mossy_stone_brick_stairs"
    },
    {
      name: "minecraft:mossy_stone_brick_wall",
      serialization_id: "item.mossy_stone_brick_wall"
    },
    {
      name: "minecraft:mossy_stone_bricks",
      serialization_id: "item.mossy_stone_bricks"
    },
    {
      name: "minecraft:mourner_pottery_sherd",
      serialization_id: "item.mourner_pottery_sherd"
    },
    {
      name: "minecraft:mud",
      serialization_id: "item.mud"
    },
    {
      name: "minecraft:mud_brick_slab",
      serialization_id: "item.mud_brick_slab"
    },
    {
      name: "minecraft:mud_brick_stairs",
      serialization_id: "item.mud_brick_stairs"
    },
    {
      name: "minecraft:mud_brick_wall",
      serialization_id: "item.mud_brick_wall"
    },
    {
      name: "minecraft:mud_bricks",
      serialization_id: "item.mud_bricks"
    },
    {
      name: "minecraft:muddy_mangrove_roots",
      serialization_id: "item.muddy_mangrove_roots"
    },
    {
      name: "minecraft:mule_spawn_egg",
      serialization_id: "item.mule_spawn_egg"
    },
    {
      name: "minecraft:mushroom_stew",
      serialization_id: "item.mushroom_stew"
    },
    {
      name: "minecraft:music_disc_11",
      serialization_id: "item.record_11"
    },
    {
      name: "minecraft:music_disc_13",
      serialization_id: "item.record_13"
    },
    {
      name: "minecraft:music_disc_5",
      serialization_id: "item.record_5"
    },
    {
      name: "minecraft:music_disc_blocks",
      serialization_id: "item.record_blocks"
    },
    {
      name: "minecraft:music_disc_cat",
      serialization_id: "item.record_cat"
    },
    {
      name: "minecraft:music_disc_chirp",
      serialization_id: "item.record_chirp"
    },
    {
      name: "minecraft:music_disc_creator",
      serialization_id: "item.record_creator"
    },
    {
      name: "minecraft:music_disc_creator_music_box",
      serialization_id: "item.record_creator_music_box"
    },
    {
      name: "minecraft:music_disc_far",
      serialization_id: "item.record_far"
    },
    {
      name: "minecraft:music_disc_mall",
      serialization_id: "item.record_mall"
    },
    {
      name: "minecraft:music_disc_mellohi",
      serialization_id: "item.record_mellohi"
    },
    {
      name: "minecraft:music_disc_otherside",
      serialization_id: "item.record_otherside"
    },
    {
      name: "minecraft:music_disc_pigstep",
      serialization_id: "item.record_pigstep"
    },
    {
      name: "minecraft:music_disc_precipice",
      serialization_id: "item.record_precipice"
    },
    {
      name: "minecraft:music_disc_relic",
      serialization_id: "item.record_relic"
    },
    {
      name: "minecraft:music_disc_stal",
      serialization_id: "item.record_stal"
    },
    {
      name: "minecraft:music_disc_strad",
      serialization_id: "item.record_strad"
    },
    {
      name: "minecraft:music_disc_wait",
      serialization_id: "item.record_wait"
    },
    {
      name: "minecraft:music_disc_ward",
      serialization_id: "item.record_ward"
    },
    {
      name: "minecraft:mutton",
      serialization_id: "item.muttonRaw"
    },
    {
      name: "minecraft:mycelium",
      serialization_id: "item.mycelium"
    },
    {
      name: "minecraft:name_tag",
      serialization_id: "item.name_tag"
    },
    {
      name: "minecraft:nautilus_shell",
      serialization_id: "item.nautilus_shell"
    },
    {
      name: "minecraft:nether_brick",
      serialization_id: "item.nether_brick"
    },
    {
      name: "minecraft:nether_brick_fence",
      serialization_id: "item.nether_brick_fence"
    },
    {
      name: "minecraft:nether_brick_slab",
      serialization_id: "item.nether_brick_slab"
    },
    {
      name: "minecraft:nether_brick_stairs",
      serialization_id: "item.nether_brick_stairs"
    },
    {
      name: "minecraft:nether_brick_wall",
      serialization_id: "item.nether_brick_wall"
    },
    {
      name: "minecraft:nether_gold_ore",
      serialization_id: "item.nether_gold_ore"
    },
    {
      name: "minecraft:nether_sprouts",
      serialization_id: "tile.nether_sprouts"
    },
    {
      name: "minecraft:nether_star",
      serialization_id: "item.netherStar"
    },
    {
      name: "minecraft:nether_wart",
      serialization_id: "item.nether_wart"
    },
    {
      name: "minecraft:nether_wart_block",
      serialization_id: "item.nether_wart_block"
    },
    {
      name: "minecraft:netherbrick",
      serialization_id: "item.netherbrick"
    },
    {
      name: "minecraft:netherite_axe",
      serialization_id: "item.netherite_axe"
    },
    {
      name: "minecraft:netherite_block",
      serialization_id: "item.netherite_block"
    },
    {
      name: "minecraft:netherite_boots",
      serialization_id: "item.netherite_boots"
    },
    {
      name: "minecraft:netherite_chestplate",
      serialization_id: "item.netherite_chestplate"
    },
    {
      name: "minecraft:netherite_helmet",
      serialization_id: "item.netherite_helmet"
    },
    {
      name: "minecraft:netherite_hoe",
      serialization_id: "item.netherite_hoe"
    },
    {
      name: "minecraft:netherite_ingot",
      serialization_id: "item.netherite_ingot"
    },
    {
      name: "minecraft:netherite_leggings",
      serialization_id: "item.netherite_leggings"
    },
    {
      name: "minecraft:netherite_pickaxe",
      serialization_id: "item.netherite_pickaxe"
    },
    {
      name: "minecraft:netherite_scrap",
      serialization_id: "item.netherite_scrap"
    },
    {
      name: "minecraft:netherite_shovel",
      serialization_id: "item.netherite_shovel"
    },
    {
      name: "minecraft:netherite_sword",
      serialization_id: "item.netherite_sword"
    },
    {
      name: "minecraft:netherite_upgrade_smithing_template",
      serialization_id: "item.netherite_upgrade_smithing_template"
    },
    {
      name: "minecraft:netherrack",
      serialization_id: "item.netherrack"
    },
    {
      name: "minecraft:normal_stone_slab",
      serialization_id: "item.normal_stone_slab"
    },
    {
      name: "minecraft:normal_stone_stairs",
      serialization_id: "item.normal_stone_stairs"
    },
    {
      name: "minecraft:noteblock",
      serialization_id: "item.noteblock"
    },
    {
      name: "minecraft:oak_boat",
      serialization_id: "item.oak_boat"
    },
    {
      name: "minecraft:oak_chest_boat",
      serialization_id: "item.oak_chest_boat"
    },
    {
      name: "minecraft:oak_fence",
      serialization_id: "item.oak_fence"
    },
    {
      name: "minecraft:oak_hanging_sign",
      serialization_id: "item.oak_hanging_sign"
    },
    {
      name: "minecraft:oak_leaves",
      serialization_id: "item.oak_leaves"
    },
    {
      name: "minecraft:oak_log",
      serialization_id: "item.oak_log"
    },
    {
      name: "minecraft:oak_planks",
      serialization_id: "item.oak_planks"
    },
    {
      name: "minecraft:oak_sapling",
      serialization_id: "item.oak_sapling"
    },
    {
      name: "minecraft:oak_sign",
      serialization_id: "item.sign"
    },
    {
      name: "minecraft:oak_slab",
      serialization_id: "item.oak_slab"
    },
    {
      name: "minecraft:oak_stairs",
      serialization_id: "item.oak_stairs"
    },
    {
      name: "minecraft:oak_wood",
      serialization_id: "item.oak_wood"
    },
    {
      name: "minecraft:observer",
      serialization_id: "item.observer"
    },
    {
      name: "minecraft:obsidian",
      serialization_id: "item.obsidian"
    },
    {
      name: "minecraft:ocelot_spawn_egg",
      serialization_id: "item.ocelot_spawn_egg"
    },
    {
      name: "minecraft:ochre_froglight",
      serialization_id: "item.ochre_froglight"
    },
    {
      name: "minecraft:ominous_bottle",
      serialization_id: "item.ominous_bottle"
    },
    {
      name: "minecraft:ominous_trial_key",
      serialization_id: "item.ominous_trial_key.name"
    },
    {
      name: "minecraft:orange_candle",
      serialization_id: "item.orange_candle"
    },
    {
      name: "minecraft:orange_carpet",
      serialization_id: "item.orange_carpet"
    },
    {
      name: "minecraft:orange_concrete",
      serialization_id: "item.orange_concrete"
    },
    {
      name: "minecraft:orange_concrete_powder",
      serialization_id: "item.orange_concrete_powder"
    },
    {
      name: "minecraft:orange_dye",
      serialization_id: "item.orange_dye"
    },
    {
      name: "minecraft:orange_glazed_terracotta",
      serialization_id: "item.orange_glazed_terracotta"
    },
    {
      name: "minecraft:orange_shulker_box",
      serialization_id: "item.orange_shulker_box"
    },
    {
      name: "minecraft:orange_stained_glass",
      serialization_id: "item.orange_stained_glass"
    },
    {
      name: "minecraft:orange_stained_glass_pane",
      serialization_id: "item.orange_stained_glass_pane"
    },
    {
      name: "minecraft:orange_terracotta",
      serialization_id: "item.orange_terracotta"
    },
    {
      name: "minecraft:orange_tulip",
      serialization_id: "item.orange_tulip"
    },
    {
      name: "minecraft:orange_wool",
      serialization_id: "item.orange_wool"
    },
    {
      name: "minecraft:oxeye_daisy",
      serialization_id: "item.oxeye_daisy"
    },
    {
      name: "minecraft:oxidized_chiseled_copper",
      serialization_id: "item.oxidized_chiseled_copper"
    },
    {
      name: "minecraft:oxidized_copper",
      serialization_id: "item.oxidized_copper"
    },
    {
      name: "minecraft:oxidized_copper_bulb",
      serialization_id: "item.oxidized_copper_bulb"
    },
    {
      name: "minecraft:oxidized_copper_door",
      serialization_id: "item.oxidized_copper_door"
    },
    {
      name: "minecraft:oxidized_copper_grate",
      serialization_id: "item.oxidized_copper_grate"
    },
    {
      name: "minecraft:oxidized_copper_trapdoor",
      serialization_id: "item.oxidized_copper_trapdoor"
    },
    {
      name: "minecraft:oxidized_cut_copper",
      serialization_id: "item.oxidized_cut_copper"
    },
    {
      name: "minecraft:oxidized_cut_copper_slab",
      serialization_id: "item.oxidized_cut_copper_slab"
    },
    {
      name: "minecraft:oxidized_cut_copper_stairs",
      serialization_id: "item.oxidized_cut_copper_stairs"
    },
    {
      name: "minecraft:packed_ice",
      serialization_id: "item.packed_ice"
    },
    {
      name: "minecraft:packed_mud",
      serialization_id: "item.packed_mud"
    },
    {
      name: "minecraft:painting",
      serialization_id: "item.painting"
    },
    {
      name: "minecraft:panda_spawn_egg",
      serialization_id: "item.panda_spawn_egg"
    },
    {
      name: "minecraft:paper",
      serialization_id: "item.paper"
    },
    {
      name: "minecraft:parrot_spawn_egg",
      serialization_id: "item.parrot_spawn_egg"
    },
    {
      name: "minecraft:pearlescent_froglight",
      serialization_id: "item.pearlescent_froglight"
    },
    {
      name: "minecraft:peony",
      serialization_id: "item.peony"
    },
    {
      name: "minecraft:petrified_oak_slab",
      serialization_id: "item.petrified_oak_slab"
    },
    {
      name: "minecraft:phantom_membrane",
      serialization_id: "item.phantom_membrane"
    },
    {
      name: "minecraft:phantom_spawn_egg",
      serialization_id: "item.phantom_spawn_egg"
    },
    {
      name: "minecraft:pig_spawn_egg",
      serialization_id: "item.pig_spawn_egg"
    },
    {
      name: "minecraft:piglin_banner_pattern",
      serialization_id: "item.piglin_banner_pattern"
    },
    {
      name: "minecraft:piglin_brute_spawn_egg",
      serialization_id: "item.piglin_brute_spawn_egg"
    },
    {
      name: "minecraft:piglin_spawn_egg",
      serialization_id: "item.piglin_spawn_egg"
    },
    {
      name: "minecraft:pillager_spawn_egg",
      serialization_id: "item.pillager_spawn_egg"
    },
    {
      name: "minecraft:pink_candle",
      serialization_id: "item.pink_candle"
    },
    {
      name: "minecraft:pink_carpet",
      serialization_id: "item.pink_carpet"
    },
    {
      name: "minecraft:pink_concrete",
      serialization_id: "item.pink_concrete"
    },
    {
      name: "minecraft:pink_concrete_powder",
      serialization_id: "item.pink_concrete_powder"
    },
    {
      name: "minecraft:pink_dye",
      serialization_id: "item.pink_dye"
    },
    {
      name: "minecraft:pink_glazed_terracotta",
      serialization_id: "item.pink_glazed_terracotta"
    },
    {
      name: "minecraft:pink_petals",
      serialization_id: "item.pink_petals"
    },
    {
      name: "minecraft:pink_shulker_box",
      serialization_id: "item.pink_shulker_box"
    },
    {
      name: "minecraft:pink_stained_glass",
      serialization_id: "item.pink_stained_glass"
    },
    {
      name: "minecraft:pink_stained_glass_pane",
      serialization_id: "item.pink_stained_glass_pane"
    },
    {
      name: "minecraft:pink_terracotta",
      serialization_id: "item.pink_terracotta"
    },
    {
      name: "minecraft:pink_tulip",
      serialization_id: "item.pink_tulip"
    },
    {
      name: "minecraft:pink_wool",
      serialization_id: "item.pink_wool"
    },
    {
      name: "minecraft:piston",
      serialization_id: "item.piston"
    },
    {
      name: "minecraft:pitcher_plant",
      serialization_id: "item.pitcher_plant"
    },
    {
      name: "minecraft:pitcher_pod",
      serialization_id: "item.pitcher_pod"
    },
    {
      name: "minecraft:plenty_pottery_sherd",
      serialization_id: "item.plenty_pottery_sherd"
    },
    {
      name: "minecraft:podzol",
      serialization_id: "item.podzol"
    },
    {
      name: "minecraft:pointed_dripstone",
      serialization_id: "item.pointed_dripstone"
    },
    {
      name: "minecraft:poisonous_potato",
      serialization_id: "item.poisonous_potato"
    },
    {
      name: "minecraft:polar_bear_spawn_egg",
      serialization_id: "item.polar_bear_spawn_egg"
    },
    {
      name: "minecraft:polished_andesite",
      serialization_id: "item.polished_andesite"
    },
    {
      name: "minecraft:polished_andesite_slab",
      serialization_id: "item.polished_andesite_slab"
    },
    {
      name: "minecraft:polished_andesite_stairs",
      serialization_id: "item.polished_andesite_stairs"
    },
    {
      name: "minecraft:polished_basalt",
      serialization_id: "item.polished_basalt"
    },
    {
      name: "minecraft:polished_blackstone",
      serialization_id: "item.polished_blackstone"
    },
    {
      name: "minecraft:polished_blackstone_brick_slab",
      serialization_id: "item.polished_blackstone_brick_slab"
    },
    {
      name: "minecraft:polished_blackstone_brick_stairs",
      serialization_id: "item.polished_blackstone_brick_stairs"
    },
    {
      name: "minecraft:polished_blackstone_brick_wall",
      serialization_id: "item.polished_blackstone_brick_wall"
    },
    {
      name: "minecraft:polished_blackstone_bricks",
      serialization_id: "item.polished_blackstone_bricks"
    },
    {
      name: "minecraft:polished_blackstone_button",
      serialization_id: "item.polished_blackstone_button"
    },
    {
      name: "minecraft:polished_blackstone_pressure_plate",
      serialization_id: "item.polished_blackstone_pressure_plate"
    },
    {
      name: "minecraft:polished_blackstone_slab",
      serialization_id: "item.polished_blackstone_slab"
    },
    {
      name: "minecraft:polished_blackstone_stairs",
      serialization_id: "item.polished_blackstone_stairs"
    },
    {
      name: "minecraft:polished_blackstone_wall",
      serialization_id: "item.polished_blackstone_wall"
    },
    {
      name: "minecraft:polished_deepslate",
      serialization_id: "item.polished_deepslate"
    },
    {
      name: "minecraft:polished_deepslate_slab",
      serialization_id: "item.polished_deepslate_slab"
    },
    {
      name: "minecraft:polished_deepslate_stairs",
      serialization_id: "item.polished_deepslate_stairs"
    },
    {
      name: "minecraft:polished_deepslate_wall",
      serialization_id: "item.polished_deepslate_wall"
    },
    {
      name: "minecraft:polished_diorite",
      serialization_id: "item.polished_diorite"
    },
    {
      name: "minecraft:polished_diorite_slab",
      serialization_id: "item.polished_diorite_slab"
    },
    {
      name: "minecraft:polished_diorite_stairs",
      serialization_id: "item.polished_diorite_stairs"
    },
    {
      name: "minecraft:polished_granite",
      serialization_id: "item.polished_granite"
    },
    {
      name: "minecraft:polished_granite_slab",
      serialization_id: "item.polished_granite_slab"
    },
    {
      name: "minecraft:polished_granite_stairs",
      serialization_id: "item.polished_granite_stairs"
    },
    {
      name: "minecraft:polished_tuff",
      serialization_id: "item.polished_tuff"
    },
    {
      name: "minecraft:polished_tuff_slab",
      serialization_id: "item.polished_tuff_slab"
    },
    {
      name: "minecraft:polished_tuff_stairs",
      serialization_id: "item.polished_tuff_stairs"
    },
    {
      name: "minecraft:polished_tuff_wall",
      serialization_id: "item.polished_tuff_wall"
    },
    {
      name: "minecraft:popped_chorus_fruit",
      serialization_id: "item.chorus_fruit_popped"
    },
    {
      name: "minecraft:poppy",
      serialization_id: "item.poppy"
    },
    {
      name: "minecraft:porkchop",
      serialization_id: "item.porkchop"
    },
    {
      name: "minecraft:potato",
      serialization_id: "item.potato"
    },
    {
      name: "minecraft:potion",
      serialization_id: "item.potion"
    },
    {
      name: "minecraft:powder_snow_bucket",
      serialization_id: "item.powder_snow_bucket"
    },
    {
      name: "minecraft:prismarine",
      serialization_id: "item.prismarine"
    },
    {
      name: "minecraft:prismarine_brick_slab",
      serialization_id: "item.prismarine_brick_slab"
    },
    {
      name: "minecraft:prismarine_bricks",
      serialization_id: "item.prismarine_bricks"
    },
    {
      name: "minecraft:prismarine_bricks_stairs",
      serialization_id: "item.prismarine_bricks_stairs"
    },
    {
      name: "minecraft:prismarine_crystals",
      serialization_id: "item.prismarine_crystals"
    },
    {
      name: "minecraft:prismarine_shard",
      serialization_id: "item.prismarine_shard"
    },
    {
      name: "minecraft:prismarine_slab",
      serialization_id: "item.prismarine_slab"
    },
    {
      name: "minecraft:prismarine_stairs",
      serialization_id: "item.prismarine_stairs"
    },
    {
      name: "minecraft:prismarine_wall",
      serialization_id: "item.prismarine_wall"
    },
    {
      name: "minecraft:prize_pottery_sherd",
      serialization_id: "item.prize_pottery_sherd"
    },
    {
      name: "minecraft:pufferfish",
      serialization_id: "item.pufferfish"
    },
    {
      name: "minecraft:pufferfish_bucket",
      serialization_id: "item.pufferfish_bucket"
    },
    {
      name: "minecraft:pufferfish_spawn_egg",
      serialization_id: "item.pufferfish_spawn_egg"
    },
    {
      name: "minecraft:pumpkin",
      serialization_id: "item.pumpkin"
    },
    {
      name: "minecraft:pumpkin_pie",
      serialization_id: "item.pumpkin_pie"
    },
    {
      name: "minecraft:pumpkin_seeds",
      serialization_id: "item.pumpkin_seeds"
    },
    {
      name: "minecraft:purple_candle",
      serialization_id: "item.purple_candle"
    },
    {
      name: "minecraft:purple_carpet",
      serialization_id: "item.purple_carpet"
    },
    {
      name: "minecraft:purple_concrete",
      serialization_id: "item.purple_concrete"
    },
    {
      name: "minecraft:purple_concrete_powder",
      serialization_id: "item.purple_concrete_powder"
    },
    {
      name: "minecraft:purple_dye",
      serialization_id: "item.purple_dye"
    },
    {
      name: "minecraft:purple_glazed_terracotta",
      serialization_id: "item.purple_glazed_terracotta"
    },
    {
      name: "minecraft:purple_shulker_box",
      serialization_id: "item.purple_shulker_box"
    },
    {
      name: "minecraft:purple_stained_glass",
      serialization_id: "item.purple_stained_glass"
    },
    {
      name: "minecraft:purple_stained_glass_pane",
      serialization_id: "item.purple_stained_glass_pane"
    },
    {
      name: "minecraft:purple_terracotta",
      serialization_id: "item.purple_terracotta"
    },
    {
      name: "minecraft:purple_wool",
      serialization_id: "item.purple_wool"
    },
    {
      name: "minecraft:purpur_block",
      serialization_id: "item.purpur_block"
    },
    {
      name: "minecraft:purpur_pillar",
      serialization_id: "item.purpur_pillar"
    },
    {
      name: "minecraft:purpur_slab",
      serialization_id: "item.purpur_slab"
    },
    {
      name: "minecraft:purpur_stairs",
      serialization_id: "item.purpur_stairs"
    },
    {
      name: "minecraft:quartz",
      serialization_id: "item.quartz"
    },
    {
      name: "minecraft:quartz_block",
      serialization_id: "item.quartz_block"
    },
    {
      name: "minecraft:quartz_bricks",
      serialization_id: "item.quartz_bricks"
    },
    {
      name: "minecraft:quartz_ore",
      serialization_id: "item.quartz_ore"
    },
    {
      name: "minecraft:quartz_pillar",
      serialization_id: "item.quartz_pillar"
    },
    {
      name: "minecraft:quartz_slab",
      serialization_id: "item.quartz_slab"
    },
    {
      name: "minecraft:quartz_stairs",
      serialization_id: "item.quartz_stairs"
    },
    {
      name: "minecraft:rabbit",
      serialization_id: "item.rabbit"
    },
    {
      name: "minecraft:rabbit_foot",
      serialization_id: "item.rabbit_foot"
    },
    {
      name: "minecraft:rabbit_hide",
      serialization_id: "item.rabbit_hide"
    },
    {
      name: "minecraft:rabbit_spawn_egg",
      serialization_id: "item.rabbit_spawn_egg"
    },
    {
      name: "minecraft:rabbit_stew",
      serialization_id: "item.rabbit_stew"
    },
    {
      name: "minecraft:rail",
      serialization_id: "item.rail"
    },
    {
      name: "minecraft:raiser_armor_trim_smithing_template",
      serialization_id: "item.raiser_armor_trim_smithing_template"
    },
    {
      name: "minecraft:ravager_spawn_egg",
      serialization_id: "item.ravager_spawn_egg"
    },
    {
      name: "minecraft:raw_copper",
      serialization_id: "item.raw_copper"
    },
    {
      name: "minecraft:raw_copper_block",
      serialization_id: "item.raw_copper_block"
    },
    {
      name: "minecraft:raw_gold",
      serialization_id: "item.raw_gold"
    },
    {
      name: "minecraft:raw_gold_block",
      serialization_id: "item.raw_gold_block"
    },
    {
      name: "minecraft:raw_iron",
      serialization_id: "item.raw_iron"
    },
    {
      name: "minecraft:raw_iron_block",
      serialization_id: "item.raw_iron_block"
    },
    {
      name: "minecraft:recovery_compass",
      serialization_id: "item.recovery_compass"
    },
    {
      name: "minecraft:red_candle",
      serialization_id: "item.red_candle"
    },
    {
      name: "minecraft:red_carpet",
      serialization_id: "item.red_carpet"
    },
    {
      name: "minecraft:red_concrete",
      serialization_id: "item.red_concrete"
    },
    {
      name: "minecraft:red_concrete_powder",
      serialization_id: "item.red_concrete_powder"
    },
    {
      name: "minecraft:red_dye",
      serialization_id: "item.red_dye"
    },
    {
      name: "minecraft:red_glazed_terracotta",
      serialization_id: "item.red_glazed_terracotta"
    },
    {
      name: "minecraft:red_mushroom",
      serialization_id: "item.red_mushroom"
    },
    {
      name: "minecraft:red_mushroom_block",
      serialization_id: "item.red_mushroom_block"
    },
    {
      name: "minecraft:red_nether_brick",
      serialization_id: "item.red_nether_brick"
    },
    {
      name: "minecraft:red_nether_brick_slab",
      serialization_id: "item.red_nether_brick_slab"
    },
    {
      name: "minecraft:red_nether_brick_stairs",
      serialization_id: "item.red_nether_brick_stairs"
    },
    {
      name: "minecraft:red_nether_brick_wall",
      serialization_id: "item.red_nether_brick_wall"
    },
    {
      name: "minecraft:red_sand",
      serialization_id: "item.red_sand"
    },
    {
      name: "minecraft:red_sandstone",
      serialization_id: "item.red_sandstone"
    },
    {
      name: "minecraft:red_sandstone_slab",
      serialization_id: "item.red_sandstone_slab"
    },
    {
      name: "minecraft:red_sandstone_stairs",
      serialization_id: "item.red_sandstone_stairs"
    },
    {
      name: "minecraft:red_sandstone_wall",
      serialization_id: "item.red_sandstone_wall"
    },
    {
      name: "minecraft:red_shulker_box",
      serialization_id: "item.red_shulker_box"
    },
    {
      name: "minecraft:red_stained_glass",
      serialization_id: "item.red_stained_glass"
    },
    {
      name: "minecraft:red_stained_glass_pane",
      serialization_id: "item.red_stained_glass_pane"
    },
    {
      name: "minecraft:red_terracotta",
      serialization_id: "item.red_terracotta"
    },
    {
      name: "minecraft:red_tulip",
      serialization_id: "item.red_tulip"
    },
    {
      name: "minecraft:red_wool",
      serialization_id: "item.red_wool"
    },
    {
      name: "minecraft:redstone",
      serialization_id: "item.redstone"
    },
    {
      name: "minecraft:redstone_block",
      serialization_id: "item.redstone_block"
    },
    {
      name: "minecraft:redstone_lamp",
      serialization_id: "item.redstone_lamp"
    },
    {
      name: "minecraft:redstone_ore",
      serialization_id: "item.redstone_ore"
    },
    {
      name: "minecraft:redstone_torch",
      serialization_id: "item.redstone_torch"
    },
    {
      name: "minecraft:reinforced_deepslate",
      serialization_id: "item.reinforced_deepslate"
    },
    {
      name: "minecraft:repeater",
      serialization_id: "item.repeater"
    },
    {
      name: "minecraft:repeating_command_block",
      serialization_id: "item.repeating_command_block"
    },
    {
      name: "minecraft:respawn_anchor",
      serialization_id: "item.respawn_anchor"
    },
    {
      name: "minecraft:rib_armor_trim_smithing_template",
      serialization_id: "item.rib_armor_trim_smithing_template"
    },
    {
      name: "minecraft:rose_bush",
      serialization_id: "item.rose_bush"
    },
    {
      name: "minecraft:rotten_flesh",
      serialization_id: "item.rotten_flesh"
    },
    {
      name: "minecraft:saddle",
      serialization_id: "item.saddle"
    },
    {
      name: "minecraft:salmon",
      serialization_id: "item.salmon"
    },
    {
      name: "minecraft:salmon_bucket",
      serialization_id: "item.salmon_bucket"
    },
    {
      name: "minecraft:salmon_spawn_egg",
      serialization_id: "item.salmon_spawn_egg"
    },
    {
      name: "minecraft:sand",
      serialization_id: "item.sand"
    },
    {
      name: "minecraft:sandstone",
      serialization_id: "item.sandstone"
    },
    {
      name: "minecraft:sandstone_slab",
      serialization_id: "item.sandstone_slab"
    },
    {
      name: "minecraft:sandstone_stairs",
      serialization_id: "item.sandstone_stairs"
    },
    {
      name: "minecraft:sandstone_wall",
      serialization_id: "item.sandstone_wall"
    },
    {
      name: "minecraft:scaffolding",
      serialization_id: "item.scaffolding"
    },
    {
      name: "minecraft:scrape_pottery_sherd",
      serialization_id: "item.scrape_pottery_sherd"
    },
    {
      name: "minecraft:sculk",
      serialization_id: "item.sculk"
    },
    {
      name: "minecraft:sculk_catalyst",
      serialization_id: "item.sculk_catalyst"
    },
    {
      name: "minecraft:sculk_sensor",
      serialization_id: "item.sculk_sensor"
    },
    {
      name: "minecraft:sculk_shrieker",
      serialization_id: "item.sculk_shrieker"
    },
    {
      name: "minecraft:sculk_vein",
      serialization_id: "item.sculk_vein"
    },
    {
      name: "minecraft:sea_lantern",
      serialization_id: "item.sea_lantern"
    },
    {
      name: "minecraft:sea_pickle",
      serialization_id: "item.sea_pickle"
    },
    {
      name: "minecraft:seagrass",
      serialization_id: "item.seagrass"
    },
    {
      name: "minecraft:sentry_armor_trim_smithing_template",
      serialization_id: "item.sentry_armor_trim_smithing_template"
    },
    {
      name: "minecraft:shaper_armor_trim_smithing_template",
      serialization_id: "item.shaper_armor_trim_smithing_template"
    },
    {
      name: "minecraft:sheaf_pottery_sherd",
      serialization_id: "item.sheaf_pottery_sherd"
    },
    {
      name: "minecraft:shears",
      serialization_id: "item.shears"
    },
    {
      name: "minecraft:sheep_spawn_egg",
      serialization_id: "item.sheep_spawn_egg"
    },
    {
      name: "minecraft:shelter_pottery_sherd",
      serialization_id: "item.shelter_pottery_sherd"
    },
    {
      name: "minecraft:shield",
      serialization_id: "item.shield"
    },
    {
      name: "minecraft:short_grass",
      serialization_id: "item.short_grass"
    },
    {
      name: "minecraft:shroomlight",
      serialization_id: "item.shroomlight"
    },
    {
      name: "minecraft:shulker_shell",
      serialization_id: "item.shulker_shell"
    },
    {
      name: "minecraft:shulker_spawn_egg",
      serialization_id: "item.shulker_spawn_egg"
    },
    {
      name: "minecraft:silence_armor_trim_smithing_template",
      serialization_id: "item.silence_armor_trim_smithing_template"
    },
    {
      name: "minecraft:silver_glazed_terracotta",
      serialization_id: "item.silver_glazed_terracotta"
    },
    {
      name: "minecraft:silverfish_spawn_egg",
      serialization_id: "item.silverfish_spawn_egg"
    },
    {
      name: "minecraft:skeleton_horse_spawn_egg",
      serialization_id: "item.skeleton_horse_spawn_egg"
    },
    {
      name: "minecraft:skeleton_spawn_egg",
      serialization_id: "item.skeleton_spawn_egg"
    },
    {
      name: "minecraft:skull",
      serialization_id: "item.skull"
    },
    {
      name: "minecraft:skull_banner_pattern",
      serialization_id: "item.skull_banner_pattern"
    },
    {
      name: "minecraft:skull_pottery_sherd",
      serialization_id: "item.skull_pottery_sherd"
    },
    {
      name: "minecraft:slime",
      serialization_id: "item.slime"
    },
    {
      name: "minecraft:slime_ball",
      serialization_id: "item.slime_ball"
    },
    {
      name: "minecraft:slime_spawn_egg",
      serialization_id: "item.slime_spawn_egg"
    },
    {
      name: "minecraft:small_amethyst_bud",
      serialization_id: "item.small_amethyst_bud"
    },
    {
      name: "minecraft:small_dripleaf_block",
      serialization_id: "item.small_dripleaf_block"
    },
    {
      name: "minecraft:smithing_table",
      serialization_id: "item.smithing_table"
    },
    {
      name: "minecraft:smoker",
      serialization_id: "item.smoker"
    },
    {
      name: "minecraft:smooth_basalt",
      serialization_id: "item.smooth_basalt"
    },
    {
      name: "minecraft:smooth_quartz",
      serialization_id: "item.smooth_quartz"
    },
    {
      name: "minecraft:smooth_quartz_slab",
      serialization_id: "item.smooth_quartz_slab"
    },
    {
      name: "minecraft:smooth_quartz_stairs",
      serialization_id: "item.smooth_quartz_stairs"
    },
    {
      name: "minecraft:smooth_red_sandstone",
      serialization_id: "item.smooth_red_sandstone"
    },
    {
      name: "minecraft:smooth_red_sandstone_slab",
      serialization_id: "item.smooth_red_sandstone_slab"
    },
    {
      name: "minecraft:smooth_red_sandstone_stairs",
      serialization_id: "item.smooth_red_sandstone_stairs"
    },
    {
      name: "minecraft:smooth_sandstone",
      serialization_id: "item.smooth_sandstone"
    },
    {
      name: "minecraft:smooth_sandstone_slab",
      serialization_id: "item.smooth_sandstone_slab"
    },
    {
      name: "minecraft:smooth_sandstone_stairs",
      serialization_id: "item.smooth_sandstone_stairs"
    },
    {
      name: "minecraft:smooth_stone",
      serialization_id: "item.smooth_stone"
    },
    {
      name: "minecraft:smooth_stone_slab",
      serialization_id: "item.smooth_stone_slab"
    },
    {
      name: "minecraft:sniffer_egg",
      serialization_id: "item.sniffer_egg"
    },
    {
      name: "minecraft:sniffer_spawn_egg",
      serialization_id: "item.sniffer_spawn_egg"
    },
    {
      name: "minecraft:snort_pottery_sherd",
      serialization_id: "item.snort_pottery_sherd"
    },
    {
      name: "minecraft:snout_armor_trim_smithing_template",
      serialization_id: "item.snout_armor_trim_smithing_template"
    },
    {
      name: "minecraft:snow",
      serialization_id: "item.snow"
    },
    {
      name: "minecraft:snow_golem_spawn_egg",
      serialization_id: "item.snow_golem_spawn_egg"
    },
    {
      name: "minecraft:snow_layer",
      serialization_id: "item.snow_layer"
    },
    {
      name: "minecraft:snowball",
      serialization_id: "item.snowball"
    },
    {
      name: "minecraft:soul_campfire",
      serialization_id: "tile.soul_campfire"
    },
    {
      name: "minecraft:soul_lantern",
      serialization_id: "item.soul_lantern"
    },
    {
      name: "minecraft:soul_sand",
      serialization_id: "item.soul_sand"
    },
    {
      name: "minecraft:soul_soil",
      serialization_id: "item.soul_soil"
    },
    {
      name: "minecraft:soul_torch",
      serialization_id: "item.soul_torch"
    },
    {
      name: "minecraft:spider_eye",
      serialization_id: "item.spider_eye"
    },
    {
      name: "minecraft:spider_spawn_egg",
      serialization_id: "item.spider_spawn_egg"
    },
    {
      name: "minecraft:spire_armor_trim_smithing_template",
      serialization_id: "item.spire_armor_trim_smithing_template"
    },
    {
      name: "minecraft:splash_potion",
      serialization_id: "item.splash_potion"
    },
    {
      name: "minecraft:sponge",
      serialization_id: "item.sponge"
    },
    {
      name: "minecraft:spore_blossom",
      serialization_id: "item.spore_blossom"
    },
    {
      name: "minecraft:spruce_boat",
      serialization_id: "item.spruce_boat"
    },
    {
      name: "minecraft:spruce_button",
      serialization_id: "item.spruce_button"
    },
    {
      name: "minecraft:spruce_chest_boat",
      serialization_id: "item.spruce_chest_boat"
    },
    {
      name: "minecraft:spruce_door",
      serialization_id: "item.spruce_door"
    },
    {
      name: "minecraft:spruce_fence",
      serialization_id: "item.spruce_fence"
    },
    {
      name: "minecraft:spruce_fence_gate",
      serialization_id: "item.spruce_fence_gate"
    },
    {
      name: "minecraft:spruce_hanging_sign",
      serialization_id: "item.spruce_hanging_sign"
    },
    {
      name: "minecraft:spruce_leaves",
      serialization_id: "item.spruce_leaves"
    },
    {
      name: "minecraft:spruce_log",
      serialization_id: "item.spruce_log"
    },
    {
      name: "minecraft:spruce_planks",
      serialization_id: "item.spruce_planks"
    },
    {
      name: "minecraft:spruce_pressure_plate",
      serialization_id: "item.spruce_pressure_plate"
    },
    {
      name: "minecraft:spruce_sapling",
      serialization_id: "item.spruce_sapling"
    },
    {
      name: "minecraft:spruce_sign",
      serialization_id: "item.spruce_sign"
    },
    {
      name: "minecraft:spruce_slab",
      serialization_id: "item.spruce_slab"
    },
    {
      name: "minecraft:spruce_stairs",
      serialization_id: "item.spruce_stairs"
    },
    {
      name: "minecraft:spruce_trapdoor",
      serialization_id: "item.spruce_trapdoor"
    },
    {
      name: "minecraft:spruce_wood",
      serialization_id: "item.spruce_wood"
    },
    {
      name: "minecraft:spyglass",
      serialization_id: "item.spyglass"
    },
    {
      name: "minecraft:squid_spawn_egg",
      serialization_id: "item.squid_spawn_egg"
    },
    {
      name: "minecraft:stick",
      serialization_id: "item.stick"
    },
    {
      name: "minecraft:sticky_piston",
      serialization_id: "item.sticky_piston"
    },
    {
      name: "minecraft:stone",
      serialization_id: "item.stone"
    },
    {
      name: "minecraft:stone_axe",
      serialization_id: "item.stone_axe"
    },
    {
      name: "minecraft:stone_brick_slab",
      serialization_id: "item.stone_brick_slab"
    },
    {
      name: "minecraft:stone_brick_stairs",
      serialization_id: "item.stone_brick_stairs"
    },
    {
      name: "minecraft:stone_brick_wall",
      serialization_id: "item.stone_brick_wall"
    },
    {
      name: "minecraft:stone_bricks",
      serialization_id: "item.stone_bricks"
    },
    {
      name: "minecraft:stone_button",
      serialization_id: "item.stone_button"
    },
    {
      name: "minecraft:stone_hoe",
      serialization_id: "item.stone_hoe"
    },
    {
      name: "minecraft:stone_pickaxe",
      serialization_id: "item.stone_pickaxe"
    },
    {
      name: "minecraft:stone_pressure_plate",
      serialization_id: "item.stone_pressure_plate"
    },
    {
      name: "minecraft:stone_shovel",
      serialization_id: "item.stone_shovel"
    },
    {
      name: "minecraft:stone_stairs",
      serialization_id: "item.stone_stairs"
    },
    {
      name: "minecraft:stone_sword",
      serialization_id: "item.stone_sword"
    },
    {
      name: "minecraft:stonecutter_block",
      serialization_id: "item.stonecutter_block"
    },
    {
      name: "minecraft:stray_spawn_egg",
      serialization_id: "item.stray_spawn_egg"
    },
    {
      name: "minecraft:strider_spawn_egg",
      serialization_id: "item.strider_spawn_egg"
    },
    {
      name: "minecraft:string",
      serialization_id: "item.string"
    },
    {
      name: "minecraft:stripped_acacia_log",
      serialization_id: "item.stripped_acacia_log"
    },
    {
      name: "minecraft:stripped_acacia_wood",
      serialization_id: "item.stripped_acacia_wood"
    },
    {
      name: "minecraft:stripped_bamboo_block",
      serialization_id: "item.stripped_bamboo_block"
    },
    {
      name: "minecraft:stripped_birch_log",
      serialization_id: "item.stripped_birch_log"
    },
    {
      name: "minecraft:stripped_birch_wood",
      serialization_id: "item.stripped_birch_wood"
    },
    {
      name: "minecraft:stripped_cherry_log",
      serialization_id: "item.stripped_cherry_log"
    },
    {
      name: "minecraft:stripped_cherry_wood",
      serialization_id: "item.stripped_cherry_wood"
    },
    {
      name: "minecraft:stripped_crimson_hyphae",
      serialization_id: "item.stripped_crimson_hyphae"
    },
    {
      name: "minecraft:stripped_crimson_stem",
      serialization_id: "item.stripped_crimson_stem"
    },
    {
      name: "minecraft:stripped_dark_oak_log",
      serialization_id: "item.stripped_dark_oak_log"
    },
    {
      name: "minecraft:stripped_dark_oak_wood",
      serialization_id: "item.stripped_dark_oak_wood"
    },
    {
      name: "minecraft:stripped_jungle_log",
      serialization_id: "item.stripped_jungle_log"
    },
    {
      name: "minecraft:stripped_jungle_wood",
      serialization_id: "item.stripped_jungle_wood"
    },
    {
      name: "minecraft:stripped_mangrove_log",
      serialization_id: "item.stripped_mangrove_log"
    },
    {
      name: "minecraft:stripped_mangrove_wood",
      serialization_id: "item.stripped_mangrove_wood"
    },
    {
      name: "minecraft:stripped_oak_log",
      serialization_id: "item.stripped_oak_log"
    },
    {
      name: "minecraft:stripped_oak_wood",
      serialization_id: "item.stripped_oak_wood"
    },
    {
      name: "minecraft:stripped_spruce_log",
      serialization_id: "item.stripped_spruce_log"
    },
    {
      name: "minecraft:stripped_spruce_wood",
      serialization_id: "item.stripped_spruce_wood"
    },
    {
      name: "minecraft:stripped_warped_hyphae",
      serialization_id: "item.stripped_warped_hyphae"
    },
    {
      name: "minecraft:stripped_warped_stem",
      serialization_id: "item.stripped_warped_stem"
    },
    {
      name: "minecraft:structure_block",
      serialization_id: "item.structure_block"
    },
    {
      name: "minecraft:structure_void",
      serialization_id: "item.structure_void"
    },
    {
      name: "minecraft:sugar",
      serialization_id: "item.sugar"
    },
    {
      name: "minecraft:sugar_cane",
      serialization_id: "item.reeds"
    },
    {
      name: "minecraft:sunflower",
      serialization_id: "item.sunflower"
    },
    {
      name: "minecraft:suspicious_gravel",
      serialization_id: "item.suspicious_gravel"
    },
    {
      name: "minecraft:suspicious_sand",
      serialization_id: "item.suspicious_sand"
    },
    {
      name: "minecraft:suspicious_stew",
      serialization_id: "item.suspicious_stew"
    },
    {
      name: "minecraft:sweet_berries",
      serialization_id: "item.sweet_berries"
    },
    {
      name: "minecraft:tadpole_bucket",
      serialization_id: "item.tadpole_bucket"
    },
    {
      name: "minecraft:tadpole_spawn_egg",
      serialization_id: "item.tadpole_spawn_egg"
    },
    {
      name: "minecraft:tall_grass",
      serialization_id: "item.tall_grass"
    },
    {
      name: "minecraft:target",
      serialization_id: "item.target"
    },
    {
      name: "minecraft:tide_armor_trim_smithing_template",
      serialization_id: "item.tide_armor_trim_smithing_template"
    },
    {
      name: "minecraft:tinted_glass",
      serialization_id: "item.tinted_glass"
    },
    {
      name: "minecraft:tnt",
      serialization_id: "item.tnt"
    },
    {
      name: "minecraft:tnt_minecart",
      serialization_id: "item.tnt_minecart"
    },
    {
      name: "minecraft:torch",
      serialization_id: "item.torch"
    },
    {
      name: "minecraft:torchflower",
      serialization_id: "item.torchflower"
    },
    {
      name: "minecraft:torchflower_seeds",
      serialization_id: "item.torchflower_seeds"
    },
    {
      name: "minecraft:totem_of_undying",
      serialization_id: "item.totem"
    },
    {
      name: "minecraft:trader_llama_spawn_egg",
      serialization_id: "item.trader_llama_spawn_egg"
    },
    {
      name: "minecraft:trapdoor",
      serialization_id: "item.trapdoor"
    },
    {
      name: "minecraft:trapped_chest",
      serialization_id: "item.trapped_chest"
    },
    {
      name: "minecraft:trial_key",
      serialization_id: "item.trial_key.name"
    },
    {
      name: "minecraft:trial_spawner",
      serialization_id: "item.trial_spawner"
    },
    {
      name: "minecraft:trident",
      serialization_id: "item.trident"
    },
    {
      name: "minecraft:tripwire_hook",
      serialization_id: "item.tripwire_hook"
    },
    {
      name: "minecraft:tropical_fish",
      serialization_id: "item.clownfish"
    },
    {
      name: "minecraft:tropical_fish_bucket",
      serialization_id: "item.tropical_fish_bucket"
    },
    {
      name: "minecraft:tropical_fish_spawn_egg",
      serialization_id: "item.tropical_fish_spawn_egg"
    },
    {
      name: "minecraft:tube_coral",
      serialization_id: "item.tube_coral"
    },
    {
      name: "minecraft:tube_coral_block",
      serialization_id: "item.tube_coral_block"
    },
    {
      name: "minecraft:tube_coral_fan",
      serialization_id: "item.tube_coral_fan"
    },
    {
      name: "minecraft:tuff",
      serialization_id: "item.tuff"
    },
    {
      name: "minecraft:tuff_brick_slab",
      serialization_id: "item.tuff_brick_slab"
    },
    {
      name: "minecraft:tuff_brick_stairs",
      serialization_id: "item.tuff_brick_stairs"
    },
    {
      name: "minecraft:tuff_brick_wall",
      serialization_id: "item.tuff_brick_wall"
    },
    {
      name: "minecraft:tuff_bricks",
      serialization_id: "item.tuff_bricks"
    },
    {
      name: "minecraft:tuff_slab",
      serialization_id: "item.tuff_slab"
    },
    {
      name: "minecraft:tuff_stairs",
      serialization_id: "item.tuff_stairs"
    },
    {
      name: "minecraft:tuff_wall",
      serialization_id: "item.tuff_wall"
    },
    {
      name: "minecraft:turtle_egg",
      serialization_id: "item.turtle_egg"
    },
    {
      name: "minecraft:turtle_helmet",
      serialization_id: "item.turtle_helmet"
    },
    {
      name: "minecraft:turtle_scute",
      serialization_id: "item.turtle_shell_piece"
    },
    {
      name: "minecraft:turtle_spawn_egg",
      serialization_id: "item.turtle_spawn_egg"
    },
    {
      name: "minecraft:twisting_vines",
      serialization_id: "item.twisting_vines"
    },
    {
      name: "minecraft:undyed_shulker_box",
      serialization_id: "item.undyed_shulker_box"
    },
    {
      name: "minecraft:vault",
      serialization_id: "item.vault"
    },
    {
      name: "minecraft:verdant_froglight",
      serialization_id: "item.verdant_froglight"
    },
    {
      name: "minecraft:vex_armor_trim_smithing_template",
      serialization_id: "item.vex_armor_trim_smithing_template"
    },
    {
      name: "minecraft:vex_spawn_egg",
      serialization_id: "item.vex_spawn_egg"
    },
    {
      name: "minecraft:villager_spawn_egg",
      serialization_id: "item.villager_spawn_egg"
    },
    {
      name: "minecraft:vindicator_spawn_egg",
      serialization_id: "item.vindicator_spawn_egg"
    },
    {
      name: "minecraft:vine",
      serialization_id: "item.vine"
    },
    {
      name: "minecraft:wandering_trader_spawn_egg",
      serialization_id: "item.wandering_trader_spawn_egg"
    },
    {
      name: "minecraft:ward_armor_trim_smithing_template",
      serialization_id: "item.ward_armor_trim_smithing_template"
    },
    {
      name: "minecraft:warden_spawn_egg",
      serialization_id: "item.warden_spawn_egg"
    },
    {
      name: "minecraft:warped_button",
      serialization_id: "item.warped_button"
    },
    {
      name: "minecraft:warped_door",
      serialization_id: "item.warped_door"
    },
    {
      name: "minecraft:warped_fence",
      serialization_id: "item.warped_fence"
    },
    {
      name: "minecraft:warped_fence_gate",
      serialization_id: "item.warped_fence_gate"
    },
    {
      name: "minecraft:warped_fungus",
      serialization_id: "item.warped_fungus"
    },
    {
      name: "minecraft:warped_fungus_on_a_stick",
      serialization_id: "item.warped_fungus_on_a_stick.name"
    },
    {
      name: "minecraft:warped_hanging_sign",
      serialization_id: "item.warped_hanging_sign"
    },
    {
      name: "minecraft:warped_hyphae",
      serialization_id: "item.warped_hyphae"
    },
    {
      name: "minecraft:warped_nylium",
      serialization_id: "item.warped_nylium"
    },
    {
      name: "minecraft:warped_planks",
      serialization_id: "item.warped_planks"
    },
    {
      name: "minecraft:warped_pressure_plate",
      serialization_id: "item.warped_pressure_plate"
    },
    {
      name: "minecraft:warped_roots",
      serialization_id: "item.warped_roots"
    },
    {
      name: "minecraft:warped_sign",
      serialization_id: "item.warped_sign"
    },
    {
      name: "minecraft:warped_slab",
      serialization_id: "item.warped_slab"
    },
    {
      name: "minecraft:warped_stairs",
      serialization_id: "item.warped_stairs"
    },
    {
      name: "minecraft:warped_stem",
      serialization_id: "item.warped_stem"
    },
    {
      name: "minecraft:warped_trapdoor",
      serialization_id: "item.warped_trapdoor"
    },
    {
      name: "minecraft:warped_wart_block",
      serialization_id: "item.warped_wart_block"
    },
    {
      name: "minecraft:water_bucket",
      serialization_id: "item.water_bucket"
    },
    {
      name: "minecraft:waterlily",
      serialization_id: "item.waterlily"
    },
    {
      name: "minecraft:waxed_chiseled_copper",
      serialization_id: "item.waxed_chiseled_copper"
    },
    {
      name: "minecraft:waxed_copper",
      serialization_id: "item.waxed_copper"
    },
    {
      name: "minecraft:waxed_copper_bulb",
      serialization_id: "item.waxed_copper_bulb"
    },
    {
      name: "minecraft:waxed_copper_door",
      serialization_id: "item.waxed_copper_door"
    },
    {
      name: "minecraft:waxed_copper_grate",
      serialization_id: "item.waxed_copper_grate"
    },
    {
      name: "minecraft:waxed_copper_trapdoor",
      serialization_id: "item.waxed_copper_trapdoor"
    },
    {
      name: "minecraft:waxed_cut_copper",
      serialization_id: "item.waxed_cut_copper"
    },
    {
      name: "minecraft:waxed_cut_copper_slab",
      serialization_id: "item.waxed_cut_copper_slab"
    },
    {
      name: "minecraft:waxed_cut_copper_stairs",
      serialization_id: "item.waxed_cut_copper_stairs"
    },
    {
      name: "minecraft:waxed_exposed_chiseled_copper",
      serialization_id: "item.waxed_exposed_chiseled_copper"
    },
    {
      name: "minecraft:waxed_exposed_copper",
      serialization_id: "item.waxed_exposed_copper"
    },
    {
      name: "minecraft:waxed_exposed_copper_bulb",
      serialization_id: "item.waxed_exposed_copper_bulb"
    },
    {
      name: "minecraft:waxed_exposed_copper_door",
      serialization_id: "item.waxed_exposed_copper_door"
    },
    {
      name: "minecraft:waxed_exposed_copper_grate",
      serialization_id: "item.waxed_exposed_copper_grate"
    },
    {
      name: "minecraft:waxed_exposed_copper_trapdoor",
      serialization_id: "item.waxed_exposed_copper_trapdoor"
    },
    {
      name: "minecraft:waxed_exposed_cut_copper",
      serialization_id: "item.waxed_exposed_cut_copper"
    },
    {
      name: "minecraft:waxed_exposed_cut_copper_slab",
      serialization_id: "item.waxed_exposed_cut_copper_slab"
    },
    {
      name: "minecraft:waxed_exposed_cut_copper_stairs",
      serialization_id: "item.waxed_exposed_cut_copper_stairs"
    },
    {
      name: "minecraft:waxed_oxidized_chiseled_copper",
      serialization_id: "item.waxed_oxidized_chiseled_copper"
    },
    {
      name: "minecraft:waxed_oxidized_copper",
      serialization_id: "item.waxed_oxidized_copper"
    },
    {
      name: "minecraft:waxed_oxidized_copper_bulb",
      serialization_id: "item.waxed_oxidized_copper_bulb"
    },
    {
      name: "minecraft:waxed_oxidized_copper_door",
      serialization_id: "item.waxed_oxidized_copper_door"
    },
    {
      name: "minecraft:waxed_oxidized_copper_grate",
      serialization_id: "item.waxed_oxidized_copper_grate"
    },
    {
      name: "minecraft:waxed_oxidized_copper_trapdoor",
      serialization_id: "item.waxed_oxidized_copper_trapdoor"
    },
    {
      name: "minecraft:waxed_oxidized_cut_copper",
      serialization_id: "item.waxed_oxidized_cut_copper"
    },
    {
      name: "minecraft:waxed_oxidized_cut_copper_slab",
      serialization_id: "item.waxed_oxidized_cut_copper_slab"
    },
    {
      name: "minecraft:waxed_oxidized_cut_copper_stairs",
      serialization_id: "item.waxed_oxidized_cut_copper_stairs"
    },
    {
      name: "minecraft:waxed_weathered_chiseled_copper",
      serialization_id: "item.waxed_weathered_chiseled_copper"
    },
    {
      name: "minecraft:waxed_weathered_copper",
      serialization_id: "item.waxed_weathered_copper"
    },
    {
      name: "minecraft:waxed_weathered_copper_bulb",
      serialization_id: "item.waxed_weathered_copper_bulb"
    },
    {
      name: "minecraft:waxed_weathered_copper_door",
      serialization_id: "item.waxed_weathered_copper_door"
    },
    {
      name: "minecraft:waxed_weathered_copper_grate",
      serialization_id: "item.waxed_weathered_copper_grate"
    },
    {
      name: "minecraft:waxed_weathered_copper_trapdoor",
      serialization_id: "item.waxed_weathered_copper_trapdoor"
    },
    {
      name: "minecraft:waxed_weathered_cut_copper",
      serialization_id: "item.waxed_weathered_cut_copper"
    },
    {
      name: "minecraft:waxed_weathered_cut_copper_slab",
      serialization_id: "item.waxed_weathered_cut_copper_slab"
    },
    {
      name: "minecraft:waxed_weathered_cut_copper_stairs",
      serialization_id: "item.waxed_weathered_cut_copper_stairs"
    },
    {
      name: "minecraft:wayfinder_armor_trim_smithing_template",
      serialization_id: "item.wayfinder_armor_trim_smithing_template"
    },
    {
      name: "minecraft:weathered_chiseled_copper",
      serialization_id: "item.weathered_chiseled_copper"
    },
    {
      name: "minecraft:weathered_copper",
      serialization_id: "item.weathered_copper"
    },
    {
      name: "minecraft:weathered_copper_bulb",
      serialization_id: "item.weathered_copper_bulb"
    },
    {
      name: "minecraft:weathered_copper_door",
      serialization_id: "item.weathered_copper_door"
    },
    {
      name: "minecraft:weathered_copper_grate",
      serialization_id: "item.weathered_copper_grate"
    },
    {
      name: "minecraft:weathered_copper_trapdoor",
      serialization_id: "item.weathered_copper_trapdoor"
    },
    {
      name: "minecraft:weathered_cut_copper",
      serialization_id: "item.weathered_cut_copper"
    },
    {
      name: "minecraft:weathered_cut_copper_slab",
      serialization_id: "item.weathered_cut_copper_slab"
    },
    {
      name: "minecraft:weathered_cut_copper_stairs",
      serialization_id: "item.weathered_cut_copper_stairs"
    },
    {
      name: "minecraft:web",
      serialization_id: "item.web"
    },
    {
      name: "minecraft:weeping_vines",
      serialization_id: "item.weeping_vines"
    },
    {
      name: "minecraft:wet_sponge",
      serialization_id: "item.wet_sponge"
    },
    {
      name: "minecraft:wheat",
      serialization_id: "item.wheat"
    },
    {
      name: "minecraft:wheat_seeds",
      serialization_id: "item.wheat_seeds"
    },
    {
      name: "minecraft:white_candle",
      serialization_id: "item.white_candle"
    },
    {
      name: "minecraft:white_carpet",
      serialization_id: "item.white_carpet"
    },
    {
      name: "minecraft:white_concrete",
      serialization_id: "item.white_concrete"
    },
    {
      name: "minecraft:white_concrete_powder",
      serialization_id: "item.white_concrete_powder"
    },
    {
      name: "minecraft:white_dye",
      serialization_id: "item.white_dye"
    },
    {
      name: "minecraft:white_glazed_terracotta",
      serialization_id: "item.white_glazed_terracotta"
    },
    {
      name: "minecraft:white_shulker_box",
      serialization_id: "item.white_shulker_box"
    },
    {
      name: "minecraft:white_stained_glass",
      serialization_id: "item.white_stained_glass"
    },
    {
      name: "minecraft:white_stained_glass_pane",
      serialization_id: "item.white_stained_glass_pane"
    },
    {
      name: "minecraft:white_terracotta",
      serialization_id: "item.white_terracotta"
    },
    {
      name: "minecraft:white_tulip",
      serialization_id: "item.white_tulip"
    },
    {
      name: "minecraft:white_wool",
      serialization_id: "item.white_wool"
    },
    {
      name: "minecraft:wild_armor_trim_smithing_template",
      serialization_id: "item.wild_armor_trim_smithing_template"
    },
    {
      name: "minecraft:wind_charge",
      serialization_id: "item.wind_charge.name"
    },
    {
      name: "minecraft:witch_spawn_egg",
      serialization_id: "item.witch_spawn_egg"
    },
    {
      name: "minecraft:wither_rose",
      serialization_id: "item.wither_rose"
    },
    {
      name: "minecraft:wither_skeleton_spawn_egg",
      serialization_id: "item.wither_skeleton_spawn_egg"
    },
    {
      name: "minecraft:wither_spawn_egg",
      serialization_id: "item.wither_spawn_egg"
    },
    {
      name: "minecraft:wolf_armor",
      serialization_id: "item.wolf_armor"
    },
    {
      name: "minecraft:wolf_spawn_egg",
      serialization_id: "item.wolf_spawn_egg"
    },
    {
      name: "minecraft:wooden_axe",
      serialization_id: "item.wooden_axe"
    },
    {
      name: "minecraft:wooden_button",
      serialization_id: "item.wooden_button"
    },
    {
      name: "minecraft:wooden_door",
      serialization_id: "item.wooden_door"
    },
    {
      name: "minecraft:wooden_hoe",
      serialization_id: "item.wooden_hoe"
    },
    {
      name: "minecraft:wooden_pickaxe",
      serialization_id: "item.wooden_pickaxe"
    },
    {
      name: "minecraft:wooden_pressure_plate",
      serialization_id: "item.wooden_pressure_plate"
    },
    {
      name: "minecraft:wooden_shovel",
      serialization_id: "item.wooden_shovel"
    },
    {
      name: "minecraft:wooden_sword",
      serialization_id: "item.wooden_sword"
    },
    {
      name: "minecraft:writable_book",
      serialization_id: "item.writable_book"
    },
    {
      name: "minecraft:yellow_candle",
      serialization_id: "item.yellow_candle"
    },
    {
      name: "minecraft:yellow_carpet",
      serialization_id: "item.yellow_carpet"
    },
    {
      name: "minecraft:yellow_concrete",
      serialization_id: "item.yellow_concrete"
    },
    {
      name: "minecraft:yellow_concrete_powder",
      serialization_id: "item.yellow_concrete_powder"
    },
    {
      name: "minecraft:yellow_dye",
      serialization_id: "item.yellow_dye"
    },
    {
      name: "minecraft:yellow_glazed_terracotta",
      serialization_id: "item.yellow_glazed_terracotta"
    },
    {
      name: "minecraft:yellow_shulker_box",
      serialization_id: "item.yellow_shulker_box"
    },
    {
      name: "minecraft:yellow_stained_glass",
      serialization_id: "item.yellow_stained_glass"
    },
    {
      name: "minecraft:yellow_stained_glass_pane",
      serialization_id: "item.yellow_stained_glass_pane"
    },
    {
      name: "minecraft:yellow_terracotta",
      serialization_id: "item.yellow_terracotta"
    },
    {
      name: "minecraft:yellow_wool",
      serialization_id: "item.yellow_wool"
    },
    {
      name: "minecraft:zoglin_spawn_egg",
      serialization_id: "item.zoglin_spawn_egg"
    },
    {
      name: "minecraft:zombie_horse_spawn_egg",
      serialization_id: "item.zombie_horse_spawn_egg"
    },
    {
      name: "minecraft:zombie_pigman_spawn_egg",
      serialization_id: "item.zombie_pigman_spawn_egg"
    },
    {
      name: "minecraft:zombie_spawn_egg",
      serialization_id: "item.zombie_spawn_egg"
    },
    {
      name: "minecraft:zombie_villager_spawn_egg",
      serialization_id: "item.zombie_villager_spawn_egg"
    }
  ],
  minecraft_version: "1.21.30",
  module_type: "vanilla_data",
  name: "mojang-item",
  vanilla_data_type: "item"
};

// assets/data/mojang-blocks.json
var mojang_blocks_default = {
  data_items: [
    {
      name: "minecraft:acacia_button",
      serialization_id: "tile.acacia_button"
    },
    {
      name: "minecraft:acacia_door",
      serialization_id: "tile.acacia_door"
    },
    {
      name: "minecraft:acacia_double_slab",
      serialization_id: "tile.double_wooden_slab.acacia"
    },
    {
      name: "minecraft:acacia_fence",
      serialization_id: "tile.acacia_fence"
    },
    {
      name: "minecraft:acacia_fence_gate",
      serialization_id: "tile.acacia_fence_gate"
    },
    {
      name: "minecraft:acacia_hanging_sign",
      serialization_id: "tile.acacia_hanging_sign"
    },
    {
      name: "minecraft:acacia_leaves",
      serialization_id: "tile.leaves.acacia"
    },
    {
      name: "minecraft:acacia_log",
      serialization_id: "tile.log.acacia"
    },
    {
      name: "minecraft:acacia_planks",
      serialization_id: "tile.acacia_planks"
    },
    {
      name: "minecraft:acacia_pressure_plate",
      serialization_id: "tile.acacia_pressure_plate"
    },
    {
      name: "minecraft:acacia_sapling",
      serialization_id: "tile.sapling.acacia"
    },
    {
      name: "minecraft:acacia_slab",
      serialization_id: "tile.wooden_slab.acacia"
    },
    {
      name: "minecraft:acacia_stairs",
      serialization_id: "tile.acacia_stairs"
    },
    {
      name: "minecraft:acacia_standing_sign",
      serialization_id: "tile.acacia_standing_sign"
    },
    {
      name: "minecraft:acacia_trapdoor",
      serialization_id: "tile.acacia_trapdoor"
    },
    {
      name: "minecraft:acacia_wall_sign",
      serialization_id: "tile.acacia_wall_sign"
    },
    {
      name: "minecraft:acacia_wood",
      serialization_id: "tile.wood.acacia"
    },
    {
      name: "minecraft:activator_rail",
      serialization_id: "tile.activator_rail"
    },
    {
      name: "minecraft:air",
      serialization_id: "tile.air"
    },
    {
      name: "minecraft:allium",
      serialization_id: "tile.red_flower.allium"
    },
    {
      name: "minecraft:allow",
      serialization_id: "tile.allow"
    },
    {
      name: "minecraft:amethyst_block",
      serialization_id: "tile.amethyst_block"
    },
    {
      name: "minecraft:amethyst_cluster",
      serialization_id: "tile.amethyst_cluster"
    },
    {
      name: "minecraft:ancient_debris",
      serialization_id: "tile.ancient_debris"
    },
    {
      name: "minecraft:andesite",
      serialization_id: "tile.stone.andesite"
    },
    {
      name: "minecraft:andesite_double_slab",
      serialization_id: "tile.double_stone_slab3.andesite"
    },
    {
      name: "minecraft:andesite_slab",
      serialization_id: "tile.stone_slab3.andesite"
    },
    {
      name: "minecraft:andesite_stairs",
      serialization_id: "tile.andesite_stairs"
    },
    {
      name: "minecraft:andesite_wall",
      serialization_id: "tile.cobblestone_wall.andesite"
    },
    {
      name: "minecraft:anvil",
      serialization_id: "tile.anvil.intact"
    },
    {
      name: "minecraft:azalea",
      serialization_id: "tile.azalea"
    },
    {
      name: "minecraft:azalea_leaves",
      serialization_id: "tile.azalea_leaves"
    },
    {
      name: "minecraft:azalea_leaves_flowered",
      serialization_id: "tile.azalea_leaves_flowered"
    },
    {
      name: "minecraft:azure_bluet",
      serialization_id: "tile.red_flower.houstonia"
    },
    {
      name: "minecraft:bamboo",
      serialization_id: "tile.bamboo"
    },
    {
      name: "minecraft:bamboo_block",
      serialization_id: "tile.bamboo_block"
    },
    {
      name: "minecraft:bamboo_button",
      serialization_id: "tile.bamboo_button"
    },
    {
      name: "minecraft:bamboo_door",
      serialization_id: "tile.bamboo_door"
    },
    {
      name: "minecraft:bamboo_double_slab",
      serialization_id: "tile.bamboo_double_slab"
    },
    {
      name: "minecraft:bamboo_fence",
      serialization_id: "tile.bamboo_fence"
    },
    {
      name: "minecraft:bamboo_fence_gate",
      serialization_id: "tile.bamboo_fence_gate"
    },
    {
      name: "minecraft:bamboo_hanging_sign",
      serialization_id: "tile.bamboo_hanging_sign"
    },
    {
      name: "minecraft:bamboo_mosaic",
      serialization_id: "tile.bamboo_mosaic"
    },
    {
      name: "minecraft:bamboo_mosaic_double_slab",
      serialization_id: "tile.bamboo_mosaic_double_slab"
    },
    {
      name: "minecraft:bamboo_mosaic_slab",
      serialization_id: "tile.bamboo_mosaic_slab"
    },
    {
      name: "minecraft:bamboo_mosaic_stairs",
      serialization_id: "tile.bamboo_mosaic_stairs"
    },
    {
      name: "minecraft:bamboo_planks",
      serialization_id: "tile.bamboo_planks"
    },
    {
      name: "minecraft:bamboo_pressure_plate",
      serialization_id: "tile.bamboo_pressure_plate"
    },
    {
      name: "minecraft:bamboo_sapling",
      serialization_id: "tile.bamboo_sapling"
    },
    {
      name: "minecraft:bamboo_slab",
      serialization_id: "tile.bamboo_slab"
    },
    {
      name: "minecraft:bamboo_stairs",
      serialization_id: "tile.bamboo_stairs"
    },
    {
      name: "minecraft:bamboo_standing_sign",
      serialization_id: "tile.bamboo_standing_sign"
    },
    {
      name: "minecraft:bamboo_trapdoor",
      serialization_id: "tile.bamboo_trapdoor"
    },
    {
      name: "minecraft:bamboo_wall_sign",
      serialization_id: "tile.bamboo_wall_sign"
    },
    {
      name: "minecraft:barrel",
      serialization_id: "tile.barrel"
    },
    {
      name: "minecraft:barrier",
      serialization_id: "tile.barrier"
    },
    {
      name: "minecraft:basalt",
      serialization_id: "tile.basalt"
    },
    {
      name: "minecraft:beacon",
      serialization_id: "tile.beacon"
    },
    {
      name: "minecraft:bed",
      serialization_id: "tile.bed"
    },
    {
      name: "minecraft:bedrock",
      serialization_id: "tile.bedrock"
    },
    {
      name: "minecraft:bee_nest",
      serialization_id: "tile.bee_nest"
    },
    {
      name: "minecraft:beehive",
      serialization_id: "tile.beehive"
    },
    {
      name: "minecraft:beetroot",
      serialization_id: "tile.beetroot"
    },
    {
      name: "minecraft:bell",
      serialization_id: "tile.bell"
    },
    {
      name: "minecraft:big_dripleaf",
      serialization_id: "tile.big_dripleaf"
    },
    {
      name: "minecraft:birch_button",
      serialization_id: "tile.birch_button"
    },
    {
      name: "minecraft:birch_door",
      serialization_id: "tile.birch_door"
    },
    {
      name: "minecraft:birch_double_slab",
      serialization_id: "tile.double_wooden_slab.birch"
    },
    {
      name: "minecraft:birch_fence",
      serialization_id: "tile.birch_fence"
    },
    {
      name: "minecraft:birch_fence_gate",
      serialization_id: "tile.birch_fence_gate"
    },
    {
      name: "minecraft:birch_hanging_sign",
      serialization_id: "tile.birch_hanging_sign"
    },
    {
      name: "minecraft:birch_leaves",
      serialization_id: "tile.leaves.birch"
    },
    {
      name: "minecraft:birch_log",
      serialization_id: "tile.log.birch"
    },
    {
      name: "minecraft:birch_planks",
      serialization_id: "tile.birch_planks"
    },
    {
      name: "minecraft:birch_pressure_plate",
      serialization_id: "tile.birch_pressure_plate"
    },
    {
      name: "minecraft:birch_sapling",
      serialization_id: "tile.sapling.birch"
    },
    {
      name: "minecraft:birch_slab",
      serialization_id: "tile.wooden_slab.birch"
    },
    {
      name: "minecraft:birch_stairs",
      serialization_id: "tile.birch_stairs"
    },
    {
      name: "minecraft:birch_standing_sign",
      serialization_id: "tile.birch_standing_sign"
    },
    {
      name: "minecraft:birch_trapdoor",
      serialization_id: "tile.birch_trapdoor"
    },
    {
      name: "minecraft:birch_wall_sign",
      serialization_id: "tile.birch_wall_sign"
    },
    {
      name: "minecraft:birch_wood",
      serialization_id: "tile.wood.birch"
    },
    {
      name: "minecraft:black_candle",
      serialization_id: "tile.black_candle"
    },
    {
      name: "minecraft:black_candle_cake",
      serialization_id: "tile.black_candle_cake"
    },
    {
      name: "minecraft:black_carpet",
      serialization_id: "tile.carpet.black"
    },
    {
      name: "minecraft:black_concrete",
      serialization_id: "tile.concrete.black"
    },
    {
      name: "minecraft:black_concrete_powder",
      serialization_id: "tile.concretePowder.black"
    },
    {
      name: "minecraft:black_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.black"
    },
    {
      name: "minecraft:black_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:black_stained_glass",
      serialization_id: "tile.stained_glass.black"
    },
    {
      name: "minecraft:black_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.black"
    },
    {
      name: "minecraft:black_terracotta",
      serialization_id: "tile.stained_hardened_clay.black"
    },
    {
      name: "minecraft:black_wool",
      serialization_id: "tile.wool.black"
    },
    {
      name: "minecraft:blackstone",
      serialization_id: "tile.blackstone"
    },
    {
      name: "minecraft:blackstone_double_slab",
      serialization_id: "tile.blackstone_double_slab"
    },
    {
      name: "minecraft:blackstone_slab",
      serialization_id: "tile.blackstone_slab"
    },
    {
      name: "minecraft:blackstone_stairs",
      serialization_id: "tile.blackstone_stairs"
    },
    {
      name: "minecraft:blackstone_wall",
      serialization_id: "tile.blackstone_wall"
    },
    {
      name: "minecraft:blast_furnace",
      serialization_id: "tile.blast_furnace"
    },
    {
      name: "minecraft:blue_candle",
      serialization_id: "tile.blue_candle"
    },
    {
      name: "minecraft:blue_candle_cake",
      serialization_id: "tile.blue_candle_cake"
    },
    {
      name: "minecraft:blue_carpet",
      serialization_id: "tile.carpet.blue"
    },
    {
      name: "minecraft:blue_concrete",
      serialization_id: "tile.concrete.blue"
    },
    {
      name: "minecraft:blue_concrete_powder",
      serialization_id: "tile.concretePowder.blue"
    },
    {
      name: "minecraft:blue_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.blue"
    },
    {
      name: "minecraft:blue_ice",
      serialization_id: "tile.blue_ice"
    },
    {
      name: "minecraft:blue_orchid",
      serialization_id: "tile.red_flower.blueOrchid"
    },
    {
      name: "minecraft:blue_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:blue_stained_glass",
      serialization_id: "tile.stained_glass.blue"
    },
    {
      name: "minecraft:blue_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.blue"
    },
    {
      name: "minecraft:blue_terracotta",
      serialization_id: "tile.stained_hardened_clay.blue"
    },
    {
      name: "minecraft:blue_wool",
      serialization_id: "tile.wool.blue"
    },
    {
      name: "minecraft:bone_block",
      serialization_id: "tile.bone_block"
    },
    {
      name: "minecraft:bookshelf",
      serialization_id: "tile.bookshelf"
    },
    {
      name: "minecraft:border_block",
      serialization_id: "tile.border_block"
    },
    {
      name: "minecraft:brain_coral",
      serialization_id: "tile.coral.pink"
    },
    {
      name: "minecraft:brain_coral_block",
      serialization_id: "tile.coral_block.pink"
    },
    {
      name: "minecraft:brain_coral_fan",
      serialization_id: "tile.coral_fan.pink_fan"
    },
    {
      name: "minecraft:brain_coral_wall_fan",
      serialization_id: "tile.brain_coral_wall_fan"
    },
    {
      name: "minecraft:brewing_stand",
      serialization_id: "tile.brewing_stand"
    },
    {
      name: "minecraft:brick_block",
      serialization_id: "tile.brick_block"
    },
    {
      name: "minecraft:brick_double_slab",
      serialization_id: "tile.double_stone_slab.brick"
    },
    {
      name: "minecraft:brick_slab",
      serialization_id: "tile.stone_slab.brick"
    },
    {
      name: "minecraft:brick_stairs",
      serialization_id: "tile.brick_stairs"
    },
    {
      name: "minecraft:brick_wall",
      serialization_id: "tile.cobblestone_wall.brick"
    },
    {
      name: "minecraft:brown_candle",
      serialization_id: "tile.brown_candle"
    },
    {
      name: "minecraft:brown_candle_cake",
      serialization_id: "tile.brown_candle_cake"
    },
    {
      name: "minecraft:brown_carpet",
      serialization_id: "tile.carpet.brown"
    },
    {
      name: "minecraft:brown_concrete",
      serialization_id: "tile.concrete.brown"
    },
    {
      name: "minecraft:brown_concrete_powder",
      serialization_id: "tile.concretePowder.brown"
    },
    {
      name: "minecraft:brown_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.brown"
    },
    {
      name: "minecraft:brown_mushroom",
      serialization_id: "tile.brown_mushroom"
    },
    {
      name: "minecraft:brown_mushroom_block",
      serialization_id: "tile.brown_mushroom_block"
    },
    {
      name: "minecraft:brown_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:brown_stained_glass",
      serialization_id: "tile.stained_glass.brown"
    },
    {
      name: "minecraft:brown_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.brown"
    },
    {
      name: "minecraft:brown_terracotta",
      serialization_id: "tile.stained_hardened_clay.brown"
    },
    {
      name: "minecraft:brown_wool",
      serialization_id: "tile.wool.brown"
    },
    {
      name: "minecraft:bubble_column",
      serialization_id: "tile.bubble_column"
    },
    {
      name: "minecraft:bubble_coral",
      serialization_id: "tile.coral.purple"
    },
    {
      name: "minecraft:bubble_coral_block",
      serialization_id: "tile.coral_block.purple"
    },
    {
      name: "minecraft:bubble_coral_fan",
      serialization_id: "tile.coral_fan.purple_fan"
    },
    {
      name: "minecraft:bubble_coral_wall_fan",
      serialization_id: "tile.bubble_coral_wall_fan"
    },
    {
      name: "minecraft:budding_amethyst",
      serialization_id: "tile.budding_amethyst"
    },
    {
      name: "minecraft:cactus",
      serialization_id: "tile.cactus"
    },
    {
      name: "minecraft:cake",
      serialization_id: "tile.cake"
    },
    {
      name: "minecraft:calcite",
      serialization_id: "tile.calcite"
    },
    {
      name: "minecraft:calibrated_sculk_sensor",
      serialization_id: "tile.calibrated_sculk_sensor"
    },
    {
      name: "minecraft:camera",
      serialization_id: "tile.camera"
    },
    {
      name: "minecraft:campfire",
      serialization_id: "tile.campfire"
    },
    {
      name: "minecraft:candle",
      serialization_id: "tile.candle"
    },
    {
      name: "minecraft:candle_cake",
      serialization_id: "tile.candle_cake"
    },
    {
      name: "minecraft:carrots",
      serialization_id: "tile.carrots"
    },
    {
      name: "minecraft:cartography_table",
      serialization_id: "tile.cartography_table"
    },
    {
      name: "minecraft:carved_pumpkin",
      serialization_id: "tile.carved_pumpkin"
    },
    {
      name: "minecraft:cauldron",
      serialization_id: "tile.cauldron"
    },
    {
      name: "minecraft:cave_vines",
      serialization_id: "tile.cave_vines"
    },
    {
      name: "minecraft:cave_vines_body_with_berries",
      serialization_id: "tile.cave_vines_body_with_berries"
    },
    {
      name: "minecraft:cave_vines_head_with_berries",
      serialization_id: "tile.cave_vines_head_with_berries"
    },
    {
      name: "minecraft:chain",
      serialization_id: "tile.chain"
    },
    {
      name: "minecraft:chain_command_block",
      serialization_id: "tile.chain_command_block"
    },
    {
      name: "minecraft:chemical_heat",
      serialization_id: "tile.chemical_heat"
    },
    {
      name: "minecraft:cherry_button",
      serialization_id: "tile.cherry_button"
    },
    {
      name: "minecraft:cherry_door",
      serialization_id: "tile.cherry_door"
    },
    {
      name: "minecraft:cherry_double_slab",
      serialization_id: "tile.cherry_double_slab"
    },
    {
      name: "minecraft:cherry_fence",
      serialization_id: "tile.cherry_fence"
    },
    {
      name: "minecraft:cherry_fence_gate",
      serialization_id: "tile.cherry_fence_gate"
    },
    {
      name: "minecraft:cherry_hanging_sign",
      serialization_id: "tile.cherry_hanging_sign"
    },
    {
      name: "minecraft:cherry_leaves",
      serialization_id: "tile.cherry_leaves"
    },
    {
      name: "minecraft:cherry_log",
      serialization_id: "tile.cherry_log"
    },
    {
      name: "minecraft:cherry_planks",
      serialization_id: "tile.cherry_planks"
    },
    {
      name: "minecraft:cherry_pressure_plate",
      serialization_id: "tile.cherry_pressure_plate"
    },
    {
      name: "minecraft:cherry_sapling",
      serialization_id: "tile.cherry_sapling"
    },
    {
      name: "minecraft:cherry_slab",
      serialization_id: "tile.cherry_slab"
    },
    {
      name: "minecraft:cherry_stairs",
      serialization_id: "tile.cherry_stairs"
    },
    {
      name: "minecraft:cherry_standing_sign",
      serialization_id: "tile.cherry_standing_sign"
    },
    {
      name: "minecraft:cherry_trapdoor",
      serialization_id: "tile.cherry_trapdoor"
    },
    {
      name: "minecraft:cherry_wall_sign",
      serialization_id: "tile.cherry_wall_sign"
    },
    {
      name: "minecraft:cherry_wood",
      serialization_id: "tile.cherry_wood"
    },
    {
      name: "minecraft:chest",
      serialization_id: "tile.chest"
    },
    {
      name: "minecraft:chipped_anvil",
      serialization_id: "tile.anvil.slightlyDamaged"
    },
    {
      name: "minecraft:chiseled_bookshelf",
      serialization_id: "tile.chiseled_bookshelf"
    },
    {
      name: "minecraft:chiseled_copper",
      serialization_id: "tile.chiseled_copper"
    },
    {
      name: "minecraft:chiseled_deepslate",
      serialization_id: "tile.chiseled_deepslate"
    },
    {
      name: "minecraft:chiseled_nether_bricks",
      serialization_id: "tile.chiseled_nether_bricks"
    },
    {
      name: "minecraft:chiseled_polished_blackstone",
      serialization_id: "tile.chiseled_polished_blackstone"
    },
    {
      name: "minecraft:chiseled_quartz_block",
      serialization_id: "tile.quartz_block.chiseled"
    },
    {
      name: "minecraft:chiseled_red_sandstone",
      serialization_id: "tile.red_sandstone.chiseled"
    },
    {
      name: "minecraft:chiseled_sandstone",
      serialization_id: "tile.sandstone.chiseled"
    },
    {
      name: "minecraft:chiseled_stone_bricks",
      serialization_id: "tile.stonebrick.chiseled"
    },
    {
      name: "minecraft:chiseled_tuff",
      serialization_id: "tile.chiseled_tuff"
    },
    {
      name: "minecraft:chiseled_tuff_bricks",
      serialization_id: "tile.chiseled_tuff_bricks"
    },
    {
      name: "minecraft:chorus_flower",
      serialization_id: "tile.chorus_flower"
    },
    {
      name: "minecraft:chorus_plant",
      serialization_id: "tile.chorus_plant"
    },
    {
      name: "minecraft:clay",
      serialization_id: "tile.clay"
    },
    {
      name: "minecraft:client_request_placeholder_block",
      serialization_id: "tile.client_request_placeholder_block"
    },
    {
      name: "minecraft:coal_block",
      serialization_id: "tile.coal_block"
    },
    {
      name: "minecraft:coal_ore",
      serialization_id: "tile.coal_ore"
    },
    {
      name: "minecraft:coarse_dirt",
      serialization_id: "tile.dirt.coarse"
    },
    {
      name: "minecraft:cobbled_deepslate",
      serialization_id: "tile.cobbled_deepslate"
    },
    {
      name: "minecraft:cobbled_deepslate_double_slab",
      serialization_id: "tile.cobbled_deepslate_double_slab"
    },
    {
      name: "minecraft:cobbled_deepslate_slab",
      serialization_id: "tile.cobbled_deepslate_slab"
    },
    {
      name: "minecraft:cobbled_deepslate_stairs",
      serialization_id: "tile.cobbled_deepslate_stairs"
    },
    {
      name: "minecraft:cobbled_deepslate_wall",
      serialization_id: "tile.cobbled_deepslate_wall"
    },
    {
      name: "minecraft:cobblestone",
      serialization_id: "tile.cobblestone"
    },
    {
      name: "minecraft:cobblestone_double_slab",
      serialization_id: "tile.double_stone_slab.cobble"
    },
    {
      name: "minecraft:cobblestone_slab",
      serialization_id: "tile.stone_slab.cobble"
    },
    {
      name: "minecraft:cobblestone_wall",
      serialization_id: "tile.cobblestone_wall.normal"
    },
    {
      name: "minecraft:cocoa",
      serialization_id: "tile.cocoa"
    },
    {
      name: "minecraft:colored_torch_blue",
      serialization_id: "tile.colored_torch.blue"
    },
    {
      name: "minecraft:colored_torch_green",
      serialization_id: "tile.colored_torch.green"
    },
    {
      name: "minecraft:colored_torch_purple",
      serialization_id: "tile.colored_torch.purple"
    },
    {
      name: "minecraft:colored_torch_red",
      serialization_id: "tile.colored_torch.red"
    },
    {
      name: "minecraft:command_block",
      serialization_id: "tile.command_block"
    },
    {
      name: "minecraft:composter",
      serialization_id: "tile.composter"
    },
    {
      name: "minecraft:compound_creator",
      serialization_id: "tile.compoundcreator"
    },
    {
      name: "minecraft:conduit",
      serialization_id: "tile.conduit"
    },
    {
      name: "minecraft:copper_block",
      serialization_id: "tile.copper_block"
    },
    {
      name: "minecraft:copper_bulb",
      serialization_id: "tile.copper_bulb"
    },
    {
      name: "minecraft:copper_door",
      serialization_id: "tile.copper_door"
    },
    {
      name: "minecraft:copper_grate",
      serialization_id: "tile.copper_grate"
    },
    {
      name: "minecraft:copper_ore",
      serialization_id: "tile.copper_ore"
    },
    {
      name: "minecraft:copper_trapdoor",
      serialization_id: "tile.copper_trapdoor"
    },
    {
      name: "minecraft:cornflower",
      serialization_id: "tile.red_flower.cornflower"
    },
    {
      name: "minecraft:cracked_deepslate_bricks",
      serialization_id: "tile.cracked_deepslate_bricks"
    },
    {
      name: "minecraft:cracked_deepslate_tiles",
      serialization_id: "tile.cracked_deepslate_tiles"
    },
    {
      name: "minecraft:cracked_nether_bricks",
      serialization_id: "tile.cracked_nether_bricks"
    },
    {
      name: "minecraft:cracked_polished_blackstone_bricks",
      serialization_id: "tile.cracked_polished_blackstone_bricks"
    },
    {
      name: "minecraft:cracked_stone_bricks",
      serialization_id: "tile.stonebrick.cracked"
    },
    {
      name: "minecraft:crafter",
      serialization_id: "tile.crafter"
    },
    {
      name: "minecraft:crafting_table",
      serialization_id: "tile.crafting_table"
    },
    {
      name: "minecraft:crimson_button",
      serialization_id: "tile.crimson_button"
    },
    {
      name: "minecraft:crimson_door",
      serialization_id: "tile.crimson_door"
    },
    {
      name: "minecraft:crimson_double_slab",
      serialization_id: "tile.crimson_double_slab"
    },
    {
      name: "minecraft:crimson_fence",
      serialization_id: "tile.crimson_fence"
    },
    {
      name: "minecraft:crimson_fence_gate",
      serialization_id: "tile.crimson_fence_gate"
    },
    {
      name: "minecraft:crimson_fungus",
      serialization_id: "tile.crimson_fungus"
    },
    {
      name: "minecraft:crimson_hanging_sign",
      serialization_id: "tile.crimson_hanging_sign"
    },
    {
      name: "minecraft:crimson_hyphae",
      serialization_id: "tile.crimson_hyphae"
    },
    {
      name: "minecraft:crimson_nylium",
      serialization_id: "tile.crimson_nylium"
    },
    {
      name: "minecraft:crimson_planks",
      serialization_id: "tile.crimson_planks"
    },
    {
      name: "minecraft:crimson_pressure_plate",
      serialization_id: "tile.crimson_pressure_plate"
    },
    {
      name: "minecraft:crimson_roots",
      serialization_id: "tile.crimson_roots.crimsonRoots"
    },
    {
      name: "minecraft:crimson_slab",
      serialization_id: "tile.crimson_slab"
    },
    {
      name: "minecraft:crimson_stairs",
      serialization_id: "tile.crimson_stairs"
    },
    {
      name: "minecraft:crimson_standing_sign",
      serialization_id: "tile.crimson_standing_sign"
    },
    {
      name: "minecraft:crimson_stem",
      serialization_id: "tile.crimson_stem"
    },
    {
      name: "minecraft:crimson_trapdoor",
      serialization_id: "tile.crimson_trapdoor"
    },
    {
      name: "minecraft:crimson_wall_sign",
      serialization_id: "tile.crimson_wall_sign"
    },
    {
      name: "minecraft:crying_obsidian",
      serialization_id: "tile.crying_obsidian"
    },
    {
      name: "minecraft:cut_copper",
      serialization_id: "tile.cut_copper"
    },
    {
      name: "minecraft:cut_copper_slab",
      serialization_id: "tile.cut_copper_slab"
    },
    {
      name: "minecraft:cut_copper_stairs",
      serialization_id: "tile.cut_copper_stairs"
    },
    {
      name: "minecraft:cut_red_sandstone",
      serialization_id: "tile.red_sandstone.cut"
    },
    {
      name: "minecraft:cut_red_sandstone_double_slab",
      serialization_id: "tile.double_stone_slab4.cut_red_sandstone"
    },
    {
      name: "minecraft:cut_red_sandstone_slab",
      serialization_id: "tile.stone_slab4.cut_red_sandstone"
    },
    {
      name: "minecraft:cut_sandstone",
      serialization_id: "tile.sandstone.cut"
    },
    {
      name: "minecraft:cut_sandstone_double_slab",
      serialization_id: "tile.double_stone_slab4.cut_sandstone"
    },
    {
      name: "minecraft:cut_sandstone_slab",
      serialization_id: "tile.stone_slab4.cut_sandstone"
    },
    {
      name: "minecraft:cyan_candle",
      serialization_id: "tile.cyan_candle"
    },
    {
      name: "minecraft:cyan_candle_cake",
      serialization_id: "tile.cyan_candle_cake"
    },
    {
      name: "minecraft:cyan_carpet",
      serialization_id: "tile.carpet.cyan"
    },
    {
      name: "minecraft:cyan_concrete",
      serialization_id: "tile.concrete.cyan"
    },
    {
      name: "minecraft:cyan_concrete_powder",
      serialization_id: "tile.concretePowder.cyan"
    },
    {
      name: "minecraft:cyan_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.cyan"
    },
    {
      name: "minecraft:cyan_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:cyan_stained_glass",
      serialization_id: "tile.stained_glass.cyan"
    },
    {
      name: "minecraft:cyan_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.cyan"
    },
    {
      name: "minecraft:cyan_terracotta",
      serialization_id: "tile.stained_hardened_clay.cyan"
    },
    {
      name: "minecraft:cyan_wool",
      serialization_id: "tile.wool.cyan"
    },
    {
      name: "minecraft:damaged_anvil",
      serialization_id: "tile.anvil.veryDamaged"
    },
    {
      name: "minecraft:dandelion",
      serialization_id: "tile.yellow_flower.dandelion"
    },
    {
      name: "minecraft:dark_oak_button",
      serialization_id: "tile.dark_oak_button"
    },
    {
      name: "minecraft:dark_oak_door",
      serialization_id: "tile.dark_oak_door"
    },
    {
      name: "minecraft:dark_oak_double_slab",
      serialization_id: "tile.double_wooden_slab.big_oak"
    },
    {
      name: "minecraft:dark_oak_fence",
      serialization_id: "tile.dark_oak_fence"
    },
    {
      name: "minecraft:dark_oak_fence_gate",
      serialization_id: "tile.dark_oak_fence_gate"
    },
    {
      name: "minecraft:dark_oak_hanging_sign",
      serialization_id: "tile.dark_oak_hanging_sign"
    },
    {
      name: "minecraft:dark_oak_leaves",
      serialization_id: "tile.leaves.big_oak"
    },
    {
      name: "minecraft:dark_oak_log",
      serialization_id: "tile.log.big_oak"
    },
    {
      name: "minecraft:dark_oak_planks",
      serialization_id: "tile.dark_oak_planks"
    },
    {
      name: "minecraft:dark_oak_pressure_plate",
      serialization_id: "tile.dark_oak_pressure_plate"
    },
    {
      name: "minecraft:dark_oak_sapling",
      serialization_id: "tile.sapling.big_oak"
    },
    {
      name: "minecraft:dark_oak_slab",
      serialization_id: "tile.wooden_slab.big_oak"
    },
    {
      name: "minecraft:dark_oak_stairs",
      serialization_id: "tile.dark_oak_stairs"
    },
    {
      name: "minecraft:dark_oak_trapdoor",
      serialization_id: "tile.dark_oak_trapdoor"
    },
    {
      name: "minecraft:dark_oak_wood",
      serialization_id: "tile.wood.dark_oak"
    },
    {
      name: "minecraft:dark_prismarine",
      serialization_id: "tile.prismarine.dark"
    },
    {
      name: "minecraft:dark_prismarine_double_slab",
      serialization_id: "tile.double_stone_slab2.prismarine.dark"
    },
    {
      name: "minecraft:dark_prismarine_slab",
      serialization_id: "tile.stone_slab2.prismarine.dark"
    },
    {
      name: "minecraft:dark_prismarine_stairs",
      serialization_id: "tile.dark_prismarine_stairs"
    },
    {
      name: "minecraft:darkoak_standing_sign",
      serialization_id: "tile.darkoak_standing_sign"
    },
    {
      name: "minecraft:darkoak_wall_sign",
      serialization_id: "tile.darkoak_wall_sign"
    },
    {
      name: "minecraft:daylight_detector",
      serialization_id: "tile.daylight_detector"
    },
    {
      name: "minecraft:daylight_detector_inverted",
      serialization_id: "tile.daylight_detector_inverted"
    },
    {
      name: "minecraft:dead_brain_coral",
      serialization_id: "tile.coral.pink_dead"
    },
    {
      name: "minecraft:dead_brain_coral_block",
      serialization_id: "tile.coral_block.pink_dead"
    },
    {
      name: "minecraft:dead_brain_coral_fan",
      serialization_id: "tile.coral_fan_dead.pink_fan"
    },
    {
      name: "minecraft:dead_brain_coral_wall_fan",
      serialization_id: "tile.dead_brain_coral_wall_fan"
    },
    {
      name: "minecraft:dead_bubble_coral",
      serialization_id: "tile.coral.purple_dead"
    },
    {
      name: "minecraft:dead_bubble_coral_block",
      serialization_id: "tile.coral_block.purple_dead"
    },
    {
      name: "minecraft:dead_bubble_coral_fan",
      serialization_id: "tile.coral_fan_dead.purple_fan"
    },
    {
      name: "minecraft:dead_bubble_coral_wall_fan",
      serialization_id: "tile.dead_bubble_coral_wall_fan"
    },
    {
      name: "minecraft:dead_fire_coral",
      serialization_id: "tile.coral.red_dead"
    },
    {
      name: "minecraft:dead_fire_coral_block",
      serialization_id: "tile.coral_block.red_dead"
    },
    {
      name: "minecraft:dead_fire_coral_fan",
      serialization_id: "tile.coral_fan_dead.red_fan"
    },
    {
      name: "minecraft:dead_fire_coral_wall_fan",
      serialization_id: "tile.dead_fire_coral_wall_fan"
    },
    {
      name: "minecraft:dead_horn_coral",
      serialization_id: "tile.coral.yellow_dead"
    },
    {
      name: "minecraft:dead_horn_coral_block",
      serialization_id: "tile.coral_block.yellow_dead"
    },
    {
      name: "minecraft:dead_horn_coral_fan",
      serialization_id: "tile.coral_fan_dead.yellow_fan"
    },
    {
      name: "minecraft:dead_horn_coral_wall_fan",
      serialization_id: "tile.dead_horn_coral_wall_fan"
    },
    {
      name: "minecraft:dead_tube_coral",
      serialization_id: "tile.coral.blue_dead"
    },
    {
      name: "minecraft:dead_tube_coral_block",
      serialization_id: "tile.coral_block.blue_dead"
    },
    {
      name: "minecraft:dead_tube_coral_fan",
      serialization_id: "tile.coral_fan_dead.blue_fan"
    },
    {
      name: "minecraft:dead_tube_coral_wall_fan",
      serialization_id: "tile.dead_tube_coral_wall_fan"
    },
    {
      name: "minecraft:deadbush",
      serialization_id: "tile.deadbush"
    },
    {
      name: "minecraft:decorated_pot",
      serialization_id: "tile.decorated_pot"
    },
    {
      name: "minecraft:deepslate",
      serialization_id: "tile.deepslate"
    },
    {
      name: "minecraft:deepslate_brick_double_slab",
      serialization_id: "tile.deepslate_brick_double_slab"
    },
    {
      name: "minecraft:deepslate_brick_slab",
      serialization_id: "tile.deepslate_brick_slab"
    },
    {
      name: "minecraft:deepslate_brick_stairs",
      serialization_id: "tile.deepslate_brick_stairs"
    },
    {
      name: "minecraft:deepslate_brick_wall",
      serialization_id: "tile.deepslate_brick_wall"
    },
    {
      name: "minecraft:deepslate_bricks",
      serialization_id: "tile.deepslate_bricks"
    },
    {
      name: "minecraft:deepslate_coal_ore",
      serialization_id: "tile.deepslate_coal_ore"
    },
    {
      name: "minecraft:deepslate_copper_ore",
      serialization_id: "tile.deepslate_copper_ore"
    },
    {
      name: "minecraft:deepslate_diamond_ore",
      serialization_id: "tile.deepslate_diamond_ore"
    },
    {
      name: "minecraft:deepslate_emerald_ore",
      serialization_id: "tile.deepslate_emerald_ore"
    },
    {
      name: "minecraft:deepslate_gold_ore",
      serialization_id: "tile.deepslate_gold_ore"
    },
    {
      name: "minecraft:deepslate_iron_ore",
      serialization_id: "tile.deepslate_iron_ore"
    },
    {
      name: "minecraft:deepslate_lapis_ore",
      serialization_id: "tile.deepslate_lapis_ore"
    },
    {
      name: "minecraft:deepslate_redstone_ore",
      serialization_id: "tile.deepslate_redstone_ore"
    },
    {
      name: "minecraft:deepslate_tile_double_slab",
      serialization_id: "tile.deepslate_tile_double_slab"
    },
    {
      name: "minecraft:deepslate_tile_slab",
      serialization_id: "tile.deepslate_tile_slab"
    },
    {
      name: "minecraft:deepslate_tile_stairs",
      serialization_id: "tile.deepslate_tile_stairs"
    },
    {
      name: "minecraft:deepslate_tile_wall",
      serialization_id: "tile.deepslate_tile_wall"
    },
    {
      name: "minecraft:deepslate_tiles",
      serialization_id: "tile.deepslate_tiles"
    },
    {
      name: "minecraft:deny",
      serialization_id: "tile.deny"
    },
    {
      name: "minecraft:deprecated_anvil",
      serialization_id: "tile.anvil.intact"
    },
    {
      name: "minecraft:deprecated_purpur_block_1",
      serialization_id: "tile.purpur_block.chiseled"
    },
    {
      name: "minecraft:deprecated_purpur_block_2",
      serialization_id: "tile.deprecated_purpur_block_2"
    },
    {
      name: "minecraft:detector_rail",
      serialization_id: "tile.detector_rail"
    },
    {
      name: "minecraft:diamond_block",
      serialization_id: "tile.diamond_block"
    },
    {
      name: "minecraft:diamond_ore",
      serialization_id: "tile.diamond_ore"
    },
    {
      name: "minecraft:diorite",
      serialization_id: "tile.stone.diorite"
    },
    {
      name: "minecraft:diorite_double_slab",
      serialization_id: "tile.double_stone_slab3.diorite"
    },
    {
      name: "minecraft:diorite_slab",
      serialization_id: "tile.stone_slab3.diorite"
    },
    {
      name: "minecraft:diorite_stairs",
      serialization_id: "tile.diorite_stairs"
    },
    {
      name: "minecraft:diorite_wall",
      serialization_id: "tile.cobblestone_wall.diorite"
    },
    {
      name: "minecraft:dirt",
      serialization_id: "tile.dirt.default"
    },
    {
      name: "minecraft:dirt_with_roots",
      serialization_id: "tile.dirt_with_roots"
    },
    {
      name: "minecraft:dispenser",
      serialization_id: "tile.dispenser"
    },
    {
      name: "minecraft:double_cut_copper_slab",
      serialization_id: "tile.double_cut_copper_slab"
    },
    {
      name: "minecraft:dragon_egg",
      serialization_id: "tile.dragon_egg"
    },
    {
      name: "minecraft:dried_kelp_block",
      serialization_id: "tile.dried_kelp_block"
    },
    {
      name: "minecraft:dripstone_block",
      serialization_id: "tile.dripstone_block"
    },
    {
      name: "minecraft:dropper",
      serialization_id: "tile.dropper"
    },
    {
      name: "minecraft:element_0",
      serialization_id: "tile.element_0"
    },
    {
      name: "minecraft:element_1",
      serialization_id: "tile.element_1"
    },
    {
      name: "minecraft:element_10",
      serialization_id: "tile.element_10"
    },
    {
      name: "minecraft:element_100",
      serialization_id: "tile.element_100"
    },
    {
      name: "minecraft:element_101",
      serialization_id: "tile.element_101"
    },
    {
      name: "minecraft:element_102",
      serialization_id: "tile.element_102"
    },
    {
      name: "minecraft:element_103",
      serialization_id: "tile.element_103"
    },
    {
      name: "minecraft:element_104",
      serialization_id: "tile.element_104"
    },
    {
      name: "minecraft:element_105",
      serialization_id: "tile.element_105"
    },
    {
      name: "minecraft:element_106",
      serialization_id: "tile.element_106"
    },
    {
      name: "minecraft:element_107",
      serialization_id: "tile.element_107"
    },
    {
      name: "minecraft:element_108",
      serialization_id: "tile.element_108"
    },
    {
      name: "minecraft:element_109",
      serialization_id: "tile.element_109"
    },
    {
      name: "minecraft:element_11",
      serialization_id: "tile.element_11"
    },
    {
      name: "minecraft:element_110",
      serialization_id: "tile.element_110"
    },
    {
      name: "minecraft:element_111",
      serialization_id: "tile.element_111"
    },
    {
      name: "minecraft:element_112",
      serialization_id: "tile.element_112"
    },
    {
      name: "minecraft:element_113",
      serialization_id: "tile.element_113"
    },
    {
      name: "minecraft:element_114",
      serialization_id: "tile.element_114"
    },
    {
      name: "minecraft:element_115",
      serialization_id: "tile.element_115"
    },
    {
      name: "minecraft:element_116",
      serialization_id: "tile.element_116"
    },
    {
      name: "minecraft:element_117",
      serialization_id: "tile.element_117"
    },
    {
      name: "minecraft:element_118",
      serialization_id: "tile.element_118"
    },
    {
      name: "minecraft:element_12",
      serialization_id: "tile.element_12"
    },
    {
      name: "minecraft:element_13",
      serialization_id: "tile.element_13"
    },
    {
      name: "minecraft:element_14",
      serialization_id: "tile.element_14"
    },
    {
      name: "minecraft:element_15",
      serialization_id: "tile.element_15"
    },
    {
      name: "minecraft:element_16",
      serialization_id: "tile.element_16"
    },
    {
      name: "minecraft:element_17",
      serialization_id: "tile.element_17"
    },
    {
      name: "minecraft:element_18",
      serialization_id: "tile.element_18"
    },
    {
      name: "minecraft:element_19",
      serialization_id: "tile.element_19"
    },
    {
      name: "minecraft:element_2",
      serialization_id: "tile.element_2"
    },
    {
      name: "minecraft:element_20",
      serialization_id: "tile.element_20"
    },
    {
      name: "minecraft:element_21",
      serialization_id: "tile.element_21"
    },
    {
      name: "minecraft:element_22",
      serialization_id: "tile.element_22"
    },
    {
      name: "minecraft:element_23",
      serialization_id: "tile.element_23"
    },
    {
      name: "minecraft:element_24",
      serialization_id: "tile.element_24"
    },
    {
      name: "minecraft:element_25",
      serialization_id: "tile.element_25"
    },
    {
      name: "minecraft:element_26",
      serialization_id: "tile.element_26"
    },
    {
      name: "minecraft:element_27",
      serialization_id: "tile.element_27"
    },
    {
      name: "minecraft:element_28",
      serialization_id: "tile.element_28"
    },
    {
      name: "minecraft:element_29",
      serialization_id: "tile.element_29"
    },
    {
      name: "minecraft:element_3",
      serialization_id: "tile.element_3"
    },
    {
      name: "minecraft:element_30",
      serialization_id: "tile.element_30"
    },
    {
      name: "minecraft:element_31",
      serialization_id: "tile.element_31"
    },
    {
      name: "minecraft:element_32",
      serialization_id: "tile.element_32"
    },
    {
      name: "minecraft:element_33",
      serialization_id: "tile.element_33"
    },
    {
      name: "minecraft:element_34",
      serialization_id: "tile.element_34"
    },
    {
      name: "minecraft:element_35",
      serialization_id: "tile.element_35"
    },
    {
      name: "minecraft:element_36",
      serialization_id: "tile.element_36"
    },
    {
      name: "minecraft:element_37",
      serialization_id: "tile.element_37"
    },
    {
      name: "minecraft:element_38",
      serialization_id: "tile.element_38"
    },
    {
      name: "minecraft:element_39",
      serialization_id: "tile.element_39"
    },
    {
      name: "minecraft:element_4",
      serialization_id: "tile.element_4"
    },
    {
      name: "minecraft:element_40",
      serialization_id: "tile.element_40"
    },
    {
      name: "minecraft:element_41",
      serialization_id: "tile.element_41"
    },
    {
      name: "minecraft:element_42",
      serialization_id: "tile.element_42"
    },
    {
      name: "minecraft:element_43",
      serialization_id: "tile.element_43"
    },
    {
      name: "minecraft:element_44",
      serialization_id: "tile.element_44"
    },
    {
      name: "minecraft:element_45",
      serialization_id: "tile.element_45"
    },
    {
      name: "minecraft:element_46",
      serialization_id: "tile.element_46"
    },
    {
      name: "minecraft:element_47",
      serialization_id: "tile.element_47"
    },
    {
      name: "minecraft:element_48",
      serialization_id: "tile.element_48"
    },
    {
      name: "minecraft:element_49",
      serialization_id: "tile.element_49"
    },
    {
      name: "minecraft:element_5",
      serialization_id: "tile.element_5"
    },
    {
      name: "minecraft:element_50",
      serialization_id: "tile.element_50"
    },
    {
      name: "minecraft:element_51",
      serialization_id: "tile.element_51"
    },
    {
      name: "minecraft:element_52",
      serialization_id: "tile.element_52"
    },
    {
      name: "minecraft:element_53",
      serialization_id: "tile.element_53"
    },
    {
      name: "minecraft:element_54",
      serialization_id: "tile.element_54"
    },
    {
      name: "minecraft:element_55",
      serialization_id: "tile.element_55"
    },
    {
      name: "minecraft:element_56",
      serialization_id: "tile.element_56"
    },
    {
      name: "minecraft:element_57",
      serialization_id: "tile.element_57"
    },
    {
      name: "minecraft:element_58",
      serialization_id: "tile.element_58"
    },
    {
      name: "minecraft:element_59",
      serialization_id: "tile.element_59"
    },
    {
      name: "minecraft:element_6",
      serialization_id: "tile.element_6"
    },
    {
      name: "minecraft:element_60",
      serialization_id: "tile.element_60"
    },
    {
      name: "minecraft:element_61",
      serialization_id: "tile.element_61"
    },
    {
      name: "minecraft:element_62",
      serialization_id: "tile.element_62"
    },
    {
      name: "minecraft:element_63",
      serialization_id: "tile.element_63"
    },
    {
      name: "minecraft:element_64",
      serialization_id: "tile.element_64"
    },
    {
      name: "minecraft:element_65",
      serialization_id: "tile.element_65"
    },
    {
      name: "minecraft:element_66",
      serialization_id: "tile.element_66"
    },
    {
      name: "minecraft:element_67",
      serialization_id: "tile.element_67"
    },
    {
      name: "minecraft:element_68",
      serialization_id: "tile.element_68"
    },
    {
      name: "minecraft:element_69",
      serialization_id: "tile.element_69"
    },
    {
      name: "minecraft:element_7",
      serialization_id: "tile.element_7"
    },
    {
      name: "minecraft:element_70",
      serialization_id: "tile.element_70"
    },
    {
      name: "minecraft:element_71",
      serialization_id: "tile.element_71"
    },
    {
      name: "minecraft:element_72",
      serialization_id: "tile.element_72"
    },
    {
      name: "minecraft:element_73",
      serialization_id: "tile.element_73"
    },
    {
      name: "minecraft:element_74",
      serialization_id: "tile.element_74"
    },
    {
      name: "minecraft:element_75",
      serialization_id: "tile.element_75"
    },
    {
      name: "minecraft:element_76",
      serialization_id: "tile.element_76"
    },
    {
      name: "minecraft:element_77",
      serialization_id: "tile.element_77"
    },
    {
      name: "minecraft:element_78",
      serialization_id: "tile.element_78"
    },
    {
      name: "minecraft:element_79",
      serialization_id: "tile.element_79"
    },
    {
      name: "minecraft:element_8",
      serialization_id: "tile.element_8"
    },
    {
      name: "minecraft:element_80",
      serialization_id: "tile.element_80"
    },
    {
      name: "minecraft:element_81",
      serialization_id: "tile.element_81"
    },
    {
      name: "minecraft:element_82",
      serialization_id: "tile.element_82"
    },
    {
      name: "minecraft:element_83",
      serialization_id: "tile.element_83"
    },
    {
      name: "minecraft:element_84",
      serialization_id: "tile.element_84"
    },
    {
      name: "minecraft:element_85",
      serialization_id: "tile.element_85"
    },
    {
      name: "minecraft:element_86",
      serialization_id: "tile.element_86"
    },
    {
      name: "minecraft:element_87",
      serialization_id: "tile.element_87"
    },
    {
      name: "minecraft:element_88",
      serialization_id: "tile.element_88"
    },
    {
      name: "minecraft:element_89",
      serialization_id: "tile.element_89"
    },
    {
      name: "minecraft:element_9",
      serialization_id: "tile.element_9"
    },
    {
      name: "minecraft:element_90",
      serialization_id: "tile.element_90"
    },
    {
      name: "minecraft:element_91",
      serialization_id: "tile.element_91"
    },
    {
      name: "minecraft:element_92",
      serialization_id: "tile.element_92"
    },
    {
      name: "minecraft:element_93",
      serialization_id: "tile.element_93"
    },
    {
      name: "minecraft:element_94",
      serialization_id: "tile.element_94"
    },
    {
      name: "minecraft:element_95",
      serialization_id: "tile.element_95"
    },
    {
      name: "minecraft:element_96",
      serialization_id: "tile.element_96"
    },
    {
      name: "minecraft:element_97",
      serialization_id: "tile.element_97"
    },
    {
      name: "minecraft:element_98",
      serialization_id: "tile.element_98"
    },
    {
      name: "minecraft:element_99",
      serialization_id: "tile.element_99"
    },
    {
      name: "minecraft:element_constructor",
      serialization_id: "tile.elementconstructor"
    },
    {
      name: "minecraft:emerald_block",
      serialization_id: "tile.emerald_block"
    },
    {
      name: "minecraft:emerald_ore",
      serialization_id: "tile.emerald_ore"
    },
    {
      name: "minecraft:enchanting_table",
      serialization_id: "tile.enchanting_table"
    },
    {
      name: "minecraft:end_brick_stairs",
      serialization_id: "tile.end_brick_stairs"
    },
    {
      name: "minecraft:end_bricks",
      serialization_id: "tile.end_bricks"
    },
    {
      name: "minecraft:end_gateway",
      serialization_id: "tile.end_gateway"
    },
    {
      name: "minecraft:end_portal",
      serialization_id: "tile.end_portal"
    },
    {
      name: "minecraft:end_portal_frame",
      serialization_id: "tile.end_portal_frame"
    },
    {
      name: "minecraft:end_rod",
      serialization_id: "tile.end_rod"
    },
    {
      name: "minecraft:end_stone",
      serialization_id: "tile.end_stone"
    },
    {
      name: "minecraft:end_stone_brick_double_slab",
      serialization_id: "tile.double_stone_slab3.end_brick"
    },
    {
      name: "minecraft:end_stone_brick_slab",
      serialization_id: "tile.stone_slab3.end_brick"
    },
    {
      name: "minecraft:end_stone_brick_wall",
      serialization_id: "tile.cobblestone_wall.end_brick"
    },
    {
      name: "minecraft:ender_chest",
      serialization_id: "tile.ender_chest"
    },
    {
      name: "minecraft:exposed_chiseled_copper",
      serialization_id: "tile.exposed_chiseled_copper"
    },
    {
      name: "minecraft:exposed_copper",
      serialization_id: "tile.exposed_copper"
    },
    {
      name: "minecraft:exposed_copper_bulb",
      serialization_id: "tile.exposed_copper_bulb"
    },
    {
      name: "minecraft:exposed_copper_door",
      serialization_id: "tile.exposed_copper_door"
    },
    {
      name: "minecraft:exposed_copper_grate",
      serialization_id: "tile.exposed_copper_grate"
    },
    {
      name: "minecraft:exposed_copper_trapdoor",
      serialization_id: "tile.exposed_copper_trapdoor"
    },
    {
      name: "minecraft:exposed_cut_copper",
      serialization_id: "tile.exposed_cut_copper"
    },
    {
      name: "minecraft:exposed_cut_copper_slab",
      serialization_id: "tile.exposed_cut_copper_slab"
    },
    {
      name: "minecraft:exposed_cut_copper_stairs",
      serialization_id: "tile.exposed_cut_copper_stairs"
    },
    {
      name: "minecraft:exposed_double_cut_copper_slab",
      serialization_id: "tile.exposed_double_cut_copper_slab"
    },
    {
      name: "minecraft:farmland",
      serialization_id: "tile.farmland"
    },
    {
      name: "minecraft:fence_gate",
      serialization_id: "tile.fence_gate"
    },
    {
      name: "minecraft:fern",
      serialization_id: "tile.tallgrass.fern"
    },
    {
      name: "minecraft:fire",
      serialization_id: "tile.fire"
    },
    {
      name: "minecraft:fire_coral",
      serialization_id: "tile.coral.red"
    },
    {
      name: "minecraft:fire_coral_block",
      serialization_id: "tile.coral_block.red"
    },
    {
      name: "minecraft:fire_coral_fan",
      serialization_id: "tile.coral_fan.red_fan"
    },
    {
      name: "minecraft:fire_coral_wall_fan",
      serialization_id: "tile.fire_coral_wall_fan"
    },
    {
      name: "minecraft:fletching_table",
      serialization_id: "tile.fletching_table"
    },
    {
      name: "minecraft:flower_pot",
      serialization_id: "tile.flower_pot"
    },
    {
      name: "minecraft:flowering_azalea",
      serialization_id: "tile.flowering_azalea"
    },
    {
      name: "minecraft:flowing_lava",
      serialization_id: "tile.flowing_lava"
    },
    {
      name: "minecraft:flowing_water",
      serialization_id: "tile.flowing_water"
    },
    {
      name: "minecraft:frame",
      serialization_id: "tile.frame"
    },
    {
      name: "minecraft:frog_spawn",
      serialization_id: "tile.frog_spawn"
    },
    {
      name: "minecraft:frosted_ice",
      serialization_id: "tile.frosted_ice"
    },
    {
      name: "minecraft:furnace",
      serialization_id: "tile.furnace"
    },
    {
      name: "minecraft:gilded_blackstone",
      serialization_id: "tile.gilded_blackstone"
    },
    {
      name: "minecraft:glass",
      serialization_id: "tile.glass"
    },
    {
      name: "minecraft:glass_pane",
      serialization_id: "tile.glass_pane"
    },
    {
      name: "minecraft:glow_frame",
      serialization_id: "tile.glow_frame"
    },
    {
      name: "minecraft:glow_lichen",
      serialization_id: "tile.glow_lichen"
    },
    {
      name: "minecraft:glowingobsidian",
      serialization_id: "tile.glowingobsidian"
    },
    {
      name: "minecraft:glowstone",
      serialization_id: "tile.glowstone"
    },
    {
      name: "minecraft:gold_block",
      serialization_id: "tile.gold_block"
    },
    {
      name: "minecraft:gold_ore",
      serialization_id: "tile.gold_ore"
    },
    {
      name: "minecraft:golden_rail",
      serialization_id: "tile.golden_rail"
    },
    {
      name: "minecraft:granite",
      serialization_id: "tile.stone.granite"
    },
    {
      name: "minecraft:granite_double_slab",
      serialization_id: "tile.double_stone_slab3.granite"
    },
    {
      name: "minecraft:granite_slab",
      serialization_id: "tile.stone_slab3.granite"
    },
    {
      name: "minecraft:granite_stairs",
      serialization_id: "tile.granite_stairs"
    },
    {
      name: "minecraft:granite_wall",
      serialization_id: "tile.cobblestone_wall.granite"
    },
    {
      name: "minecraft:grass_block",
      serialization_id: "tile.grass"
    },
    {
      name: "minecraft:grass_path",
      serialization_id: "tile.grass_path"
    },
    {
      name: "minecraft:gravel",
      serialization_id: "tile.gravel"
    },
    {
      name: "minecraft:gray_candle",
      serialization_id: "tile.gray_candle"
    },
    {
      name: "minecraft:gray_candle_cake",
      serialization_id: "tile.gray_candle_cake"
    },
    {
      name: "minecraft:gray_carpet",
      serialization_id: "tile.carpet.gray"
    },
    {
      name: "minecraft:gray_concrete",
      serialization_id: "tile.concrete.gray"
    },
    {
      name: "minecraft:gray_concrete_powder",
      serialization_id: "tile.concretePowder.gray"
    },
    {
      name: "minecraft:gray_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.gray"
    },
    {
      name: "minecraft:gray_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:gray_stained_glass",
      serialization_id: "tile.stained_glass.gray"
    },
    {
      name: "minecraft:gray_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.gray"
    },
    {
      name: "minecraft:gray_terracotta",
      serialization_id: "tile.stained_hardened_clay.gray"
    },
    {
      name: "minecraft:gray_wool",
      serialization_id: "tile.wool.gray"
    },
    {
      name: "minecraft:green_candle",
      serialization_id: "tile.green_candle"
    },
    {
      name: "minecraft:green_candle_cake",
      serialization_id: "tile.green_candle_cake"
    },
    {
      name: "minecraft:green_carpet",
      serialization_id: "tile.carpet.green"
    },
    {
      name: "minecraft:green_concrete",
      serialization_id: "tile.concrete.green"
    },
    {
      name: "minecraft:green_concrete_powder",
      serialization_id: "tile.concretePowder.green"
    },
    {
      name: "minecraft:green_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.green"
    },
    {
      name: "minecraft:green_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:green_stained_glass",
      serialization_id: "tile.stained_glass.green"
    },
    {
      name: "minecraft:green_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.green"
    },
    {
      name: "minecraft:green_terracotta",
      serialization_id: "tile.stained_hardened_clay.green"
    },
    {
      name: "minecraft:green_wool",
      serialization_id: "tile.wool.green"
    },
    {
      name: "minecraft:grindstone",
      serialization_id: "tile.grindstone"
    },
    {
      name: "minecraft:hanging_roots",
      serialization_id: "tile.hanging_roots"
    },
    {
      name: "minecraft:hard_black_stained_glass",
      serialization_id: "tile.hard_stained_glass.black"
    },
    {
      name: "minecraft:hard_black_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.black"
    },
    {
      name: "minecraft:hard_blue_stained_glass",
      serialization_id: "tile.hard_stained_glass.blue"
    },
    {
      name: "minecraft:hard_blue_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.blue"
    },
    {
      name: "minecraft:hard_brown_stained_glass",
      serialization_id: "tile.hard_stained_glass.brown"
    },
    {
      name: "minecraft:hard_brown_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.brown"
    },
    {
      name: "minecraft:hard_cyan_stained_glass",
      serialization_id: "tile.hard_stained_glass.cyan"
    },
    {
      name: "minecraft:hard_cyan_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.cyan"
    },
    {
      name: "minecraft:hard_glass",
      serialization_id: "tile.hard_glass"
    },
    {
      name: "minecraft:hard_glass_pane",
      serialization_id: "tile.hard_glass_pane"
    },
    {
      name: "minecraft:hard_gray_stained_glass",
      serialization_id: "tile.hard_stained_glass.gray"
    },
    {
      name: "minecraft:hard_gray_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.gray"
    },
    {
      name: "minecraft:hard_green_stained_glass",
      serialization_id: "tile.hard_stained_glass.green"
    },
    {
      name: "minecraft:hard_green_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.green"
    },
    {
      name: "minecraft:hard_light_blue_stained_glass",
      serialization_id: "tile.hard_stained_glass.light_blue"
    },
    {
      name: "minecraft:hard_light_blue_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.light_blue"
    },
    {
      name: "minecraft:hard_light_gray_stained_glass",
      serialization_id: "tile.hard_stained_glass.silver"
    },
    {
      name: "minecraft:hard_light_gray_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.silver"
    },
    {
      name: "minecraft:hard_lime_stained_glass",
      serialization_id: "tile.hard_stained_glass.lime"
    },
    {
      name: "minecraft:hard_lime_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.lime"
    },
    {
      name: "minecraft:hard_magenta_stained_glass",
      serialization_id: "tile.hard_stained_glass.magenta"
    },
    {
      name: "minecraft:hard_magenta_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.magenta"
    },
    {
      name: "minecraft:hard_orange_stained_glass",
      serialization_id: "tile.hard_stained_glass.orange"
    },
    {
      name: "minecraft:hard_orange_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.orange"
    },
    {
      name: "minecraft:hard_pink_stained_glass",
      serialization_id: "tile.hard_stained_glass.pink"
    },
    {
      name: "minecraft:hard_pink_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.pink"
    },
    {
      name: "minecraft:hard_purple_stained_glass",
      serialization_id: "tile.hard_stained_glass.purple"
    },
    {
      name: "minecraft:hard_purple_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.purple"
    },
    {
      name: "minecraft:hard_red_stained_glass",
      serialization_id: "tile.hard_stained_glass.red"
    },
    {
      name: "minecraft:hard_red_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.red"
    },
    {
      name: "minecraft:hard_white_stained_glass",
      serialization_id: "tile.hard_stained_glass.white"
    },
    {
      name: "minecraft:hard_white_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.white"
    },
    {
      name: "minecraft:hard_yellow_stained_glass",
      serialization_id: "tile.hard_stained_glass.yellow"
    },
    {
      name: "minecraft:hard_yellow_stained_glass_pane",
      serialization_id: "tile.hard_stained_glass_pane.yellow"
    },
    {
      name: "minecraft:hardened_clay",
      serialization_id: "tile.hardened_clay"
    },
    {
      name: "minecraft:hay_block",
      serialization_id: "tile.hay_block"
    },
    {
      name: "minecraft:heavy_core",
      serialization_id: "tile.heavy_core"
    },
    {
      name: "minecraft:heavy_weighted_pressure_plate",
      serialization_id: "tile.heavy_weighted_pressure_plate"
    },
    {
      name: "minecraft:honey_block",
      serialization_id: "tile.honey_block"
    },
    {
      name: "minecraft:honeycomb_block",
      serialization_id: "tile.honeycomb_block"
    },
    {
      name: "minecraft:hopper",
      serialization_id: "tile.hopper"
    },
    {
      name: "minecraft:horn_coral",
      serialization_id: "tile.coral.yellow"
    },
    {
      name: "minecraft:horn_coral_block",
      serialization_id: "tile.coral_block.yellow"
    },
    {
      name: "minecraft:horn_coral_fan",
      serialization_id: "tile.coral_fan.yellow_fan"
    },
    {
      name: "minecraft:horn_coral_wall_fan",
      serialization_id: "tile.horn_coral_wall_fan"
    },
    {
      name: "minecraft:ice",
      serialization_id: "tile.ice"
    },
    {
      name: "minecraft:infested_chiseled_stone_bricks",
      serialization_id: "tile.monster_egg.chiseledbrick"
    },
    {
      name: "minecraft:infested_cobblestone",
      serialization_id: "tile.monster_egg.cobble"
    },
    {
      name: "minecraft:infested_cracked_stone_bricks",
      serialization_id: "tile.monster_egg.crackedbrick"
    },
    {
      name: "minecraft:infested_deepslate",
      serialization_id: "tile.infested_deepslate"
    },
    {
      name: "minecraft:infested_mossy_stone_bricks",
      serialization_id: "tile.monster_egg.mossybrick"
    },
    {
      name: "minecraft:infested_stone",
      serialization_id: "tile.monster_egg.stone"
    },
    {
      name: "minecraft:infested_stone_bricks",
      serialization_id: "tile.monster_egg.brick"
    },
    {
      name: "minecraft:info_update",
      serialization_id: "tile.info_update"
    },
    {
      name: "minecraft:info_update2",
      serialization_id: "tile.info_update2"
    },
    {
      name: "minecraft:invisible_bedrock",
      serialization_id: "tile.invisibleBedrock"
    },
    {
      name: "minecraft:iron_bars",
      serialization_id: "tile.iron_bars"
    },
    {
      name: "minecraft:iron_block",
      serialization_id: "tile.iron_block"
    },
    {
      name: "minecraft:iron_door",
      serialization_id: "tile.iron_door"
    },
    {
      name: "minecraft:iron_ore",
      serialization_id: "tile.iron_ore"
    },
    {
      name: "minecraft:iron_trapdoor",
      serialization_id: "tile.iron_trapdoor"
    },
    {
      name: "minecraft:jigsaw",
      serialization_id: "tile.jigsaw"
    },
    {
      name: "minecraft:jukebox",
      serialization_id: "tile.jukebox"
    },
    {
      name: "minecraft:jungle_button",
      serialization_id: "tile.jungle_button"
    },
    {
      name: "minecraft:jungle_door",
      serialization_id: "tile.jungle_door"
    },
    {
      name: "minecraft:jungle_double_slab",
      serialization_id: "tile.double_wooden_slab.jungle"
    },
    {
      name: "minecraft:jungle_fence",
      serialization_id: "tile.jungle_fence"
    },
    {
      name: "minecraft:jungle_fence_gate",
      serialization_id: "tile.jungle_fence_gate"
    },
    {
      name: "minecraft:jungle_hanging_sign",
      serialization_id: "tile.jungle_hanging_sign"
    },
    {
      name: "minecraft:jungle_leaves",
      serialization_id: "tile.leaves.jungle"
    },
    {
      name: "minecraft:jungle_log",
      serialization_id: "tile.log.jungle"
    },
    {
      name: "minecraft:jungle_planks",
      serialization_id: "tile.jungle_planks"
    },
    {
      name: "minecraft:jungle_pressure_plate",
      serialization_id: "tile.jungle_pressure_plate"
    },
    {
      name: "minecraft:jungle_sapling",
      serialization_id: "tile.sapling.jungle"
    },
    {
      name: "minecraft:jungle_slab",
      serialization_id: "tile.wooden_slab.jungle"
    },
    {
      name: "minecraft:jungle_stairs",
      serialization_id: "tile.jungle_stairs"
    },
    {
      name: "minecraft:jungle_standing_sign",
      serialization_id: "tile.jungle_standing_sign"
    },
    {
      name: "minecraft:jungle_trapdoor",
      serialization_id: "tile.jungle_trapdoor"
    },
    {
      name: "minecraft:jungle_wall_sign",
      serialization_id: "tile.jungle_wall_sign"
    },
    {
      name: "minecraft:jungle_wood",
      serialization_id: "tile.wood.jungle"
    },
    {
      name: "minecraft:kelp",
      serialization_id: "tile.kelp"
    },
    {
      name: "minecraft:lab_table",
      serialization_id: "tile.labtable"
    },
    {
      name: "minecraft:ladder",
      serialization_id: "tile.ladder"
    },
    {
      name: "minecraft:lantern",
      serialization_id: "tile.lantern"
    },
    {
      name: "minecraft:lapis_block",
      serialization_id: "tile.lapis_block"
    },
    {
      name: "minecraft:lapis_ore",
      serialization_id: "tile.lapis_ore"
    },
    {
      name: "minecraft:large_amethyst_bud",
      serialization_id: "tile.large_amethyst_bud"
    },
    {
      name: "minecraft:large_fern",
      serialization_id: "tile.double_plant.fern"
    },
    {
      name: "minecraft:lava",
      serialization_id: "tile.lava"
    },
    {
      name: "minecraft:lectern",
      serialization_id: "tile.lectern"
    },
    {
      name: "minecraft:lever",
      serialization_id: "tile.lever"
    },
    {
      name: "minecraft:light_block_0",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_1",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_10",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_11",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_12",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_13",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_14",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_15",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_2",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_3",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_4",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_5",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_6",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_7",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_8",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_block_9",
      serialization_id: "tile.light_block"
    },
    {
      name: "minecraft:light_blue_candle",
      serialization_id: "tile.light_blue_candle"
    },
    {
      name: "minecraft:light_blue_candle_cake",
      serialization_id: "tile.light_blue_candle_cake"
    },
    {
      name: "minecraft:light_blue_carpet",
      serialization_id: "tile.carpet.lightBlue"
    },
    {
      name: "minecraft:light_blue_concrete",
      serialization_id: "tile.concrete.lightBlue"
    },
    {
      name: "minecraft:light_blue_concrete_powder",
      serialization_id: "tile.concretePowder.lightBlue"
    },
    {
      name: "minecraft:light_blue_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.light_blue"
    },
    {
      name: "minecraft:light_blue_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:light_blue_stained_glass",
      serialization_id: "tile.stained_glass.light_blue"
    },
    {
      name: "minecraft:light_blue_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.light_blue"
    },
    {
      name: "minecraft:light_blue_terracotta",
      serialization_id: "tile.stained_hardened_clay.lightBlue"
    },
    {
      name: "minecraft:light_blue_wool",
      serialization_id: "tile.wool.lightBlue"
    },
    {
      name: "minecraft:light_gray_candle",
      serialization_id: "tile.light_gray_candle"
    },
    {
      name: "minecraft:light_gray_candle_cake",
      serialization_id: "tile.light_gray_candle_cake"
    },
    {
      name: "minecraft:light_gray_carpet",
      serialization_id: "tile.carpet.silver"
    },
    {
      name: "minecraft:light_gray_concrete",
      serialization_id: "tile.concrete.silver"
    },
    {
      name: "minecraft:light_gray_concrete_powder",
      serialization_id: "tile.concretePowder.silver"
    },
    {
      name: "minecraft:light_gray_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:light_gray_stained_glass",
      serialization_id: "tile.stained_glass.silver"
    },
    {
      name: "minecraft:light_gray_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.silver"
    },
    {
      name: "minecraft:light_gray_terracotta",
      serialization_id: "tile.stained_hardened_clay.silver"
    },
    {
      name: "minecraft:light_gray_wool",
      serialization_id: "tile.wool.silver"
    },
    {
      name: "minecraft:light_weighted_pressure_plate",
      serialization_id: "tile.light_weighted_pressure_plate"
    },
    {
      name: "minecraft:lightning_rod",
      serialization_id: "tile.lightning_rod"
    },
    {
      name: "minecraft:lilac",
      serialization_id: "tile.double_plant.syringa"
    },
    {
      name: "minecraft:lily_of_the_valley",
      serialization_id: "tile.red_flower.lilyOfTheValley"
    },
    {
      name: "minecraft:lime_candle",
      serialization_id: "tile.lime_candle"
    },
    {
      name: "minecraft:lime_candle_cake",
      serialization_id: "tile.lime_candle_cake"
    },
    {
      name: "minecraft:lime_carpet",
      serialization_id: "tile.carpet.lime"
    },
    {
      name: "minecraft:lime_concrete",
      serialization_id: "tile.concrete.lime"
    },
    {
      name: "minecraft:lime_concrete_powder",
      serialization_id: "tile.concretePowder.lime"
    },
    {
      name: "minecraft:lime_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.lime"
    },
    {
      name: "minecraft:lime_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:lime_stained_glass",
      serialization_id: "tile.stained_glass.lime"
    },
    {
      name: "minecraft:lime_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.lime"
    },
    {
      name: "minecraft:lime_terracotta",
      serialization_id: "tile.stained_hardened_clay.lime"
    },
    {
      name: "minecraft:lime_wool",
      serialization_id: "tile.wool.lime"
    },
    {
      name: "minecraft:lit_blast_furnace",
      serialization_id: "tile.lit_blast_furnace"
    },
    {
      name: "minecraft:lit_deepslate_redstone_ore",
      serialization_id: "tile.lit_deepslate_redstone_ore"
    },
    {
      name: "minecraft:lit_furnace",
      serialization_id: "tile.lit_furnace"
    },
    {
      name: "minecraft:lit_pumpkin",
      serialization_id: "tile.lit_pumpkin"
    },
    {
      name: "minecraft:lit_redstone_lamp",
      serialization_id: "tile.lit_redstone_lamp"
    },
    {
      name: "minecraft:lit_redstone_ore",
      serialization_id: "tile.lit_redstone_ore"
    },
    {
      name: "minecraft:lit_smoker",
      serialization_id: "tile.lit_smoker"
    },
    {
      name: "minecraft:lodestone",
      serialization_id: "tile.lodestone"
    },
    {
      name: "minecraft:loom",
      serialization_id: "tile.loom"
    },
    {
      name: "minecraft:magenta_candle",
      serialization_id: "tile.magenta_candle"
    },
    {
      name: "minecraft:magenta_candle_cake",
      serialization_id: "tile.magenta_candle_cake"
    },
    {
      name: "minecraft:magenta_carpet",
      serialization_id: "tile.carpet.magenta"
    },
    {
      name: "minecraft:magenta_concrete",
      serialization_id: "tile.concrete.magenta"
    },
    {
      name: "minecraft:magenta_concrete_powder",
      serialization_id: "tile.concretePowder.magenta"
    },
    {
      name: "minecraft:magenta_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.magenta"
    },
    {
      name: "minecraft:magenta_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:magenta_stained_glass",
      serialization_id: "tile.stained_glass.magenta"
    },
    {
      name: "minecraft:magenta_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.magenta"
    },
    {
      name: "minecraft:magenta_terracotta",
      serialization_id: "tile.stained_hardened_clay.magenta"
    },
    {
      name: "minecraft:magenta_wool",
      serialization_id: "tile.wool.magenta"
    },
    {
      name: "minecraft:magma",
      serialization_id: "tile.magma"
    },
    {
      name: "minecraft:mangrove_button",
      serialization_id: "tile.mangrove_button"
    },
    {
      name: "minecraft:mangrove_door",
      serialization_id: "tile.mangrove_door"
    },
    {
      name: "minecraft:mangrove_double_slab",
      serialization_id: "tile.mangrove_double_slab"
    },
    {
      name: "minecraft:mangrove_fence",
      serialization_id: "tile.mangrove_fence"
    },
    {
      name: "minecraft:mangrove_fence_gate",
      serialization_id: "tile.mangrove_fence_gate"
    },
    {
      name: "minecraft:mangrove_hanging_sign",
      serialization_id: "tile.mangrove_hanging_sign"
    },
    {
      name: "minecraft:mangrove_leaves",
      serialization_id: "tile.mangrove_leaves"
    },
    {
      name: "minecraft:mangrove_log",
      serialization_id: "tile.mangrove_log"
    },
    {
      name: "minecraft:mangrove_planks",
      serialization_id: "tile.mangrove_planks"
    },
    {
      name: "minecraft:mangrove_pressure_plate",
      serialization_id: "tile.mangrove_pressure_plate"
    },
    {
      name: "minecraft:mangrove_propagule",
      serialization_id: "tile.mangrove_propagule"
    },
    {
      name: "minecraft:mangrove_roots",
      serialization_id: "tile.mangrove_roots"
    },
    {
      name: "minecraft:mangrove_slab",
      serialization_id: "tile.mangrove_slab"
    },
    {
      name: "minecraft:mangrove_stairs",
      serialization_id: "tile.mangrove_stairs"
    },
    {
      name: "minecraft:mangrove_standing_sign",
      serialization_id: "tile.mangrove_standing_sign"
    },
    {
      name: "minecraft:mangrove_trapdoor",
      serialization_id: "tile.mangrove_trapdoor"
    },
    {
      name: "minecraft:mangrove_wall_sign",
      serialization_id: "tile.mangrove_wall_sign"
    },
    {
      name: "minecraft:mangrove_wood",
      serialization_id: "tile.mangrove_wood"
    },
    {
      name: "minecraft:material_reducer",
      serialization_id: "tile.materialreducer"
    },
    {
      name: "minecraft:medium_amethyst_bud",
      serialization_id: "tile.medium_amethyst_bud"
    },
    {
      name: "minecraft:melon_block",
      serialization_id: "tile.melon_block"
    },
    {
      name: "minecraft:melon_stem",
      serialization_id: "tile.melon_stem"
    },
    {
      name: "minecraft:mob_spawner",
      serialization_id: "tile.mob_spawner"
    },
    {
      name: "minecraft:moss_block",
      serialization_id: "tile.moss_block"
    },
    {
      name: "minecraft:moss_carpet",
      serialization_id: "tile.moss_carpet"
    },
    {
      name: "minecraft:mossy_cobblestone",
      serialization_id: "tile.mossy_cobblestone"
    },
    {
      name: "minecraft:mossy_cobblestone_double_slab",
      serialization_id: "tile.double_stone_slab2.mossy_cobblestone"
    },
    {
      name: "minecraft:mossy_cobblestone_slab",
      serialization_id: "tile.stone_slab2.mossy_cobblestone"
    },
    {
      name: "minecraft:mossy_cobblestone_stairs",
      serialization_id: "tile.mossy_cobblestone_stairs"
    },
    {
      name: "minecraft:mossy_cobblestone_wall",
      serialization_id: "tile.cobblestone_wall.mossy"
    },
    {
      name: "minecraft:mossy_stone_brick_double_slab",
      serialization_id: "tile.double_stone_slab4.mossy_stone_brick"
    },
    {
      name: "minecraft:mossy_stone_brick_slab",
      serialization_id: "tile.stone_slab4.mossy_stone_brick"
    },
    {
      name: "minecraft:mossy_stone_brick_stairs",
      serialization_id: "tile.mossy_stone_brick_stairs"
    },
    {
      name: "minecraft:mossy_stone_brick_wall",
      serialization_id: "tile.cobblestone_wall.mossy_stone_brick"
    },
    {
      name: "minecraft:mossy_stone_bricks",
      serialization_id: "tile.stonebrick.mossy"
    },
    {
      name: "minecraft:moving_block",
      serialization_id: "tile.moving_block"
    },
    {
      name: "minecraft:mud",
      serialization_id: "tile.mud"
    },
    {
      name: "minecraft:mud_brick_double_slab",
      serialization_id: "tile.mud_brick_double_slab"
    },
    {
      name: "minecraft:mud_brick_slab",
      serialization_id: "tile.mud_brick_slab"
    },
    {
      name: "minecraft:mud_brick_stairs",
      serialization_id: "tile.mud_brick_stairs"
    },
    {
      name: "minecraft:mud_brick_wall",
      serialization_id: "tile.mud_brick_wall"
    },
    {
      name: "minecraft:mud_bricks",
      serialization_id: "tile.mud_bricks"
    },
    {
      name: "minecraft:muddy_mangrove_roots",
      serialization_id: "tile.muddy_mangrove_roots"
    },
    {
      name: "minecraft:mycelium",
      serialization_id: "tile.mycelium"
    },
    {
      name: "minecraft:nether_brick",
      serialization_id: "tile.nether_brick"
    },
    {
      name: "minecraft:nether_brick_double_slab",
      serialization_id: "tile.double_stone_slab.nether_brick"
    },
    {
      name: "minecraft:nether_brick_fence",
      serialization_id: "tile.nether_brick_fence"
    },
    {
      name: "minecraft:nether_brick_slab",
      serialization_id: "tile.stone_slab.nether_brick"
    },
    {
      name: "minecraft:nether_brick_stairs",
      serialization_id: "tile.nether_brick_stairs"
    },
    {
      name: "minecraft:nether_brick_wall",
      serialization_id: "tile.cobblestone_wall.nether_brick"
    },
    {
      name: "minecraft:nether_gold_ore",
      serialization_id: "tile.nether_gold_ore"
    },
    {
      name: "minecraft:nether_sprouts",
      serialization_id: "tile.nether_sprouts"
    },
    {
      name: "minecraft:nether_wart",
      serialization_id: "tile.nether_wart"
    },
    {
      name: "minecraft:nether_wart_block",
      serialization_id: "tile.nether_wart_block"
    },
    {
      name: "minecraft:netherite_block",
      serialization_id: "tile.netherite_block"
    },
    {
      name: "minecraft:netherrack",
      serialization_id: "tile.netherrack"
    },
    {
      name: "minecraft:netherreactor",
      serialization_id: "tile.netherreactor"
    },
    {
      name: "minecraft:normal_stone_double_slab",
      serialization_id: "tile.double_stone_slab4.stone"
    },
    {
      name: "minecraft:normal_stone_slab",
      serialization_id: "tile.stone_slab4.stone"
    },
    {
      name: "minecraft:normal_stone_stairs",
      serialization_id: "tile.normal_stone_stairs"
    },
    {
      name: "minecraft:noteblock",
      serialization_id: "tile.noteblock"
    },
    {
      name: "minecraft:oak_double_slab",
      serialization_id: "tile.double_wooden_slab.oak"
    },
    {
      name: "minecraft:oak_fence",
      serialization_id: "tile.oak_fence"
    },
    {
      name: "minecraft:oak_hanging_sign",
      serialization_id: "tile.oak_hanging_sign"
    },
    {
      name: "minecraft:oak_leaves",
      serialization_id: "tile.leaves.oak"
    },
    {
      name: "minecraft:oak_log",
      serialization_id: "tile.log.oak"
    },
    {
      name: "minecraft:oak_planks",
      serialization_id: "tile.oak_planks"
    },
    {
      name: "minecraft:oak_sapling",
      serialization_id: "tile.sapling.oak"
    },
    {
      name: "minecraft:oak_slab",
      serialization_id: "tile.wooden_slab.oak"
    },
    {
      name: "minecraft:oak_stairs",
      serialization_id: "tile.oak_stairs"
    },
    {
      name: "minecraft:oak_wood",
      serialization_id: "tile.wood.oak"
    },
    {
      name: "minecraft:observer",
      serialization_id: "tile.observer"
    },
    {
      name: "minecraft:obsidian",
      serialization_id: "tile.obsidian"
    },
    {
      name: "minecraft:ochre_froglight",
      serialization_id: "tile.ochre_froglight"
    },
    {
      name: "minecraft:orange_candle",
      serialization_id: "tile.orange_candle"
    },
    {
      name: "minecraft:orange_candle_cake",
      serialization_id: "tile.orange_candle_cake"
    },
    {
      name: "minecraft:orange_carpet",
      serialization_id: "tile.carpet.orange"
    },
    {
      name: "minecraft:orange_concrete",
      serialization_id: "tile.concrete.orange"
    },
    {
      name: "minecraft:orange_concrete_powder",
      serialization_id: "tile.concretePowder.orange"
    },
    {
      name: "minecraft:orange_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.orange"
    },
    {
      name: "minecraft:orange_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:orange_stained_glass",
      serialization_id: "tile.stained_glass.orange"
    },
    {
      name: "minecraft:orange_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.orange"
    },
    {
      name: "minecraft:orange_terracotta",
      serialization_id: "tile.stained_hardened_clay.orange"
    },
    {
      name: "minecraft:orange_tulip",
      serialization_id: "tile.red_flower.tulipOrange"
    },
    {
      name: "minecraft:orange_wool",
      serialization_id: "tile.wool.orange"
    },
    {
      name: "minecraft:oxeye_daisy",
      serialization_id: "tile.red_flower.oxeyeDaisy"
    },
    {
      name: "minecraft:oxidized_chiseled_copper",
      serialization_id: "tile.oxidized_chiseled_copper"
    },
    {
      name: "minecraft:oxidized_copper",
      serialization_id: "tile.oxidized_copper"
    },
    {
      name: "minecraft:oxidized_copper_bulb",
      serialization_id: "tile.oxidized_copper_bulb"
    },
    {
      name: "minecraft:oxidized_copper_door",
      serialization_id: "tile.oxidized_copper_door"
    },
    {
      name: "minecraft:oxidized_copper_grate",
      serialization_id: "tile.oxidized_copper_grate"
    },
    {
      name: "minecraft:oxidized_copper_trapdoor",
      serialization_id: "tile.oxidized_copper_trapdoor"
    },
    {
      name: "minecraft:oxidized_cut_copper",
      serialization_id: "tile.oxidized_cut_copper"
    },
    {
      name: "minecraft:oxidized_cut_copper_slab",
      serialization_id: "tile.oxidized_cut_copper_slab"
    },
    {
      name: "minecraft:oxidized_cut_copper_stairs",
      serialization_id: "tile.oxidized_cut_copper_stairs"
    },
    {
      name: "minecraft:oxidized_double_cut_copper_slab",
      serialization_id: "tile.oxidized_double_cut_copper_slab"
    },
    {
      name: "minecraft:packed_ice",
      serialization_id: "tile.packed_ice"
    },
    {
      name: "minecraft:packed_mud",
      serialization_id: "tile.packed_mud"
    },
    {
      name: "minecraft:pearlescent_froglight",
      serialization_id: "tile.pearlescent_froglight"
    },
    {
      name: "minecraft:peony",
      serialization_id: "tile.double_plant.paeonia"
    },
    {
      name: "minecraft:petrified_oak_double_slab",
      serialization_id: "tile.double_stone_slab.wood"
    },
    {
      name: "minecraft:petrified_oak_slab",
      serialization_id: "tile.stone_slab.wood"
    },
    {
      name: "minecraft:pink_candle",
      serialization_id: "tile.pink_candle"
    },
    {
      name: "minecraft:pink_candle_cake",
      serialization_id: "tile.pink_candle_cake"
    },
    {
      name: "minecraft:pink_carpet",
      serialization_id: "tile.carpet.pink"
    },
    {
      name: "minecraft:pink_concrete",
      serialization_id: "tile.concrete.pink"
    },
    {
      name: "minecraft:pink_concrete_powder",
      serialization_id: "tile.concretePowder.pink"
    },
    {
      name: "minecraft:pink_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.pink"
    },
    {
      name: "minecraft:pink_petals",
      serialization_id: "tile.pink_petals"
    },
    {
      name: "minecraft:pink_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:pink_stained_glass",
      serialization_id: "tile.stained_glass.pink"
    },
    {
      name: "minecraft:pink_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.pink"
    },
    {
      name: "minecraft:pink_terracotta",
      serialization_id: "tile.stained_hardened_clay.pink"
    },
    {
      name: "minecraft:pink_tulip",
      serialization_id: "tile.red_flower.tulipPink"
    },
    {
      name: "minecraft:pink_wool",
      serialization_id: "tile.wool.pink"
    },
    {
      name: "minecraft:piston",
      serialization_id: "tile.piston"
    },
    {
      name: "minecraft:piston_arm_collision",
      serialization_id: "tile.piston_arm_collision"
    },
    {
      name: "minecraft:pitcher_crop",
      serialization_id: "tile.pitcher_crop"
    },
    {
      name: "minecraft:pitcher_plant",
      serialization_id: "tile.pitcher_plant"
    },
    {
      name: "minecraft:podzol",
      serialization_id: "tile.podzol"
    },
    {
      name: "minecraft:pointed_dripstone",
      serialization_id: "tile.pointed_dripstone"
    },
    {
      name: "minecraft:polished_andesite",
      serialization_id: "tile.stone.andesiteSmooth"
    },
    {
      name: "minecraft:polished_andesite_double_slab",
      serialization_id: "tile.double_stone_slab3.andesite.smooth"
    },
    {
      name: "minecraft:polished_andesite_slab",
      serialization_id: "tile.stone_slab3.andesite.smooth"
    },
    {
      name: "minecraft:polished_andesite_stairs",
      serialization_id: "tile.polished_andesite_stairs"
    },
    {
      name: "minecraft:polished_basalt",
      serialization_id: "tile.polished_basalt"
    },
    {
      name: "minecraft:polished_blackstone",
      serialization_id: "tile.polished_blackstone"
    },
    {
      name: "minecraft:polished_blackstone_brick_double_slab",
      serialization_id: "tile.polished_blackstone_brick_double_slab"
    },
    {
      name: "minecraft:polished_blackstone_brick_slab",
      serialization_id: "tile.polished_blackstone_brick_slab"
    },
    {
      name: "minecraft:polished_blackstone_brick_stairs",
      serialization_id: "tile.polished_blackstone_brick_stairs"
    },
    {
      name: "minecraft:polished_blackstone_brick_wall",
      serialization_id: "tile.polished_blackstone_brick_wall"
    },
    {
      name: "minecraft:polished_blackstone_bricks",
      serialization_id: "tile.polished_blackstone_bricks"
    },
    {
      name: "minecraft:polished_blackstone_button",
      serialization_id: "tile.polished_blackstone_button"
    },
    {
      name: "minecraft:polished_blackstone_double_slab",
      serialization_id: "tile.polished_blackstone_double_slab"
    },
    {
      name: "minecraft:polished_blackstone_pressure_plate",
      serialization_id: "tile.polished_blackstone_pressure_plate"
    },
    {
      name: "minecraft:polished_blackstone_slab",
      serialization_id: "tile.polished_blackstone_slab"
    },
    {
      name: "minecraft:polished_blackstone_stairs",
      serialization_id: "tile.polished_blackstone_stairs"
    },
    {
      name: "minecraft:polished_blackstone_wall",
      serialization_id: "tile.polished_blackstone_wall"
    },
    {
      name: "minecraft:polished_deepslate",
      serialization_id: "tile.polished_deepslate"
    },
    {
      name: "minecraft:polished_deepslate_double_slab",
      serialization_id: "tile.polished_deepslate_double_slab"
    },
    {
      name: "minecraft:polished_deepslate_slab",
      serialization_id: "tile.polished_deepslate_slab"
    },
    {
      name: "minecraft:polished_deepslate_stairs",
      serialization_id: "tile.polished_deepslate_stairs"
    },
    {
      name: "minecraft:polished_deepslate_wall",
      serialization_id: "tile.polished_deepslate_wall"
    },
    {
      name: "minecraft:polished_diorite",
      serialization_id: "tile.stone.dioriteSmooth"
    },
    {
      name: "minecraft:polished_diorite_double_slab",
      serialization_id: "tile.double_stone_slab3.diorite.smooth"
    },
    {
      name: "minecraft:polished_diorite_slab",
      serialization_id: "tile.stone_slab3.diorite.smooth"
    },
    {
      name: "minecraft:polished_diorite_stairs",
      serialization_id: "tile.polished_diorite_stairs"
    },
    {
      name: "minecraft:polished_granite",
      serialization_id: "tile.stone.graniteSmooth"
    },
    {
      name: "minecraft:polished_granite_double_slab",
      serialization_id: "tile.double_stone_slab3.granite.smooth"
    },
    {
      name: "minecraft:polished_granite_slab",
      serialization_id: "tile.stone_slab3.granite.smooth"
    },
    {
      name: "minecraft:polished_granite_stairs",
      serialization_id: "tile.polished_granite_stairs"
    },
    {
      name: "minecraft:polished_tuff",
      serialization_id: "tile.polished_tuff"
    },
    {
      name: "minecraft:polished_tuff_double_slab",
      serialization_id: "tile.polished_tuff_double_slab"
    },
    {
      name: "minecraft:polished_tuff_slab",
      serialization_id: "tile.polished_tuff_slab"
    },
    {
      name: "minecraft:polished_tuff_stairs",
      serialization_id: "tile.polished_tuff_stairs"
    },
    {
      name: "minecraft:polished_tuff_wall",
      serialization_id: "tile.polished_tuff_wall"
    },
    {
      name: "minecraft:poppy",
      serialization_id: "tile.red_flower.poppy"
    },
    {
      name: "minecraft:portal",
      serialization_id: "tile.portal"
    },
    {
      name: "minecraft:potatoes",
      serialization_id: "tile.potatoes"
    },
    {
      name: "minecraft:powder_snow",
      serialization_id: "tile.powder_snow"
    },
    {
      name: "minecraft:powered_comparator",
      serialization_id: "tile.powered_comparator"
    },
    {
      name: "minecraft:powered_repeater",
      serialization_id: "tile.powered_repeater"
    },
    {
      name: "minecraft:prismarine",
      serialization_id: "tile.prismarine.rough"
    },
    {
      name: "minecraft:prismarine_brick_double_slab",
      serialization_id: "tile.double_stone_slab2.prismarine.bricks"
    },
    {
      name: "minecraft:prismarine_brick_slab",
      serialization_id: "tile.stone_slab2.prismarine.bricks"
    },
    {
      name: "minecraft:prismarine_bricks",
      serialization_id: "tile.prismarine.bricks"
    },
    {
      name: "minecraft:prismarine_bricks_stairs",
      serialization_id: "tile.prismarine_bricks_stairs"
    },
    {
      name: "minecraft:prismarine_double_slab",
      serialization_id: "tile.double_stone_slab2.prismarine.rough"
    },
    {
      name: "minecraft:prismarine_slab",
      serialization_id: "tile.stone_slab2.prismarine.rough"
    },
    {
      name: "minecraft:prismarine_stairs",
      serialization_id: "tile.prismarine_stairs"
    },
    {
      name: "minecraft:prismarine_wall",
      serialization_id: "tile.cobblestone_wall.prismarine"
    },
    {
      name: "minecraft:pumpkin",
      serialization_id: "tile.pumpkin"
    },
    {
      name: "minecraft:pumpkin_stem",
      serialization_id: "tile.pumpkin_stem"
    },
    {
      name: "minecraft:purple_candle",
      serialization_id: "tile.purple_candle"
    },
    {
      name: "minecraft:purple_candle_cake",
      serialization_id: "tile.purple_candle_cake"
    },
    {
      name: "minecraft:purple_carpet",
      serialization_id: "tile.carpet.purple"
    },
    {
      name: "minecraft:purple_concrete",
      serialization_id: "tile.concrete.purple"
    },
    {
      name: "minecraft:purple_concrete_powder",
      serialization_id: "tile.concretePowder.purple"
    },
    {
      name: "minecraft:purple_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.purple"
    },
    {
      name: "minecraft:purple_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:purple_stained_glass",
      serialization_id: "tile.stained_glass.purple"
    },
    {
      name: "minecraft:purple_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.purple"
    },
    {
      name: "minecraft:purple_terracotta",
      serialization_id: "tile.stained_hardened_clay.purple"
    },
    {
      name: "minecraft:purple_wool",
      serialization_id: "tile.wool.purple"
    },
    {
      name: "minecraft:purpur_block",
      serialization_id: "tile.purpur_block.default"
    },
    {
      name: "minecraft:purpur_double_slab",
      serialization_id: "tile.double_stone_slab2.purpur"
    },
    {
      name: "minecraft:purpur_pillar",
      serialization_id: "tile.purpur_block.lines"
    },
    {
      name: "minecraft:purpur_slab",
      serialization_id: "tile.stone_slab2.purpur"
    },
    {
      name: "minecraft:purpur_stairs",
      serialization_id: "tile.purpur_stairs"
    },
    {
      name: "minecraft:quartz_block",
      serialization_id: "tile.quartz_block.default"
    },
    {
      name: "minecraft:quartz_bricks",
      serialization_id: "tile.quartz_bricks"
    },
    {
      name: "minecraft:quartz_double_slab",
      serialization_id: "tile.double_stone_slab.quartz"
    },
    {
      name: "minecraft:quartz_ore",
      serialization_id: "tile.quartz_ore"
    },
    {
      name: "minecraft:quartz_pillar",
      serialization_id: "tile.quartz_block.lines"
    },
    {
      name: "minecraft:quartz_slab",
      serialization_id: "tile.stone_slab.quartz"
    },
    {
      name: "minecraft:quartz_stairs",
      serialization_id: "tile.quartz_stairs"
    },
    {
      name: "minecraft:rail",
      serialization_id: "tile.rail"
    },
    {
      name: "minecraft:raw_copper_block",
      serialization_id: "tile.raw_copper_block"
    },
    {
      name: "minecraft:raw_gold_block",
      serialization_id: "tile.raw_gold_block"
    },
    {
      name: "minecraft:raw_iron_block",
      serialization_id: "tile.raw_iron_block"
    },
    {
      name: "minecraft:red_candle",
      serialization_id: "tile.red_candle"
    },
    {
      name: "minecraft:red_candle_cake",
      serialization_id: "tile.red_candle_cake"
    },
    {
      name: "minecraft:red_carpet",
      serialization_id: "tile.carpet.red"
    },
    {
      name: "minecraft:red_concrete",
      serialization_id: "tile.concrete.red"
    },
    {
      name: "minecraft:red_concrete_powder",
      serialization_id: "tile.concretePowder.red"
    },
    {
      name: "minecraft:red_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.red"
    },
    {
      name: "minecraft:red_mushroom",
      serialization_id: "tile.red_mushroom"
    },
    {
      name: "minecraft:red_mushroom_block",
      serialization_id: "tile.red_mushroom_block"
    },
    {
      name: "minecraft:red_nether_brick",
      serialization_id: "tile.red_nether_brick"
    },
    {
      name: "minecraft:red_nether_brick_double_slab",
      serialization_id: "tile.double_stone_slab2.red_nether_brick"
    },
    {
      name: "minecraft:red_nether_brick_slab",
      serialization_id: "tile.stone_slab2.red_nether_brick"
    },
    {
      name: "minecraft:red_nether_brick_stairs",
      serialization_id: "tile.red_nether_brick_stairs"
    },
    {
      name: "minecraft:red_nether_brick_wall",
      serialization_id: "tile.cobblestone_wall.red_nether_brick"
    },
    {
      name: "minecraft:red_sand",
      serialization_id: "tile.sand.red"
    },
    {
      name: "minecraft:red_sandstone",
      serialization_id: "tile.red_sandstone"
    },
    {
      name: "minecraft:red_sandstone_double_slab",
      serialization_id: "tile.double_stone_slab2.red_sandstone"
    },
    {
      name: "minecraft:red_sandstone_slab",
      serialization_id: "tile.stone_slab2.red_sandstone"
    },
    {
      name: "minecraft:red_sandstone_stairs",
      serialization_id: "tile.red_sandstone_stairs"
    },
    {
      name: "minecraft:red_sandstone_wall",
      serialization_id: "tile.cobblestone_wall.red_sandstone"
    },
    {
      name: "minecraft:red_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:red_stained_glass",
      serialization_id: "tile.stained_glass.red"
    },
    {
      name: "minecraft:red_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.red"
    },
    {
      name: "minecraft:red_terracotta",
      serialization_id: "tile.stained_hardened_clay.red"
    },
    {
      name: "minecraft:red_tulip",
      serialization_id: "tile.red_flower.tulipRed"
    },
    {
      name: "minecraft:red_wool",
      serialization_id: "tile.wool.red"
    },
    {
      name: "minecraft:redstone_block",
      serialization_id: "tile.redstone_block"
    },
    {
      name: "minecraft:redstone_lamp",
      serialization_id: "tile.redstone_lamp"
    },
    {
      name: "minecraft:redstone_ore",
      serialization_id: "tile.redstone_ore"
    },
    {
      name: "minecraft:redstone_torch",
      serialization_id: "tile.redstone_torch"
    },
    {
      name: "minecraft:redstone_wire",
      serialization_id: "tile.redstone_wire"
    },
    {
      name: "minecraft:reeds",
      serialization_id: "tile.reeds"
    },
    {
      name: "minecraft:reinforced_deepslate",
      serialization_id: "tile.reinforced_deepslate"
    },
    {
      name: "minecraft:repeating_command_block",
      serialization_id: "tile.repeating_command_block"
    },
    {
      name: "minecraft:reserved6",
      serialization_id: "tile.reserved6"
    },
    {
      name: "minecraft:respawn_anchor",
      serialization_id: "tile.respawn_anchor"
    },
    {
      name: "minecraft:rose_bush",
      serialization_id: "tile.double_plant.rose"
    },
    {
      name: "minecraft:sand",
      serialization_id: "tile.sand.default"
    },
    {
      name: "minecraft:sandstone",
      serialization_id: "tile.sandstone"
    },
    {
      name: "minecraft:sandstone_double_slab",
      serialization_id: "tile.double_stone_slab.sand"
    },
    {
      name: "minecraft:sandstone_slab",
      serialization_id: "tile.stone_slab.sand"
    },
    {
      name: "minecraft:sandstone_stairs",
      serialization_id: "tile.sandstone_stairs"
    },
    {
      name: "minecraft:sandstone_wall",
      serialization_id: "tile.cobblestone_wall.sandstone"
    },
    {
      name: "minecraft:scaffolding",
      serialization_id: "tile.scaffolding"
    },
    {
      name: "minecraft:sculk",
      serialization_id: "tile.sculk"
    },
    {
      name: "minecraft:sculk_catalyst",
      serialization_id: "tile.sculk_catalyst"
    },
    {
      name: "minecraft:sculk_sensor",
      serialization_id: "tile.sculk_sensor"
    },
    {
      name: "minecraft:sculk_shrieker",
      serialization_id: "tile.sculk_shrieker"
    },
    {
      name: "minecraft:sculk_vein",
      serialization_id: "tile.sculk_vein"
    },
    {
      name: "minecraft:sea_lantern",
      serialization_id: "tile.seaLantern"
    },
    {
      name: "minecraft:sea_pickle",
      serialization_id: "tile.sea_pickle"
    },
    {
      name: "minecraft:seagrass",
      serialization_id: "tile.seagrass"
    },
    {
      name: "minecraft:short_grass",
      serialization_id: "tile.tallgrass.grass"
    },
    {
      name: "minecraft:shroomlight",
      serialization_id: "tile.shroomlight"
    },
    {
      name: "minecraft:silver_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.silver"
    },
    {
      name: "minecraft:skull",
      serialization_id: "tile.skull"
    },
    {
      name: "minecraft:slime",
      serialization_id: "tile.slime"
    },
    {
      name: "minecraft:small_amethyst_bud",
      serialization_id: "tile.small_amethyst_bud"
    },
    {
      name: "minecraft:small_dripleaf_block",
      serialization_id: "tile.small_dripleaf_block"
    },
    {
      name: "minecraft:smithing_table",
      serialization_id: "tile.smithing_table"
    },
    {
      name: "minecraft:smoker",
      serialization_id: "tile.smoker"
    },
    {
      name: "minecraft:smooth_basalt",
      serialization_id: "tile.smooth_basalt"
    },
    {
      name: "minecraft:smooth_quartz",
      serialization_id: "tile.quartz_block.smooth"
    },
    {
      name: "minecraft:smooth_quartz_double_slab",
      serialization_id: "tile.double_stone_slab4.smooth_quartz"
    },
    {
      name: "minecraft:smooth_quartz_slab",
      serialization_id: "tile.stone_slab4.smooth_quartz"
    },
    {
      name: "minecraft:smooth_quartz_stairs",
      serialization_id: "tile.smooth_quartz_stairs"
    },
    {
      name: "minecraft:smooth_red_sandstone",
      serialization_id: "tile.red_sandstone.smooth"
    },
    {
      name: "minecraft:smooth_red_sandstone_double_slab",
      serialization_id: "tile.double_stone_slab3.red_sandstone.smooth"
    },
    {
      name: "minecraft:smooth_red_sandstone_slab",
      serialization_id: "tile.stone_slab3.red_sandstone.smooth"
    },
    {
      name: "minecraft:smooth_red_sandstone_stairs",
      serialization_id: "tile.smooth_red_sandstone_stairs"
    },
    {
      name: "minecraft:smooth_sandstone",
      serialization_id: "tile.sandstone.smooth"
    },
    {
      name: "minecraft:smooth_sandstone_double_slab",
      serialization_id: "tile.double_stone_slab2.sandstone.smooth"
    },
    {
      name: "minecraft:smooth_sandstone_slab",
      serialization_id: "tile.stone_slab2.sandstone.smooth"
    },
    {
      name: "minecraft:smooth_sandstone_stairs",
      serialization_id: "tile.smooth_sandstone_stairs"
    },
    {
      name: "minecraft:smooth_stone",
      serialization_id: "tile.smooth_stone"
    },
    {
      name: "minecraft:smooth_stone_double_slab",
      serialization_id: "tile.double_stone_slab.stone"
    },
    {
      name: "minecraft:smooth_stone_slab",
      serialization_id: "tile.stone_slab.stone"
    },
    {
      name: "minecraft:sniffer_egg",
      serialization_id: "tile.sniffer_egg"
    },
    {
      name: "minecraft:snow",
      serialization_id: "tile.snow"
    },
    {
      name: "minecraft:snow_layer",
      serialization_id: "tile.snow_layer"
    },
    {
      name: "minecraft:soul_campfire",
      serialization_id: "tile.soul_campfire"
    },
    {
      name: "minecraft:soul_fire",
      serialization_id: "tile.soul_fire"
    },
    {
      name: "minecraft:soul_lantern",
      serialization_id: "tile.soul_lantern"
    },
    {
      name: "minecraft:soul_sand",
      serialization_id: "tile.soul_sand"
    },
    {
      name: "minecraft:soul_soil",
      serialization_id: "tile.soul_soil"
    },
    {
      name: "minecraft:soul_torch",
      serialization_id: "tile.soul_torch"
    },
    {
      name: "minecraft:sponge",
      serialization_id: "tile.sponge.dry"
    },
    {
      name: "minecraft:spore_blossom",
      serialization_id: "tile.spore_blossom"
    },
    {
      name: "minecraft:spruce_button",
      serialization_id: "tile.spruce_button"
    },
    {
      name: "minecraft:spruce_door",
      serialization_id: "tile.spruce_door"
    },
    {
      name: "minecraft:spruce_double_slab",
      serialization_id: "tile.double_wooden_slab.spruce"
    },
    {
      name: "minecraft:spruce_fence",
      serialization_id: "tile.spruce_fence"
    },
    {
      name: "minecraft:spruce_fence_gate",
      serialization_id: "tile.spruce_fence_gate"
    },
    {
      name: "minecraft:spruce_hanging_sign",
      serialization_id: "tile.spruce_hanging_sign"
    },
    {
      name: "minecraft:spruce_leaves",
      serialization_id: "tile.leaves.spruce"
    },
    {
      name: "minecraft:spruce_log",
      serialization_id: "tile.log.spruce"
    },
    {
      name: "minecraft:spruce_planks",
      serialization_id: "tile.spruce_planks"
    },
    {
      name: "minecraft:spruce_pressure_plate",
      serialization_id: "tile.spruce_pressure_plate"
    },
    {
      name: "minecraft:spruce_sapling",
      serialization_id: "tile.sapling.spruce"
    },
    {
      name: "minecraft:spruce_slab",
      serialization_id: "tile.wooden_slab.spruce"
    },
    {
      name: "minecraft:spruce_stairs",
      serialization_id: "tile.spruce_stairs"
    },
    {
      name: "minecraft:spruce_standing_sign",
      serialization_id: "tile.spruce_standing_sign"
    },
    {
      name: "minecraft:spruce_trapdoor",
      serialization_id: "tile.spruce_trapdoor"
    },
    {
      name: "minecraft:spruce_wall_sign",
      serialization_id: "tile.spruce_wall_sign"
    },
    {
      name: "minecraft:spruce_wood",
      serialization_id: "tile.wood.spruce"
    },
    {
      name: "minecraft:standing_banner",
      serialization_id: "tile.standing_banner"
    },
    {
      name: "minecraft:standing_sign",
      serialization_id: "tile.standing_sign"
    },
    {
      name: "minecraft:sticky_piston",
      serialization_id: "tile.sticky_piston"
    },
    {
      name: "minecraft:sticky_piston_arm_collision",
      serialization_id: "tile.sticky_piston_arm_collision"
    },
    {
      name: "minecraft:stone",
      serialization_id: "tile.stone.stone"
    },
    {
      name: "minecraft:stone_brick_double_slab",
      serialization_id: "tile.double_stone_slab.smoothStoneBrick"
    },
    {
      name: "minecraft:stone_brick_slab",
      serialization_id: "tile.stone_slab.smoothStoneBrick"
    },
    {
      name: "minecraft:stone_brick_stairs",
      serialization_id: "tile.stone_brick_stairs"
    },
    {
      name: "minecraft:stone_brick_wall",
      serialization_id: "tile.cobblestone_wall.stone_brick"
    },
    {
      name: "minecraft:stone_bricks",
      serialization_id: "tile.stonebrick.default"
    },
    {
      name: "minecraft:stone_button",
      serialization_id: "tile.stone_button"
    },
    {
      name: "minecraft:stone_pressure_plate",
      serialization_id: "tile.stone_pressure_plate"
    },
    {
      name: "minecraft:stone_stairs",
      serialization_id: "tile.stone_stairs"
    },
    {
      name: "minecraft:stonecutter",
      serialization_id: "tile.stonecutter"
    },
    {
      name: "minecraft:stonecutter_block",
      serialization_id: "tile.stonecutter_block"
    },
    {
      name: "minecraft:stripped_acacia_log",
      serialization_id: "tile.stripped_acacia_log"
    },
    {
      name: "minecraft:stripped_acacia_wood",
      serialization_id: "tile.wood.stripped.acacia"
    },
    {
      name: "minecraft:stripped_bamboo_block",
      serialization_id: "tile.stripped_bamboo_block"
    },
    {
      name: "minecraft:stripped_birch_log",
      serialization_id: "tile.stripped_birch_log"
    },
    {
      name: "minecraft:stripped_birch_wood",
      serialization_id: "tile.wood.stripped.birch"
    },
    {
      name: "minecraft:stripped_cherry_log",
      serialization_id: "tile.stripped_cherry_log"
    },
    {
      name: "minecraft:stripped_cherry_wood",
      serialization_id: "tile.stripped_cherry_wood"
    },
    {
      name: "minecraft:stripped_crimson_hyphae",
      serialization_id: "tile.stripped_crimson_hyphae"
    },
    {
      name: "minecraft:stripped_crimson_stem",
      serialization_id: "tile.stripped_crimson_stem"
    },
    {
      name: "minecraft:stripped_dark_oak_log",
      serialization_id: "tile.stripped_dark_oak_log"
    },
    {
      name: "minecraft:stripped_dark_oak_wood",
      serialization_id: "tile.wood.stripped.dark_oak"
    },
    {
      name: "minecraft:stripped_jungle_log",
      serialization_id: "tile.stripped_jungle_log"
    },
    {
      name: "minecraft:stripped_jungle_wood",
      serialization_id: "tile.wood.stripped.jungle"
    },
    {
      name: "minecraft:stripped_mangrove_log",
      serialization_id: "tile.stripped_mangrove_log"
    },
    {
      name: "minecraft:stripped_mangrove_wood",
      serialization_id: "tile.stripped_mangrove_wood"
    },
    {
      name: "minecraft:stripped_oak_log",
      serialization_id: "tile.stripped_oak_log"
    },
    {
      name: "minecraft:stripped_oak_wood",
      serialization_id: "tile.wood.stripped.oak"
    },
    {
      name: "minecraft:stripped_spruce_log",
      serialization_id: "tile.stripped_spruce_log"
    },
    {
      name: "minecraft:stripped_spruce_wood",
      serialization_id: "tile.wood.stripped.spruce"
    },
    {
      name: "minecraft:stripped_warped_hyphae",
      serialization_id: "tile.stripped_warped_hyphae"
    },
    {
      name: "minecraft:stripped_warped_stem",
      serialization_id: "tile.stripped_warped_stem"
    },
    {
      name: "minecraft:structure_block",
      serialization_id: "tile.structure_block"
    },
    {
      name: "minecraft:structure_void",
      serialization_id: "tile.structure_void"
    },
    {
      name: "minecraft:sunflower",
      serialization_id: "tile.double_plant.sunflower"
    },
    {
      name: "minecraft:suspicious_gravel",
      serialization_id: "tile.suspicious_gravel"
    },
    {
      name: "minecraft:suspicious_sand",
      serialization_id: "tile.suspicious_sand"
    },
    {
      name: "minecraft:sweet_berry_bush",
      serialization_id: "tile.sweet_berry_bush"
    },
    {
      name: "minecraft:tall_grass",
      serialization_id: "tile.double_plant.grass"
    },
    {
      name: "minecraft:target",
      serialization_id: "tile.target"
    },
    {
      name: "minecraft:tinted_glass",
      serialization_id: "tile.tinted_glass"
    },
    {
      name: "minecraft:tnt",
      serialization_id: "tile.tnt"
    },
    {
      name: "minecraft:torch",
      serialization_id: "tile.torch"
    },
    {
      name: "minecraft:torchflower",
      serialization_id: "tile.torchflower"
    },
    {
      name: "minecraft:torchflower_crop",
      serialization_id: "tile.torchflower_crop"
    },
    {
      name: "minecraft:trapdoor",
      serialization_id: "tile.trapdoor"
    },
    {
      name: "minecraft:trapped_chest",
      serialization_id: "tile.trapped_chest"
    },
    {
      name: "minecraft:trial_spawner",
      serialization_id: "tile.trial_spawner"
    },
    {
      name: "minecraft:trip_wire",
      serialization_id: "tile.tripWire"
    },
    {
      name: "minecraft:tripwire_hook",
      serialization_id: "tile.tripwire_hook"
    },
    {
      name: "minecraft:tube_coral",
      serialization_id: "tile.coral.blue"
    },
    {
      name: "minecraft:tube_coral_block",
      serialization_id: "tile.coral_block.blue"
    },
    {
      name: "minecraft:tube_coral_fan",
      serialization_id: "tile.coral_fan.blue_fan"
    },
    {
      name: "minecraft:tube_coral_wall_fan",
      serialization_id: "tile.tube_coral_wall_fan"
    },
    {
      name: "minecraft:tuff",
      serialization_id: "tile.tuff"
    },
    {
      name: "minecraft:tuff_brick_double_slab",
      serialization_id: "tile.tuff_brick_double_slab"
    },
    {
      name: "minecraft:tuff_brick_slab",
      serialization_id: "tile.tuff_brick_slab"
    },
    {
      name: "minecraft:tuff_brick_stairs",
      serialization_id: "tile.tuff_brick_stairs"
    },
    {
      name: "minecraft:tuff_brick_wall",
      serialization_id: "tile.tuff_brick_wall"
    },
    {
      name: "minecraft:tuff_bricks",
      serialization_id: "tile.tuff_bricks"
    },
    {
      name: "minecraft:tuff_double_slab",
      serialization_id: "tile.tuff_double_slab"
    },
    {
      name: "minecraft:tuff_slab",
      serialization_id: "tile.tuff_slab"
    },
    {
      name: "minecraft:tuff_stairs",
      serialization_id: "tile.tuff_stairs"
    },
    {
      name: "minecraft:tuff_wall",
      serialization_id: "tile.tuff_wall"
    },
    {
      name: "minecraft:turtle_egg",
      serialization_id: "tile.turtle_egg"
    },
    {
      name: "minecraft:twisting_vines",
      serialization_id: "tile.twisting_vines"
    },
    {
      name: "minecraft:underwater_tnt",
      serialization_id: "tile.tnt"
    },
    {
      name: "minecraft:underwater_torch",
      serialization_id: "tile.underwater_torch"
    },
    {
      name: "minecraft:undyed_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:unknown",
      serialization_id: "tile.unknown"
    },
    {
      name: "minecraft:unlit_redstone_torch",
      serialization_id: "tile.unlit_redstone_torch"
    },
    {
      name: "minecraft:unpowered_comparator",
      serialization_id: "tile.unpowered_comparator"
    },
    {
      name: "minecraft:unpowered_repeater",
      serialization_id: "tile.unpowered_repeater"
    },
    {
      name: "minecraft:vault",
      serialization_id: "tile.vault"
    },
    {
      name: "minecraft:verdant_froglight",
      serialization_id: "tile.verdant_froglight"
    },
    {
      name: "minecraft:vine",
      serialization_id: "tile.vine"
    },
    {
      name: "minecraft:wall_banner",
      serialization_id: "tile.wall_banner"
    },
    {
      name: "minecraft:wall_sign",
      serialization_id: "tile.wall_sign"
    },
    {
      name: "minecraft:warped_button",
      serialization_id: "tile.warped_button"
    },
    {
      name: "minecraft:warped_door",
      serialization_id: "tile.warped_door"
    },
    {
      name: "minecraft:warped_double_slab",
      serialization_id: "tile.warped_double_slab"
    },
    {
      name: "minecraft:warped_fence",
      serialization_id: "tile.warped_fence"
    },
    {
      name: "minecraft:warped_fence_gate",
      serialization_id: "tile.warped_fence_gate"
    },
    {
      name: "minecraft:warped_fungus",
      serialization_id: "tile.warped_fungus"
    },
    {
      name: "minecraft:warped_hanging_sign",
      serialization_id: "tile.warped_hanging_sign"
    },
    {
      name: "minecraft:warped_hyphae",
      serialization_id: "tile.warped_hyphae"
    },
    {
      name: "minecraft:warped_nylium",
      serialization_id: "tile.warped_nylium"
    },
    {
      name: "minecraft:warped_planks",
      serialization_id: "tile.warped_planks"
    },
    {
      name: "minecraft:warped_pressure_plate",
      serialization_id: "tile.warped_pressure_plate"
    },
    {
      name: "minecraft:warped_roots",
      serialization_id: "tile.warped_roots.warpedRoots"
    },
    {
      name: "minecraft:warped_slab",
      serialization_id: "tile.warped_slab"
    },
    {
      name: "minecraft:warped_stairs",
      serialization_id: "tile.warped_stairs"
    },
    {
      name: "minecraft:warped_standing_sign",
      serialization_id: "tile.warped_standing_sign"
    },
    {
      name: "minecraft:warped_stem",
      serialization_id: "tile.warped_stem"
    },
    {
      name: "minecraft:warped_trapdoor",
      serialization_id: "tile.warped_trapdoor"
    },
    {
      name: "minecraft:warped_wall_sign",
      serialization_id: "tile.warped_wall_sign"
    },
    {
      name: "minecraft:warped_wart_block",
      serialization_id: "tile.warped_wart_block"
    },
    {
      name: "minecraft:water",
      serialization_id: "tile.water"
    },
    {
      name: "minecraft:waterlily",
      serialization_id: "tile.waterlily"
    },
    {
      name: "minecraft:waxed_chiseled_copper",
      serialization_id: "tile.waxed_chiseled_copper"
    },
    {
      name: "minecraft:waxed_copper",
      serialization_id: "tile.waxed_copper"
    },
    {
      name: "minecraft:waxed_copper_bulb",
      serialization_id: "tile.waxed_copper_bulb"
    },
    {
      name: "minecraft:waxed_copper_door",
      serialization_id: "tile.waxed_copper_door"
    },
    {
      name: "minecraft:waxed_copper_grate",
      serialization_id: "tile.waxed_copper_grate"
    },
    {
      name: "minecraft:waxed_copper_trapdoor",
      serialization_id: "tile.waxed_copper_trapdoor"
    },
    {
      name: "minecraft:waxed_cut_copper",
      serialization_id: "tile.waxed_cut_copper"
    },
    {
      name: "minecraft:waxed_cut_copper_slab",
      serialization_id: "tile.waxed_cut_copper_slab"
    },
    {
      name: "minecraft:waxed_cut_copper_stairs",
      serialization_id: "tile.waxed_cut_copper_stairs"
    },
    {
      name: "minecraft:waxed_double_cut_copper_slab",
      serialization_id: "tile.waxed_double_cut_copper_slab"
    },
    {
      name: "minecraft:waxed_exposed_chiseled_copper",
      serialization_id: "tile.waxed_exposed_chiseled_copper"
    },
    {
      name: "minecraft:waxed_exposed_copper",
      serialization_id: "tile.waxed_exposed_copper"
    },
    {
      name: "minecraft:waxed_exposed_copper_bulb",
      serialization_id: "tile.waxed_exposed_copper_bulb"
    },
    {
      name: "minecraft:waxed_exposed_copper_door",
      serialization_id: "tile.waxed_exposed_copper_door"
    },
    {
      name: "minecraft:waxed_exposed_copper_grate",
      serialization_id: "tile.waxed_exposed_copper_grate"
    },
    {
      name: "minecraft:waxed_exposed_copper_trapdoor",
      serialization_id: "tile.waxed_exposed_copper_trapdoor"
    },
    {
      name: "minecraft:waxed_exposed_cut_copper",
      serialization_id: "tile.waxed_exposed_cut_copper"
    },
    {
      name: "minecraft:waxed_exposed_cut_copper_slab",
      serialization_id: "tile.waxed_exposed_cut_copper_slab"
    },
    {
      name: "minecraft:waxed_exposed_cut_copper_stairs",
      serialization_id: "tile.waxed_exposed_cut_copper_stairs"
    },
    {
      name: "minecraft:waxed_exposed_double_cut_copper_slab",
      serialization_id: "tile.waxed_exposed_double_cut_copper_slab"
    },
    {
      name: "minecraft:waxed_oxidized_chiseled_copper",
      serialization_id: "tile.waxed_oxidized_chiseled_copper"
    },
    {
      name: "minecraft:waxed_oxidized_copper",
      serialization_id: "tile.waxed_oxidized_copper"
    },
    {
      name: "minecraft:waxed_oxidized_copper_bulb",
      serialization_id: "tile.waxed_oxidized_copper_bulb"
    },
    {
      name: "minecraft:waxed_oxidized_copper_door",
      serialization_id: "tile.waxed_oxidized_copper_door"
    },
    {
      name: "minecraft:waxed_oxidized_copper_grate",
      serialization_id: "tile.waxed_oxidized_copper_grate"
    },
    {
      name: "minecraft:waxed_oxidized_copper_trapdoor",
      serialization_id: "tile.waxed_oxidized_copper_trapdoor"
    },
    {
      name: "minecraft:waxed_oxidized_cut_copper",
      serialization_id: "tile.waxed_oxidized_cut_copper"
    },
    {
      name: "minecraft:waxed_oxidized_cut_copper_slab",
      serialization_id: "tile.waxed_oxidized_cut_copper_slab"
    },
    {
      name: "minecraft:waxed_oxidized_cut_copper_stairs",
      serialization_id: "tile.waxed_oxidized_cut_copper_stairs"
    },
    {
      name: "minecraft:waxed_oxidized_double_cut_copper_slab",
      serialization_id: "tile.waxed_oxidized_double_cut_copper_slab"
    },
    {
      name: "minecraft:waxed_weathered_chiseled_copper",
      serialization_id: "tile.waxed_weathered_chiseled_copper"
    },
    {
      name: "minecraft:waxed_weathered_copper",
      serialization_id: "tile.waxed_weathered_copper"
    },
    {
      name: "minecraft:waxed_weathered_copper_bulb",
      serialization_id: "tile.waxed_weathered_copper_bulb"
    },
    {
      name: "minecraft:waxed_weathered_copper_door",
      serialization_id: "tile.waxed_weathered_copper_door"
    },
    {
      name: "minecraft:waxed_weathered_copper_grate",
      serialization_id: "tile.waxed_weathered_copper_grate"
    },
    {
      name: "minecraft:waxed_weathered_copper_trapdoor",
      serialization_id: "tile.waxed_weathered_copper_trapdoor"
    },
    {
      name: "minecraft:waxed_weathered_cut_copper",
      serialization_id: "tile.waxed_weathered_cut_copper"
    },
    {
      name: "minecraft:waxed_weathered_cut_copper_slab",
      serialization_id: "tile.waxed_weathered_cut_copper_slab"
    },
    {
      name: "minecraft:waxed_weathered_cut_copper_stairs",
      serialization_id: "tile.waxed_weathered_cut_copper_stairs"
    },
    {
      name: "minecraft:waxed_weathered_double_cut_copper_slab",
      serialization_id: "tile.waxed_weathered_double_cut_copper_slab"
    },
    {
      name: "minecraft:weathered_chiseled_copper",
      serialization_id: "tile.weathered_chiseled_copper"
    },
    {
      name: "minecraft:weathered_copper",
      serialization_id: "tile.weathered_copper"
    },
    {
      name: "minecraft:weathered_copper_bulb",
      serialization_id: "tile.weathered_copper_bulb"
    },
    {
      name: "minecraft:weathered_copper_door",
      serialization_id: "tile.weathered_copper_door"
    },
    {
      name: "minecraft:weathered_copper_grate",
      serialization_id: "tile.weathered_copper_grate"
    },
    {
      name: "minecraft:weathered_copper_trapdoor",
      serialization_id: "tile.weathered_copper_trapdoor"
    },
    {
      name: "minecraft:weathered_cut_copper",
      serialization_id: "tile.weathered_cut_copper"
    },
    {
      name: "minecraft:weathered_cut_copper_slab",
      serialization_id: "tile.weathered_cut_copper_slab"
    },
    {
      name: "minecraft:weathered_cut_copper_stairs",
      serialization_id: "tile.weathered_cut_copper_stairs"
    },
    {
      name: "minecraft:weathered_double_cut_copper_slab",
      serialization_id: "tile.weathered_double_cut_copper_slab"
    },
    {
      name: "minecraft:web",
      serialization_id: "tile.web"
    },
    {
      name: "minecraft:weeping_vines",
      serialization_id: "tile.weeping_vines"
    },
    {
      name: "minecraft:wet_sponge",
      serialization_id: "tile.sponge.wet"
    },
    {
      name: "minecraft:wheat",
      serialization_id: "tile.wheat"
    },
    {
      name: "minecraft:white_candle",
      serialization_id: "tile.white_candle"
    },
    {
      name: "minecraft:white_candle_cake",
      serialization_id: "tile.white_candle_cake"
    },
    {
      name: "minecraft:white_carpet",
      serialization_id: "tile.carpet.white"
    },
    {
      name: "minecraft:white_concrete",
      serialization_id: "tile.concrete.white"
    },
    {
      name: "minecraft:white_concrete_powder",
      serialization_id: "tile.concretePowder.white"
    },
    {
      name: "minecraft:white_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.white"
    },
    {
      name: "minecraft:white_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:white_stained_glass",
      serialization_id: "tile.stained_glass.white"
    },
    {
      name: "minecraft:white_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.white"
    },
    {
      name: "minecraft:white_terracotta",
      serialization_id: "tile.stained_hardened_clay.white"
    },
    {
      name: "minecraft:white_tulip",
      serialization_id: "tile.red_flower.tulipWhite"
    },
    {
      name: "minecraft:white_wool",
      serialization_id: "tile.wool.white"
    },
    {
      name: "minecraft:wither_rose",
      serialization_id: "tile.wither_rose"
    },
    {
      name: "minecraft:wooden_button",
      serialization_id: "tile.wooden_button"
    },
    {
      name: "minecraft:wooden_door",
      serialization_id: "tile.wooden_door"
    },
    {
      name: "minecraft:wooden_pressure_plate",
      serialization_id: "tile.wooden_pressure_plate"
    },
    {
      name: "minecraft:yellow_candle",
      serialization_id: "tile.yellow_candle"
    },
    {
      name: "minecraft:yellow_candle_cake",
      serialization_id: "tile.yellow_candle_cake"
    },
    {
      name: "minecraft:yellow_carpet",
      serialization_id: "tile.carpet.yellow"
    },
    {
      name: "minecraft:yellow_concrete",
      serialization_id: "tile.concrete.yellow"
    },
    {
      name: "minecraft:yellow_concrete_powder",
      serialization_id: "tile.concretePowder.yellow"
    },
    {
      name: "minecraft:yellow_glazed_terracotta",
      serialization_id: "tile.glazedTerracotta.yellow"
    },
    {
      name: "minecraft:yellow_shulker_box",
      serialization_id: "tile.shulkerBox"
    },
    {
      name: "minecraft:yellow_stained_glass",
      serialization_id: "tile.stained_glass.yellow"
    },
    {
      name: "minecraft:yellow_stained_glass_pane",
      serialization_id: "tile.stained_glass_pane.yellow"
    },
    {
      name: "minecraft:yellow_terracotta",
      serialization_id: "tile.stained_hardened_clay.yellow"
    },
    {
      name: "minecraft:yellow_wool",
      serialization_id: "tile.wool.yellow"
    }
  ],
  minecraft_version: "1.21.30",
  module_type: "vanilla_data",
  name: "mojang-block",
  vanilla_data_type: "block"
};

// src/forms/ItemStatisticsForm.ts
var plankTypes = [
  MinecraftBlockTypes.AcaciaPlanks,
  MinecraftBlockTypes.BambooPlanks,
  MinecraftBlockTypes.BirchPlanks,
  MinecraftBlockTypes.CherryPlanks,
  MinecraftBlockTypes.CrimsonPlanks,
  // MinecraftBlockTypes.DarkOakPlanks,
  MinecraftBlockTypes.JunglePlanks,
  // MinecraftBlockTypes.MangrovePlanks,
  MinecraftBlockTypes.OakPlanks,
  MinecraftBlockTypes.SprucePlanks
  // MinecraftBlockTypes.WarpedPlanks,
];
var itemDisplayKeyMap = (/* @__PURE__ */ new Map()).set(MinecraftItemTypes.Seagrass, { translate: "tile.seagrass.seagrass.name" }).set(MinecraftItemTypes.DarkOakPlanks, { translate: "tile.planks.big_oak.name" }).set(MinecraftItemTypes.InkSac, { translate: "item.dye.black.name" }).set(MinecraftItemTypes.BlackDye, { translate: "item.dye.black_new.name" }).set(MinecraftItemTypes.LapisLazuli, { translate: "item.dye.blue.name" }).set(MinecraftItemTypes.BlueDye, { translate: "item.dye.blue_new.name" }).set(MinecraftItemTypes.CocoaBeans, { translate: "item.dye.brown.name" }).set(MinecraftItemTypes.BrownDye, { translate: "item.dye.brown_new.name" }).set(MinecraftItemTypes.CyanDye, { translate: "item.dye.cyan.name" }).set(MinecraftItemTypes.GrayDye, { translate: "item.dye.gray.name" }).set(MinecraftItemTypes.GreenDye, { translate: "item.dye.green.name" }).set(MinecraftItemTypes.LightBlueDye, { translate: "item.dye.lightBlue.name" }).set(MinecraftItemTypes.LimeDye, { translate: "item.dye.lime.name" }).set(MinecraftItemTypes.MagentaDye, { translate: "item.dye.magenta.name" }).set(MinecraftItemTypes.OrangeDye, { translate: "item.dye.orange.name" }).set(MinecraftItemTypes.PinkDye, { translate: "item.dye.pink.name" }).set(MinecraftItemTypes.PurpleDye, { translate: "item.dye.purple.name" }).set(MinecraftItemTypes.RedDye, { translate: "item.dye.red.name" }).set(MinecraftItemTypes.LightGrayDye, { translate: "item.dye.silver.name" }).set(MinecraftItemTypes.BoneMeal, { translate: "item.dye.white.name" }).set(MinecraftItemTypes.WhiteDye, { translate: "item.dye.white_new.name" }).set(MinecraftItemTypes.YellowDye, { translate: "item.dye.yellow.name" }).set(MinecraftItemTypes.LavaBucket, { translate: "item.bucketLava.name" }).set(MinecraftItemTypes.WaterBucket, { translate: "item.bucketWater.name" }).set(MinecraftItemTypes.CodBucket, { translate: "item.bucketFish.name" }).set(MinecraftItemTypes.SalmonBucket, { translate: "item.bucketSalmon.name" }).set(MinecraftItemTypes.TropicalFishBucket, { translate: "item.bucketTropical.name" }).set(MinecraftItemTypes.PufferfishBucket, { translate: "item.bucketPuffer.name" }).set(MinecraftItemTypes.MusicDisc11, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_11.desc" }] }).set(MinecraftItemTypes.MusicDisc13, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_13.desc" }] }).set(MinecraftItemTypes.MusicDiscBlocks, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_blocks.desc" }] }).set(MinecraftItemTypes.MusicDiscCat, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_cat.desc" }] }).set(MinecraftItemTypes.MusicDiscChirp, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_chirp.desc" }] }).set(MinecraftItemTypes.MusicDiscFar, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_far.desc" }] }).set(MinecraftItemTypes.MusicDiscMall, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_mall.desc" }] }).set(MinecraftItemTypes.MusicDiscMellohi, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_mellohi.desc" }] }).set(MinecraftItemTypes.MusicDiscStal, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_stal.desc" }] }).set(MinecraftItemTypes.MusicDiscStrad, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_strad.desc" }] }).set(MinecraftItemTypes.MusicDiscWait, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_wait.desc" }] }).set(MinecraftItemTypes.MusicDiscWard, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_ward.desc" }] }).set(MinecraftItemTypes.MusicDiscPigstep, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_pigstep.desc" }] }).set(MinecraftItemTypes.MusicDiscOtherside, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_otherside.desc" }] }).set(MinecraftItemTypes.MusicDiscRelic, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_relic.desc" }] }).set(MinecraftItemTypes.MusicDiscCreator, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_creator.desc" }] }).set(MinecraftItemTypes.MusicDiscCreatorMusicBox, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_creator_music_box.desc" }] }).set(MinecraftItemTypes.MusicDiscPrecipice, { rawtext: [{ text: "\xA7e" }, { translate: "item.record.name" }, { text: "\n\xA77" }, { translate: "item.record_precipice.desc" }] }).set(MinecraftItemTypes.OakBoat, { translate: "item.boat.oak.name" }).set(MinecraftItemTypes.SpruceBoat, { translate: "item.boat.spruce.name" }).set(MinecraftItemTypes.BirchBoat, { translate: "item.boat.birch.name" }).set(MinecraftItemTypes.JungleBoat, { translate: "item.boat.jungle.name" }).set(MinecraftItemTypes.AcaciaBoat, { translate: "item.boat.acacia.name" }).set(MinecraftItemTypes.DarkOakBoat, { translate: "item.boat.big_oak.name" }).set(MinecraftItemTypes.MangroveBoat, { translate: "item.boat.mangrove.name" }).set(MinecraftItemTypes.BambooRaft, { translate: "item.boat.bamboo.name" }).set(MinecraftItemTypes.CherryBoat, { translate: "item.boat.cherry.name" }).set(MinecraftItemTypes.OakChestBoat, { translate: "item.chest_boat.oak.name" }).set(MinecraftItemTypes.SpruceChestBoat, { translate: "item.chest_boat.spruce.name" }).set(MinecraftItemTypes.BirchChestBoat, { translate: "item.chest_boat.birch.name" }).set(MinecraftItemTypes.JungleChestBoat, { translate: "item.chest_boat.jungle.name" }).set(MinecraftItemTypes.AcaciaChestBoat, { translate: "item.chest_boat.acacia.name" }).set(MinecraftItemTypes.DarkOakChestBoat, { translate: "item.chest_boat.big_oak.name" }).set(MinecraftItemTypes.MangroveChestBoat, { translate: "item.chest_boat.mangrove.name" }).set(MinecraftItemTypes.BambooChestRaft, { translate: "item.chest_boat.bamboo.name" }).set(MinecraftItemTypes.CherryChestBoat, { translate: "item.chest_boat.cherry.name" }).set(MinecraftItemTypes.TropicalFishSpawnEgg, { translate: "item.spawn_egg.entity.tropicalfish.name" }).set(MinecraftItemTypes.Potion, { translate: "itemGroup.name.potion" }).set(MinecraftItemTypes.SplashPotion, { translate: "itemGroup.name.splashPotion" }).set(MinecraftItemTypes.LingeringPotion, { translate: "itemGroup.name.lingeringPotion" }).set(MinecraftItemTypes.Bed, { translate: "itemGroup.name.bed" }).set(MinecraftItemTypes.TadpoleBucket, { translate: "item.bucketTadpole.name" }).set(MinecraftItemTypes.SpruceFence, { translate: "tile.spruceFence.name" });
var ItemStatisticForm = class {
  constructor(player, itemStatistics, statistics) {
    this.player = player;
    this.itemStatistics = itemStatistics;
    this.statistics = statistics;
    this.form = new ActionFormData4().title({ translate: "gui.stats" }).body(this.getBodyText()).button({ translate: "gui.back" });
  }
  show() {
    this.form.show(this.player).then(this.onResponse.bind(this));
  }
  onResponse(response) {
    if (response.canceled) return;
    switch (response.selection) {
      case 0:
        new StatisticsForm(this.player, this.statistics).show();
        break;
    }
  }
  getBodyText() {
    const blockMined = Math.trunc(this.itemStatistics.blockMined).toString();
    const itemBroken = Math.trunc(this.itemStatistics.itemBroken).toString();
    const itemUsed = Math.trunc(this.itemStatistics.itemUsed).toString();
    const itemPickedUp = Math.trunc(this.itemStatistics.itemPickedUp).toString();
    const itemDropped = Math.trunc(this.itemStatistics.itemDropped).toString();
    return { rawtext: [
      { rawtext: [{ text: "\xA77" }, { translate: "stat_type.minecraft.mined" }, { text: "\n\xA7r" + blockMined + "\n\n" }] },
      { rawtext: [{ text: "\xA77" }, { translate: "stat_type.minecraft.broken" }, { text: "\n\xA7r" + itemBroken + "\n\n" }] },
      { rawtext: [{ text: "\xA77" }, { translate: "stat_type.minecraft.used" }, { text: "\n\xA7r" + itemUsed + "\n\n" }] },
      { rawtext: [{ text: "\xA77" }, { translate: "stat_type.minecraft.picked_up" }, { text: "\n\xA7r" + itemPickedUp + "\n\n" }] },
      { rawtext: [{ text: "\xA77" }, { translate: "stat_type.minecraft.dropped" }, { text: "\n\xA7r" + itemDropped + "\n\n" }] }
    ] };
  }
};
var ItemSelectionForm = class {
  constructor(player, statistics) {
    this.player = player;
    this.statistics = statistics;
    this.itemStats = /* @__PURE__ */ new Map();
    this.fetchItemStats();
  }
  show() {
    if (this.itemStats.size > 0) {
      PageForm_default(this.getFormData(), 32, this.player).then(
        this.onResponse.bind(this)
      );
    } else {
      new ActionFormData4().title({ translate: "stat.itemsButton" }).body({ translate: "hbui.Achievements.completedEmptyTitle" }).button({ translate: "gui.back" }).show(this.player).then(() => {
        new StatisticsForm(this.player, this.statistics).show();
      });
    }
  }
  onResponse(selection) {
    if (typeof selection === "undefined") return new StatisticsForm(this.player, this.statistics).show();
    const items = Array.from(this.itemStats.keys());
    const itemTypeId = items[selection];
    const itemStat = this.itemStats.get(itemTypeId);
    if (itemStat) new ItemStatisticForm(this.player, itemStat, this.statistics).show();
  }
  getFormData() {
    const data = {
      titleText: { translate: "stat.itemsButton" },
      buttons: []
    };
    for (const itemId of this.itemStats.keys()) {
      if (itemDisplayKeyMap.has(itemId)) {
        const langId = itemDisplayKeyMap.get(itemId);
        data.buttons.push({ text: langId });
      } else if (plankTypes.includes(itemId)) {
        const woodType = itemId.split("_")[0].split(":")[1];
        data.buttons.push({ text: { translate: `tile.planks.${woodType}.name` } });
      } else if (itemId.endsWith("_spawn_egg")) {
        const mobType = itemId.replace("_spawn_egg", "").replace("minecraft:", "");
        data.buttons.push({ text: { translate: `item.spawn_egg.entity.${mobType}.name` } });
      } else if (!!BlockTypes.get(itemId)) {
        const itemData = mojang_blocks_default.data_items.find((item) => item.name === itemId);
        if (!itemData) data.buttons.push({ text: { translate: `tile.${itemId.replace("minecraft:", "")}.name` } });
        else if (itemData.serialization_id.endsWith(".name")) data.buttons.push({ text: { translate: itemData.serialization_id } });
        else data.buttons.push({ text: { translate: itemData.serialization_id + ".name" } });
      } else {
        const itemData = mojang_items_default.data_items.find((item) => item.name === itemId);
        if (!itemData) data.buttons.push({ text: { translate: `item.${itemId.replace("minecraft:", "")}.name` } });
        else if (itemData.serialization_id.endsWith(".name")) data.buttons.push({ text: { translate: itemData.serialization_id } });
        else data.buttons.push({ text: { translate: itemData.serialization_id + ".name" } });
      }
    }
    return data;
  }
  setItemStat(itemTypeId, stat, value) {
    const itemStat = this.itemStats.get(itemTypeId) ?? {
      blockMined: 0,
      itemBroken: 0,
      itemUsed: 0,
      itemPickedUp: 0,
      itemDropped: 0
    };
    itemStat[stat] = value;
    this.itemStats.set(itemTypeId, itemStat);
  }
  fetchItemStats() {
    this.itemStats.clear();
    const ids = this.player.getDynamicPropertyIds();
    const blocksMinedIds = ids.filter((id) => id.startsWith("jayly:mined" /* BLOCK_MINED */ + "/"));
    for (const id of blocksMinedIds) {
      const stat = this.player.getDynamicProperty(id);
      const itemTypeId = id.substring("jayly:mined" /* BLOCK_MINED */.length + 1);
      if (typeof stat === "number") this.setItemStat(itemTypeId, "blockMined", stat);
    }
    const itemBrokenIds = ids.filter((id) => id.startsWith("jayly:broken" /* ITEM_BROKEN */ + "/"));
    for (const id of itemBrokenIds) {
      const stat = this.player.getDynamicProperty(id);
      const itemTypeId = id.substring("jayly:broken" /* ITEM_BROKEN */.length + 1);
      if (typeof stat === "number") this.setItemStat(itemTypeId, "itemBroken", stat);
    }
    const itemUsedIds = ids.filter((id) => id.startsWith("jayly:used" /* ITEM_USED */ + "/"));
    for (const id of itemUsedIds) {
      const stat = this.player.getDynamicProperty(id);
      const itemTypeId = id.substring("jayly:used" /* ITEM_USED */.length + 1);
      if (typeof stat === "number") this.setItemStat(itemTypeId, "itemUsed", stat);
    }
    const itemPickedUpIds = ids.filter((id) => id.startsWith("jayly:picked_up" /* ITEM_PICKED_UP */ + "/"));
    for (const id of itemPickedUpIds) {
      const stat = this.player.getDynamicProperty(id);
      const itemTypeId = id.substring("jayly:picked_up" /* ITEM_PICKED_UP */.length + 1);
      if (typeof stat === "number") this.setItemStat(itemTypeId, "itemPickedUp", stat);
    }
    const itemDroppedIds = ids.filter((id) => id.startsWith("jayly:dropped" /* ITEM_DROPPED */ + "/"));
    for (const id of itemDroppedIds) {
      const stat = this.player.getDynamicProperty(id);
      const itemTypeId = id.substring("jayly:dropped" /* ITEM_DROPPED */.length + 1);
      if (typeof stat === "number") this.setItemStat(itemTypeId, "itemDropped", stat);
    }
  }
};

// src/forms/MobStatisticsForm.ts
import { ActionFormData as ActionFormData5 } from "@minecraft/server-ui";
var EntityStatisticForm = class {
  constructor(player, mobStat, stats) {
    this.player = player;
    this.mobStat = mobStat;
    this.stats = stats;
    this.form = new ActionFormData5().title({ translate: "gui.stats" }).body(this.getBodyText()).button({ translate: "gui.back" });
  }
  show() {
    this.form.show(this.player).then(this.onResponse.bind(this));
  }
  onResponse() {
    new StatisticsForm(this.player, this.stats).show();
  }
  getBodyText() {
    const message = {};
    message.rawtext = [];
    if (this.mobStat.entityKilled > 0) {
      message.rawtext.push({
        translate: "stat_type.minecraft.killed",
        with: {
          rawtext: [
            { text: this.mobStat.entityKilled.toString() },
            { translate: `entity.${this.mobStat.typeId.replace("minecraft:", "")}.name` }
          ]
        }
      });
    } else {
      message.rawtext.push({
        translate: "stat_type.minecraft.killed.none",
        with: {
          rawtext: [
            { translate: `entity.${this.mobStat.typeId.replace("minecraft:", "")}.name` }
          ]
        }
      });
    }
    message.rawtext.push({ text: "\n\n" });
    if (this.mobStat.entityKilledBy > 0) {
      message.rawtext.push({
        translate: "stat_type.minecraft.killed_by",
        with: {
          rawtext: [
            { translate: `entity.${this.mobStat.typeId.replace("minecraft:", "")}.name` },
            { text: this.mobStat.entityKilledBy.toString() }
          ]
        }
      });
    } else {
      message.rawtext.push({
        translate: "stat_type.minecraft.killed_by.none",
        with: {
          rawtext: [
            { translate: `entity.${this.mobStat.typeId.replace("minecraft:", "")}.name` }
          ]
        }
      });
    }
    return message;
  }
};
var EntityKilledSelectionForm = class {
  constructor(player, statistics) {
    this.player = player;
    this.statistics = statistics;
    this.mobStats = /* @__PURE__ */ new Map();
    this.fetchmobStats();
  }
  show() {
    if (this.mobStats.size > 0) {
      PageForm_default(this.getFormData(), 32, this.player).then(
        this.onResponse.bind(this)
      );
    } else {
      new ActionFormData5().title({ translate: "stat.mobsButton" }).body({ translate: "hbui.Achievements.completedEmptyTitle" }).button({ translate: "gui.back" }).show(this.player).then(() => {
        new StatisticsForm(this.player, this.statistics).show();
      });
    }
  }
  onResponse(selection) {
    if (typeof selection === "undefined") return new StatisticsForm(this.player, this.statistics).show();
    const items = Array.from(this.mobStats.keys());
    const entityTypeId = items[selection];
    const mobStat = this.mobStats.get(entityTypeId);
    if (mobStat) new EntityStatisticForm(this.player, mobStat, this.statistics).show();
  }
  getFormData() {
    const data = {
      titleText: { translate: "stat.mobsButton" },
      buttons: []
    };
    for (const entityTypeId of this.mobStats.keys()) {
      data.buttons.push({ text: { translate: `entity.${entityTypeId.replace("minecraft:", "")}.name` } });
    }
    return data;
  }
  setEntityKilledStat(entityTypeId, value) {
    const mobStat = this.mobStats.get(entityTypeId) ?? {
      typeId: entityTypeId,
      entityKilled: 0,
      entityKilledBy: 0
    };
    mobStat.entityKilled = value;
    this.mobStats.set(entityTypeId, mobStat);
  }
  setEntityKilledByStat(entityTypeId, value) {
    const mobStat = this.mobStats.get(entityTypeId) ?? {
      typeId: entityTypeId,
      entityKilled: 0,
      entityKilledBy: 0
    };
    mobStat.entityKilledBy = value;
    this.mobStats.set(entityTypeId, mobStat);
  }
  fetchmobStats() {
    this.mobStats.clear();
    const ids = this.player.getDynamicPropertyIds();
    const entityKilledIds = ids.filter((id) => id.startsWith("jayly:killed" /* ENTITY_KILLED */ + "/"));
    for (const id of entityKilledIds) {
      const stat = this.player.getDynamicProperty(id);
      const entityTypeId = id.substring("jayly:killed" /* ENTITY_KILLED */.length + 1);
      if (typeof stat === "number") this.setEntityKilledStat(entityTypeId, stat);
    }
    const entityKilledByIds = ids.filter((id) => id.startsWith("jayly:killed_by" /* ENTITY_KILLED_BY */ + "/"));
    for (const id of entityKilledByIds) {
      const stat = this.player.getDynamicProperty(id);
      const entityTypeId = id.substring("jayly:killed_by" /* ENTITY_KILLED_BY */.length + 1);
      if (typeof stat === "number") this.setEntityKilledByStat(entityTypeId, stat);
    }
  }
};

// src/forms/StatisticsForm.ts
var StatisticsForm = class {
  constructor(player, statistics) {
    this.player = player;
    this.statistics = statistics;
    this.form = new ActionFormData6().title({ translate: "gui.stats" }).body({ translate: "store.createdBy", with: ["\xA7bJaylyMC"] }).button({ translate: "stat.generalButton" }).button({ translate: "stat.itemsButton" }).button({ translate: "stat.mobsButton" });
  }
  show() {
    this.form.show(this.player).then(this.onResponse.bind(this));
  }
  onResponse(response) {
    if (response.canceled) return;
    if (response.selection === 0) {
      new GeneralStatisticsForm(this.player, this.statistics).show();
    } else if (response.selection === 1) {
      new ItemSelectionForm(this.player, this.statistics).show();
    } else if (response.selection === 2) {
      new EntityKilledSelectionForm(this.player, this.statistics).show();
    }
  }
};

// src/forms/Listener.ts
function onScriptEventReceive(event) {
  const { sourceEntity, message, id } = event;
  if (id !== "jayly:statistics" || !(sourceEntity instanceof Player8)) return;
  const stats = PlayerStatisticsMap.get(sourceEntity);
  if (!stats) throw new ReferenceError("Player not found");
  if (message === "show") {
    new StatisticsForm(sourceEntity, stats).show();
  }
}
function onChatSend(event) {
  const { sender, message } = event;
  if (message === "!statistics") {
    event.cancel = true;
    const stats = PlayerStatisticsMap.get(sender);
    if (!stats) throw new ReferenceError("Player not found");
    const form = new StatisticsForm(sender, stats);
    sender.sendMessage("\xA77Please close chat to open form.");
    system6.run(() => forceShow(sender, form.form).then(form.onResponse.bind(form)));
  }
}
function onStatisticsItemUse(event) {
  const { source, itemStack } = event;
  if (itemStack.typeId === MinecraftItemTypes.Book && itemStack.nameTag === "\xA7e%gui.stats \xA77[%action.interact.use]") {
    const stats = PlayerStatisticsMap.get(source);
    if (!stats) throw new ReferenceError("Player not found");
    new StatisticsForm(source, stats).show();
  }
}

// src/statistics/ItemUsed.ts
function onItemUse({ source, itemStack }) {
  const stats = PlayerStatisticsMap.get(source);
  if (!stats) throw new ReferenceError("Player not found");
  stats.itemUsed.addItemType(itemStack.type);
}

// src/statistics/ItemPickedUp.ts
import { EntityItemComponent, system as system8 } from "@minecraft/server";

// src/events/PlayerInventoryChange.ts
import { EntityInventoryComponent, ItemCooldownComponent, ItemDurabilityComponent as ItemDurabilityComponent3, ItemEnchantableComponent, ItemFoodComponent, ItemStack as ItemStack3, system as system7, world as world4 } from "@minecraft/server";
function shallowComparison(obj1 = {}, obj2 = {}) {
  let same = true;
  if (Object.keys(obj1).length === Object.keys(obj2).length) {
    const sameObject = [];
    for (const key in obj1) {
      sameObject.push(obj1[key] === obj2[key]);
    }
    ;
    if (sameObject.filter((v) => !v).length > 0) same = false;
  } else same = false;
  return same;
}
var PlayerInventoryStorage = [];
var InventoryChangeEvent = class {
  constructor(player, container) {
    this.slotsChanged = [];
    this.player = player;
    this.container = container;
  }
};
var InventoryChangeEventSignal = class {
  constructor() {
    /**
     * @internal
     */
    this.callbacks = [];
  }
  /**
   * @remarks
   * Adds a callback that will be called when an entity dies.
   * @param callback
   */
  subscribe(callback) {
    this.callbacks.push(callback);
    return callback;
  }
  /**
   * @remarks
   * Removes a callback from being called when an entity dies.
   * @param callback
   * @throws This function can throw errors.
   */
  unsubscribe(callback) {
    const index = this.callbacks.findIndex((value) => value === callback);
    this.callbacks.splice(index);
  }
  /**
   * @internal
   */
  trigger(event) {
    for (const callback of this.callbacks) {
      callback(event);
    }
  }
};
function ItemComponentCompare(item1, item2) {
  if (item1.getComponents().length !== item2.getComponents().length) return false;
  const foodEquals = shallowComparison(
    item1.getComponent(ItemFoodComponent.componentId) ?? {},
    item2.getComponent(ItemFoodComponent.componentId) ?? {}
  );
  const cooldownEquals = shallowComparison(
    item1.getComponent(ItemCooldownComponent.componentId) ?? {},
    item2.getComponent(ItemCooldownComponent.componentId) ?? {}
  );
  const enchantsEquals = (() => {
    const item1Enchants = item1.getComponent(ItemEnchantableComponent.componentId);
    const item2Enchants = item2.getComponent(ItemEnchantableComponent.componentId);
    return shallowComparison(item1Enchants?.getEnchantments(), item2Enchants?.getEnchantments());
  })();
  const durabilityEquals = shallowComparison(
    item1.getComponent(ItemDurabilityComponent3.componentId) ?? {},
    item2.getComponent(ItemDurabilityComponent3.componentId) ?? {}
  );
  return foodEquals && cooldownEquals && enchantsEquals && durabilityEquals;
}
function ItemStackEquals2(item1, item2) {
  if (item1 instanceof ItemStack3 && item2 instanceof ItemStack3) {
    const amountEquals = item1.amount === item2.amount;
    const nameTagEquals = item1.nameTag === item2.nameTag;
    const typeIdEquals = item1.typeId === item2.typeId;
    const componentEquals = ItemComponentCompare(item1, item2);
    const loreEquals = shallowComparison(item1.getLore(), item2.getLore());
    return amountEquals && nameTagEquals && typeIdEquals && componentEquals && loreEquals;
  } else return typeof item1 === typeof item2;
}
var inventoryChange = new InventoryChangeEventSignal();
system7.runInterval(() => {
  for (const player of world4.getAllPlayers()) {
    const inventory = player.getComponent(EntityInventoryComponent.componentId);
    const pInventory = PlayerInventoryStorage.find((value) => value.player === player);
    const container = [];
    if (!inventory.container) continue;
    for (let slot = 0; slot < inventory.container.size; slot++) {
      const item = inventory.container.getItem(slot);
      container.push(item);
    }
    ;
    const event = new InventoryChangeEvent(player, container);
    if (!pInventory) PlayerInventoryStorage.push(event);
    else {
      let difference = pInventory.container.map((item, index) => ItemStackEquals2(item, container[index]));
      event.slotsChanged = difference.map((value, index) => value === false ? index : -1).filter((index) => index !== -1);
      pInventory.container = container;
      if (event.slotsChanged.length > 0) inventoryChange.trigger(event);
    }
    ;
  }
});

// src/statistics/ItemPickedUp.ts
var import_math = __toESM(require_lib(), 1);
function onItemPickedUp(event) {
  const { removedEntity } = event;
  if (removedEntity.typeId !== "minecraft:item") return;
  const item = removedEntity.getComponent(EntityItemComponent.componentId);
  const { itemStack } = item;
  if (!itemStack) return;
  const nearbyPlayers = removedEntity.dimension.getPlayers({
    location: import_math.Vector3Utils.subtract(removedEntity.location, { x: 1.5, y: 0.5, z: 1.5 }),
    volume: { x: 3, y: 2, z: 3 }
  });
  const callback = inventoryChange.subscribe((event2) => {
    if (!nearbyPlayers.includes(event2.player)) return;
    for (const slot of event2.slotsChanged) {
      const item2 = event2.container[slot];
      if (item2 && item2.typeId === itemStack.typeId) {
        const stats = PlayerStatisticsMap.get(event2.player);
        if (!stats) throw new ReferenceError("Player not found");
        stats.itemPickedUp.addItemType(itemStack.type);
        inventoryChange.unsubscribe(callback);
      }
    }
  });
  system8.run(() => inventoryChange.unsubscribe(callback));
}

// src/statistics/ItemDropped.ts
var import_math2 = __toESM(require_lib(), 1);
import { EntityComponentTypes as EntityComponentTypes3, EntityItemComponent as EntityItemComponent2 } from "@minecraft/server";
function onItemDropped(event) {
  const { entity } = event;
  if (entity.typeId !== "minecraft:item" || !entity.isValid()) return;
  const itemViewDirection = entity.getViewDirection();
  const player = entity.dimension.getPlayers({ minDistance: 0 }).find((player2) => import_math2.Vector3Utils.distance(player2.getViewDirection(), itemViewDirection) === 0);
  const item = entity.getComponent(EntityItemComponent2.componentId);
  const { itemStack } = item;
  if (!player) return;
  const stats = PlayerStatisticsMap.get(player);
  if (!stats) throw new ReferenceError("Player not found");
  stats.itemDropped.addItemType(itemStack.type, itemStack.amount);
  const health = player.getComponent(EntityComponentTypes3.Health);
  if (health.currentValue > 0) stats.custom.addStatistic("minecraft:drop" /* drop */);
}

// src/statistics/EntityKilled.ts
import { Player as Player10 } from "@minecraft/server";
function onEntityKilled(event) {
  const { deadEntity, damageSource } = event;
  const { damagingEntity } = damageSource;
  if (damagingEntity instanceof Player10) {
    const stats = PlayerStatisticsMap.get(damagingEntity);
    if (!stats) throw new ReferenceError("Player not found");
    stats.entityKilled.addEntity(deadEntity);
    if (deadEntity instanceof Player10) stats.custom.addStatistic("minecraft:player_kills" /* playerKills */, 1);
    else stats.custom.addStatistic("minecraft:mob_kills" /* mobKills */, 1);
  }
  if (deadEntity instanceof Player10 && damagingEntity) {
    const stats = PlayerStatisticsMap.get(deadEntity);
    if (!stats) throw new ReferenceError("Player not found");
    stats.entityKilledBy.addEntity(damagingEntity);
  } else if (deadEntity instanceof Player10) {
    const stats = PlayerStatisticsMap.get(deadEntity);
    if (!stats) throw new ReferenceError("Player not found");
    stats.custom.addStatistic("minecraft:deaths" /* deaths */);
  }
}

// src/statistics/custom/CauldronInteract.ts
import { BlockComponentTypes, system as system9, world as world7 } from "@minecraft/server";
var dyeableArmorTypes = [
  MinecraftItemTypes.LeatherBoots,
  MinecraftItemTypes.LeatherChestplate,
  MinecraftItemTypes.LeatherHelmet,
  MinecraftItemTypes.LeatherLeggings,
  MinecraftItemTypes.LeatherHorseArmor
];
var dyeableShulkerBoxTypes = [
  MinecraftItemTypes.BlackShulkerBox,
  MinecraftItemTypes.BlueShulkerBox,
  MinecraftItemTypes.BrownShulkerBox,
  MinecraftItemTypes.CyanShulkerBox,
  MinecraftItemTypes.GrayShulkerBox,
  MinecraftItemTypes.GreenShulkerBox,
  MinecraftItemTypes.LightBlueShulkerBox,
  MinecraftItemTypes.LightGrayShulkerBox,
  MinecraftItemTypes.LimeShulkerBox,
  MinecraftItemTypes.MagentaShulkerBox,
  MinecraftItemTypes.OrangeShulkerBox,
  MinecraftItemTypes.PinkShulkerBox,
  MinecraftItemTypes.PurpleShulkerBox,
  MinecraftItemTypes.RedShulkerBox,
  MinecraftItemTypes.WhiteShulkerBox,
  MinecraftItemTypes.YellowShulkerBox
];
var dyeableItems = [...dyeableArmorTypes, ...dyeableShulkerBoxTypes, MinecraftItemTypes.Banner, MinecraftItemTypes.GlassBottle];
world7.beforeEvents.playerInteractWithBlock.subscribe((event) => {
  const { block, player, itemStack } = event;
  if (block.typeId !== "minecraft:cauldron") return;
  const waterContainer = block.getComponent(BlockComponentTypes.WaterContainer);
  const lavaContainer = block.getComponent(BlockComponentTypes.LavaContainer);
  const potionContainer = block.getComponent(BlockComponentTypes.PotionContainer);
  const snowContainer = block.getComponent(BlockComponentTypes.SnowContainer);
  if (waterContainer) {
    const stats = PlayerStatisticsMap.get(player);
    if (!stats) throw new ReferenceError("Player not found");
    if (itemStack && dyeableItems.includes(itemStack.typeId)) {
      const customColor = waterContainer.getCustomColor();
      const fillLevel = waterContainer.fillLevel;
      if (customColor.alpha === 0 && customColor.red === 0 && customColor.green === 0 && customColor.blue === 0) {
        system9.run(() => {
          if (waterContainer.fillLevel >= fillLevel) return;
          if (itemStack.typeId === MinecraftItemTypes.Banner) stats.custom.addStatistic("minecraft:clean_banner" /* cleanBanner */);
          else if (dyeableArmorTypes.includes(itemStack.typeId)) stats.custom.addStatistic("minecraft:clean_armor" /* cleanArmor */);
          else if (dyeableShulkerBoxTypes.includes(itemStack.typeId)) stats.custom.addStatistic("minecraft:clean_shulker_box" /* cleanShulkerBox */);
          else if (itemStack.typeId === MinecraftItemTypes.GlassBottle) stats.custom.addStatistic("minecraft:use_cauldron" /* useCauldron */);
        });
      }
      ;
    } else {
      const fillLevel = waterContainer.fillLevel;
      system9.run(() => {
        const stats2 = PlayerStatisticsMap.get(player);
        if (!stats2) throw new ReferenceError("Player not found");
        if (waterContainer.fillLevel === 6 && fillLevel < 6) stats2.custom.addStatistic("minecraft:fill_cauldron" /* fillCauldron */);
      });
    }
  } else if (lavaContainer) {
    const fillLevel = lavaContainer.fillLevel;
    system9.run(() => {
      const stats = PlayerStatisticsMap.get(player);
      if (!stats) throw new ReferenceError("Player not found");
      if (lavaContainer.fillLevel === 6 && fillLevel < 6) stats.custom.addStatistic("minecraft:fill_cauldron" /* fillCauldron */);
    });
  } else if (potionContainer) {
    const fillLevel = potionContainer.fillLevel;
    system9.run(() => {
      const stats = PlayerStatisticsMap.get(player);
      if (!stats) throw new ReferenceError("Player not found");
      if (potionContainer.fillLevel === 6 && fillLevel < 6) stats.custom.addStatistic("minecraft:fill_cauldron" /* fillCauldron */);
    });
  } else if (snowContainer) {
    const fillLevel = snowContainer.fillLevel;
    system9.run(() => {
      const stats = PlayerStatisticsMap.get(player);
      if (!stats) throw new ReferenceError("Player not found");
      if (snowContainer.fillLevel === 6 && fillLevel < 6) stats.custom.addStatistic("minecraft:fill_cauldron" /* fillCauldron */);
    });
  }
});

// src/statistics/custom/PlayerDamage.ts
import { Player as Player11, world as world8 } from "@minecraft/server";
world8.afterEvents.entityHurt.subscribe((event) => {
  const { hurtEntity, damageSource, damage } = event;
  const { damagingEntity } = damageSource;
  if (damagingEntity instanceof Player11) {
    const stats = PlayerStatisticsMap.get(damagingEntity);
    if (!stats) throw new ReferenceError("Player not found");
    stats.custom.addStatistic("minecraft:damage_dealt" /* damageDealt */, damage);
  }
  if (hurtEntity instanceof Player11) {
    const stats = PlayerStatisticsMap.get(hurtEntity);
    if (!stats) throw new ReferenceError("Player not found");
    stats.custom.addStatistic("minecraft:damage_taken" /* damageTaken */, damage);
  }
});

// src/statistics/custom/RaidsTriggered.ts
import { Player as Player12, system as system10, world as world9 } from "@minecraft/server";
var villagerTypes = [
  MinecraftEntityTypes.Villager,
  MinecraftEntityTypes.VillagerV2
];
var tickTriggeredRaidWin = /* @__PURE__ */ new Map();
world9.afterEvents.dataDrivenEntityTrigger.subscribe((event) => {
  const { entity, eventId } = event;
  if (entity instanceof Player12 && eventId == "minecraft:remove_raid_trigger" && entity.getEffect(MinecraftEffectTypes.RaidOmen)) {
    const stats = PlayerStatisticsMap.get(entity);
    if (!stats) throw new ReferenceError("Player not found");
    stats.custom.addStatistic("minecraft:raid_trigger" /* raidTrigger */);
  } else if (villagerTypes.includes(entity.typeId) && eventId == "minecraft:start_celebrating") {
    const playersWon = entity.dimension.getPlayers({ location: entity.location, maxDistance: 128 });
    for (const player of playersWon) {
      const stats = PlayerStatisticsMap.get(player);
      if (!stats) throw new ReferenceError("Player not found");
      if (tickTriggeredRaidWin.get(player) !== system10.currentTick) {
        stats.custom.addStatistic("minecraft:raid_win" /* raidWin */);
        tickTriggeredRaidWin.set(player, system10.currentTick);
      }
      ;
    }
  }
});

// src/statistics/custom/TravelDistance.ts
import { system as system11, world as world10 } from "@minecraft/server";

// src/utilities/isMoving.ts
import { Entity as Entity2, Player as Player13 } from "@minecraft/server";
function MathRound(x) {
  return Math.round(x * 1e3) / 1e3;
}
function isMoving(entity) {
  if (!(entity instanceof Player13) && !(entity instanceof Entity2)) throw new TypeError("Parameter is not Entity or Player");
  const vector = {
    x: MathRound(entity.getVelocity().x),
    y: MathRound(entity.getVelocity().y),
    z: MathRound(entity.getVelocity().z)
  };
  if (vector.x === 0 && vector.y === 0 && vector.z === 0) return false;
  else return true;
}
var isMoving_default = isMoving;

// src/statistics/custom/TravelDistance.ts
var fallDistanceMap = /* @__PURE__ */ new Map();
system11.runInterval(() => {
  for (const player of world10.getAllPlayers()) {
    const stats = PlayerStatisticsMap.get(player);
    if (!stats) continue;
    const velocity = player.getVelocity();
    const velocityCm = Math.hypot(velocity.x, velocity.y, velocity.z) * 100;
    const playerIsMoving = isMoving_default(player);
    const heightRange = player.dimension.heightRange;
    if (!playerIsMoving) {
      continue;
    }
    if (player.isClimbing) {
      const climbCm = Math.abs(velocity.y) * 100;
      stats.custom.addStatistic("minecraft:climb_one_cm" /* climbOneCm */, climbCm);
    }
    if (player.isSneaking) {
      stats.custom.addStatistic("minecraft:crouch_one_cm" /* crouchOneCm */, velocityCm);
    }
    if (player.isFlying) {
      stats.custom.addStatistic("minecraft:fly_one_cm" /* flyOneCm */, velocityCm);
    }
    if (player.isSprinting && player.isOnGround) {
      stats.custom.addStatistic("minecraft:sprint_one_cm" /* sprintOneCm */, velocityCm);
    } else if (player.isOnGround && velocity.y === 0) {
      stats.custom.addStatistic("minecraft:walk_one_cm" /* walkOneCm */, velocityCm);
    } else if (player.location.y <= heightRange.max && player.location.y >= heightRange.min) {
      const block = player.dimension.getBlock(player.location);
      if (player.isInWater && block?.typeId === "minecraft:water" && block.above()?.typeId === "minecraft:water") {
        stats.custom.addStatistic("minecraft:walk_under_water_one_cm" /* walkUnderWaterOneCm */, velocityCm);
      } else if (!player.isInWater && block?.typeId === "minecraft:water") {
        stats.custom.addStatistic("minecraft:walk_on_water_one_cm" /* walkOnWaterOneCm */, velocityCm);
      }
    }
    if (player.isSwimming) {
      stats.custom.addStatistic("minecraft:swim_one_cm" /* swimOneCm */, velocityCm);
    }
    if (player.isGliding) {
      stats.custom.addStatistic("minecraft:aviate_one_cm" /* aviateOneCm */, velocityCm);
    }
  }
});
system11.runInterval(() => {
  for (const player of world10.getAllPlayers()) {
    const fallDistance = fallDistanceMap.get(player) ?? 0;
    const jumpBoostEffect = player.getEffect(MinecraftEffectTypes.JumpBoost);
    let jumpHeight = 1.2522;
    if (jumpBoostEffect) {
      jumpHeight = 0.0308354 * jumpBoostEffect.amplifier ** 2 + 0.744631 * jumpBoostEffect.amplifier + 1.836131;
    }
    if (player.isFalling) {
      fallDistanceMap.set(player, fallDistance + Math.abs(player.getVelocity().y));
    } else if (fallDistance > jumpHeight) {
      const stats = PlayerStatisticsMap.get(player);
      if (!stats) throw new ReferenceError("Player not found");
      fallDistanceMap.set(player, 0);
    } else {
      fallDistanceMap.set(player, 0);
    }
  }
});

// src/statistics/custom/BlockInteract.ts
import { system as system12, world as world11, Player as Player15, BlockComponentTypes as BlockComponentTypes2 } from "@minecraft/server";
var shulkerBoxTypes = [
  MinecraftBlockTypes.BlackShulkerBox,
  MinecraftBlockTypes.BlueShulkerBox,
  MinecraftBlockTypes.BrownShulkerBox,
  MinecraftBlockTypes.CyanShulkerBox,
  MinecraftBlockTypes.GrayShulkerBox,
  MinecraftBlockTypes.GreenShulkerBox,
  MinecraftBlockTypes.LightBlueShulkerBox,
  MinecraftBlockTypes.LightGrayShulkerBox,
  MinecraftBlockTypes.LimeShulkerBox,
  MinecraftBlockTypes.MagentaShulkerBox,
  MinecraftBlockTypes.OrangeShulkerBox,
  MinecraftBlockTypes.PinkShulkerBox,
  MinecraftBlockTypes.PurpleShulkerBox,
  MinecraftBlockTypes.RedShulkerBox,
  MinecraftBlockTypes.UndyedShulkerBox,
  MinecraftBlockTypes.WhiteShulkerBox,
  MinecraftBlockTypes.YellowShulkerBox
];
var anvilTypes = [
  MinecraftBlockTypes.Anvil,
  MinecraftBlockTypes.ChippedAnvil,
  MinecraftBlockTypes.DamagedAnvil,
  MinecraftBlockTypes.DeprecatedAnvil
];
world11.afterEvents.playerInteractWithBlock.subscribe((event) => {
  const { block, player } = event;
  const stats = PlayerStatisticsMap.get(player);
  if (!stats) throw new ReferenceError("Player not found");
  if (block.typeId === MinecraftBlockTypes.Barrel) {
    stats.custom.addStatistic("minecraft:open_barrel" /* openBarrel */);
  } else if (block.typeId === MinecraftBlockTypes.Chest) {
    stats.custom.addStatistic("minecraft:open_chest" /* openChest */);
  } else if (block.typeId === MinecraftBlockTypes.TrappedChest) {
    stats.custom.addStatistic("minecraft:trigger_trapped_chest" /* triggerTrappedChest */);
  } else if (block.typeId === MinecraftBlockTypes.EnderChest) {
    stats.custom.addStatistic("minecraft:open_enderchest" /* openEnderchest */);
  } else if (shulkerBoxTypes.includes(block.typeId)) {
    stats.custom.addStatistic("minecraft:open_shulker_box" /* openShulkerBox */);
  } else if (block.typeId === MinecraftBlockTypes.Dispenser) {
    stats.custom.addStatistic("minecraft:inspect_dispenser" /* inspectDispenser */);
  } else if (block.typeId === MinecraftBlockTypes.Dropper) {
    stats.custom.addStatistic("minecraft:inspect_dropper" /* inspectDropper */);
  } else if (block.typeId === MinecraftBlockTypes.Hopper) {
    stats.custom.addStatistic("minecraft:inspect_hopper" /* inspectHopper */);
  } else if (block.typeId === MinecraftBlockTypes.Cake) {
    stats.custom.addStatistic("minecraft:eat_cake_slice" /* eatCakeSlice */);
  } else if (anvilTypes.includes(block.typeId)) {
    stats.custom.addStatistic("minecraft:interact_with_anvil" /* interactWithAnvil */);
  } else if (block.typeId === MinecraftBlockTypes.Beacon) {
    stats.custom.addStatistic("minecraft:interact_with_beacon" /* interactWithBeacon */);
  } else if (block.typeId === MinecraftBlockTypes.BlastFurnace) {
    stats.custom.addStatistic("minecraft:interact_with_blast_furnace" /* interactWithBlastFurnace */);
  } else if (block.typeId === MinecraftBlockTypes.BrewingStand) {
    stats.custom.addStatistic("minecraft:interact_with_brewingstand" /* interactWithBrewingstand */);
  } else if (block.typeId === MinecraftBlockTypes.Campfire) {
    stats.custom.addStatistic("minecraft:interact_with_campfire" /* interactWithCampfire */);
  } else if (block.typeId === MinecraftBlockTypes.CartographyTable) {
    stats.custom.addStatistic("minecraft:interact_with_cartography_table" /* interactWithCartographyTable */);
  } else if (block.typeId === MinecraftBlockTypes.CraftingTable) {
    stats.custom.addStatistic("minecraft:interact_with_crafting_table" /* interactWithCraftingTable */);
  } else if (block.typeId === MinecraftBlockTypes.Furnace) {
    stats.custom.addStatistic("minecraft:interact_with_furnace" /* interactWithFurnace */);
  } else if (block.typeId === MinecraftBlockTypes.Grindstone) {
    stats.custom.addStatistic("minecraft:interact_with_grindstone" /* interactWithGrindstone */);
  } else if (block.typeId === MinecraftBlockTypes.Lectern) {
    stats.custom.addStatistic("minecraft:interact_with_lectern" /* interactWithLectern */);
  } else if (block.typeId === MinecraftBlockTypes.Loom) {
    stats.custom.addStatistic("minecraft:interact_with_loom" /* interactWithLoom */);
  } else if (block.typeId === MinecraftBlockTypes.SmithingTable) {
    stats.custom.addStatistic("minecraft:interact_with_smithing_table" /* interactWithSmithingTable */);
  } else if (block.typeId === MinecraftBlockTypes.Smoker) {
    stats.custom.addStatistic("minecraft:interact_with_smoker" /* interactWithSmoker */);
  } else if (block.typeId === MinecraftBlockTypes.Stonecutter) {
    stats.custom.addStatistic("minecraft:interact_with_stonecutter" /* interactWithStonecutter */);
  } else if (block.typeId === MinecraftBlockTypes.Noteblock) {
    stats.custom.addStatistic("minecraft:play_noteblock" /* playNoteblock */);
  } else if (block.typeId === MinecraftBlockTypes.Jukebox) {
    const recordPlayer = block.getComponent(BlockComponentTypes2.RecordPlayer);
    if (recordPlayer.isPlaying()) {
      stats.custom.addStatistic("minecraft:play_record" /* playRecord */);
    }
  }
});
world11.afterEvents.entityHitBlock.subscribe((event) => {
  const { hitBlock, damagingEntity } = event;
  if (!(damagingEntity instanceof Player15)) return;
  const stats = PlayerStatisticsMap.get(damagingEntity);
  if (!stats) throw new ReferenceError("Player not found");
  if (hitBlock.typeId === MinecraftBlockTypes.Noteblock) {
    stats.custom.addStatistic("minecraft:tune_noteblock" /* tuneNoteblock */);
  }
});
world11.beforeEvents.playerInteractWithBlock.subscribe((event) => {
  const { block, player } = event;
  if (block.typeId === MinecraftBlockTypes.Cake) {
    system12.run(() => {
      if (block.typeId !== MinecraftBlockTypes.Air) return;
      const stats = PlayerStatisticsMap.get(player);
      if (!stats) throw new ReferenceError("Player not found");
      stats.custom.addStatistic("minecraft:eat_cake_slice" /* eatCakeSlice */);
    });
  }
});

// src/statistics/custom/SneakTime.ts
import { system as system13, world as world12 } from "@minecraft/server";
system13.runInterval(() => {
  for (const player of world12.getAllPlayers()) {
    if (player.isSneaking) {
      const stats = PlayerStatisticsMap.get(player);
      if (!stats) throw new ReferenceError("Player not found");
      stats.custom.addStatistic("minecraft:sneak_time" /* sneakTime */);
    }
  }
});

// src/events/PlayerJumped.ts
var import_math3 = __toESM(require_lib(), 1);
import { system as system14, world as world13 } from "@minecraft/server";
var playerWasJumpingMap = /* @__PURE__ */ new Map();
var PlayerJumpedAfterEvent = class {
  constructor(player) {
    this.player = player;
  }
};
var PlayerJumpedAfterEventSignal = class {
  constructor() {
    this.callbacks = [];
    system14.runInterval(() => {
      for (const player of world13.getAllPlayers()) {
        const heightRange = player.dimension.heightRange;
        if (player.location.y > heightRange.max || player.location.y < heightRange.min) {
          continue;
        }
        const wasJumping = playerWasJumpingMap.get(player) ?? false;
        const firstJump = wasJumping === false && !player.isFalling;
        const continueJumpOnGround = wasJumping === true && player.isOnGround;
        const block = player.dimension.getBlock(import_math3.Vector3Utils.subtract(player.location, { x: 0, y: 1, z: 0 }));
        const velocity = player.getVelocity();
        if (player.isJumping && !player.isInWater && block?.typeId !== MinecraftBlockTypes.Air && (firstJump || continueJumpOnGround) && velocity.y !== 0) {
          for (const callback of this.callbacks) {
            callback(new PlayerJumpedAfterEvent(player));
          }
        }
        playerWasJumpingMap.set(player, player.isJumping);
      }
    });
  }
  subscribe(callback) {
    this.callbacks.push(callback);
    return callback;
  }
  unsubscribe(callback) {
    const index = this.callbacks.findIndex((value) => value === callback);
    this.callbacks.splice(index);
  }
  /**
   * @internal
   */
  trigger(event) {
    for (const callback of this.callbacks) {
      callback(event);
    }
  }
};
var playerJumped = new PlayerJumpedAfterEventSignal();

// src/statistics/custom/Jump.ts
playerJumped.subscribe(({ player }) => {
  const stats = PlayerStatisticsMap.get(player);
  if (!stats) throw new ReferenceError("Player not found");
  stats.custom.addStatistic("minecraft:jump" /* jump */);
});

// src/statistics/custom/BellRing.ts
import { world as world14 } from "@minecraft/server";
world14.afterEvents.playerInteractWithBlock.subscribe((event) => {
  const { block, player } = event;
  if (block.typeId !== MinecraftBlockTypes.Bell) return;
  const stats = PlayerStatisticsMap.get(player);
  if (!stats) throw new ReferenceError("Player not found");
  stats.custom.addStatistic("minecraft:bell_ring" /* bellRing */);
});

// src/statistics/custom/LeaveGame.ts
import { world as world15 } from "@minecraft/server";
world15.beforeEvents.playerLeave.subscribe(({ player }) => {
  const stats = PlayerStatisticsMap.get(player);
  if (!stats) throw new ReferenceError("Player not found");
  stats.custom.addStatistic("minecraft:leave_game" /* leaveGame */);
});

// src/statistics/custom/VillagerInteract.ts
import { EntityComponentTypes as EntityComponentTypes5, world as world16 } from "@minecraft/server";
var villagerTypes2 = [
  MinecraftEntityTypes.Villager,
  MinecraftEntityTypes.VillagerV2
];
var villagerJobTypeFamilies = [
  "cleric",
  "farmer",
  "fisherman",
  "fletcher",
  "librarian",
  "cartographer",
  "armorer",
  "weaponsmith",
  "toolsmith",
  "butcher",
  "leatherworker",
  "sheperd",
  "mason"
];
world16.afterEvents.playerInteractWithEntity.subscribe((event) => {
  const { itemStack, player, target } = event;
  if (!villagerTypes2.includes(target.typeId) || player.isSneaking && itemStack) return;
  const typeFamily = target.getComponent(EntityComponentTypes5.TypeFamily);
  if (!typeFamily.getTypeFamilies().some((family) => villagerJobTypeFamilies.includes(family))) return;
  const stats = PlayerStatisticsMap.get(player);
  if (!stats) throw new ReferenceError("Player not found");
  stats.custom.addStatistic("minecraft:talked_to_villager" /* talkedToVillager */);
});

// src/statistics/custom/PlayTime.ts
import { system as system15, world as world17 } from "@minecraft/server";
system15.runInterval(() => {
  for (const player of world17.getAllPlayers()) {
    const stats = PlayerStatisticsMap.get(player);
    if (!stats) continue;
    stats.custom.addStatistic("minecraft:play_time" /* playTime */);
    stats.custom.addStatistic("minecraft:time_since_death" /* timeSinceDeath */);
    stats.custom.addStatistic("minecraft:time_since_rest" /* timeSinceRest */);
  }
});

// src/statistics/custom/TimeSince.ts
import { Player as Player17, world as world18 } from "@minecraft/server";
world18.afterEvents.entityDie.subscribe((event) => {
  const { deadEntity } = event;
  if (!(deadEntity instanceof Player17)) return;
  const stats = PlayerStatisticsMap.get(deadEntity);
  if (!stats) throw new ReferenceError("Player not found");
  stats.custom.setStatistic("minecraft:time_since_death" /* timeSinceDeath */, 0);
});
world18.afterEvents.playerInteractWithBlock.subscribe((event) => {
  const { player, block } = event;
  if (block.typeId !== MinecraftBlockTypes.Bed || !player.isSleeping) return;
  const stats = PlayerStatisticsMap.get(player);
  if (!stats) throw new ReferenceError("Player not found");
  stats.custom.setStatistic("minecraft:time_since_rest" /* timeSinceRest */, 0);
  stats.custom.addStatistic("minecraft:sleep_in_bed" /* sleepInBed */);
});

// src/statistics/custom/TargetsHit.ts
import { Player as Player18, world as world19 } from "@minecraft/server";
world19.afterEvents.projectileHitBlock.subscribe((event) => {
  const { source } = event;
  const blockHit = event.getBlockHit();
  if (!(source instanceof Player18) || blockHit.block.typeId !== MinecraftBlockTypes.Target) return;
  const stats = PlayerStatisticsMap.get(source);
  if (!stats) throw new ReferenceError("Player not found");
  stats.custom.addStatistic("minecraft:target_hit" /* targetHit */);
});

// src/main.ts
world20.afterEvents.playerSpawn.subscribe(onPlayerSpawn);
world20.beforeEvents.playerLeave.subscribe(beforePlayerLeave);
world20.afterEvents.worldInitialize.subscribe(onWorldInitialize);
system16.afterEvents.scriptEventReceive.subscribe(onScriptEventReceive);
world20.beforeEvents.chatSend.subscribe(onChatSend);
world20.afterEvents.itemUse.subscribe(onStatisticsItemUse);
world20.afterEvents.playerBreakBlock.subscribe(onPlayerBreakBlock);
world20.afterEvents.itemUse.subscribe(onItemBreakAfterUse);
playerEquippableChange.subscribe(onDamagingEntityItemBroken);
playerEquippableChange.subscribe(onHurtEntityItemBroken);
playerEquippableChange.subscribe(onShieldBroken);
world20.afterEvents.itemUseOn.subscribe(onItemUse);
world20.beforeEvents.entityRemove.subscribe(onItemPickedUp);
world20.afterEvents.entitySpawn.subscribe(onItemDropped);
world20.afterEvents.entityDie.subscribe(onEntityKilled);
